#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 3478
#define LARGE_STATE_COUNT 158
#define SYMBOL_COUNT 162
#define ALIAS_COUNT 0
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 73

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_SEMI_AMP = 21,
  anon_sym_SEMI_SEMI_AMP = 22,
  anon_sym_function = 23,
  anon_sym_LPAREN = 24,
  anon_sym_LBRACE = 25,
  anon_sym_RBRACE = 26,
  anon_sym_PIPE_AMP = 27,
  anon_sym_AMP_AMP = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_BANG = 30,
  anon_sym_LBRACK = 31,
  anon_sym_RBRACK = 32,
  anon_sym_LBRACK_LBRACK = 33,
  anon_sym_RBRACK_RBRACK = 34,
  anon_sym_declare = 35,
  anon_sym_typeset = 36,
  anon_sym_export = 37,
  anon_sym_readonly = 38,
  anon_sym_local = 39,
  anon_sym_unset = 40,
  anon_sym_unsetenv = 41,
  anon_sym_EQ_TILDE = 42,
  anon_sym_EQ_EQ = 43,
  anon_sym_EQ = 44,
  anon_sym_PLUS_EQ = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_GT_GT = 48,
  anon_sym_AMP_GT = 49,
  anon_sym_AMP_GT_GT = 50,
  anon_sym_LT_AMP = 51,
  anon_sym_GT_AMP = 52,
  anon_sym_GT_PIPE = 53,
  anon_sym_LT_LT = 54,
  anon_sym_LT_LT_DASH = 55,
  anon_sym_LT_LT_LT = 56,
  anon_sym_BANG_EQ = 57,
  anon_sym_PLUS = 58,
  anon_sym_DASH = 59,
  anon_sym_DASH_EQ = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_GT_EQ = 62,
  anon_sym_QMARK = 63,
  anon_sym_COLON = 64,
  anon_sym_PLUS_PLUS = 65,
  anon_sym_DASH_DASH = 66,
  anon_sym_DOLLAR = 67,
  sym__special_character = 68,
  anon_sym_DQUOTE = 69,
  sym__string_content = 70,
  sym_raw_string = 71,
  sym_ansii_c_string = 72,
  anon_sym_POUND = 73,
  anon_sym_DOLLAR_LBRACE = 74,
  anon_sym_SLASH = 75,
  anon_sym_COLON_QMARK = 76,
  anon_sym_COLON_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_DOLLAR_LPAREN = 79,
  anon_sym_BQUOTE = 80,
  anon_sym_LT_LPAREN = 81,
  anon_sym_GT_LPAREN = 82,
  sym_comment = 83,
  aux_sym__simple_variable_name_token1 = 84,
  anon_sym_STAR = 85,
  anon_sym_AT = 86,
  anon_sym_0 = 87,
  anon_sym__ = 88,
  sym_test_operator = 89,
  anon_sym_AMP = 90,
  sym_heredoc_start = 91,
  sym__simple_heredoc_body = 92,
  sym__heredoc_body_beginning = 93,
  sym__heredoc_body_middle = 94,
  sym__heredoc_body_end = 95,
  sym_file_descriptor = 96,
  sym__empty_value = 97,
  sym__concat = 98,
  sym_variable_name = 99,
  sym_regex = 100,
  sym_program = 101,
  sym__statements = 102,
  aux_sym__statements2 = 103,
  sym__terminated_statement = 104,
  sym_redirected_statement = 105,
  sym_for_statement = 106,
  sym_c_style_for_statement = 107,
  sym_while_statement = 108,
  sym_do_group = 109,
  sym_if_statement = 110,
  sym_elif_clause = 111,
  sym_else_clause = 112,
  sym_case_statement = 113,
  sym_case_item = 114,
  sym_last_case_item = 115,
  sym_function_definition = 116,
  sym_compound_statement = 117,
  sym_subshell = 118,
  sym_pipeline = 119,
  sym_list = 120,
  sym_negated_command = 121,
  sym_test_command = 122,
  sym_declaration_command = 123,
  sym_unset_command = 124,
  sym_command = 125,
  sym_command_name = 126,
  sym_variable_assignment = 127,
  sym_subscript = 128,
  sym_file_redirect = 129,
  sym_heredoc_redirect = 130,
  sym_heredoc_body = 131,
  sym_herestring_redirect = 132,
  sym__expression = 133,
  sym_binary_expression = 134,
  sym_ternary_expression = 135,
  sym_unary_expression = 136,
  sym_postfix_expression = 137,
  sym_parenthesized_expression = 138,
  sym_concatenation = 139,
  sym_string = 140,
  sym_array = 141,
  sym_simple_expansion = 142,
  sym_string_expansion = 143,
  sym_expansion = 144,
  sym_command_substitution = 145,
  sym_process_substitution = 146,
  aux_sym__statements_repeat1 = 147,
  aux_sym_redirected_statement_repeat1 = 148,
  aux_sym_for_statement_repeat1 = 149,
  aux_sym_if_statement_repeat1 = 150,
  aux_sym_case_statement_repeat1 = 151,
  aux_sym_case_item_repeat1 = 152,
  aux_sym_declaration_command_repeat1 = 153,
  aux_sym_unset_command_repeat1 = 154,
  aux_sym_command_repeat1 = 155,
  aux_sym_command_repeat2 = 156,
  aux_sym_heredoc_body_repeat1 = 157,
  aux_sym__literal_repeat1 = 158,
  aux_sym_concatenation_repeat1 = 159,
  aux_sym_string_repeat1 = 160,
  aux_sym_expansion_repeat1 = 161,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_SEMI_AMP] = ";&",
  [anon_sym_SEMI_SEMI_AMP] = ";;&",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":\?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_SEMI_AMP] = anon_sym_SEMI_AMP,
  [anon_sym_SEMI_SEMI_AMP] = anon_sym_SEMI_SEMI_AMP,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_fallthrough = 8,
  field_index = 9,
  field_initializer = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_redirect = 14,
  field_right = 15,
  field_termination = 16,
  field_update = 17,
  field_value = 18,
  field_variable = 19,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_fallthrough] = "fallthrough",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_termination] = "termination",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 3},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 42, .length = 1},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 52, .length = 2},
  [45] = {.index = 54, .length = 2},
  [46] = {.index = 56, .length = 2},
  [47] = {.index = 50, .length = 2},
  [48] = {.index = 52, .length = 2},
  [49] = {.index = 54, .length = 2},
  [50] = {.index = 58, .length = 2},
  [51] = {.index = 60, .length = 2},
  [52] = {.index = 62, .length = 3},
  [53] = {.index = 65, .length = 2},
  [54] = {.index = 67, .length = 3},
  [55] = {.index = 70, .length = 3},
  [56] = {.index = 73, .length = 2},
  [57] = {.index = 75, .length = 2},
  [58] = {.index = 77, .length = 3},
  [59] = {.index = 80, .length = 3},
  [60] = {.index = 73, .length = 2},
  [61] = {.index = 75, .length = 2},
  [62] = {.index = 77, .length = 3},
  [63] = {.index = 80, .length = 3},
  [64] = {.index = 83, .length = 3},
  [65] = {.index = 86, .length = 3},
  [66] = {.index = 89, .length = 3},
  [67] = {.index = 92, .length = 4},
  [68] = {.index = 96, .length = 3},
  [69] = {.index = 99, .length = 3},
  [70] = {.index = 96, .length = 3},
  [71] = {.index = 99, .length = 3},
  [72] = {.index = 102, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [42] =
    {field_value, 0},
  [43] =
    {field_body, 6},
  [44] =
    {field_body, 6},
    {field_update, 4},
  [46] =
    {field_body, 6},
    {field_condition, 3},
  [48] =
    {field_body, 6},
    {field_initializer, 2},
  [50] =
    {field_termination, 2},
    {field_value, 0},
  [52] =
    {field_fallthrough, 2},
    {field_value, 0},
  [54] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [56] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [58] =
    {field_body, 7},
    {field_update, 4},
  [60] =
    {field_body, 7},
    {field_condition, 3},
  [62] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [65] =
    {field_body, 7},
    {field_initializer, 2},
  [67] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [70] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [73] =
    {field_termination, 3},
    {field_value, 0},
  [75] =
    {field_fallthrough, 3},
    {field_value, 0},
  [77] =
    {field_termination, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [80] =
    {field_fallthrough, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [83] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [86] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [89] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [92] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [96] =
    {field_termination, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [99] =
    {field_fallthrough, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [102] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = anon_sym_STAR,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = anon_sym_STAR,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [37] = {
    [0] = sym_word,
  },
  [38] = {
    [4] = sym_word,
  },
  [47] = {
    [0] = sym_word,
  },
  [48] = {
    [0] = sym_word,
  },
  [49] = {
    [0] = sym_word,
  },
  [60] = {
    [0] = sym_word,
  },
  [61] = {
    [0] = sym_word,
  },
  [62] = {
    [0] = sym_word,
  },
  [63] = {
    [0] = sym_word,
  },
  [70] = {
    [0] = sym_word,
  },
  [71] = {
    [0] = sym_word,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__literal_repeat1, 2,
    aux_sym__literal_repeat1,
    sym_word,
  0,
};

static inline bool sym_word_character_set_1(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_2(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_3(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_4(int32_t c) {
  return (c < '"'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || c == ' '))
    : (c <= '$' || (c < '['
      ? (c < ';'
        ? (c >= '&' && c <= ')')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_5(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_6(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '&'
        ? (c >= ' ' && c <= '$')
        : c <= ')')))
    : (c <= '<' || (c < '`'
      ? (c < '['
        ? c == '>'
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_7(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_8(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_9(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '&'
        ? (c >= ' ' && c <= '$')
        : c <= ')')))
    : (c <= '<' || (c < '`'
      ? (c < '['
        ? c == '>'
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_10(int32_t c) {
  return (c < '"'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || c == ' '))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(204);
      if (lookahead == '!') ADVANCE(263);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '+') ADVANCE(302);
      if (lookahead == '-') ADVANCE(305);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == '0') ADVANCE(364);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(284);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(367);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'd') ADVANCE(411);
      if (lookahead == 'e') ADVANCE(407);
      if (lookahead == 'f') ADVANCE(405);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(76)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(79)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(81)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(80)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(82)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(83)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(8)
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(352);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(60)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(61)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(62)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(63)
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(65)
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(67)
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(69)
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(70)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(95)
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(71)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(72)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(73)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(25)
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(165)
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == 'e') ADVANCE(357);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(166)
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(421);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(175)
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == 'i') ADVANCE(356);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(170)
      if (lookahead == 'e') ADVANCE(129);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(421);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '\\') SKIP(181)
      if (lookahead == 'e') ADVANCE(129);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(26)
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(96)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(33)
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(207);
      if (lookahead == '!') ADVANCE(264);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(422);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(167)
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(207);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(422);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(171)
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(36)
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(421);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == '-') ADVANCE(413);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(89)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(78)
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(88)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(84)
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(94)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(93)
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(77)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(28)
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(34)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(74)
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(75)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(99)
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(90)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(91)
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(92)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(97)
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(98)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(27)
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(85)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(101)
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(29)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(102)
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(103)
      END_STATE();
    case 60:
      if (lookahead == '\n') ADVANCE(209);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(60)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 61:
      if (lookahead == '\n') ADVANCE(210);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(352);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(61)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 62:
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(62)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 63:
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(412);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 64:
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(352);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(64)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 65:
      if (lookahead == '\n') ADVANCE(214);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(65)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 66:
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(66)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 67:
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(67)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 68:
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(146);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(68)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 69:
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(69)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 70:
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(70)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 71:
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(412);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(71)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 72:
      if (lookahead == '\n') ADVANCE(221);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(72)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(414);
      END_STATE();
    case 73:
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(73)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 74:
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(421);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(74)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 75:
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(421);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(75)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 76:
      if (lookahead == '!') ADVANCE(263);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '+') ADVANCE(302);
      if (lookahead == '-') ADVANCE(305);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == '0') ADVANCE(364);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(284);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(367);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'd') ADVANCE(411);
      if (lookahead == 'e') ADVANCE(407);
      if (lookahead == 'f') ADVANCE(405);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(76)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 77:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(77)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 78:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(78)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 79:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(79)
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 80:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(412);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(80)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 81:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(408);
      if (lookahead == 'f') ADVANCE(405);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(81)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 82:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'f') ADVANCE(405);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(82)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 83:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead == ']') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(83)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 84:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '-') ADVANCE(413);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(84)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 85:
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(176)
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '|') ADVANCE(247);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(85)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 86:
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(330);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 87:
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(331);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 88:
      if (lookahead == '!') ADVANCE(264);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(169)
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(88)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 89:
      if (lookahead == '!') ADVANCE(264);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ':') ADVANCE(314);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(168)
      if (lookahead == ']') ADVANCE(116);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(89)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 90:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '(') ADVANCE(109);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == ':') ADVANCE(314);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(172)
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(90)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 91:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(173)
      if (lookahead == '|') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(91)
      END_STATE();
    case 92:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(174)
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(92)
      END_STATE();
    case 93:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 94:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 95:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 96:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96)
      if (lookahead != 0 &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 97:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(97)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 98:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(164);
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(98)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 99:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'e') ADVANCE(412);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(99)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 100:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(327);
      if (lookahead == '$') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(332);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 101:
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '+') ADVANCE(114);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '<') ADVANCE(281);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') SKIP(178)
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 102:
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '+') ADVANCE(114);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == '[') ADVANCE(266);
      if (lookahead == '\\') SKIP(182)
      if (lookahead == 'd') ADVANCE(128);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(102)
      END_STATE();
    case 103:
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') SKIP(183)
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(103)
      END_STATE();
    case 104:
      if (lookahead == '&') ADVANCE(260);
      END_STATE();
    case 105:
      if (lookahead == '&') ADVANCE(253);
      if (lookahead == ';') ADVANCE(252);
      END_STATE();
    case 106:
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead != 0) ADVANCE(106);
      END_STATE();
    case 107:
      if (lookahead == '\'') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 108:
      if (lookahead == '\'') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 109:
      if (lookahead == '(') ADVANCE(228);
      END_STATE();
    case 110:
      if (lookahead == '(') ADVANCE(346);
      END_STATE();
    case 111:
      if (lookahead == '(') ADVANCE(347);
      END_STATE();
    case 112:
      if (lookahead == ')') ADVANCE(229);
      END_STATE();
    case 113:
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 114:
      if (lookahead == '=') ADVANCE(279);
      END_STATE();
    case 115:
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    case 116:
      if (lookahead == ']') ADVANCE(270);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 121:
      if (lookahead == 'f') ADVANCE(239);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(120);
      END_STATE();
    case 123:
      if (lookahead == 'i') ADVANCE(237);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(121);
      if (lookahead == 's') ADVANCE(119);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(124);
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 126:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 130:
      if (lookahead == '|') ADVANCE(261);
      END_STATE();
    case 131:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(76)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(387);
      if (lookahead == '\r') SKIP(1)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 132:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(79)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(391);
      if (lookahead == '\r') SKIP(2)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 133:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(81)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(392);
      if (lookahead == '\r') SKIP(3)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 134:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(80)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(393);
      if (lookahead == '\r') SKIP(4)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 135:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(82)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(394);
      if (lookahead == '\r') SKIP(5)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 136:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(83)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(395);
      if (lookahead == '\r') SKIP(6)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 137:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(8)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(369);
      if (lookahead == '\r') SKIP(7)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 138:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(60)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(371);
      if (lookahead == '\r') SKIP(9)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 139:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(61)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(372);
      if (lookahead == '\r') SKIP(10)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 140:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(62)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(373);
      if (lookahead == '\r') SKIP(11)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 141:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(63)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(374);
      if (lookahead == '\r') SKIP(12)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 142:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(64)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(375);
      if (lookahead == '\r') SKIP(13)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 143:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(65)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(376);
      if (lookahead == '\r') SKIP(14)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 144:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(66)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(377);
      if (lookahead == '\r') SKIP(15)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 145:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(67)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(378);
      if (lookahead == '\r') SKIP(16)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 146:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(68)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(379);
      if (lookahead == '\r') SKIP(17)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 147:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(69)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(380);
      if (lookahead == '\r') SKIP(18)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 148:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(70)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(381);
      if (lookahead == '\r') SKIP(19)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 149:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(95)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(415);
      if (lookahead == '\r') SKIP(20)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 150:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(71)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(382);
      if (lookahead == '\r') SKIP(21)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 151:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(72)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(383);
      if (lookahead == '\r') SKIP(22)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 152:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(73)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(384);
      if (lookahead == '\r') SKIP(23)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 153:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(96)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(416);
      if (lookahead == '\r') SKIP(31)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 154:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(36)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(370);
      if (lookahead == '\r') SKIP(35)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 155:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(78)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(389);
      if (lookahead == '\r') SKIP(38)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 156:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(84)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(390);
      if (lookahead == '\r') SKIP(40)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 157:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(94)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(397);
      if (lookahead == '\r') SKIP(41)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 158:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(93)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(396);
      if (lookahead == '\r') SKIP(42)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 159:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(77)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(388);
      if (lookahead == '\r') SKIP(43)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 160:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(74)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(385);
      if (lookahead == '\r') SKIP(46)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 161:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(75)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(386);
      if (lookahead == '\r') SKIP(47)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 162:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(99)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(417);
      if (lookahead == '\r') SKIP(48)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 163:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(97)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(418);
      if (lookahead == '\r') SKIP(52)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 164:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(98)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(419);
      if (lookahead == '\r') SKIP(53)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 165:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(25)
      if (lookahead == '\r') SKIP(24)
      END_STATE();
    case 166:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(26)
      if (lookahead == '\r') SKIP(30)
      END_STATE();
    case 167:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(33)
      if (lookahead == '\r') SKIP(32)
      END_STATE();
    case 168:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(89)
      if (lookahead == '\r') SKIP(37)
      END_STATE();
    case 169:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(88)
      if (lookahead == '\r') SKIP(39)
      END_STATE();
    case 170:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(28)
      if (lookahead == '\r') SKIP(44)
      END_STATE();
    case 171:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(34)
      if (lookahead == '\r') SKIP(45)
      END_STATE();
    case 172:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(90)
      if (lookahead == '\r') SKIP(49)
      END_STATE();
    case 173:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(91)
      if (lookahead == '\r') SKIP(50)
      END_STATE();
    case 174:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(92)
      if (lookahead == '\r') SKIP(51)
      END_STATE();
    case 175:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(27)
      if (lookahead == '\r') SKIP(54)
      END_STATE();
    case 176:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(85)
      if (lookahead == '\r') SKIP(55)
      END_STATE();
    case 177:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(330);
      if (lookahead == '\r') ADVANCE(326);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 178:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(101)
      if (lookahead == '\r') SKIP(56)
      END_STATE();
    case 179:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(331);
      if (lookahead == '\r') ADVANCE(328);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 180:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(332);
      if (lookahead == '\r') ADVANCE(329);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 181:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(29)
      if (lookahead == '\r') SKIP(57)
      END_STATE();
    case 182:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(102)
      if (lookahead == '\r') SKIP(58)
      END_STATE();
    case 183:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(103)
      if (lookahead == '\r') SKIP(59)
      END_STATE();
    case 184:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(414);
      END_STATE();
    case 185:
      if (lookahead != 0 &&
          lookahead != '\r') ADVANCE(333);
      if (lookahead == '\r') ADVANCE(334);
      END_STATE();
    case 186:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') SKIP(200)
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(186)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 187:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(201)
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(187)
      END_STATE();
    case 188:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '&') ADVANCE(421);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(203)
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(188)
      END_STATE();
    case 189:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(186)
      END_STATE();
    case 190:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(187)
      END_STATE();
    case 191:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 192:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(188)
      END_STATE();
    case 193:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(193)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 194:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(146);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 195:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(195)
      if (lookahead != 0) ADVANCE(414);
      END_STATE();
    case 196:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 197:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(423);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(197)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(414);
      END_STATE();
    case 198:
      if (eof) ADVANCE(204);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(198)
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(414);
      END_STATE();
    case 199:
      if (eof) ADVANCE(204);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(349);
      if (lookahead == '$') ADVANCE(322);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == ':') ADVANCE(314);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(202)
      if (lookahead == ']') ADVANCE(324);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == 'd') ADVANCE(128);
      if (lookahead == 'e') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(123);
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == 't') ADVANCE(122);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(199)
      END_STATE();
    case 200:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(186)
      if (lookahead == '\r') SKIP(189)
      END_STATE();
    case 201:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(187)
      if (lookahead == '\r') SKIP(190)
      END_STATE();
    case 202:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(199)
      if (lookahead == '\r') SKIP(191)
      END_STATE();
    case 203:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(188)
      if (lookahead == '\r') SKIP(192)
      END_STATE();
    case 204:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\\') ADVANCE(137);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(207);
      if (lookahead == '-') ADVANCE(306);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '-') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(154);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(209);
      if (lookahead == '\\') ADVANCE(138);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(210);
      if (lookahead == '\\') ADVANCE(139);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '\\') ADVANCE(140);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '\\') ADVANCE(141);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '\\') ADVANCE(142);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(143);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(144);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(145);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(146);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '\\') ADVANCE(147);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(148);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(150);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(151);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(152);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\\') ADVANCE(160);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(161);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == '&') ADVANCE(253);
      if (lookahead == ';') ADVANCE(252);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(251);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_fi);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_elif);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(259);
      if (lookahead == '|') ADVANCE(261);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(261);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      if (lookahead == '&') ADVANCE(254);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_SEMI_AMP);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI_AMP);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(228);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(414);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(269);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == '~') ADVANCE(272);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(414);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(273);
      if (lookahead == '~') ADVANCE(271);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '(') ADVANCE(346);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '(') ADVANCE(346);
      if (lookahead == '<') ADVANCE(297);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '(') ADVANCE(346);
      if (lookahead == '<') ADVANCE(297);
      if (lookahead == '=') ADVANCE(310);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '<') ADVANCE(297);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(310);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '(') ADVANCE(347);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(291);
      if (lookahead == '|') ADVANCE(296);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '(') ADVANCE(347);
      if (lookahead == '>') ADVANCE(291);
      if (lookahead == '|') ADVANCE(296);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '>') ADVANCE(291);
      if (lookahead == '|') ADVANCE(296);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(311);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(298);
      if (lookahead == '<') ADVANCE(299);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(317);
      if (lookahead == '=') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(414);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(316);
      if (lookahead == '=') ADVANCE(279);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(319);
      if (lookahead == '=') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(420);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(414);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(318);
      if (lookahead == '=') ADVANCE(308);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(420);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(342);
      if (lookahead == '?') ADVANCE(341);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '(') ADVANCE(344);
      if (lookahead == '{') ADVANCE(339);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(344);
      if (lookahead == '{') ADVANCE(339);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(270);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(327);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(331);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(330);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(331);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(327);
      if (lookahead == '$') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '`') ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(332);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(185);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(333);
      if (lookahead == '\r') ADVANCE(327);
      if (lookahead != 0) ADVANCE(327);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 's') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(358);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == 'e') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(414);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '-') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(154);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(414);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(209);
      if (lookahead == '\\') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(414);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(210);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == 'e') ADVANCE(352);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '\\') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(414);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == 'e') ADVANCE(412);
      if (!sym_word_character_set_7(lookahead)) ADVANCE(414);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead == '_') ADVANCE(366);
      if (lookahead == 'e') ADVANCE(352);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(214);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '\\') ADVANCE(144);
      if (!sym_word_character_set_7(lookahead)) ADVANCE(414);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(146);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '=') ADVANCE(398);
      if (lookahead == '\\') ADVANCE(147);
      if (!sym_word_character_set_7(lookahead)) ADVANCE(414);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead == 'e') ADVANCE(412);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(414);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(151);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(414);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(152);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(414);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(161);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(414);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(263);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '+') ADVANCE(302);
      if (lookahead == '-') ADVANCE(305);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == '0') ADVANCE(364);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == '_') ADVANCE(367);
      if (lookahead == 'd') ADVANCE(411);
      if (lookahead == 'e') ADVANCE(407);
      if (lookahead == 'f') ADVANCE(405);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(363);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(362);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(366);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(414);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '-') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(156);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(414);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(132);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(414);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == 'e') ADVANCE(408);
      if (lookahead == 'f') ADVANCE(405);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(414);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == 'e') ADVANCE(412);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(414);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == 'f') ADVANCE(405);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(414);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(136);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(414);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(158);
      if (!sym_word_character_set_10(lookahead)) ADVANCE(414);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '%') ADVANCE(343);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(157);
      if (!sym_word_character_set_10(lookahead)) ADVANCE(414);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == '~') ADVANCE(272);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(414);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(400);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(245);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'e') ADVANCE(242);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'e') ADVANCE(410);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'f') ADVANCE(240);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'h') ADVANCE(402);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(238);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(403);
      if (lookahead == 's') ADVANCE(401);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'l') ADVANCE(406);
      if (lookahead == 's') ADVANCE(399);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'l') ADVANCE(406);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'n') ADVANCE(226);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'n') ADVANCE(236);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'o') ADVANCE(234);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 's') ADVANCE(399);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(420);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(414);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(149);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(153);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead == 'e') ADVANCE(412);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(163);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(164);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(414);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(420);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(260);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(260);
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(0)
      if (lookahead == '\r') SKIP(12)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(13);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 4:
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(21);
      END_STATE();
    case 9:
      if (lookahead == 'y') ADVANCE(22);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(23);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(24);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 13:
      if (lookahead == 's') ADVANCE(25);
      END_STATE();
    case 14:
      if (lookahead == 'c') ADVANCE(26);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(27);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(28);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(30);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 20:
      if (lookahead == 'c') ADVANCE(31);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(33);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(34);
      END_STATE();
    case 24:
      if (lookahead == 'i') ADVANCE(35);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(40);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 32:
      if (lookahead == 'd') ADVANCE(42);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 37:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(51);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(55);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 56:
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(64);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 62:
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 64:
      if (lookahead == 'v') ADVANCE(67);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 198, .external_lex_state = 2},
  [2] = {.lex_state = 81, .external_lex_state = 2},
  [3] = {.lex_state = 81, .external_lex_state = 2},
  [4] = {.lex_state = 81, .external_lex_state = 2},
  [5] = {.lex_state = 81, .external_lex_state = 2},
  [6] = {.lex_state = 81, .external_lex_state = 2},
  [7] = {.lex_state = 81, .external_lex_state = 2},
  [8] = {.lex_state = 80, .external_lex_state = 2},
  [9] = {.lex_state = 80, .external_lex_state = 2},
  [10] = {.lex_state = 80, .external_lex_state = 2},
  [11] = {.lex_state = 80, .external_lex_state = 2},
  [12] = {.lex_state = 80, .external_lex_state = 2},
  [13] = {.lex_state = 198, .external_lex_state = 2},
  [14] = {.lex_state = 198, .external_lex_state = 2},
  [15] = {.lex_state = 198, .external_lex_state = 2},
  [16] = {.lex_state = 198, .external_lex_state = 2},
  [17] = {.lex_state = 198, .external_lex_state = 2},
  [18] = {.lex_state = 81, .external_lex_state = 2},
  [19] = {.lex_state = 81, .external_lex_state = 2},
  [20] = {.lex_state = 81, .external_lex_state = 2},
  [21] = {.lex_state = 198, .external_lex_state = 2},
  [22] = {.lex_state = 198, .external_lex_state = 2},
  [23] = {.lex_state = 198, .external_lex_state = 2},
  [24] = {.lex_state = 82, .external_lex_state = 2},
  [25] = {.lex_state = 198, .external_lex_state = 2},
  [26] = {.lex_state = 198, .external_lex_state = 2},
  [27] = {.lex_state = 198, .external_lex_state = 2},
  [28] = {.lex_state = 198, .external_lex_state = 2},
  [29] = {.lex_state = 198, .external_lex_state = 2},
  [30] = {.lex_state = 82, .external_lex_state = 2},
  [31] = {.lex_state = 82, .external_lex_state = 2},
  [32] = {.lex_state = 198, .external_lex_state = 2},
  [33] = {.lex_state = 198, .external_lex_state = 2},
  [34] = {.lex_state = 198, .external_lex_state = 2},
  [35] = {.lex_state = 198, .external_lex_state = 2},
  [36] = {.lex_state = 198, .external_lex_state = 2},
  [37] = {.lex_state = 198, .external_lex_state = 2},
  [38] = {.lex_state = 198, .external_lex_state = 2},
  [39] = {.lex_state = 198, .external_lex_state = 2},
  [40] = {.lex_state = 198, .external_lex_state = 2},
  [41] = {.lex_state = 198, .external_lex_state = 2},
  [42] = {.lex_state = 198, .external_lex_state = 2},
  [43] = {.lex_state = 198, .external_lex_state = 2},
  [44] = {.lex_state = 198, .external_lex_state = 2},
  [45] = {.lex_state = 198, .external_lex_state = 2},
  [46] = {.lex_state = 198, .external_lex_state = 2},
  [47] = {.lex_state = 198, .external_lex_state = 2},
  [48] = {.lex_state = 198, .external_lex_state = 2},
  [49] = {.lex_state = 198, .external_lex_state = 2},
  [50] = {.lex_state = 198, .external_lex_state = 2},
  [51] = {.lex_state = 198, .external_lex_state = 2},
  [52] = {.lex_state = 198, .external_lex_state = 2},
  [53] = {.lex_state = 198, .external_lex_state = 2},
  [54] = {.lex_state = 198, .external_lex_state = 2},
  [55] = {.lex_state = 198, .external_lex_state = 2},
  [56] = {.lex_state = 198, .external_lex_state = 2},
  [57] = {.lex_state = 198, .external_lex_state = 2},
  [58] = {.lex_state = 83, .external_lex_state = 3},
  [59] = {.lex_state = 198, .external_lex_state = 2},
  [60] = {.lex_state = 198, .external_lex_state = 2},
  [61] = {.lex_state = 198, .external_lex_state = 2},
  [62] = {.lex_state = 198, .external_lex_state = 2},
  [63] = {.lex_state = 198, .external_lex_state = 2},
  [64] = {.lex_state = 198, .external_lex_state = 2},
  [65] = {.lex_state = 198, .external_lex_state = 2},
  [66] = {.lex_state = 198, .external_lex_state = 2},
  [67] = {.lex_state = 198, .external_lex_state = 2},
  [68] = {.lex_state = 198, .external_lex_state = 2},
  [69] = {.lex_state = 198, .external_lex_state = 2},
  [70] = {.lex_state = 198, .external_lex_state = 2},
  [71] = {.lex_state = 198, .external_lex_state = 2},
  [72] = {.lex_state = 198, .external_lex_state = 2},
  [73] = {.lex_state = 198, .external_lex_state = 2},
  [74] = {.lex_state = 198, .external_lex_state = 2},
  [75] = {.lex_state = 198, .external_lex_state = 2},
  [76] = {.lex_state = 198, .external_lex_state = 2},
  [77] = {.lex_state = 83, .external_lex_state = 3},
  [78] = {.lex_state = 198, .external_lex_state = 2},
  [79] = {.lex_state = 198, .external_lex_state = 2},
  [80] = {.lex_state = 198, .external_lex_state = 2},
  [81] = {.lex_state = 198, .external_lex_state = 2},
  [82] = {.lex_state = 198, .external_lex_state = 2},
  [83] = {.lex_state = 198, .external_lex_state = 2},
  [84] = {.lex_state = 198, .external_lex_state = 2},
  [85] = {.lex_state = 198, .external_lex_state = 2},
  [86] = {.lex_state = 198, .external_lex_state = 2},
  [87] = {.lex_state = 198, .external_lex_state = 2},
  [88] = {.lex_state = 198, .external_lex_state = 2},
  [89] = {.lex_state = 198, .external_lex_state = 2},
  [90] = {.lex_state = 198, .external_lex_state = 2},
  [91] = {.lex_state = 198, .external_lex_state = 2},
  [92] = {.lex_state = 198, .external_lex_state = 2},
  [93] = {.lex_state = 198, .external_lex_state = 2},
  [94] = {.lex_state = 83, .external_lex_state = 3},
  [95] = {.lex_state = 83, .external_lex_state = 3},
  [96] = {.lex_state = 198, .external_lex_state = 2},
  [97] = {.lex_state = 198, .external_lex_state = 2},
  [98] = {.lex_state = 198, .external_lex_state = 2},
  [99] = {.lex_state = 198, .external_lex_state = 2},
  [100] = {.lex_state = 198, .external_lex_state = 2},
  [101] = {.lex_state = 198, .external_lex_state = 2},
  [102] = {.lex_state = 198, .external_lex_state = 2},
  [103] = {.lex_state = 198, .external_lex_state = 2},
  [104] = {.lex_state = 198, .external_lex_state = 2},
  [105] = {.lex_state = 198, .external_lex_state = 2},
  [106] = {.lex_state = 198, .external_lex_state = 2},
  [107] = {.lex_state = 198, .external_lex_state = 2},
  [108] = {.lex_state = 198, .external_lex_state = 2},
  [109] = {.lex_state = 198, .external_lex_state = 2},
  [110] = {.lex_state = 198, .external_lex_state = 2},
  [111] = {.lex_state = 198, .external_lex_state = 2},
  [112] = {.lex_state = 198, .external_lex_state = 2},
  [113] = {.lex_state = 198, .external_lex_state = 2},
  [114] = {.lex_state = 198, .external_lex_state = 2},
  [115] = {.lex_state = 198, .external_lex_state = 2},
  [116] = {.lex_state = 198, .external_lex_state = 2},
  [117] = {.lex_state = 198, .external_lex_state = 2},
  [118] = {.lex_state = 198, .external_lex_state = 2},
  [119] = {.lex_state = 198, .external_lex_state = 2},
  [120] = {.lex_state = 198, .external_lex_state = 2},
  [121] = {.lex_state = 198, .external_lex_state = 2},
  [122] = {.lex_state = 198, .external_lex_state = 2},
  [123] = {.lex_state = 198, .external_lex_state = 2},
  [124] = {.lex_state = 198, .external_lex_state = 2},
  [125] = {.lex_state = 198, .external_lex_state = 2},
  [126] = {.lex_state = 198, .external_lex_state = 2},
  [127] = {.lex_state = 198, .external_lex_state = 2},
  [128] = {.lex_state = 198, .external_lex_state = 2},
  [129] = {.lex_state = 83, .external_lex_state = 3},
  [130] = {.lex_state = 198, .external_lex_state = 2},
  [131] = {.lex_state = 198, .external_lex_state = 2},
  [132] = {.lex_state = 83, .external_lex_state = 3},
  [133] = {.lex_state = 83, .external_lex_state = 3},
  [134] = {.lex_state = 198, .external_lex_state = 2},
  [135] = {.lex_state = 198, .external_lex_state = 2},
  [136] = {.lex_state = 198, .external_lex_state = 2},
  [137] = {.lex_state = 198, .external_lex_state = 2},
  [138] = {.lex_state = 198, .external_lex_state = 2},
  [139] = {.lex_state = 198, .external_lex_state = 2},
  [140] = {.lex_state = 198, .external_lex_state = 2},
  [141] = {.lex_state = 198, .external_lex_state = 2},
  [142] = {.lex_state = 198, .external_lex_state = 2},
  [143] = {.lex_state = 198, .external_lex_state = 2},
  [144] = {.lex_state = 198, .external_lex_state = 2},
  [145] = {.lex_state = 198, .external_lex_state = 2},
  [146] = {.lex_state = 198, .external_lex_state = 2},
  [147] = {.lex_state = 198, .external_lex_state = 2},
  [148] = {.lex_state = 198, .external_lex_state = 2},
  [149] = {.lex_state = 198, .external_lex_state = 2},
  [150] = {.lex_state = 198, .external_lex_state = 2},
  [151] = {.lex_state = 198, .external_lex_state = 2},
  [152] = {.lex_state = 198, .external_lex_state = 2},
  [153] = {.lex_state = 198, .external_lex_state = 2},
  [154] = {.lex_state = 198, .external_lex_state = 2},
  [155] = {.lex_state = 198, .external_lex_state = 2},
  [156] = {.lex_state = 198, .external_lex_state = 2},
  [157] = {.lex_state = 198, .external_lex_state = 2},
  [158] = {.lex_state = 8, .external_lex_state = 4},
  [159] = {.lex_state = 8, .external_lex_state = 4},
  [160] = {.lex_state = 8, .external_lex_state = 4},
  [161] = {.lex_state = 80, .external_lex_state = 5},
  [162] = {.lex_state = 80, .external_lex_state = 5},
  [163] = {.lex_state = 60, .external_lex_state = 4},
  [164] = {.lex_state = 61, .external_lex_state = 6},
  [165] = {.lex_state = 60, .external_lex_state = 4},
  [166] = {.lex_state = 60, .external_lex_state = 4},
  [167] = {.lex_state = 193, .external_lex_state = 4},
  [168] = {.lex_state = 81, .external_lex_state = 5},
  [169] = {.lex_state = 63, .external_lex_state = 6},
  [170] = {.lex_state = 63, .external_lex_state = 6},
  [171] = {.lex_state = 193, .external_lex_state = 4},
  [172] = {.lex_state = 193, .external_lex_state = 4},
  [173] = {.lex_state = 198, .external_lex_state = 5},
  [174] = {.lex_state = 193, .external_lex_state = 4},
  [175] = {.lex_state = 63, .external_lex_state = 6},
  [176] = {.lex_state = 63, .external_lex_state = 6},
  [177] = {.lex_state = 64, .external_lex_state = 4},
  [178] = {.lex_state = 198, .external_lex_state = 5},
  [179] = {.lex_state = 63, .external_lex_state = 6},
  [180] = {.lex_state = 65, .external_lex_state = 6},
  [181] = {.lex_state = 193, .external_lex_state = 4},
  [182] = {.lex_state = 193, .external_lex_state = 4},
  [183] = {.lex_state = 64, .external_lex_state = 4},
  [184] = {.lex_state = 66, .external_lex_state = 6},
  [185] = {.lex_state = 193, .external_lex_state = 4},
  [186] = {.lex_state = 67, .external_lex_state = 4},
  [187] = {.lex_state = 8, .external_lex_state = 6},
  [188] = {.lex_state = 66, .external_lex_state = 6},
  [189] = {.lex_state = 64, .external_lex_state = 6},
  [190] = {.lex_state = 193, .external_lex_state = 4},
  [191] = {.lex_state = 8, .external_lex_state = 6},
  [192] = {.lex_state = 194, .external_lex_state = 6},
  [193] = {.lex_state = 194, .external_lex_state = 6},
  [194] = {.lex_state = 66, .external_lex_state = 6},
  [195] = {.lex_state = 8, .external_lex_state = 6},
  [196] = {.lex_state = 67, .external_lex_state = 4},
  [197] = {.lex_state = 66, .external_lex_state = 6},
  [198] = {.lex_state = 66, .external_lex_state = 6},
  [199] = {.lex_state = 198, .external_lex_state = 2},
  [200] = {.lex_state = 80, .external_lex_state = 2},
  [201] = {.lex_state = 83, .external_lex_state = 7},
  [202] = {.lex_state = 195, .external_lex_state = 6},
  [203] = {.lex_state = 195, .external_lex_state = 6},
  [204] = {.lex_state = 196, .external_lex_state = 4},
  [205] = {.lex_state = 195, .external_lex_state = 6},
  [206] = {.lex_state = 80, .external_lex_state = 2},
  [207] = {.lex_state = 198, .external_lex_state = 2},
  [208] = {.lex_state = 196, .external_lex_state = 4},
  [209] = {.lex_state = 195, .external_lex_state = 6},
  [210] = {.lex_state = 195, .external_lex_state = 6},
  [211] = {.lex_state = 198, .external_lex_state = 2},
  [212] = {.lex_state = 198, .external_lex_state = 5},
  [213] = {.lex_state = 195, .external_lex_state = 6},
  [214] = {.lex_state = 60, .external_lex_state = 6},
  [215] = {.lex_state = 82, .external_lex_state = 5},
  [216] = {.lex_state = 67, .external_lex_state = 6},
  [217] = {.lex_state = 60, .external_lex_state = 6},
  [218] = {.lex_state = 195, .external_lex_state = 6},
  [219] = {.lex_state = 198, .external_lex_state = 5},
  [220] = {.lex_state = 198, .external_lex_state = 2},
  [221] = {.lex_state = 198, .external_lex_state = 5},
  [222] = {.lex_state = 195, .external_lex_state = 6},
  [223] = {.lex_state = 198, .external_lex_state = 5},
  [224] = {.lex_state = 196, .external_lex_state = 4},
  [225] = {.lex_state = 198, .external_lex_state = 5},
  [226] = {.lex_state = 60, .external_lex_state = 6},
  [227] = {.lex_state = 195, .external_lex_state = 6},
  [228] = {.lex_state = 195, .external_lex_state = 6},
  [229] = {.lex_state = 196, .external_lex_state = 4},
  [230] = {.lex_state = 80, .external_lex_state = 2},
  [231] = {.lex_state = 80, .external_lex_state = 2},
  [232] = {.lex_state = 195, .external_lex_state = 6},
  [233] = {.lex_state = 193, .external_lex_state = 6},
  [234] = {.lex_state = 195, .external_lex_state = 6},
  [235] = {.lex_state = 196, .external_lex_state = 6},
  [236] = {.lex_state = 81, .external_lex_state = 2},
  [237] = {.lex_state = 195, .external_lex_state = 6},
  [238] = {.lex_state = 193, .external_lex_state = 6},
  [239] = {.lex_state = 195, .external_lex_state = 6},
  [240] = {.lex_state = 198, .external_lex_state = 5},
  [241] = {.lex_state = 198, .external_lex_state = 5},
  [242] = {.lex_state = 196, .external_lex_state = 6},
  [243] = {.lex_state = 81, .external_lex_state = 2},
  [244] = {.lex_state = 198, .external_lex_state = 5},
  [245] = {.lex_state = 193, .external_lex_state = 6},
  [246] = {.lex_state = 193, .external_lex_state = 6},
  [247] = {.lex_state = 193, .external_lex_state = 6},
  [248] = {.lex_state = 193, .external_lex_state = 6},
  [249] = {.lex_state = 193, .external_lex_state = 6},
  [250] = {.lex_state = 95, .external_lex_state = 2},
  [251] = {.lex_state = 95, .external_lex_state = 2},
  [252] = {.lex_state = 95, .external_lex_state = 2},
  [253] = {.lex_state = 95, .external_lex_state = 2},
  [254] = {.lex_state = 193, .external_lex_state = 6},
  [255] = {.lex_state = 95, .external_lex_state = 2},
  [256] = {.lex_state = 198, .external_lex_state = 2},
  [257] = {.lex_state = 198, .external_lex_state = 2},
  [258] = {.lex_state = 198, .external_lex_state = 2},
  [259] = {.lex_state = 198, .external_lex_state = 2},
  [260] = {.lex_state = 82, .external_lex_state = 2},
  [261] = {.lex_state = 82, .external_lex_state = 2},
  [262] = {.lex_state = 198, .external_lex_state = 2},
  [263] = {.lex_state = 198, .external_lex_state = 2},
  [264] = {.lex_state = 83, .external_lex_state = 3},
  [265] = {.lex_state = 83, .external_lex_state = 3},
  [266] = {.lex_state = 198, .external_lex_state = 2},
  [267] = {.lex_state = 198, .external_lex_state = 2},
  [268] = {.lex_state = 198, .external_lex_state = 2},
  [269] = {.lex_state = 198, .external_lex_state = 2},
  [270] = {.lex_state = 198, .external_lex_state = 2},
  [271] = {.lex_state = 71, .external_lex_state = 4},
  [272] = {.lex_state = 198, .external_lex_state = 2},
  [273] = {.lex_state = 71, .external_lex_state = 4},
  [274] = {.lex_state = 63, .external_lex_state = 8},
  [275] = {.lex_state = 71, .external_lex_state = 4},
  [276] = {.lex_state = 71, .external_lex_state = 4},
  [277] = {.lex_state = 8, .external_lex_state = 9},
  [278] = {.lex_state = 8, .external_lex_state = 9},
  [279] = {.lex_state = 72, .external_lex_state = 4},
  [280] = {.lex_state = 63, .external_lex_state = 8},
  [281] = {.lex_state = 63, .external_lex_state = 8},
  [282] = {.lex_state = 8, .external_lex_state = 9},
  [283] = {.lex_state = 66, .external_lex_state = 8},
  [284] = {.lex_state = 72, .external_lex_state = 4},
  [285] = {.lex_state = 72, .external_lex_state = 4},
  [286] = {.lex_state = 63, .external_lex_state = 8},
  [287] = {.lex_state = 8, .external_lex_state = 9},
  [288] = {.lex_state = 63, .external_lex_state = 8},
  [289] = {.lex_state = 63, .external_lex_state = 8},
  [290] = {.lex_state = 8, .external_lex_state = 9},
  [291] = {.lex_state = 72, .external_lex_state = 4},
  [292] = {.lex_state = 63, .external_lex_state = 8},
  [293] = {.lex_state = 8, .external_lex_state = 9},
  [294] = {.lex_state = 60, .external_lex_state = 9},
  [295] = {.lex_state = 60, .external_lex_state = 9},
  [296] = {.lex_state = 60, .external_lex_state = 9},
  [297] = {.lex_state = 63, .external_lex_state = 6},
  [298] = {.lex_state = 66, .external_lex_state = 8},
  [299] = {.lex_state = 8, .external_lex_state = 8},
  [300] = {.lex_state = 8, .external_lex_state = 9},
  [301] = {.lex_state = 8, .external_lex_state = 9},
  [302] = {.lex_state = 8, .external_lex_state = 9},
  [303] = {.lex_state = 8, .external_lex_state = 9},
  [304] = {.lex_state = 8, .external_lex_state = 9},
  [305] = {.lex_state = 8, .external_lex_state = 9},
  [306] = {.lex_state = 8, .external_lex_state = 9},
  [307] = {.lex_state = 8, .external_lex_state = 9},
  [308] = {.lex_state = 8, .external_lex_state = 9},
  [309] = {.lex_state = 8, .external_lex_state = 9},
  [310] = {.lex_state = 8, .external_lex_state = 9},
  [311] = {.lex_state = 8, .external_lex_state = 9},
  [312] = {.lex_state = 197, .external_lex_state = 4},
  [313] = {.lex_state = 195, .external_lex_state = 8},
  [314] = {.lex_state = 63, .external_lex_state = 6},
  [315] = {.lex_state = 8, .external_lex_state = 9},
  [316] = {.lex_state = 8, .external_lex_state = 9},
  [317] = {.lex_state = 197, .external_lex_state = 4},
  [318] = {.lex_state = 8, .external_lex_state = 9},
  [319] = {.lex_state = 8, .external_lex_state = 9},
  [320] = {.lex_state = 71, .external_lex_state = 9},
  [321] = {.lex_state = 8, .external_lex_state = 4},
  [322] = {.lex_state = 197, .external_lex_state = 4},
  [323] = {.lex_state = 8, .external_lex_state = 9},
  [324] = {.lex_state = 197, .external_lex_state = 4},
  [325] = {.lex_state = 197, .external_lex_state = 4},
  [326] = {.lex_state = 71, .external_lex_state = 9},
  [327] = {.lex_state = 8, .external_lex_state = 9},
  [328] = {.lex_state = 66, .external_lex_state = 8},
  [329] = {.lex_state = 8, .external_lex_state = 9},
  [330] = {.lex_state = 66, .external_lex_state = 8},
  [331] = {.lex_state = 63, .external_lex_state = 8},
  [332] = {.lex_state = 63, .external_lex_state = 8},
  [333] = {.lex_state = 63, .external_lex_state = 8},
  [334] = {.lex_state = 63, .external_lex_state = 8},
  [335] = {.lex_state = 63, .external_lex_state = 8},
  [336] = {.lex_state = 197, .external_lex_state = 4},
  [337] = {.lex_state = 63, .external_lex_state = 8},
  [338] = {.lex_state = 63, .external_lex_state = 8},
  [339] = {.lex_state = 63, .external_lex_state = 8},
  [340] = {.lex_state = 63, .external_lex_state = 8},
  [341] = {.lex_state = 63, .external_lex_state = 8},
  [342] = {.lex_state = 63, .external_lex_state = 8},
  [343] = {.lex_state = 63, .external_lex_state = 8},
  [344] = {.lex_state = 63, .external_lex_state = 8},
  [345] = {.lex_state = 71, .external_lex_state = 9},
  [346] = {.lex_state = 60, .external_lex_state = 9},
  [347] = {.lex_state = 195, .external_lex_state = 8},
  [348] = {.lex_state = 8, .external_lex_state = 4},
  [349] = {.lex_state = 63, .external_lex_state = 8},
  [350] = {.lex_state = 63, .external_lex_state = 8},
  [351] = {.lex_state = 63, .external_lex_state = 8},
  [352] = {.lex_state = 63, .external_lex_state = 8},
  [353] = {.lex_state = 8, .external_lex_state = 8},
  [354] = {.lex_state = 8, .external_lex_state = 8},
  [355] = {.lex_state = 60, .external_lex_state = 9},
  [356] = {.lex_state = 63, .external_lex_state = 6},
  [357] = {.lex_state = 197, .external_lex_state = 4},
  [358] = {.lex_state = 63, .external_lex_state = 6},
  [359] = {.lex_state = 63, .external_lex_state = 8},
  [360] = {.lex_state = 197, .external_lex_state = 4},
  [361] = {.lex_state = 8, .external_lex_state = 4},
  [362] = {.lex_state = 8, .external_lex_state = 8},
  [363] = {.lex_state = 63, .external_lex_state = 8},
  [364] = {.lex_state = 63, .external_lex_state = 8},
  [365] = {.lex_state = 63, .external_lex_state = 8},
  [366] = {.lex_state = 71, .external_lex_state = 9},
  [367] = {.lex_state = 8, .external_lex_state = 9},
  [368] = {.lex_state = 8, .external_lex_state = 9},
  [369] = {.lex_state = 8, .external_lex_state = 9},
  [370] = {.lex_state = 66, .external_lex_state = 8},
  [371] = {.lex_state = 8, .external_lex_state = 9},
  [372] = {.lex_state = 8, .external_lex_state = 9},
  [373] = {.lex_state = 66, .external_lex_state = 8},
  [374] = {.lex_state = 8, .external_lex_state = 9},
  [375] = {.lex_state = 63, .external_lex_state = 8},
  [376] = {.lex_state = 63, .external_lex_state = 8},
  [377] = {.lex_state = 63, .external_lex_state = 8},
  [378] = {.lex_state = 66, .external_lex_state = 8},
  [379] = {.lex_state = 63, .external_lex_state = 8},
  [380] = {.lex_state = 63, .external_lex_state = 8},
  [381] = {.lex_state = 8, .external_lex_state = 8},
  [382] = {.lex_state = 60, .external_lex_state = 9},
  [383] = {.lex_state = 71, .external_lex_state = 9},
  [384] = {.lex_state = 8, .external_lex_state = 8},
  [385] = {.lex_state = 8, .external_lex_state = 8},
  [386] = {.lex_state = 193, .external_lex_state = 9},
  [387] = {.lex_state = 60, .external_lex_state = 9},
  [388] = {.lex_state = 193, .external_lex_state = 9},
  [389] = {.lex_state = 193, .external_lex_state = 9},
  [390] = {.lex_state = 60, .external_lex_state = 9},
  [391] = {.lex_state = 60, .external_lex_state = 4},
  [392] = {.lex_state = 63, .external_lex_state = 6},
  [393] = {.lex_state = 60, .external_lex_state = 9},
  [394] = {.lex_state = 72, .external_lex_state = 9},
  [395] = {.lex_state = 8, .external_lex_state = 4},
  [396] = {.lex_state = 60, .external_lex_state = 9},
  [397] = {.lex_state = 8, .external_lex_state = 8},
  [398] = {.lex_state = 8, .external_lex_state = 4},
  [399] = {.lex_state = 8, .external_lex_state = 8},
  [400] = {.lex_state = 60, .external_lex_state = 9},
  [401] = {.lex_state = 8, .external_lex_state = 4},
  [402] = {.lex_state = 193, .external_lex_state = 9},
  [403] = {.lex_state = 8, .external_lex_state = 8},
  [404] = {.lex_state = 193, .external_lex_state = 9},
  [405] = {.lex_state = 71, .external_lex_state = 4},
  [406] = {.lex_state = 60, .external_lex_state = 9},
  [407] = {.lex_state = 193, .external_lex_state = 9},
  [408] = {.lex_state = 8, .external_lex_state = 8},
  [409] = {.lex_state = 71, .external_lex_state = 9},
  [410] = {.lex_state = 60, .external_lex_state = 9},
  [411] = {.lex_state = 71, .external_lex_state = 9},
  [412] = {.lex_state = 193, .external_lex_state = 9},
  [413] = {.lex_state = 8, .external_lex_state = 4},
  [414] = {.lex_state = 60, .external_lex_state = 9},
  [415] = {.lex_state = 71, .external_lex_state = 9},
  [416] = {.lex_state = 60, .external_lex_state = 9},
  [417] = {.lex_state = 60, .external_lex_state = 9},
  [418] = {.lex_state = 60, .external_lex_state = 9},
  [419] = {.lex_state = 60, .external_lex_state = 8},
  [420] = {.lex_state = 60, .external_lex_state = 9},
  [421] = {.lex_state = 71, .external_lex_state = 9},
  [422] = {.lex_state = 72, .external_lex_state = 9},
  [423] = {.lex_state = 60, .external_lex_state = 9},
  [424] = {.lex_state = 71, .external_lex_state = 9},
  [425] = {.lex_state = 8, .external_lex_state = 8},
  [426] = {.lex_state = 8, .external_lex_state = 8},
  [427] = {.lex_state = 8, .external_lex_state = 8},
  [428] = {.lex_state = 8, .external_lex_state = 6},
  [429] = {.lex_state = 8, .external_lex_state = 8},
  [430] = {.lex_state = 8, .external_lex_state = 8},
  [431] = {.lex_state = 197, .external_lex_state = 4},
  [432] = {.lex_state = 8, .external_lex_state = 8},
  [433] = {.lex_state = 195, .external_lex_state = 8},
  [434] = {.lex_state = 8, .external_lex_state = 8},
  [435] = {.lex_state = 66, .external_lex_state = 6},
  [436] = {.lex_state = 8, .external_lex_state = 8},
  [437] = {.lex_state = 8, .external_lex_state = 8},
  [438] = {.lex_state = 8, .external_lex_state = 8},
  [439] = {.lex_state = 8, .external_lex_state = 8},
  [440] = {.lex_state = 8, .external_lex_state = 8},
  [441] = {.lex_state = 195, .external_lex_state = 8},
  [442] = {.lex_state = 8, .external_lex_state = 8},
  [443] = {.lex_state = 8, .external_lex_state = 8},
  [444] = {.lex_state = 8, .external_lex_state = 8},
  [445] = {.lex_state = 8, .external_lex_state = 8},
  [446] = {.lex_state = 8, .external_lex_state = 8},
  [447] = {.lex_state = 8, .external_lex_state = 8},
  [448] = {.lex_state = 8, .external_lex_state = 8},
  [449] = {.lex_state = 71, .external_lex_state = 9},
  [450] = {.lex_state = 66, .external_lex_state = 8},
  [451] = {.lex_state = 193, .external_lex_state = 9},
  [452] = {.lex_state = 197, .external_lex_state = 4},
  [453] = {.lex_state = 71, .external_lex_state = 9},
  [454] = {.lex_state = 66, .external_lex_state = 6},
  [455] = {.lex_state = 193, .external_lex_state = 9},
  [456] = {.lex_state = 66, .external_lex_state = 8},
  [457] = {.lex_state = 197, .external_lex_state = 4},
  [458] = {.lex_state = 71, .external_lex_state = 9},
  [459] = {.lex_state = 71, .external_lex_state = 4},
  [460] = {.lex_state = 66, .external_lex_state = 8},
  [461] = {.lex_state = 66, .external_lex_state = 8},
  [462] = {.lex_state = 71, .external_lex_state = 9},
  [463] = {.lex_state = 71, .external_lex_state = 9},
  [464] = {.lex_state = 71, .external_lex_state = 9},
  [465] = {.lex_state = 60, .external_lex_state = 8},
  [466] = {.lex_state = 60, .external_lex_state = 4},
  [467] = {.lex_state = 71, .external_lex_state = 9},
  [468] = {.lex_state = 66, .external_lex_state = 8},
  [469] = {.lex_state = 66, .external_lex_state = 6},
  [470] = {.lex_state = 66, .external_lex_state = 8},
  [471] = {.lex_state = 71, .external_lex_state = 9},
  [472] = {.lex_state = 195, .external_lex_state = 8},
  [473] = {.lex_state = 71, .external_lex_state = 9},
  [474] = {.lex_state = 71, .external_lex_state = 9},
  [475] = {.lex_state = 71, .external_lex_state = 9},
  [476] = {.lex_state = 195, .external_lex_state = 8},
  [477] = {.lex_state = 195, .external_lex_state = 8},
  [478] = {.lex_state = 71, .external_lex_state = 9},
  [479] = {.lex_state = 71, .external_lex_state = 9},
  [480] = {.lex_state = 71, .external_lex_state = 9},
  [481] = {.lex_state = 71, .external_lex_state = 9},
  [482] = {.lex_state = 71, .external_lex_state = 9},
  [483] = {.lex_state = 71, .external_lex_state = 9},
  [484] = {.lex_state = 71, .external_lex_state = 9},
  [485] = {.lex_state = 71, .external_lex_state = 9},
  [486] = {.lex_state = 71, .external_lex_state = 9},
  [487] = {.lex_state = 60, .external_lex_state = 9},
  [488] = {.lex_state = 60, .external_lex_state = 9},
  [489] = {.lex_state = 60, .external_lex_state = 9},
  [490] = {.lex_state = 60, .external_lex_state = 9},
  [491] = {.lex_state = 60, .external_lex_state = 9},
  [492] = {.lex_state = 193, .external_lex_state = 9},
  [493] = {.lex_state = 25, .external_lex_state = 6},
  [494] = {.lex_state = 60, .external_lex_state = 9},
  [495] = {.lex_state = 63, .external_lex_state = 6},
  [496] = {.lex_state = 197, .external_lex_state = 4},
  [497] = {.lex_state = 197, .external_lex_state = 4},
  [498] = {.lex_state = 195, .external_lex_state = 8},
  [499] = {.lex_state = 66, .external_lex_state = 8},
  [500] = {.lex_state = 197, .external_lex_state = 4},
  [501] = {.lex_state = 66, .external_lex_state = 8},
  [502] = {.lex_state = 60, .external_lex_state = 8},
  [503] = {.lex_state = 197, .external_lex_state = 4},
  [504] = {.lex_state = 66, .external_lex_state = 8},
  [505] = {.lex_state = 66, .external_lex_state = 6},
  [506] = {.lex_state = 60, .external_lex_state = 8},
  [507] = {.lex_state = 66, .external_lex_state = 8},
  [508] = {.lex_state = 66, .external_lex_state = 8},
  [509] = {.lex_state = 66, .external_lex_state = 8},
  [510] = {.lex_state = 197, .external_lex_state = 4},
  [511] = {.lex_state = 66, .external_lex_state = 8},
  [512] = {.lex_state = 66, .external_lex_state = 8},
  [513] = {.lex_state = 63, .external_lex_state = 6},
  [514] = {.lex_state = 66, .external_lex_state = 8},
  [515] = {.lex_state = 195, .external_lex_state = 8},
  [516] = {.lex_state = 195, .external_lex_state = 8},
  [517] = {.lex_state = 66, .external_lex_state = 8},
  [518] = {.lex_state = 66, .external_lex_state = 8},
  [519] = {.lex_state = 195, .external_lex_state = 8},
  [520] = {.lex_state = 66, .external_lex_state = 8},
  [521] = {.lex_state = 66, .external_lex_state = 8},
  [522] = {.lex_state = 66, .external_lex_state = 8},
  [523] = {.lex_state = 66, .external_lex_state = 8},
  [524] = {.lex_state = 66, .external_lex_state = 8},
  [525] = {.lex_state = 66, .external_lex_state = 8},
  [526] = {.lex_state = 66, .external_lex_state = 8},
  [527] = {.lex_state = 66, .external_lex_state = 8},
  [528] = {.lex_state = 66, .external_lex_state = 8},
  [529] = {.lex_state = 195, .external_lex_state = 8},
  [530] = {.lex_state = 60, .external_lex_state = 9},
  [531] = {.lex_state = 60, .external_lex_state = 9},
  [532] = {.lex_state = 197, .external_lex_state = 4},
  [533] = {.lex_state = 197, .external_lex_state = 4},
  [534] = {.lex_state = 63, .external_lex_state = 6},
  [535] = {.lex_state = 72, .external_lex_state = 9},
  [536] = {.lex_state = 60, .external_lex_state = 9},
  [537] = {.lex_state = 195, .external_lex_state = 8},
  [538] = {.lex_state = 60, .external_lex_state = 4},
  [539] = {.lex_state = 72, .external_lex_state = 9},
  [540] = {.lex_state = 60, .external_lex_state = 9},
  [541] = {.lex_state = 60, .external_lex_state = 9},
  [542] = {.lex_state = 8, .external_lex_state = 6},
  [543] = {.lex_state = 195, .external_lex_state = 8},
  [544] = {.lex_state = 60, .external_lex_state = 9},
  [545] = {.lex_state = 60, .external_lex_state = 8},
  [546] = {.lex_state = 72, .external_lex_state = 9},
  [547] = {.lex_state = 193, .external_lex_state = 8},
  [548] = {.lex_state = 193, .external_lex_state = 9},
  [549] = {.lex_state = 193, .external_lex_state = 9},
  [550] = {.lex_state = 193, .external_lex_state = 8},
  [551] = {.lex_state = 193, .external_lex_state = 9},
  [552] = {.lex_state = 193, .external_lex_state = 9},
  [553] = {.lex_state = 193, .external_lex_state = 9},
  [554] = {.lex_state = 193, .external_lex_state = 9},
  [555] = {.lex_state = 193, .external_lex_state = 9},
  [556] = {.lex_state = 193, .external_lex_state = 9},
  [557] = {.lex_state = 193, .external_lex_state = 9},
  [558] = {.lex_state = 193, .external_lex_state = 9},
  [559] = {.lex_state = 193, .external_lex_state = 9},
  [560] = {.lex_state = 193, .external_lex_state = 9},
  [561] = {.lex_state = 193, .external_lex_state = 9},
  [562] = {.lex_state = 193, .external_lex_state = 9},
  [563] = {.lex_state = 193, .external_lex_state = 9},
  [564] = {.lex_state = 193, .external_lex_state = 9},
  [565] = {.lex_state = 193, .external_lex_state = 9},
  [566] = {.lex_state = 193, .external_lex_state = 9},
  [567] = {.lex_state = 193, .external_lex_state = 9},
  [568] = {.lex_state = 193, .external_lex_state = 9},
  [569] = {.lex_state = 193, .external_lex_state = 9},
  [570] = {.lex_state = 193, .external_lex_state = 9},
  [571] = {.lex_state = 193, .external_lex_state = 9},
  [572] = {.lex_state = 193, .external_lex_state = 9},
  [573] = {.lex_state = 193, .external_lex_state = 9},
  [574] = {.lex_state = 193, .external_lex_state = 4},
  [575] = {.lex_state = 193, .external_lex_state = 8},
  [576] = {.lex_state = 197, .external_lex_state = 9},
  [577] = {.lex_state = 60, .external_lex_state = 4},
  [578] = {.lex_state = 60, .external_lex_state = 4},
  [579] = {.lex_state = 197, .external_lex_state = 9},
  [580] = {.lex_state = 197, .external_lex_state = 9},
  [581] = {.lex_state = 60, .external_lex_state = 4},
  [582] = {.lex_state = 197, .external_lex_state = 9},
  [583] = {.lex_state = 197, .external_lex_state = 9},
  [584] = {.lex_state = 193, .external_lex_state = 9},
  [585] = {.lex_state = 72, .external_lex_state = 4},
  [586] = {.lex_state = 197, .external_lex_state = 9},
  [587] = {.lex_state = 193, .external_lex_state = 8},
  [588] = {.lex_state = 193, .external_lex_state = 8},
  [589] = {.lex_state = 186, .external_lex_state = 6},
  [590] = {.lex_state = 193, .external_lex_state = 4},
  [591] = {.lex_state = 193, .external_lex_state = 8},
  [592] = {.lex_state = 193, .external_lex_state = 9},
  [593] = {.lex_state = 193, .external_lex_state = 9},
  [594] = {.lex_state = 193, .external_lex_state = 9},
  [595] = {.lex_state = 193, .external_lex_state = 9},
  [596] = {.lex_state = 193, .external_lex_state = 9},
  [597] = {.lex_state = 193, .external_lex_state = 9},
  [598] = {.lex_state = 193, .external_lex_state = 9},
  [599] = {.lex_state = 193, .external_lex_state = 9},
  [600] = {.lex_state = 193, .external_lex_state = 9},
  [601] = {.lex_state = 193, .external_lex_state = 9},
  [602] = {.lex_state = 71, .external_lex_state = 4},
  [603] = {.lex_state = 193, .external_lex_state = 9},
  [604] = {.lex_state = 193, .external_lex_state = 9},
  [605] = {.lex_state = 195, .external_lex_state = 6},
  [606] = {.lex_state = 193, .external_lex_state = 9},
  [607] = {.lex_state = 193, .external_lex_state = 9},
  [608] = {.lex_state = 71, .external_lex_state = 4},
  [609] = {.lex_state = 193, .external_lex_state = 9},
  [610] = {.lex_state = 193, .external_lex_state = 9},
  [611] = {.lex_state = 193, .external_lex_state = 9},
  [612] = {.lex_state = 193, .external_lex_state = 9},
  [613] = {.lex_state = 193, .external_lex_state = 9},
  [614] = {.lex_state = 193, .external_lex_state = 9},
  [615] = {.lex_state = 193, .external_lex_state = 9},
  [616] = {.lex_state = 71, .external_lex_state = 4},
  [617] = {.lex_state = 193, .external_lex_state = 9},
  [618] = {.lex_state = 193, .external_lex_state = 9},
  [619] = {.lex_state = 193, .external_lex_state = 9},
  [620] = {.lex_state = 193, .external_lex_state = 9},
  [621] = {.lex_state = 193, .external_lex_state = 9},
  [622] = {.lex_state = 195, .external_lex_state = 8},
  [623] = {.lex_state = 195, .external_lex_state = 8},
  [624] = {.lex_state = 195, .external_lex_state = 8},
  [625] = {.lex_state = 193, .external_lex_state = 4},
  [626] = {.lex_state = 195, .external_lex_state = 8},
  [627] = {.lex_state = 195, .external_lex_state = 8},
  [628] = {.lex_state = 195, .external_lex_state = 8},
  [629] = {.lex_state = 195, .external_lex_state = 8},
  [630] = {.lex_state = 195, .external_lex_state = 8},
  [631] = {.lex_state = 195, .external_lex_state = 8},
  [632] = {.lex_state = 195, .external_lex_state = 8},
  [633] = {.lex_state = 195, .external_lex_state = 8},
  [634] = {.lex_state = 8, .external_lex_state = 6},
  [635] = {.lex_state = 195, .external_lex_state = 8},
  [636] = {.lex_state = 195, .external_lex_state = 8},
  [637] = {.lex_state = 195, .external_lex_state = 8},
  [638] = {.lex_state = 195, .external_lex_state = 8},
  [639] = {.lex_state = 71, .external_lex_state = 4},
  [640] = {.lex_state = 197, .external_lex_state = 9},
  [641] = {.lex_state = 195, .external_lex_state = 8},
  [642] = {.lex_state = 195, .external_lex_state = 8},
  [643] = {.lex_state = 195, .external_lex_state = 6},
  [644] = {.lex_state = 195, .external_lex_state = 8},
  [645] = {.lex_state = 195, .external_lex_state = 8},
  [646] = {.lex_state = 195, .external_lex_state = 6},
  [647] = {.lex_state = 60, .external_lex_state = 8},
  [648] = {.lex_state = 60, .external_lex_state = 8},
  [649] = {.lex_state = 66, .external_lex_state = 6},
  [650] = {.lex_state = 195, .external_lex_state = 6},
  [651] = {.lex_state = 66, .external_lex_state = 6},
  [652] = {.lex_state = 60, .external_lex_state = 8},
  [653] = {.lex_state = 60, .external_lex_state = 8},
  [654] = {.lex_state = 195, .external_lex_state = 8},
  [655] = {.lex_state = 195, .external_lex_state = 8},
  [656] = {.lex_state = 195, .external_lex_state = 8},
  [657] = {.lex_state = 195, .external_lex_state = 8},
  [658] = {.lex_state = 195, .external_lex_state = 8},
  [659] = {.lex_state = 60, .external_lex_state = 8},
  [660] = {.lex_state = 60, .external_lex_state = 8},
  [661] = {.lex_state = 195, .external_lex_state = 8},
  [662] = {.lex_state = 195, .external_lex_state = 6},
  [663] = {.lex_state = 193, .external_lex_state = 8},
  [664] = {.lex_state = 193, .external_lex_state = 4},
  [665] = {.lex_state = 193, .external_lex_state = 4},
  [666] = {.lex_state = 72, .external_lex_state = 9},
  [667] = {.lex_state = 72, .external_lex_state = 9},
  [668] = {.lex_state = 60, .external_lex_state = 4},
  [669] = {.lex_state = 195, .external_lex_state = 6},
  [670] = {.lex_state = 193, .external_lex_state = 4},
  [671] = {.lex_state = 195, .external_lex_state = 8},
  [672] = {.lex_state = 193, .external_lex_state = 8},
  [673] = {.lex_state = 66, .external_lex_state = 6},
  [674] = {.lex_state = 195, .external_lex_state = 8},
  [675] = {.lex_state = 195, .external_lex_state = 8},
  [676] = {.lex_state = 195, .external_lex_state = 8},
  [677] = {.lex_state = 195, .external_lex_state = 8},
  [678] = {.lex_state = 195, .external_lex_state = 8},
  [679] = {.lex_state = 195, .external_lex_state = 8},
  [680] = {.lex_state = 72, .external_lex_state = 9},
  [681] = {.lex_state = 72, .external_lex_state = 9},
  [682] = {.lex_state = 60, .external_lex_state = 8},
  [683] = {.lex_state = 60, .external_lex_state = 8},
  [684] = {.lex_state = 60, .external_lex_state = 8},
  [685] = {.lex_state = 60, .external_lex_state = 8},
  [686] = {.lex_state = 195, .external_lex_state = 8},
  [687] = {.lex_state = 60, .external_lex_state = 8},
  [688] = {.lex_state = 60, .external_lex_state = 8},
  [689] = {.lex_state = 60, .external_lex_state = 8},
  [690] = {.lex_state = 60, .external_lex_state = 8},
  [691] = {.lex_state = 60, .external_lex_state = 8},
  [692] = {.lex_state = 60, .external_lex_state = 8},
  [693] = {.lex_state = 72, .external_lex_state = 9},
  [694] = {.lex_state = 60, .external_lex_state = 8},
  [695] = {.lex_state = 60, .external_lex_state = 8},
  [696] = {.lex_state = 60, .external_lex_state = 8},
  [697] = {.lex_state = 195, .external_lex_state = 6},
  [698] = {.lex_state = 195, .external_lex_state = 8},
  [699] = {.lex_state = 66, .external_lex_state = 6},
  [700] = {.lex_state = 195, .external_lex_state = 6},
  [701] = {.lex_state = 195, .external_lex_state = 8},
  [702] = {.lex_state = 195, .external_lex_state = 8},
  [703] = {.lex_state = 60, .external_lex_state = 8},
  [704] = {.lex_state = 60, .external_lex_state = 8},
  [705] = {.lex_state = 197, .external_lex_state = 9},
  [706] = {.lex_state = 195, .external_lex_state = 8},
  [707] = {.lex_state = 195, .external_lex_state = 8},
  [708] = {.lex_state = 195, .external_lex_state = 8},
  [709] = {.lex_state = 195, .external_lex_state = 8},
  [710] = {.lex_state = 60, .external_lex_state = 8},
  [711] = {.lex_state = 195, .external_lex_state = 8},
  [712] = {.lex_state = 60, .external_lex_state = 6},
  [713] = {.lex_state = 72, .external_lex_state = 9},
  [714] = {.lex_state = 60, .external_lex_state = 8},
  [715] = {.lex_state = 195, .external_lex_state = 8},
  [716] = {.lex_state = 26, .external_lex_state = 6},
  [717] = {.lex_state = 72, .external_lex_state = 9},
  [718] = {.lex_state = 72, .external_lex_state = 9},
  [719] = {.lex_state = 72, .external_lex_state = 9},
  [720] = {.lex_state = 72, .external_lex_state = 9},
  [721] = {.lex_state = 72, .external_lex_state = 9},
  [722] = {.lex_state = 195, .external_lex_state = 8},
  [723] = {.lex_state = 195, .external_lex_state = 8},
  [724] = {.lex_state = 195, .external_lex_state = 8},
  [725] = {.lex_state = 195, .external_lex_state = 8},
  [726] = {.lex_state = 60, .external_lex_state = 8},
  [727] = {.lex_state = 72, .external_lex_state = 9},
  [728] = {.lex_state = 72, .external_lex_state = 9},
  [729] = {.lex_state = 72, .external_lex_state = 9},
  [730] = {.lex_state = 72, .external_lex_state = 9},
  [731] = {.lex_state = 72, .external_lex_state = 9},
  [732] = {.lex_state = 72, .external_lex_state = 9},
  [733] = {.lex_state = 72, .external_lex_state = 9},
  [734] = {.lex_state = 195, .external_lex_state = 8},
  [735] = {.lex_state = 195, .external_lex_state = 8},
  [736] = {.lex_state = 195, .external_lex_state = 8},
  [737] = {.lex_state = 195, .external_lex_state = 8},
  [738] = {.lex_state = 72, .external_lex_state = 9},
  [739] = {.lex_state = 60, .external_lex_state = 6},
  [740] = {.lex_state = 72, .external_lex_state = 9},
  [741] = {.lex_state = 72, .external_lex_state = 9},
  [742] = {.lex_state = 72, .external_lex_state = 9},
  [743] = {.lex_state = 72, .external_lex_state = 9},
  [744] = {.lex_state = 72, .external_lex_state = 4},
  [745] = {.lex_state = 195, .external_lex_state = 8},
  [746] = {.lex_state = 195, .external_lex_state = 8},
  [747] = {.lex_state = 60, .external_lex_state = 8},
  [748] = {.lex_state = 72, .external_lex_state = 9},
  [749] = {.lex_state = 72, .external_lex_state = 9},
  [750] = {.lex_state = 197, .external_lex_state = 9},
  [751] = {.lex_state = 197, .external_lex_state = 9},
  [752] = {.lex_state = 193, .external_lex_state = 8},
  [753] = {.lex_state = 193, .external_lex_state = 8},
  [754] = {.lex_state = 193, .external_lex_state = 8},
  [755] = {.lex_state = 193, .external_lex_state = 8},
  [756] = {.lex_state = 193, .external_lex_state = 8},
  [757] = {.lex_state = 193, .external_lex_state = 8},
  [758] = {.lex_state = 195, .external_lex_state = 6},
  [759] = {.lex_state = 193, .external_lex_state = 8},
  [760] = {.lex_state = 193, .external_lex_state = 8},
  [761] = {.lex_state = 193, .external_lex_state = 4},
  [762] = {.lex_state = 193, .external_lex_state = 8},
  [763] = {.lex_state = 193, .external_lex_state = 8},
  [764] = {.lex_state = 197, .external_lex_state = 4},
  [765] = {.lex_state = 193, .external_lex_state = 8},
  [766] = {.lex_state = 193, .external_lex_state = 4},
  [767] = {.lex_state = 193, .external_lex_state = 8},
  [768] = {.lex_state = 193, .external_lex_state = 8},
  [769] = {.lex_state = 193, .external_lex_state = 8},
  [770] = {.lex_state = 193, .external_lex_state = 8},
  [771] = {.lex_state = 193, .external_lex_state = 8},
  [772] = {.lex_state = 193, .external_lex_state = 8},
  [773] = {.lex_state = 193, .external_lex_state = 8},
  [774] = {.lex_state = 193, .external_lex_state = 8},
  [775] = {.lex_state = 193, .external_lex_state = 8},
  [776] = {.lex_state = 193, .external_lex_state = 8},
  [777] = {.lex_state = 193, .external_lex_state = 8},
  [778] = {.lex_state = 195, .external_lex_state = 6},
  [779] = {.lex_state = 193, .external_lex_state = 8},
  [780] = {.lex_state = 72, .external_lex_state = 4},
  [781] = {.lex_state = 193, .external_lex_state = 8},
  [782] = {.lex_state = 96, .external_lex_state = 2},
  [783] = {.lex_state = 195, .external_lex_state = 6},
  [784] = {.lex_state = 96, .external_lex_state = 2},
  [785] = {.lex_state = 193, .external_lex_state = 4},
  [786] = {.lex_state = 60, .external_lex_state = 6},
  [787] = {.lex_state = 193, .external_lex_state = 4},
  [788] = {.lex_state = 193, .external_lex_state = 8},
  [789] = {.lex_state = 193, .external_lex_state = 8},
  [790] = {.lex_state = 193, .external_lex_state = 8},
  [791] = {.lex_state = 195, .external_lex_state = 6},
  [792] = {.lex_state = 193, .external_lex_state = 8},
  [793] = {.lex_state = 193, .external_lex_state = 6},
  [794] = {.lex_state = 193, .external_lex_state = 8},
  [795] = {.lex_state = 193, .external_lex_state = 8},
  [796] = {.lex_state = 193, .external_lex_state = 8},
  [797] = {.lex_state = 197, .external_lex_state = 4},
  [798] = {.lex_state = 193, .external_lex_state = 8},
  [799] = {.lex_state = 193, .external_lex_state = 8},
  [800] = {.lex_state = 193, .external_lex_state = 8},
  [801] = {.lex_state = 193, .external_lex_state = 6},
  [802] = {.lex_state = 197, .external_lex_state = 9},
  [803] = {.lex_state = 197, .external_lex_state = 9},
  [804] = {.lex_state = 197, .external_lex_state = 9},
  [805] = {.lex_state = 193, .external_lex_state = 4},
  [806] = {.lex_state = 193, .external_lex_state = 8},
  [807] = {.lex_state = 197, .external_lex_state = 9},
  [808] = {.lex_state = 197, .external_lex_state = 9},
  [809] = {.lex_state = 197, .external_lex_state = 9},
  [810] = {.lex_state = 197, .external_lex_state = 9},
  [811] = {.lex_state = 197, .external_lex_state = 9},
  [812] = {.lex_state = 197, .external_lex_state = 9},
  [813] = {.lex_state = 193, .external_lex_state = 8},
  [814] = {.lex_state = 197, .external_lex_state = 9},
  [815] = {.lex_state = 96, .external_lex_state = 2},
  [816] = {.lex_state = 195, .external_lex_state = 6},
  [817] = {.lex_state = 193, .external_lex_state = 6},
  [818] = {.lex_state = 96, .external_lex_state = 2},
  [819] = {.lex_state = 197, .external_lex_state = 9},
  [820] = {.lex_state = 197, .external_lex_state = 9},
  [821] = {.lex_state = 197, .external_lex_state = 9},
  [822] = {.lex_state = 197, .external_lex_state = 9},
  [823] = {.lex_state = 197, .external_lex_state = 9},
  [824] = {.lex_state = 197, .external_lex_state = 9},
  [825] = {.lex_state = 197, .external_lex_state = 9},
  [826] = {.lex_state = 197, .external_lex_state = 9},
  [827] = {.lex_state = 186, .external_lex_state = 6},
  [828] = {.lex_state = 197, .external_lex_state = 9},
  [829] = {.lex_state = 197, .external_lex_state = 9},
  [830] = {.lex_state = 197, .external_lex_state = 9},
  [831] = {.lex_state = 96, .external_lex_state = 2},
  [832] = {.lex_state = 195, .external_lex_state = 6},
  [833] = {.lex_state = 197, .external_lex_state = 9},
  [834] = {.lex_state = 195, .external_lex_state = 6},
  [835] = {.lex_state = 197, .external_lex_state = 9},
  [836] = {.lex_state = 197, .external_lex_state = 9},
  [837] = {.lex_state = 193, .external_lex_state = 4},
  [838] = {.lex_state = 197, .external_lex_state = 9},
  [839] = {.lex_state = 195, .external_lex_state = 6},
  [840] = {.lex_state = 197, .external_lex_state = 9},
  [841] = {.lex_state = 197, .external_lex_state = 9},
  [842] = {.lex_state = 197, .external_lex_state = 9},
  [843] = {.lex_state = 197, .external_lex_state = 9},
  [844] = {.lex_state = 197, .external_lex_state = 9},
  [845] = {.lex_state = 197, .external_lex_state = 9},
  [846] = {.lex_state = 193, .external_lex_state = 8},
  [847] = {.lex_state = 197, .external_lex_state = 9},
  [848] = {.lex_state = 193, .external_lex_state = 4},
  [849] = {.lex_state = 197, .external_lex_state = 9},
  [850] = {.lex_state = 72, .external_lex_state = 4},
  [851] = {.lex_state = 197, .external_lex_state = 9},
  [852] = {.lex_state = 197, .external_lex_state = 9},
  [853] = {.lex_state = 197, .external_lex_state = 9},
  [854] = {.lex_state = 193, .external_lex_state = 8},
  [855] = {.lex_state = 193, .external_lex_state = 8},
  [856] = {.lex_state = 72, .external_lex_state = 4},
  [857] = {.lex_state = 193, .external_lex_state = 8},
  [858] = {.lex_state = 197, .external_lex_state = 9},
  [859] = {.lex_state = 197, .external_lex_state = 9},
  [860] = {.lex_state = 197, .external_lex_state = 9},
  [861] = {.lex_state = 197, .external_lex_state = 9},
  [862] = {.lex_state = 197, .external_lex_state = 4},
  [863] = {.lex_state = 193, .external_lex_state = 8},
  [864] = {.lex_state = 197, .external_lex_state = 9},
  [865] = {.lex_state = 197, .external_lex_state = 9},
  [866] = {.lex_state = 197, .external_lex_state = 9},
  [867] = {.lex_state = 197, .external_lex_state = 9},
  [868] = {.lex_state = 197, .external_lex_state = 9},
  [869] = {.lex_state = 197, .external_lex_state = 9},
  [870] = {.lex_state = 72, .external_lex_state = 4},
  [871] = {.lex_state = 193, .external_lex_state = 6},
  [872] = {.lex_state = 193, .external_lex_state = 8},
  [873] = {.lex_state = 197, .external_lex_state = 4},
  [874] = {.lex_state = 197, .external_lex_state = 9},
  [875] = {.lex_state = 197, .external_lex_state = 9},
  [876] = {.lex_state = 197, .external_lex_state = 9},
  [877] = {.lex_state = 197, .external_lex_state = 9},
  [878] = {.lex_state = 193, .external_lex_state = 8},
  [879] = {.lex_state = 193, .external_lex_state = 8},
  [880] = {.lex_state = 193, .external_lex_state = 8},
  [881] = {.lex_state = 193, .external_lex_state = 8},
  [882] = {.lex_state = 193, .external_lex_state = 8},
  [883] = {.lex_state = 193, .external_lex_state = 8},
  [884] = {.lex_state = 193, .external_lex_state = 8},
  [885] = {.lex_state = 193, .external_lex_state = 8},
  [886] = {.lex_state = 193, .external_lex_state = 4},
  [887] = {.lex_state = 193, .external_lex_state = 8},
  [888] = {.lex_state = 193, .external_lex_state = 8},
  [889] = {.lex_state = 197, .external_lex_state = 4},
  [890] = {.lex_state = 197, .external_lex_state = 4},
  [891] = {.lex_state = 193, .external_lex_state = 6},
  [892] = {.lex_state = 197, .external_lex_state = 4},
  [893] = {.lex_state = 197, .external_lex_state = 4},
  [894] = {.lex_state = 197, .external_lex_state = 4},
  [895] = {.lex_state = 33, .external_lex_state = 10},
  [896] = {.lex_state = 197, .external_lex_state = 4},
  [897] = {.lex_state = 197, .external_lex_state = 4},
  [898] = {.lex_state = 197, .external_lex_state = 4},
  [899] = {.lex_state = 193, .external_lex_state = 6},
  [900] = {.lex_state = 36, .external_lex_state = 10},
  [901] = {.lex_state = 89},
  [902] = {.lex_state = 36, .external_lex_state = 10},
  [903] = {.lex_state = 36, .external_lex_state = 10},
  [904] = {.lex_state = 78, .external_lex_state = 2},
  [905] = {.lex_state = 36, .external_lex_state = 10},
  [906] = {.lex_state = 36, .external_lex_state = 10},
  [907] = {.lex_state = 36, .external_lex_state = 10},
  [908] = {.lex_state = 36, .external_lex_state = 10},
  [909] = {.lex_state = 36, .external_lex_state = 10},
  [910] = {.lex_state = 36, .external_lex_state = 10},
  [911] = {.lex_state = 88},
  [912] = {.lex_state = 88, .external_lex_state = 11},
  [913] = {.lex_state = 84},
  [914] = {.lex_state = 94, .external_lex_state = 12},
  [915] = {.lex_state = 94, .external_lex_state = 12},
  [916] = {.lex_state = 93, .external_lex_state = 13},
  [917] = {.lex_state = 94, .external_lex_state = 12},
  [918] = {.lex_state = 93, .external_lex_state = 13},
  [919] = {.lex_state = 93, .external_lex_state = 13},
  [920] = {.lex_state = 93, .external_lex_state = 13},
  [921] = {.lex_state = 93, .external_lex_state = 13},
  [922] = {.lex_state = 94, .external_lex_state = 12},
  [923] = {.lex_state = 93, .external_lex_state = 13},
  [924] = {.lex_state = 94, .external_lex_state = 12},
  [925] = {.lex_state = 93, .external_lex_state = 13},
  [926] = {.lex_state = 94, .external_lex_state = 12},
  [927] = {.lex_state = 94, .external_lex_state = 12},
  [928] = {.lex_state = 93, .external_lex_state = 13},
  [929] = {.lex_state = 94, .external_lex_state = 12},
  [930] = {.lex_state = 94, .external_lex_state = 12},
  [931] = {.lex_state = 94, .external_lex_state = 12},
  [932] = {.lex_state = 94, .external_lex_state = 12},
  [933] = {.lex_state = 93, .external_lex_state = 13},
  [934] = {.lex_state = 94, .external_lex_state = 12},
  [935] = {.lex_state = 93, .external_lex_state = 13},
  [936] = {.lex_state = 84},
  [937] = {.lex_state = 93, .external_lex_state = 13},
  [938] = {.lex_state = 94, .external_lex_state = 12},
  [939] = {.lex_state = 93, .external_lex_state = 13},
  [940] = {.lex_state = 93, .external_lex_state = 13},
  [941] = {.lex_state = 84, .external_lex_state = 14},
  [942] = {.lex_state = 93, .external_lex_state = 13},
  [943] = {.lex_state = 93, .external_lex_state = 13},
  [944] = {.lex_state = 93, .external_lex_state = 13},
  [945] = {.lex_state = 93, .external_lex_state = 13},
  [946] = {.lex_state = 93, .external_lex_state = 13},
  [947] = {.lex_state = 94, .external_lex_state = 12},
  [948] = {.lex_state = 94, .external_lex_state = 12},
  [949] = {.lex_state = 94, .external_lex_state = 12},
  [950] = {.lex_state = 94, .external_lex_state = 12},
  [951] = {.lex_state = 94, .external_lex_state = 12},
  [952] = {.lex_state = 94, .external_lex_state = 12},
  [953] = {.lex_state = 94, .external_lex_state = 12},
  [954] = {.lex_state = 94, .external_lex_state = 12},
  [955] = {.lex_state = 93, .external_lex_state = 13},
  [956] = {.lex_state = 93, .external_lex_state = 13},
  [957] = {.lex_state = 93, .external_lex_state = 13},
  [958] = {.lex_state = 93, .external_lex_state = 13},
  [959] = {.lex_state = 93, .external_lex_state = 13},
  [960] = {.lex_state = 93, .external_lex_state = 13},
  [961] = {.lex_state = 94, .external_lex_state = 12},
  [962] = {.lex_state = 93, .external_lex_state = 13},
  [963] = {.lex_state = 93, .external_lex_state = 13},
  [964] = {.lex_state = 94, .external_lex_state = 12},
  [965] = {.lex_state = 94, .external_lex_state = 12},
  [966] = {.lex_state = 94, .external_lex_state = 12},
  [967] = {.lex_state = 93, .external_lex_state = 13},
  [968] = {.lex_state = 93, .external_lex_state = 13},
  [969] = {.lex_state = 94, .external_lex_state = 12},
  [970] = {.lex_state = 94, .external_lex_state = 12},
  [971] = {.lex_state = 94, .external_lex_state = 12},
  [972] = {.lex_state = 93, .external_lex_state = 13},
  [973] = {.lex_state = 93, .external_lex_state = 13},
  [974] = {.lex_state = 93, .external_lex_state = 13},
  [975] = {.lex_state = 93, .external_lex_state = 13},
  [976] = {.lex_state = 93, .external_lex_state = 13},
  [977] = {.lex_state = 93, .external_lex_state = 13},
  [978] = {.lex_state = 94, .external_lex_state = 12},
  [979] = {.lex_state = 94, .external_lex_state = 12},
  [980] = {.lex_state = 94, .external_lex_state = 12},
  [981] = {.lex_state = 94, .external_lex_state = 12},
  [982] = {.lex_state = 94, .external_lex_state = 12},
  [983] = {.lex_state = 94, .external_lex_state = 12},
  [984] = {.lex_state = 93, .external_lex_state = 13},
  [985] = {.lex_state = 93, .external_lex_state = 13},
  [986] = {.lex_state = 93, .external_lex_state = 13},
  [987] = {.lex_state = 93, .external_lex_state = 13},
  [988] = {.lex_state = 94, .external_lex_state = 12},
  [989] = {.lex_state = 94, .external_lex_state = 12},
  [990] = {.lex_state = 94, .external_lex_state = 12},
  [991] = {.lex_state = 94, .external_lex_state = 12},
  [992] = {.lex_state = 94, .external_lex_state = 12},
  [993] = {.lex_state = 84},
  [994] = {.lex_state = 84},
  [995] = {.lex_state = 94, .external_lex_state = 12},
  [996] = {.lex_state = 84},
  [997] = {.lex_state = 94, .external_lex_state = 12},
  [998] = {.lex_state = 94, .external_lex_state = 12},
  [999] = {.lex_state = 94, .external_lex_state = 12},
  [1000] = {.lex_state = 94, .external_lex_state = 12},
  [1001] = {.lex_state = 94, .external_lex_state = 12},
  [1002] = {.lex_state = 84},
  [1003] = {.lex_state = 94, .external_lex_state = 12},
  [1004] = {.lex_state = 94, .external_lex_state = 12},
  [1005] = {.lex_state = 93, .external_lex_state = 13},
  [1006] = {.lex_state = 93, .external_lex_state = 13},
  [1007] = {.lex_state = 93, .external_lex_state = 13},
  [1008] = {.lex_state = 94, .external_lex_state = 12},
  [1009] = {.lex_state = 93, .external_lex_state = 13},
  [1010] = {.lex_state = 94, .external_lex_state = 12},
  [1011] = {.lex_state = 94, .external_lex_state = 12},
  [1012] = {.lex_state = 93, .external_lex_state = 13},
  [1013] = {.lex_state = 93, .external_lex_state = 13},
  [1014] = {.lex_state = 84},
  [1015] = {.lex_state = 93, .external_lex_state = 13},
  [1016] = {.lex_state = 84},
  [1017] = {.lex_state = 94, .external_lex_state = 12},
  [1018] = {.lex_state = 84},
  [1019] = {.lex_state = 84},
  [1020] = {.lex_state = 94, .external_lex_state = 12},
  [1021] = {.lex_state = 94, .external_lex_state = 12},
  [1022] = {.lex_state = 94, .external_lex_state = 12},
  [1023] = {.lex_state = 84},
  [1024] = {.lex_state = 94, .external_lex_state = 12},
  [1025] = {.lex_state = 93, .external_lex_state = 13},
  [1026] = {.lex_state = 93, .external_lex_state = 13},
  [1027] = {.lex_state = 93, .external_lex_state = 13},
  [1028] = {.lex_state = 93, .external_lex_state = 13},
  [1029] = {.lex_state = 93, .external_lex_state = 13},
  [1030] = {.lex_state = 93, .external_lex_state = 13},
  [1031] = {.lex_state = 94, .external_lex_state = 12},
  [1032] = {.lex_state = 94, .external_lex_state = 12},
  [1033] = {.lex_state = 94, .external_lex_state = 12},
  [1034] = {.lex_state = 93, .external_lex_state = 13},
  [1035] = {.lex_state = 94, .external_lex_state = 12},
  [1036] = {.lex_state = 94, .external_lex_state = 12},
  [1037] = {.lex_state = 94, .external_lex_state = 12},
  [1038] = {.lex_state = 94, .external_lex_state = 12},
  [1039] = {.lex_state = 94, .external_lex_state = 12},
  [1040] = {.lex_state = 93, .external_lex_state = 13},
  [1041] = {.lex_state = 94, .external_lex_state = 12},
  [1042] = {.lex_state = 93, .external_lex_state = 13},
  [1043] = {.lex_state = 94, .external_lex_state = 12},
  [1044] = {.lex_state = 94, .external_lex_state = 12},
  [1045] = {.lex_state = 93, .external_lex_state = 13},
  [1046] = {.lex_state = 93, .external_lex_state = 13},
  [1047] = {.lex_state = 93, .external_lex_state = 13},
  [1048] = {.lex_state = 94, .external_lex_state = 12},
  [1049] = {.lex_state = 93, .external_lex_state = 13},
  [1050] = {.lex_state = 94, .external_lex_state = 12},
  [1051] = {.lex_state = 94, .external_lex_state = 12},
  [1052] = {.lex_state = 93, .external_lex_state = 13},
  [1053] = {.lex_state = 93, .external_lex_state = 13},
  [1054] = {.lex_state = 93, .external_lex_state = 13},
  [1055] = {.lex_state = 94, .external_lex_state = 12},
  [1056] = {.lex_state = 93, .external_lex_state = 13},
  [1057] = {.lex_state = 93, .external_lex_state = 13},
  [1058] = {.lex_state = 94, .external_lex_state = 12},
  [1059] = {.lex_state = 93, .external_lex_state = 13},
  [1060] = {.lex_state = 93, .external_lex_state = 13},
  [1061] = {.lex_state = 93, .external_lex_state = 13},
  [1062] = {.lex_state = 93, .external_lex_state = 13},
  [1063] = {.lex_state = 93, .external_lex_state = 13},
  [1064] = {.lex_state = 93, .external_lex_state = 13},
  [1065] = {.lex_state = 93, .external_lex_state = 13},
  [1066] = {.lex_state = 94, .external_lex_state = 12},
  [1067] = {.lex_state = 94, .external_lex_state = 12},
  [1068] = {.lex_state = 94, .external_lex_state = 12},
  [1069] = {.lex_state = 94, .external_lex_state = 12},
  [1070] = {.lex_state = 93, .external_lex_state = 13},
  [1071] = {.lex_state = 93, .external_lex_state = 13},
  [1072] = {.lex_state = 94, .external_lex_state = 12},
  [1073] = {.lex_state = 93, .external_lex_state = 13},
  [1074] = {.lex_state = 93, .external_lex_state = 13},
  [1075] = {.lex_state = 93, .external_lex_state = 13},
  [1076] = {.lex_state = 93, .external_lex_state = 13},
  [1077] = {.lex_state = 94, .external_lex_state = 12},
  [1078] = {.lex_state = 93, .external_lex_state = 13},
  [1079] = {.lex_state = 93, .external_lex_state = 13},
  [1080] = {.lex_state = 94, .external_lex_state = 12},
  [1081] = {.lex_state = 94, .external_lex_state = 12},
  [1082] = {.lex_state = 94, .external_lex_state = 12},
  [1083] = {.lex_state = 94, .external_lex_state = 12},
  [1084] = {.lex_state = 94, .external_lex_state = 12},
  [1085] = {.lex_state = 93, .external_lex_state = 13},
  [1086] = {.lex_state = 93, .external_lex_state = 13},
  [1087] = {.lex_state = 93, .external_lex_state = 13},
  [1088] = {.lex_state = 93, .external_lex_state = 13},
  [1089] = {.lex_state = 94, .external_lex_state = 12},
  [1090] = {.lex_state = 93, .external_lex_state = 13},
  [1091] = {.lex_state = 93, .external_lex_state = 13},
  [1092] = {.lex_state = 93, .external_lex_state = 13},
  [1093] = {.lex_state = 94, .external_lex_state = 12},
  [1094] = {.lex_state = 94, .external_lex_state = 12},
  [1095] = {.lex_state = 94, .external_lex_state = 12},
  [1096] = {.lex_state = 84, .external_lex_state = 14},
  [1097] = {.lex_state = 94, .external_lex_state = 12},
  [1098] = {.lex_state = 93, .external_lex_state = 13},
  [1099] = {.lex_state = 93, .external_lex_state = 13},
  [1100] = {.lex_state = 84, .external_lex_state = 14},
  [1101] = {.lex_state = 84},
  [1102] = {.lex_state = 94, .external_lex_state = 12},
  [1103] = {.lex_state = 93, .external_lex_state = 13},
  [1104] = {.lex_state = 94, .external_lex_state = 12},
  [1105] = {.lex_state = 94, .external_lex_state = 12},
  [1106] = {.lex_state = 93, .external_lex_state = 13},
  [1107] = {.lex_state = 94, .external_lex_state = 12},
  [1108] = {.lex_state = 94, .external_lex_state = 12},
  [1109] = {.lex_state = 94, .external_lex_state = 12},
  [1110] = {.lex_state = 93, .external_lex_state = 13},
  [1111] = {.lex_state = 93, .external_lex_state = 13},
  [1112] = {.lex_state = 94, .external_lex_state = 12},
  [1113] = {.lex_state = 93, .external_lex_state = 13},
  [1114] = {.lex_state = 94, .external_lex_state = 12},
  [1115] = {.lex_state = 93, .external_lex_state = 13},
  [1116] = {.lex_state = 94, .external_lex_state = 12},
  [1117] = {.lex_state = 94, .external_lex_state = 12},
  [1118] = {.lex_state = 94, .external_lex_state = 12},
  [1119] = {.lex_state = 94, .external_lex_state = 12},
  [1120] = {.lex_state = 93, .external_lex_state = 13},
  [1121] = {.lex_state = 94, .external_lex_state = 12},
  [1122] = {.lex_state = 93, .external_lex_state = 13},
  [1123] = {.lex_state = 93, .external_lex_state = 13},
  [1124] = {.lex_state = 94, .external_lex_state = 12},
  [1125] = {.lex_state = 94, .external_lex_state = 12},
  [1126] = {.lex_state = 93, .external_lex_state = 13},
  [1127] = {.lex_state = 93, .external_lex_state = 13},
  [1128] = {.lex_state = 94, .external_lex_state = 12},
  [1129] = {.lex_state = 94, .external_lex_state = 12},
  [1130] = {.lex_state = 94, .external_lex_state = 12},
  [1131] = {.lex_state = 94, .external_lex_state = 12},
  [1132] = {.lex_state = 93, .external_lex_state = 13},
  [1133] = {.lex_state = 93, .external_lex_state = 13},
  [1134] = {.lex_state = 93, .external_lex_state = 13},
  [1135] = {.lex_state = 93, .external_lex_state = 13},
  [1136] = {.lex_state = 93, .external_lex_state = 13},
  [1137] = {.lex_state = 93, .external_lex_state = 13},
  [1138] = {.lex_state = 84, .external_lex_state = 14},
  [1139] = {.lex_state = 94, .external_lex_state = 12},
  [1140] = {.lex_state = 93, .external_lex_state = 13},
  [1141] = {.lex_state = 93, .external_lex_state = 13},
  [1142] = {.lex_state = 93, .external_lex_state = 13},
  [1143] = {.lex_state = 93, .external_lex_state = 13},
  [1144] = {.lex_state = 93, .external_lex_state = 13},
  [1145] = {.lex_state = 94, .external_lex_state = 12},
  [1146] = {.lex_state = 94, .external_lex_state = 12},
  [1147] = {.lex_state = 94, .external_lex_state = 12},
  [1148] = {.lex_state = 94, .external_lex_state = 12},
  [1149] = {.lex_state = 93, .external_lex_state = 13},
  [1150] = {.lex_state = 94, .external_lex_state = 12},
  [1151] = {.lex_state = 94, .external_lex_state = 12},
  [1152] = {.lex_state = 93, .external_lex_state = 13},
  [1153] = {.lex_state = 93, .external_lex_state = 13},
  [1154] = {.lex_state = 93, .external_lex_state = 13},
  [1155] = {.lex_state = 94, .external_lex_state = 12},
  [1156] = {.lex_state = 94, .external_lex_state = 12},
  [1157] = {.lex_state = 84, .external_lex_state = 14},
  [1158] = {.lex_state = 93, .external_lex_state = 13},
  [1159] = {.lex_state = 93, .external_lex_state = 13},
  [1160] = {.lex_state = 93, .external_lex_state = 13},
  [1161] = {.lex_state = 94, .external_lex_state = 12},
  [1162] = {.lex_state = 94, .external_lex_state = 12},
  [1163] = {.lex_state = 93, .external_lex_state = 13},
  [1164] = {.lex_state = 94, .external_lex_state = 12},
  [1165] = {.lex_state = 94, .external_lex_state = 12},
  [1166] = {.lex_state = 94, .external_lex_state = 12},
  [1167] = {.lex_state = 94, .external_lex_state = 12},
  [1168] = {.lex_state = 93, .external_lex_state = 13},
  [1169] = {.lex_state = 94, .external_lex_state = 12},
  [1170] = {.lex_state = 93, .external_lex_state = 13},
  [1171] = {.lex_state = 93, .external_lex_state = 13},
  [1172] = {.lex_state = 93, .external_lex_state = 13},
  [1173] = {.lex_state = 93, .external_lex_state = 13},
  [1174] = {.lex_state = 93, .external_lex_state = 13},
  [1175] = {.lex_state = 94, .external_lex_state = 12},
  [1176] = {.lex_state = 94, .external_lex_state = 12},
  [1177] = {.lex_state = 93, .external_lex_state = 13},
  [1178] = {.lex_state = 94, .external_lex_state = 13},
  [1179] = {.lex_state = 94, .external_lex_state = 13},
  [1180] = {.lex_state = 94, .external_lex_state = 13},
  [1181] = {.lex_state = 94, .external_lex_state = 13},
  [1182] = {.lex_state = 94, .external_lex_state = 13},
  [1183] = {.lex_state = 94, .external_lex_state = 13},
  [1184] = {.lex_state = 94, .external_lex_state = 13},
  [1185] = {.lex_state = 94, .external_lex_state = 13},
  [1186] = {.lex_state = 94, .external_lex_state = 13},
  [1187] = {.lex_state = 94, .external_lex_state = 13},
  [1188] = {.lex_state = 94, .external_lex_state = 13},
  [1189] = {.lex_state = 94, .external_lex_state = 13},
  [1190] = {.lex_state = 94, .external_lex_state = 13},
  [1191] = {.lex_state = 94, .external_lex_state = 13},
  [1192] = {.lex_state = 94, .external_lex_state = 13},
  [1193] = {.lex_state = 94, .external_lex_state = 13},
  [1194] = {.lex_state = 94, .external_lex_state = 13},
  [1195] = {.lex_state = 94, .external_lex_state = 13},
  [1196] = {.lex_state = 84},
  [1197] = {.lex_state = 94, .external_lex_state = 13},
  [1198] = {.lex_state = 94, .external_lex_state = 13},
  [1199] = {.lex_state = 94, .external_lex_state = 13},
  [1200] = {.lex_state = 94, .external_lex_state = 13},
  [1201] = {.lex_state = 94, .external_lex_state = 13},
  [1202] = {.lex_state = 94, .external_lex_state = 13},
  [1203] = {.lex_state = 94, .external_lex_state = 13},
  [1204] = {.lex_state = 94, .external_lex_state = 13},
  [1205] = {.lex_state = 94, .external_lex_state = 13},
  [1206] = {.lex_state = 94, .external_lex_state = 13},
  [1207] = {.lex_state = 94, .external_lex_state = 13},
  [1208] = {.lex_state = 94, .external_lex_state = 13},
  [1209] = {.lex_state = 94, .external_lex_state = 13},
  [1210] = {.lex_state = 94, .external_lex_state = 13},
  [1211] = {.lex_state = 94, .external_lex_state = 13},
  [1212] = {.lex_state = 94, .external_lex_state = 13},
  [1213] = {.lex_state = 94, .external_lex_state = 13},
  [1214] = {.lex_state = 94, .external_lex_state = 13},
  [1215] = {.lex_state = 94, .external_lex_state = 13},
  [1216] = {.lex_state = 94, .external_lex_state = 13},
  [1217] = {.lex_state = 94, .external_lex_state = 13},
  [1218] = {.lex_state = 94, .external_lex_state = 13},
  [1219] = {.lex_state = 84},
  [1220] = {.lex_state = 94, .external_lex_state = 13},
  [1221] = {.lex_state = 84},
  [1222] = {.lex_state = 94, .external_lex_state = 13},
  [1223] = {.lex_state = 94, .external_lex_state = 13},
  [1224] = {.lex_state = 94, .external_lex_state = 13},
  [1225] = {.lex_state = 94, .external_lex_state = 13},
  [1226] = {.lex_state = 94, .external_lex_state = 13},
  [1227] = {.lex_state = 94, .external_lex_state = 13},
  [1228] = {.lex_state = 94, .external_lex_state = 13},
  [1229] = {.lex_state = 94, .external_lex_state = 13},
  [1230] = {.lex_state = 94, .external_lex_state = 13},
  [1231] = {.lex_state = 94, .external_lex_state = 13},
  [1232] = {.lex_state = 94, .external_lex_state = 13},
  [1233] = {.lex_state = 94, .external_lex_state = 13},
  [1234] = {.lex_state = 94, .external_lex_state = 13},
  [1235] = {.lex_state = 94, .external_lex_state = 13},
  [1236] = {.lex_state = 94, .external_lex_state = 13},
  [1237] = {.lex_state = 94, .external_lex_state = 13},
  [1238] = {.lex_state = 94, .external_lex_state = 13},
  [1239] = {.lex_state = 94, .external_lex_state = 13},
  [1240] = {.lex_state = 94, .external_lex_state = 13},
  [1241] = {.lex_state = 94, .external_lex_state = 13},
  [1242] = {.lex_state = 94, .external_lex_state = 13},
  [1243] = {.lex_state = 94, .external_lex_state = 13},
  [1244] = {.lex_state = 94, .external_lex_state = 13},
  [1245] = {.lex_state = 94, .external_lex_state = 13},
  [1246] = {.lex_state = 94, .external_lex_state = 13},
  [1247] = {.lex_state = 94, .external_lex_state = 13},
  [1248] = {.lex_state = 94, .external_lex_state = 13},
  [1249] = {.lex_state = 94, .external_lex_state = 13},
  [1250] = {.lex_state = 94, .external_lex_state = 13},
  [1251] = {.lex_state = 94, .external_lex_state = 13},
  [1252] = {.lex_state = 94, .external_lex_state = 13},
  [1253] = {.lex_state = 94, .external_lex_state = 13},
  [1254] = {.lex_state = 94, .external_lex_state = 13},
  [1255] = {.lex_state = 94, .external_lex_state = 13},
  [1256] = {.lex_state = 94, .external_lex_state = 13},
  [1257] = {.lex_state = 94, .external_lex_state = 13},
  [1258] = {.lex_state = 94, .external_lex_state = 13},
  [1259] = {.lex_state = 94, .external_lex_state = 13},
  [1260] = {.lex_state = 94, .external_lex_state = 13},
  [1261] = {.lex_state = 94, .external_lex_state = 13},
  [1262] = {.lex_state = 94, .external_lex_state = 13},
  [1263] = {.lex_state = 94, .external_lex_state = 13},
  [1264] = {.lex_state = 94, .external_lex_state = 13},
  [1265] = {.lex_state = 94, .external_lex_state = 13},
  [1266] = {.lex_state = 94, .external_lex_state = 13},
  [1267] = {.lex_state = 94, .external_lex_state = 13},
  [1268] = {.lex_state = 94, .external_lex_state = 13},
  [1269] = {.lex_state = 94, .external_lex_state = 13},
  [1270] = {.lex_state = 94, .external_lex_state = 13},
  [1271] = {.lex_state = 94, .external_lex_state = 13},
  [1272] = {.lex_state = 94, .external_lex_state = 13},
  [1273] = {.lex_state = 94, .external_lex_state = 13},
  [1274] = {.lex_state = 94, .external_lex_state = 13},
  [1275] = {.lex_state = 94, .external_lex_state = 13},
  [1276] = {.lex_state = 94, .external_lex_state = 13},
  [1277] = {.lex_state = 94, .external_lex_state = 13},
  [1278] = {.lex_state = 94, .external_lex_state = 13},
  [1279] = {.lex_state = 94, .external_lex_state = 13},
  [1280] = {.lex_state = 94, .external_lex_state = 13},
  [1281] = {.lex_state = 94, .external_lex_state = 13},
  [1282] = {.lex_state = 94, .external_lex_state = 13},
  [1283] = {.lex_state = 94, .external_lex_state = 13},
  [1284] = {.lex_state = 94, .external_lex_state = 13},
  [1285] = {.lex_state = 94, .external_lex_state = 13},
  [1286] = {.lex_state = 94, .external_lex_state = 13},
  [1287] = {.lex_state = 94, .external_lex_state = 13},
  [1288] = {.lex_state = 94, .external_lex_state = 13},
  [1289] = {.lex_state = 94, .external_lex_state = 13},
  [1290] = {.lex_state = 94, .external_lex_state = 13},
  [1291] = {.lex_state = 94, .external_lex_state = 13},
  [1292] = {.lex_state = 94, .external_lex_state = 13},
  [1293] = {.lex_state = 94, .external_lex_state = 13},
  [1294] = {.lex_state = 94, .external_lex_state = 13},
  [1295] = {.lex_state = 94, .external_lex_state = 13},
  [1296] = {.lex_state = 94, .external_lex_state = 13},
  [1297] = {.lex_state = 94, .external_lex_state = 13},
  [1298] = {.lex_state = 94, .external_lex_state = 13},
  [1299] = {.lex_state = 94, .external_lex_state = 13},
  [1300] = {.lex_state = 94, .external_lex_state = 13},
  [1301] = {.lex_state = 94, .external_lex_state = 13},
  [1302] = {.lex_state = 94, .external_lex_state = 13},
  [1303] = {.lex_state = 94, .external_lex_state = 13},
  [1304] = {.lex_state = 94, .external_lex_state = 13},
  [1305] = {.lex_state = 94, .external_lex_state = 13},
  [1306] = {.lex_state = 94, .external_lex_state = 13},
  [1307] = {.lex_state = 94, .external_lex_state = 13},
  [1308] = {.lex_state = 94, .external_lex_state = 13},
  [1309] = {.lex_state = 94, .external_lex_state = 13},
  [1310] = {.lex_state = 94, .external_lex_state = 13},
  [1311] = {.lex_state = 94, .external_lex_state = 13},
  [1312] = {.lex_state = 94, .external_lex_state = 13},
  [1313] = {.lex_state = 94, .external_lex_state = 13},
  [1314] = {.lex_state = 94, .external_lex_state = 13},
  [1315] = {.lex_state = 94, .external_lex_state = 13},
  [1316] = {.lex_state = 94, .external_lex_state = 13},
  [1317] = {.lex_state = 94, .external_lex_state = 13},
  [1318] = {.lex_state = 94, .external_lex_state = 13},
  [1319] = {.lex_state = 94, .external_lex_state = 13},
  [1320] = {.lex_state = 94, .external_lex_state = 13},
  [1321] = {.lex_state = 94, .external_lex_state = 13},
  [1322] = {.lex_state = 94, .external_lex_state = 13},
  [1323] = {.lex_state = 94, .external_lex_state = 13},
  [1324] = {.lex_state = 94, .external_lex_state = 13},
  [1325] = {.lex_state = 94, .external_lex_state = 13},
  [1326] = {.lex_state = 94, .external_lex_state = 13},
  [1327] = {.lex_state = 94, .external_lex_state = 13},
  [1328] = {.lex_state = 94, .external_lex_state = 13},
  [1329] = {.lex_state = 94, .external_lex_state = 13},
  [1330] = {.lex_state = 94, .external_lex_state = 13},
  [1331] = {.lex_state = 94, .external_lex_state = 13},
  [1332] = {.lex_state = 94, .external_lex_state = 13},
  [1333] = {.lex_state = 94, .external_lex_state = 13},
  [1334] = {.lex_state = 94, .external_lex_state = 13},
  [1335] = {.lex_state = 94, .external_lex_state = 13},
  [1336] = {.lex_state = 94, .external_lex_state = 13},
  [1337] = {.lex_state = 94, .external_lex_state = 13},
  [1338] = {.lex_state = 94, .external_lex_state = 13},
  [1339] = {.lex_state = 94, .external_lex_state = 13},
  [1340] = {.lex_state = 94, .external_lex_state = 13},
  [1341] = {.lex_state = 94, .external_lex_state = 13},
  [1342] = {.lex_state = 94, .external_lex_state = 13},
  [1343] = {.lex_state = 94, .external_lex_state = 13},
  [1344] = {.lex_state = 94, .external_lex_state = 13},
  [1345] = {.lex_state = 94, .external_lex_state = 13},
  [1346] = {.lex_state = 94, .external_lex_state = 13},
  [1347] = {.lex_state = 94, .external_lex_state = 13},
  [1348] = {.lex_state = 94, .external_lex_state = 13},
  [1349] = {.lex_state = 84},
  [1350] = {.lex_state = 94, .external_lex_state = 13},
  [1351] = {.lex_state = 94, .external_lex_state = 13},
  [1352] = {.lex_state = 94, .external_lex_state = 13},
  [1353] = {.lex_state = 94, .external_lex_state = 13},
  [1354] = {.lex_state = 94, .external_lex_state = 13},
  [1355] = {.lex_state = 94, .external_lex_state = 13},
  [1356] = {.lex_state = 94, .external_lex_state = 13},
  [1357] = {.lex_state = 94, .external_lex_state = 13},
  [1358] = {.lex_state = 94, .external_lex_state = 13},
  [1359] = {.lex_state = 94, .external_lex_state = 13},
  [1360] = {.lex_state = 94, .external_lex_state = 13},
  [1361] = {.lex_state = 94, .external_lex_state = 13},
  [1362] = {.lex_state = 94, .external_lex_state = 13},
  [1363] = {.lex_state = 94, .external_lex_state = 13},
  [1364] = {.lex_state = 94, .external_lex_state = 13},
  [1365] = {.lex_state = 94, .external_lex_state = 13},
  [1366] = {.lex_state = 94, .external_lex_state = 13},
  [1367] = {.lex_state = 94, .external_lex_state = 13},
  [1368] = {.lex_state = 94, .external_lex_state = 13},
  [1369] = {.lex_state = 94, .external_lex_state = 13},
  [1370] = {.lex_state = 94, .external_lex_state = 13},
  [1371] = {.lex_state = 94, .external_lex_state = 13},
  [1372] = {.lex_state = 94, .external_lex_state = 13},
  [1373] = {.lex_state = 94, .external_lex_state = 13},
  [1374] = {.lex_state = 94, .external_lex_state = 13},
  [1375] = {.lex_state = 94, .external_lex_state = 13},
  [1376] = {.lex_state = 94, .external_lex_state = 13},
  [1377] = {.lex_state = 94, .external_lex_state = 13},
  [1378] = {.lex_state = 94, .external_lex_state = 13},
  [1379] = {.lex_state = 94, .external_lex_state = 13},
  [1380] = {.lex_state = 94, .external_lex_state = 13},
  [1381] = {.lex_state = 84},
  [1382] = {.lex_state = 94, .external_lex_state = 13},
  [1383] = {.lex_state = 84},
  [1384] = {.lex_state = 84},
  [1385] = {.lex_state = 94, .external_lex_state = 13},
  [1386] = {.lex_state = 94, .external_lex_state = 13},
  [1387] = {.lex_state = 94, .external_lex_state = 13},
  [1388] = {.lex_state = 94, .external_lex_state = 13},
  [1389] = {.lex_state = 94, .external_lex_state = 13},
  [1390] = {.lex_state = 84},
  [1391] = {.lex_state = 84},
  [1392] = {.lex_state = 94, .external_lex_state = 13},
  [1393] = {.lex_state = 94, .external_lex_state = 13},
  [1394] = {.lex_state = 94, .external_lex_state = 13},
  [1395] = {.lex_state = 94, .external_lex_state = 13},
  [1396] = {.lex_state = 94, .external_lex_state = 13},
  [1397] = {.lex_state = 94, .external_lex_state = 13},
  [1398] = {.lex_state = 94, .external_lex_state = 13},
  [1399] = {.lex_state = 94, .external_lex_state = 13},
  [1400] = {.lex_state = 94, .external_lex_state = 13},
  [1401] = {.lex_state = 94, .external_lex_state = 13},
  [1402] = {.lex_state = 94, .external_lex_state = 13},
  [1403] = {.lex_state = 94, .external_lex_state = 13},
  [1404] = {.lex_state = 94, .external_lex_state = 13},
  [1405] = {.lex_state = 94, .external_lex_state = 13},
  [1406] = {.lex_state = 84},
  [1407] = {.lex_state = 94, .external_lex_state = 13},
  [1408] = {.lex_state = 94, .external_lex_state = 13},
  [1409] = {.lex_state = 94, .external_lex_state = 13},
  [1410] = {.lex_state = 94, .external_lex_state = 13},
  [1411] = {.lex_state = 84},
  [1412] = {.lex_state = 94, .external_lex_state = 13},
  [1413] = {.lex_state = 94, .external_lex_state = 13},
  [1414] = {.lex_state = 94, .external_lex_state = 13},
  [1415] = {.lex_state = 94, .external_lex_state = 13},
  [1416] = {.lex_state = 94, .external_lex_state = 13},
  [1417] = {.lex_state = 84},
  [1418] = {.lex_state = 94, .external_lex_state = 13},
  [1419] = {.lex_state = 94, .external_lex_state = 13},
  [1420] = {.lex_state = 94, .external_lex_state = 13},
  [1421] = {.lex_state = 94, .external_lex_state = 13},
  [1422] = {.lex_state = 94, .external_lex_state = 13},
  [1423] = {.lex_state = 84},
  [1424] = {.lex_state = 94, .external_lex_state = 13},
  [1425] = {.lex_state = 94, .external_lex_state = 13},
  [1426] = {.lex_state = 94, .external_lex_state = 13},
  [1427] = {.lex_state = 94, .external_lex_state = 13},
  [1428] = {.lex_state = 94, .external_lex_state = 13},
  [1429] = {.lex_state = 94, .external_lex_state = 13},
  [1430] = {.lex_state = 94, .external_lex_state = 13},
  [1431] = {.lex_state = 94, .external_lex_state = 13},
  [1432] = {.lex_state = 94, .external_lex_state = 13},
  [1433] = {.lex_state = 94, .external_lex_state = 13},
  [1434] = {.lex_state = 94, .external_lex_state = 13},
  [1435] = {.lex_state = 94, .external_lex_state = 13},
  [1436] = {.lex_state = 94, .external_lex_state = 13},
  [1437] = {.lex_state = 94, .external_lex_state = 13},
  [1438] = {.lex_state = 94, .external_lex_state = 13},
  [1439] = {.lex_state = 94, .external_lex_state = 13},
  [1440] = {.lex_state = 94, .external_lex_state = 13},
  [1441] = {.lex_state = 94, .external_lex_state = 13},
  [1442] = {.lex_state = 94, .external_lex_state = 13},
  [1443] = {.lex_state = 94, .external_lex_state = 13},
  [1444] = {.lex_state = 94, .external_lex_state = 13},
  [1445] = {.lex_state = 94, .external_lex_state = 13},
  [1446] = {.lex_state = 94, .external_lex_state = 13},
  [1447] = {.lex_state = 94, .external_lex_state = 13},
  [1448] = {.lex_state = 94, .external_lex_state = 13},
  [1449] = {.lex_state = 94, .external_lex_state = 13},
  [1450] = {.lex_state = 94, .external_lex_state = 13},
  [1451] = {.lex_state = 94, .external_lex_state = 13},
  [1452] = {.lex_state = 94, .external_lex_state = 13},
  [1453] = {.lex_state = 84},
  [1454] = {.lex_state = 94, .external_lex_state = 13},
  [1455] = {.lex_state = 94, .external_lex_state = 13},
  [1456] = {.lex_state = 94, .external_lex_state = 13},
  [1457] = {.lex_state = 94, .external_lex_state = 13},
  [1458] = {.lex_state = 94, .external_lex_state = 13},
  [1459] = {.lex_state = 94, .external_lex_state = 13},
  [1460] = {.lex_state = 84},
  [1461] = {.lex_state = 94, .external_lex_state = 13},
  [1462] = {.lex_state = 94, .external_lex_state = 13},
  [1463] = {.lex_state = 94, .external_lex_state = 13},
  [1464] = {.lex_state = 94, .external_lex_state = 13},
  [1465] = {.lex_state = 94, .external_lex_state = 13},
  [1466] = {.lex_state = 84},
  [1467] = {.lex_state = 94, .external_lex_state = 13},
  [1468] = {.lex_state = 94, .external_lex_state = 13},
  [1469] = {.lex_state = 94, .external_lex_state = 13},
  [1470] = {.lex_state = 94, .external_lex_state = 13},
  [1471] = {.lex_state = 94, .external_lex_state = 13},
  [1472] = {.lex_state = 94, .external_lex_state = 13},
  [1473] = {.lex_state = 94, .external_lex_state = 13},
  [1474] = {.lex_state = 94, .external_lex_state = 13},
  [1475] = {.lex_state = 94, .external_lex_state = 13},
  [1476] = {.lex_state = 94, .external_lex_state = 13},
  [1477] = {.lex_state = 94, .external_lex_state = 13},
  [1478] = {.lex_state = 94, .external_lex_state = 13},
  [1479] = {.lex_state = 94, .external_lex_state = 13},
  [1480] = {.lex_state = 94, .external_lex_state = 13},
  [1481] = {.lex_state = 94, .external_lex_state = 13},
  [1482] = {.lex_state = 94, .external_lex_state = 13},
  [1483] = {.lex_state = 94, .external_lex_state = 13},
  [1484] = {.lex_state = 94, .external_lex_state = 13},
  [1485] = {.lex_state = 94, .external_lex_state = 13},
  [1486] = {.lex_state = 94, .external_lex_state = 13},
  [1487] = {.lex_state = 94, .external_lex_state = 13},
  [1488] = {.lex_state = 94, .external_lex_state = 13},
  [1489] = {.lex_state = 94, .external_lex_state = 13},
  [1490] = {.lex_state = 94, .external_lex_state = 13},
  [1491] = {.lex_state = 94, .external_lex_state = 13},
  [1492] = {.lex_state = 94, .external_lex_state = 13},
  [1493] = {.lex_state = 94, .external_lex_state = 13},
  [1494] = {.lex_state = 94, .external_lex_state = 13},
  [1495] = {.lex_state = 94, .external_lex_state = 13},
  [1496] = {.lex_state = 94, .external_lex_state = 13},
  [1497] = {.lex_state = 94, .external_lex_state = 13},
  [1498] = {.lex_state = 94, .external_lex_state = 13},
  [1499] = {.lex_state = 94, .external_lex_state = 13},
  [1500] = {.lex_state = 94, .external_lex_state = 13},
  [1501] = {.lex_state = 94, .external_lex_state = 13},
  [1502] = {.lex_state = 94, .external_lex_state = 13},
  [1503] = {.lex_state = 94, .external_lex_state = 13},
  [1504] = {.lex_state = 94, .external_lex_state = 13},
  [1505] = {.lex_state = 94, .external_lex_state = 13},
  [1506] = {.lex_state = 94, .external_lex_state = 13},
  [1507] = {.lex_state = 94, .external_lex_state = 13},
  [1508] = {.lex_state = 94, .external_lex_state = 13},
  [1509] = {.lex_state = 94, .external_lex_state = 13},
  [1510] = {.lex_state = 94, .external_lex_state = 13},
  [1511] = {.lex_state = 94, .external_lex_state = 13},
  [1512] = {.lex_state = 94, .external_lex_state = 13},
  [1513] = {.lex_state = 94, .external_lex_state = 13},
  [1514] = {.lex_state = 94, .external_lex_state = 13},
  [1515] = {.lex_state = 94, .external_lex_state = 13},
  [1516] = {.lex_state = 94, .external_lex_state = 13},
  [1517] = {.lex_state = 94, .external_lex_state = 13},
  [1518] = {.lex_state = 94, .external_lex_state = 13},
  [1519] = {.lex_state = 94, .external_lex_state = 13},
  [1520] = {.lex_state = 94, .external_lex_state = 13},
  [1521] = {.lex_state = 94, .external_lex_state = 13},
  [1522] = {.lex_state = 94, .external_lex_state = 13},
  [1523] = {.lex_state = 94, .external_lex_state = 13},
  [1524] = {.lex_state = 84},
  [1525] = {.lex_state = 94, .external_lex_state = 13},
  [1526] = {.lex_state = 94, .external_lex_state = 13},
  [1527] = {.lex_state = 94, .external_lex_state = 13},
  [1528] = {.lex_state = 84},
  [1529] = {.lex_state = 94, .external_lex_state = 13},
  [1530] = {.lex_state = 94, .external_lex_state = 13},
  [1531] = {.lex_state = 84},
  [1532] = {.lex_state = 94, .external_lex_state = 13},
  [1533] = {.lex_state = 94, .external_lex_state = 13},
  [1534] = {.lex_state = 84},
  [1535] = {.lex_state = 84},
  [1536] = {.lex_state = 94, .external_lex_state = 13},
  [1537] = {.lex_state = 94, .external_lex_state = 13},
  [1538] = {.lex_state = 94, .external_lex_state = 13},
  [1539] = {.lex_state = 94, .external_lex_state = 13},
  [1540] = {.lex_state = 94, .external_lex_state = 13},
  [1541] = {.lex_state = 94, .external_lex_state = 13},
  [1542] = {.lex_state = 94, .external_lex_state = 13},
  [1543] = {.lex_state = 94, .external_lex_state = 13},
  [1544] = {.lex_state = 94, .external_lex_state = 13},
  [1545] = {.lex_state = 94, .external_lex_state = 13},
  [1546] = {.lex_state = 94, .external_lex_state = 13},
  [1547] = {.lex_state = 94, .external_lex_state = 13},
  [1548] = {.lex_state = 94, .external_lex_state = 13},
  [1549] = {.lex_state = 94, .external_lex_state = 13},
  [1550] = {.lex_state = 94, .external_lex_state = 13},
  [1551] = {.lex_state = 94, .external_lex_state = 13},
  [1552] = {.lex_state = 94, .external_lex_state = 13},
  [1553] = {.lex_state = 84},
  [1554] = {.lex_state = 94, .external_lex_state = 13},
  [1555] = {.lex_state = 94, .external_lex_state = 13},
  [1556] = {.lex_state = 94, .external_lex_state = 13},
  [1557] = {.lex_state = 94, .external_lex_state = 13},
  [1558] = {.lex_state = 94, .external_lex_state = 13},
  [1559] = {.lex_state = 94, .external_lex_state = 13},
  [1560] = {.lex_state = 94, .external_lex_state = 13},
  [1561] = {.lex_state = 94, .external_lex_state = 13},
  [1562] = {.lex_state = 94, .external_lex_state = 13},
  [1563] = {.lex_state = 84},
  [1564] = {.lex_state = 94, .external_lex_state = 13},
  [1565] = {.lex_state = 94, .external_lex_state = 13},
  [1566] = {.lex_state = 94, .external_lex_state = 13},
  [1567] = {.lex_state = 94, .external_lex_state = 13},
  [1568] = {.lex_state = 94, .external_lex_state = 13},
  [1569] = {.lex_state = 94, .external_lex_state = 13},
  [1570] = {.lex_state = 94, .external_lex_state = 13},
  [1571] = {.lex_state = 94, .external_lex_state = 13},
  [1572] = {.lex_state = 94, .external_lex_state = 13},
  [1573] = {.lex_state = 94, .external_lex_state = 13},
  [1574] = {.lex_state = 94, .external_lex_state = 13},
  [1575] = {.lex_state = 94, .external_lex_state = 13},
  [1576] = {.lex_state = 94, .external_lex_state = 13},
  [1577] = {.lex_state = 94, .external_lex_state = 13},
  [1578] = {.lex_state = 94, .external_lex_state = 13},
  [1579] = {.lex_state = 94, .external_lex_state = 13},
  [1580] = {.lex_state = 94, .external_lex_state = 13},
  [1581] = {.lex_state = 84},
  [1582] = {.lex_state = 94, .external_lex_state = 13},
  [1583] = {.lex_state = 84},
  [1584] = {.lex_state = 94, .external_lex_state = 13},
  [1585] = {.lex_state = 94, .external_lex_state = 13},
  [1586] = {.lex_state = 94, .external_lex_state = 13},
  [1587] = {.lex_state = 94, .external_lex_state = 13},
  [1588] = {.lex_state = 94, .external_lex_state = 13},
  [1589] = {.lex_state = 94, .external_lex_state = 13},
  [1590] = {.lex_state = 84},
  [1591] = {.lex_state = 94, .external_lex_state = 13},
  [1592] = {.lex_state = 94, .external_lex_state = 13},
  [1593] = {.lex_state = 94, .external_lex_state = 13},
  [1594] = {.lex_state = 94, .external_lex_state = 13},
  [1595] = {.lex_state = 94, .external_lex_state = 13},
  [1596] = {.lex_state = 94, .external_lex_state = 13},
  [1597] = {.lex_state = 94, .external_lex_state = 13},
  [1598] = {.lex_state = 94, .external_lex_state = 13},
  [1599] = {.lex_state = 94, .external_lex_state = 13},
  [1600] = {.lex_state = 94, .external_lex_state = 13},
  [1601] = {.lex_state = 94, .external_lex_state = 13},
  [1602] = {.lex_state = 94, .external_lex_state = 13},
  [1603] = {.lex_state = 94, .external_lex_state = 13},
  [1604] = {.lex_state = 94, .external_lex_state = 13},
  [1605] = {.lex_state = 94, .external_lex_state = 13},
  [1606] = {.lex_state = 84},
  [1607] = {.lex_state = 94, .external_lex_state = 13},
  [1608] = {.lex_state = 94, .external_lex_state = 13},
  [1609] = {.lex_state = 94, .external_lex_state = 13},
  [1610] = {.lex_state = 94, .external_lex_state = 13},
  [1611] = {.lex_state = 94, .external_lex_state = 13},
  [1612] = {.lex_state = 84},
  [1613] = {.lex_state = 94, .external_lex_state = 13},
  [1614] = {.lex_state = 84},
  [1615] = {.lex_state = 94, .external_lex_state = 13},
  [1616] = {.lex_state = 84},
  [1617] = {.lex_state = 94, .external_lex_state = 13},
  [1618] = {.lex_state = 94, .external_lex_state = 13},
  [1619] = {.lex_state = 94, .external_lex_state = 13},
  [1620] = {.lex_state = 94, .external_lex_state = 13},
  [1621] = {.lex_state = 94, .external_lex_state = 13},
  [1622] = {.lex_state = 94, .external_lex_state = 13},
  [1623] = {.lex_state = 94, .external_lex_state = 13},
  [1624] = {.lex_state = 94, .external_lex_state = 13},
  [1625] = {.lex_state = 94, .external_lex_state = 13},
  [1626] = {.lex_state = 94, .external_lex_state = 13},
  [1627] = {.lex_state = 94, .external_lex_state = 13},
  [1628] = {.lex_state = 94, .external_lex_state = 13},
  [1629] = {.lex_state = 84},
  [1630] = {.lex_state = 94, .external_lex_state = 13},
  [1631] = {.lex_state = 94, .external_lex_state = 13},
  [1632] = {.lex_state = 94, .external_lex_state = 13},
  [1633] = {.lex_state = 94, .external_lex_state = 13},
  [1634] = {.lex_state = 94, .external_lex_state = 13},
  [1635] = {.lex_state = 94, .external_lex_state = 13},
  [1636] = {.lex_state = 84},
  [1637] = {.lex_state = 94, .external_lex_state = 13},
  [1638] = {.lex_state = 84},
  [1639] = {.lex_state = 94, .external_lex_state = 13},
  [1640] = {.lex_state = 94, .external_lex_state = 13},
  [1641] = {.lex_state = 94, .external_lex_state = 13},
  [1642] = {.lex_state = 94, .external_lex_state = 13},
  [1643] = {.lex_state = 94, .external_lex_state = 13},
  [1644] = {.lex_state = 94, .external_lex_state = 13},
  [1645] = {.lex_state = 94, .external_lex_state = 13},
  [1646] = {.lex_state = 77, .external_lex_state = 13},
  [1647] = {.lex_state = 28, .external_lex_state = 6},
  [1648] = {.lex_state = 28, .external_lex_state = 6},
  [1649] = {.lex_state = 28, .external_lex_state = 6},
  [1650] = {.lex_state = 28, .external_lex_state = 6},
  [1651] = {.lex_state = 28, .external_lex_state = 6},
  [1652] = {.lex_state = 28, .external_lex_state = 6},
  [1653] = {.lex_state = 187, .external_lex_state = 6},
  [1654] = {.lex_state = 187, .external_lex_state = 6},
  [1655] = {.lex_state = 28, .external_lex_state = 6},
  [1656] = {.lex_state = 28, .external_lex_state = 6},
  [1657] = {.lex_state = 28, .external_lex_state = 6},
  [1658] = {.lex_state = 28, .external_lex_state = 6},
  [1659] = {.lex_state = 28, .external_lex_state = 6},
  [1660] = {.lex_state = 187, .external_lex_state = 6},
  [1661] = {.lex_state = 28, .external_lex_state = 8},
  [1662] = {.lex_state = 28, .external_lex_state = 6},
  [1663] = {.lex_state = 187, .external_lex_state = 6},
  [1664] = {.lex_state = 28, .external_lex_state = 8},
  [1665] = {.lex_state = 187, .external_lex_state = 6},
  [1666] = {.lex_state = 28, .external_lex_state = 8},
  [1667] = {.lex_state = 34, .external_lex_state = 15},
  [1668] = {.lex_state = 28, .external_lex_state = 6},
  [1669] = {.lex_state = 187, .external_lex_state = 6},
  [1670] = {.lex_state = 28, .external_lex_state = 8},
  [1671] = {.lex_state = 187, .external_lex_state = 6},
  [1672] = {.lex_state = 187, .external_lex_state = 6},
  [1673] = {.lex_state = 28, .external_lex_state = 8},
  [1674] = {.lex_state = 28, .external_lex_state = 6},
  [1675] = {.lex_state = 28, .external_lex_state = 8},
  [1676] = {.lex_state = 187, .external_lex_state = 6},
  [1677] = {.lex_state = 187, .external_lex_state = 6},
  [1678] = {.lex_state = 28, .external_lex_state = 6},
  [1679] = {.lex_state = 96, .external_lex_state = 2},
  [1680] = {.lex_state = 28, .external_lex_state = 6},
  [1681] = {.lex_state = 187, .external_lex_state = 6},
  [1682] = {.lex_state = 74, .external_lex_state = 10},
  [1683] = {.lex_state = 187, .external_lex_state = 6},
  [1684] = {.lex_state = 28, .external_lex_state = 8},
  [1685] = {.lex_state = 187, .external_lex_state = 8},
  [1686] = {.lex_state = 187, .external_lex_state = 6},
  [1687] = {.lex_state = 187, .external_lex_state = 6},
  [1688] = {.lex_state = 187, .external_lex_state = 6},
  [1689] = {.lex_state = 187, .external_lex_state = 8},
  [1690] = {.lex_state = 28, .external_lex_state = 8},
  [1691] = {.lex_state = 28, .external_lex_state = 8},
  [1692] = {.lex_state = 28, .external_lex_state = 8},
  [1693] = {.lex_state = 28, .external_lex_state = 8},
  [1694] = {.lex_state = 34, .external_lex_state = 15},
  [1695] = {.lex_state = 28, .external_lex_state = 8},
  [1696] = {.lex_state = 28, .external_lex_state = 8},
  [1697] = {.lex_state = 28, .external_lex_state = 8},
  [1698] = {.lex_state = 75, .external_lex_state = 10},
  [1699] = {.lex_state = 34, .external_lex_state = 10},
  [1700] = {.lex_state = 75, .external_lex_state = 10},
  [1701] = {.lex_state = 28, .external_lex_state = 8},
  [1702] = {.lex_state = 187, .external_lex_state = 6},
  [1703] = {.lex_state = 28, .external_lex_state = 8},
  [1704] = {.lex_state = 28, .external_lex_state = 8},
  [1705] = {.lex_state = 96, .external_lex_state = 16},
  [1706] = {.lex_state = 28, .external_lex_state = 8},
  [1707] = {.lex_state = 28, .external_lex_state = 6},
  [1708] = {.lex_state = 75, .external_lex_state = 10},
  [1709] = {.lex_state = 28, .external_lex_state = 8},
  [1710] = {.lex_state = 96, .external_lex_state = 16},
  [1711] = {.lex_state = 187, .external_lex_state = 8},
  [1712] = {.lex_state = 34, .external_lex_state = 15},
  [1713] = {.lex_state = 28, .external_lex_state = 8},
  [1714] = {.lex_state = 28, .external_lex_state = 8},
  [1715] = {.lex_state = 28, .external_lex_state = 8},
  [1716] = {.lex_state = 34, .external_lex_state = 15},
  [1717] = {.lex_state = 187, .external_lex_state = 8},
  [1718] = {.lex_state = 28, .external_lex_state = 8},
  [1719] = {.lex_state = 187, .external_lex_state = 6},
  [1720] = {.lex_state = 28, .external_lex_state = 8},
  [1721] = {.lex_state = 187, .external_lex_state = 6},
  [1722] = {.lex_state = 187, .external_lex_state = 6},
  [1723] = {.lex_state = 28, .external_lex_state = 8},
  [1724] = {.lex_state = 96, .external_lex_state = 16},
  [1725] = {.lex_state = 28, .external_lex_state = 8},
  [1726] = {.lex_state = 28, .external_lex_state = 8},
  [1727] = {.lex_state = 28, .external_lex_state = 8},
  [1728] = {.lex_state = 28, .external_lex_state = 8},
  [1729] = {.lex_state = 28, .external_lex_state = 8},
  [1730] = {.lex_state = 187, .external_lex_state = 6},
  [1731] = {.lex_state = 187, .external_lex_state = 6},
  [1732] = {.lex_state = 28, .external_lex_state = 8},
  [1733] = {.lex_state = 187, .external_lex_state = 6},
  [1734] = {.lex_state = 28, .external_lex_state = 8},
  [1735] = {.lex_state = 28, .external_lex_state = 8},
  [1736] = {.lex_state = 187, .external_lex_state = 8},
  [1737] = {.lex_state = 75, .external_lex_state = 10},
  [1738] = {.lex_state = 187, .external_lex_state = 6},
  [1739] = {.lex_state = 187, .external_lex_state = 8},
  [1740] = {.lex_state = 187, .external_lex_state = 6},
  [1741] = {.lex_state = 96, .external_lex_state = 16},
  [1742] = {.lex_state = 187, .external_lex_state = 8},
  [1743] = {.lex_state = 96, .external_lex_state = 16},
  [1744] = {.lex_state = 28, .external_lex_state = 8},
  [1745] = {.lex_state = 34, .external_lex_state = 10},
  [1746] = {.lex_state = 28, .external_lex_state = 8},
  [1747] = {.lex_state = 28, .external_lex_state = 8},
  [1748] = {.lex_state = 187, .external_lex_state = 6},
  [1749] = {.lex_state = 28, .external_lex_state = 8},
  [1750] = {.lex_state = 96, .external_lex_state = 16},
  [1751] = {.lex_state = 28, .external_lex_state = 6},
  [1752] = {.lex_state = 187, .external_lex_state = 8},
  [1753] = {.lex_state = 187, .external_lex_state = 8},
  [1754] = {.lex_state = 187, .external_lex_state = 8},
  [1755] = {.lex_state = 28, .external_lex_state = 6},
  [1756] = {.lex_state = 28, .external_lex_state = 6},
  [1757] = {.lex_state = 28, .external_lex_state = 6},
  [1758] = {.lex_state = 28, .external_lex_state = 6},
  [1759] = {.lex_state = 28, .external_lex_state = 6},
  [1760] = {.lex_state = 28, .external_lex_state = 6},
  [1761] = {.lex_state = 28, .external_lex_state = 6},
  [1762] = {.lex_state = 28, .external_lex_state = 6},
  [1763] = {.lex_state = 28, .external_lex_state = 6},
  [1764] = {.lex_state = 28, .external_lex_state = 6},
  [1765] = {.lex_state = 28, .external_lex_state = 6},
  [1766] = {.lex_state = 28, .external_lex_state = 6},
  [1767] = {.lex_state = 28, .external_lex_state = 6},
  [1768] = {.lex_state = 28, .external_lex_state = 6},
  [1769] = {.lex_state = 28, .external_lex_state = 6},
  [1770] = {.lex_state = 28, .external_lex_state = 6},
  [1771] = {.lex_state = 28, .external_lex_state = 6},
  [1772] = {.lex_state = 28, .external_lex_state = 6},
  [1773] = {.lex_state = 28, .external_lex_state = 6},
  [1774] = {.lex_state = 28, .external_lex_state = 6},
  [1775] = {.lex_state = 28, .external_lex_state = 6},
  [1776] = {.lex_state = 28, .external_lex_state = 6},
  [1777] = {.lex_state = 28, .external_lex_state = 6},
  [1778] = {.lex_state = 187, .external_lex_state = 8},
  [1779] = {.lex_state = 28, .external_lex_state = 6},
  [1780] = {.lex_state = 28, .external_lex_state = 6},
  [1781] = {.lex_state = 187, .external_lex_state = 6},
  [1782] = {.lex_state = 28, .external_lex_state = 6},
  [1783] = {.lex_state = 28, .external_lex_state = 6},
  [1784] = {.lex_state = 28, .external_lex_state = 6},
  [1785] = {.lex_state = 28, .external_lex_state = 6},
  [1786] = {.lex_state = 28, .external_lex_state = 6},
  [1787] = {.lex_state = 187, .external_lex_state = 8},
  [1788] = {.lex_state = 187, .external_lex_state = 8},
  [1789] = {.lex_state = 187, .external_lex_state = 8},
  [1790] = {.lex_state = 187, .external_lex_state = 8},
  [1791] = {.lex_state = 187, .external_lex_state = 8},
  [1792] = {.lex_state = 187, .external_lex_state = 8},
  [1793] = {.lex_state = 187, .external_lex_state = 8},
  [1794] = {.lex_state = 187, .external_lex_state = 8},
  [1795] = {.lex_state = 187, .external_lex_state = 8},
  [1796] = {.lex_state = 187, .external_lex_state = 8},
  [1797] = {.lex_state = 187, .external_lex_state = 8},
  [1798] = {.lex_state = 96, .external_lex_state = 16},
  [1799] = {.lex_state = 187, .external_lex_state = 8},
  [1800] = {.lex_state = 187, .external_lex_state = 8},
  [1801] = {.lex_state = 28, .external_lex_state = 6},
  [1802] = {.lex_state = 28, .external_lex_state = 6},
  [1803] = {.lex_state = 96, .external_lex_state = 2},
  [1804] = {.lex_state = 28, .external_lex_state = 6},
  [1805] = {.lex_state = 187, .external_lex_state = 8},
  [1806] = {.lex_state = 96, .external_lex_state = 16},
  [1807] = {.lex_state = 187, .external_lex_state = 8},
  [1808] = {.lex_state = 187, .external_lex_state = 8},
  [1809] = {.lex_state = 96, .external_lex_state = 16},
  [1810] = {.lex_state = 96, .external_lex_state = 16},
  [1811] = {.lex_state = 96, .external_lex_state = 16},
  [1812] = {.lex_state = 199, .external_lex_state = 17},
  [1813] = {.lex_state = 96, .external_lex_state = 16},
  [1814] = {.lex_state = 96, .external_lex_state = 16},
  [1815] = {.lex_state = 99},
  [1816] = {.lex_state = 96, .external_lex_state = 16},
  [1817] = {.lex_state = 96, .external_lex_state = 16},
  [1818] = {.lex_state = 96, .external_lex_state = 16},
  [1819] = {.lex_state = 96, .external_lex_state = 16},
  [1820] = {.lex_state = 187, .external_lex_state = 8},
  [1821] = {.lex_state = 187, .external_lex_state = 8},
  [1822] = {.lex_state = 96, .external_lex_state = 16},
  [1823] = {.lex_state = 96, .external_lex_state = 16},
  [1824] = {.lex_state = 96, .external_lex_state = 16},
  [1825] = {.lex_state = 96, .external_lex_state = 16},
  [1826] = {.lex_state = 187, .external_lex_state = 8},
  [1827] = {.lex_state = 187, .external_lex_state = 8},
  [1828] = {.lex_state = 187, .external_lex_state = 8},
  [1829] = {.lex_state = 96, .external_lex_state = 16},
  [1830] = {.lex_state = 187, .external_lex_state = 6},
  [1831] = {.lex_state = 187, .external_lex_state = 8},
  [1832] = {.lex_state = 199, .external_lex_state = 17},
  [1833] = {.lex_state = 28, .external_lex_state = 6},
  [1834] = {.lex_state = 99},
  [1835] = {.lex_state = 28, .external_lex_state = 6},
  [1836] = {.lex_state = 99},
  [1837] = {.lex_state = 99},
  [1838] = {.lex_state = 96, .external_lex_state = 2},
  [1839] = {.lex_state = 187, .external_lex_state = 6},
  [1840] = {.lex_state = 96, .external_lex_state = 16},
  [1841] = {.lex_state = 187, .external_lex_state = 8},
  [1842] = {.lex_state = 96, .external_lex_state = 16},
  [1843] = {.lex_state = 96, .external_lex_state = 16},
  [1844] = {.lex_state = 96, .external_lex_state = 16},
  [1845] = {.lex_state = 187, .external_lex_state = 8},
  [1846] = {.lex_state = 96, .external_lex_state = 16},
  [1847] = {.lex_state = 96, .external_lex_state = 16},
  [1848] = {.lex_state = 96, .external_lex_state = 16},
  [1849] = {.lex_state = 96, .external_lex_state = 16},
  [1850] = {.lex_state = 96, .external_lex_state = 16},
  [1851] = {.lex_state = 187, .external_lex_state = 6},
  [1852] = {.lex_state = 187, .external_lex_state = 8},
  [1853] = {.lex_state = 96, .external_lex_state = 2},
  [1854] = {.lex_state = 187, .external_lex_state = 6},
  [1855] = {.lex_state = 34, .external_lex_state = 15},
  [1856] = {.lex_state = 99},
  [1857] = {.lex_state = 28, .external_lex_state = 6},
  [1858] = {.lex_state = 99},
  [1859] = {.lex_state = 34, .external_lex_state = 15},
  [1860] = {.lex_state = 34, .external_lex_state = 15},
  [1861] = {.lex_state = 28, .external_lex_state = 6},
  [1862] = {.lex_state = 34, .external_lex_state = 15},
  [1863] = {.lex_state = 28, .external_lex_state = 6},
  [1864] = {.lex_state = 34, .external_lex_state = 15},
  [1865] = {.lex_state = 34, .external_lex_state = 15},
  [1866] = {.lex_state = 34, .external_lex_state = 15},
  [1867] = {.lex_state = 199, .external_lex_state = 17},
  [1868] = {.lex_state = 99},
  [1869] = {.lex_state = 34, .external_lex_state = 15},
  [1870] = {.lex_state = 28, .external_lex_state = 6},
  [1871] = {.lex_state = 187, .external_lex_state = 8},
  [1872] = {.lex_state = 34, .external_lex_state = 15},
  [1873] = {.lex_state = 187, .external_lex_state = 8},
  [1874] = {.lex_state = 34, .external_lex_state = 15},
  [1875] = {.lex_state = 34, .external_lex_state = 15},
  [1876] = {.lex_state = 34, .external_lex_state = 15},
  [1877] = {.lex_state = 34, .external_lex_state = 15},
  [1878] = {.lex_state = 34, .external_lex_state = 15},
  [1879] = {.lex_state = 34, .external_lex_state = 15},
  [1880] = {.lex_state = 34, .external_lex_state = 15},
  [1881] = {.lex_state = 34, .external_lex_state = 15},
  [1882] = {.lex_state = 28, .external_lex_state = 6},
  [1883] = {.lex_state = 99},
  [1884] = {.lex_state = 28, .external_lex_state = 6},
  [1885] = {.lex_state = 28, .external_lex_state = 6},
  [1886] = {.lex_state = 34, .external_lex_state = 15},
  [1887] = {.lex_state = 34, .external_lex_state = 15},
  [1888] = {.lex_state = 34, .external_lex_state = 15},
  [1889] = {.lex_state = 34, .external_lex_state = 15},
  [1890] = {.lex_state = 28, .external_lex_state = 6},
  [1891] = {.lex_state = 96, .external_lex_state = 16},
  [1892] = {.lex_state = 34, .external_lex_state = 15},
  [1893] = {.lex_state = 34, .external_lex_state = 15},
  [1894] = {.lex_state = 34, .external_lex_state = 15},
  [1895] = {.lex_state = 34, .external_lex_state = 15},
  [1896] = {.lex_state = 34, .external_lex_state = 15},
  [1897] = {.lex_state = 28, .external_lex_state = 6},
  [1898] = {.lex_state = 99},
  [1899] = {.lex_state = 34, .external_lex_state = 10},
  [1900] = {.lex_state = 99},
  [1901] = {.lex_state = 90, .external_lex_state = 17},
  [1902] = {.lex_state = 99},
  [1903] = {.lex_state = 99},
  [1904] = {.lex_state = 199, .external_lex_state = 17},
  [1905] = {.lex_state = 96},
  [1906] = {.lex_state = 91, .external_lex_state = 17},
  [1907] = {.lex_state = 91},
  [1908] = {.lex_state = 34, .external_lex_state = 10},
  [1909] = {.lex_state = 96, .external_lex_state = 2},
  [1910] = {.lex_state = 96, .external_lex_state = 2},
  [1911] = {.lex_state = 199, .external_lex_state = 17},
  [1912] = {.lex_state = 96, .external_lex_state = 18},
  [1913] = {.lex_state = 96, .external_lex_state = 18},
  [1914] = {.lex_state = 187, .external_lex_state = 6},
  [1915] = {.lex_state = 199, .external_lex_state = 17},
  [1916] = {.lex_state = 96, .external_lex_state = 2},
  [1917] = {.lex_state = 199, .external_lex_state = 17},
  [1918] = {.lex_state = 187, .external_lex_state = 6},
  [1919] = {.lex_state = 34, .external_lex_state = 10},
  [1920] = {.lex_state = 96, .external_lex_state = 2},
  [1921] = {.lex_state = 187, .external_lex_state = 6},
  [1922] = {.lex_state = 96, .external_lex_state = 2},
  [1923] = {.lex_state = 187, .external_lex_state = 6},
  [1924] = {.lex_state = 34, .external_lex_state = 10},
  [1925] = {.lex_state = 187, .external_lex_state = 6},
  [1926] = {.lex_state = 187, .external_lex_state = 6},
  [1927] = {.lex_state = 34, .external_lex_state = 10},
  [1928] = {.lex_state = 96, .external_lex_state = 18},
  [1929] = {.lex_state = 187, .external_lex_state = 6},
  [1930] = {.lex_state = 34, .external_lex_state = 10},
  [1931] = {.lex_state = 96, .external_lex_state = 2},
  [1932] = {.lex_state = 34, .external_lex_state = 10},
  [1933] = {.lex_state = 199, .external_lex_state = 17},
  [1934] = {.lex_state = 96, .external_lex_state = 2},
  [1935] = {.lex_state = 199, .external_lex_state = 17},
  [1936] = {.lex_state = 187, .external_lex_state = 6},
  [1937] = {.lex_state = 34, .external_lex_state = 10},
  [1938] = {.lex_state = 34, .external_lex_state = 10},
  [1939] = {.lex_state = 96, .external_lex_state = 2},
  [1940] = {.lex_state = 187, .external_lex_state = 6},
  [1941] = {.lex_state = 199, .external_lex_state = 17},
  [1942] = {.lex_state = 96, .external_lex_state = 2},
  [1943] = {.lex_state = 187, .external_lex_state = 6},
  [1944] = {.lex_state = 34, .external_lex_state = 10},
  [1945] = {.lex_state = 187, .external_lex_state = 6},
  [1946] = {.lex_state = 34, .external_lex_state = 10},
  [1947] = {.lex_state = 187, .external_lex_state = 6},
  [1948] = {.lex_state = 34, .external_lex_state = 10},
  [1949] = {.lex_state = 90},
  [1950] = {.lex_state = 199, .external_lex_state = 17},
  [1951] = {.lex_state = 96, .external_lex_state = 2},
  [1952] = {.lex_state = 187, .external_lex_state = 6},
  [1953] = {.lex_state = 199, .external_lex_state = 17},
  [1954] = {.lex_state = 96, .external_lex_state = 18},
  [1955] = {.lex_state = 199, .external_lex_state = 17},
  [1956] = {.lex_state = 199, .external_lex_state = 17},
  [1957] = {.lex_state = 96, .external_lex_state = 2},
  [1958] = {.lex_state = 199, .external_lex_state = 17},
  [1959] = {.lex_state = 199, .external_lex_state = 17},
  [1960] = {.lex_state = 199, .external_lex_state = 17},
  [1961] = {.lex_state = 90},
  [1962] = {.lex_state = 199, .external_lex_state = 17},
  [1963] = {.lex_state = 96, .external_lex_state = 18},
  [1964] = {.lex_state = 91, .external_lex_state = 17},
  [1965] = {.lex_state = 187, .external_lex_state = 8},
  [1966] = {.lex_state = 199, .external_lex_state = 17},
  [1967] = {.lex_state = 96, .external_lex_state = 2},
  [1968] = {.lex_state = 187, .external_lex_state = 6},
  [1969] = {.lex_state = 187, .external_lex_state = 6},
  [1970] = {.lex_state = 187, .external_lex_state = 8},
  [1971] = {.lex_state = 187, .external_lex_state = 8},
  [1972] = {.lex_state = 187, .external_lex_state = 8},
  [1973] = {.lex_state = 187, .external_lex_state = 6},
  [1974] = {.lex_state = 187, .external_lex_state = 8},
  [1975] = {.lex_state = 199, .external_lex_state = 17},
  [1976] = {.lex_state = 96},
  [1977] = {.lex_state = 187, .external_lex_state = 6},
  [1978] = {.lex_state = 187, .external_lex_state = 8},
  [1979] = {.lex_state = 199, .external_lex_state = 17},
  [1980] = {.lex_state = 34, .external_lex_state = 10},
  [1981] = {.lex_state = 187, .external_lex_state = 6},
  [1982] = {.lex_state = 96, .external_lex_state = 2},
  [1983] = {.lex_state = 96, .external_lex_state = 2},
  [1984] = {.lex_state = 96, .external_lex_state = 2},
  [1985] = {.lex_state = 187, .external_lex_state = 8},
  [1986] = {.lex_state = 187, .external_lex_state = 8},
  [1987] = {.lex_state = 96, .external_lex_state = 2},
  [1988] = {.lex_state = 96, .external_lex_state = 2},
  [1989] = {.lex_state = 187, .external_lex_state = 8},
  [1990] = {.lex_state = 187, .external_lex_state = 8},
  [1991] = {.lex_state = 187, .external_lex_state = 6},
  [1992] = {.lex_state = 96, .external_lex_state = 2},
  [1993] = {.lex_state = 187, .external_lex_state = 6},
  [1994] = {.lex_state = 96},
  [1995] = {.lex_state = 96},
  [1996] = {.lex_state = 96},
  [1997] = {.lex_state = 92, .external_lex_state = 19},
  [1998] = {.lex_state = 34, .external_lex_state = 10},
  [1999] = {.lex_state = 34, .external_lex_state = 10},
  [2000] = {.lex_state = 187, .external_lex_state = 6},
  [2001] = {.lex_state = 187, .external_lex_state = 6},
  [2002] = {.lex_state = 187, .external_lex_state = 8},
  [2003] = {.lex_state = 96},
  [2004] = {.lex_state = 96, .external_lex_state = 18},
  [2005] = {.lex_state = 96},
  [2006] = {.lex_state = 187, .external_lex_state = 6},
  [2007] = {.lex_state = 34, .external_lex_state = 10},
  [2008] = {.lex_state = 187, .external_lex_state = 6},
  [2009] = {.lex_state = 96, .external_lex_state = 2},
  [2010] = {.lex_state = 96, .external_lex_state = 2},
  [2011] = {.lex_state = 34, .external_lex_state = 10},
  [2012] = {.lex_state = 199, .external_lex_state = 17},
  [2013] = {.lex_state = 96, .external_lex_state = 2},
  [2014] = {.lex_state = 96},
  [2015] = {.lex_state = 96},
  [2016] = {.lex_state = 96, .external_lex_state = 2},
  [2017] = {.lex_state = 187, .external_lex_state = 6},
  [2018] = {.lex_state = 199, .external_lex_state = 17},
  [2019] = {.lex_state = 96, .external_lex_state = 18},
  [2020] = {.lex_state = 199, .external_lex_state = 17},
  [2021] = {.lex_state = 96},
  [2022] = {.lex_state = 199, .external_lex_state = 17},
  [2023] = {.lex_state = 199, .external_lex_state = 17},
  [2024] = {.lex_state = 96, .external_lex_state = 18},
  [2025] = {.lex_state = 187, .external_lex_state = 8},
  [2026] = {.lex_state = 187, .external_lex_state = 6},
  [2027] = {.lex_state = 187, .external_lex_state = 8},
  [2028] = {.lex_state = 96},
  [2029] = {.lex_state = 187, .external_lex_state = 8},
  [2030] = {.lex_state = 96, .external_lex_state = 2},
  [2031] = {.lex_state = 187, .external_lex_state = 8},
  [2032] = {.lex_state = 187, .external_lex_state = 8},
  [2033] = {.lex_state = 187, .external_lex_state = 8},
  [2034] = {.lex_state = 96},
  [2035] = {.lex_state = 187, .external_lex_state = 8},
  [2036] = {.lex_state = 187, .external_lex_state = 8},
  [2037] = {.lex_state = 187, .external_lex_state = 6},
  [2038] = {.lex_state = 187, .external_lex_state = 8},
  [2039] = {.lex_state = 187, .external_lex_state = 6},
  [2040] = {.lex_state = 187, .external_lex_state = 6},
  [2041] = {.lex_state = 187, .external_lex_state = 6},
  [2042] = {.lex_state = 187, .external_lex_state = 8},
  [2043] = {.lex_state = 187, .external_lex_state = 8},
  [2044] = {.lex_state = 187, .external_lex_state = 8},
  [2045] = {.lex_state = 187, .external_lex_state = 6},
  [2046] = {.lex_state = 96, .external_lex_state = 2},
  [2047] = {.lex_state = 187, .external_lex_state = 6},
  [2048] = {.lex_state = 187, .external_lex_state = 8},
  [2049] = {.lex_state = 187, .external_lex_state = 6},
  [2050] = {.lex_state = 187, .external_lex_state = 6},
  [2051] = {.lex_state = 187, .external_lex_state = 8},
  [2052] = {.lex_state = 187, .external_lex_state = 6},
  [2053] = {.lex_state = 187, .external_lex_state = 6},
  [2054] = {.lex_state = 187, .external_lex_state = 8},
  [2055] = {.lex_state = 96, .external_lex_state = 2},
  [2056] = {.lex_state = 187, .external_lex_state = 6},
  [2057] = {.lex_state = 187, .external_lex_state = 6},
  [2058] = {.lex_state = 187, .external_lex_state = 6},
  [2059] = {.lex_state = 187, .external_lex_state = 6},
  [2060] = {.lex_state = 96, .external_lex_state = 2},
  [2061] = {.lex_state = 78},
  [2062] = {.lex_state = 96, .external_lex_state = 2},
  [2063] = {.lex_state = 96, .external_lex_state = 2},
  [2064] = {.lex_state = 96, .external_lex_state = 2},
  [2065] = {.lex_state = 199, .external_lex_state = 17},
  [2066] = {.lex_state = 187, .external_lex_state = 6},
  [2067] = {.lex_state = 96, .external_lex_state = 2},
  [2068] = {.lex_state = 199, .external_lex_state = 17},
  [2069] = {.lex_state = 96, .external_lex_state = 2},
  [2070] = {.lex_state = 187, .external_lex_state = 6},
  [2071] = {.lex_state = 96, .external_lex_state = 18},
  [2072] = {.lex_state = 187, .external_lex_state = 6},
  [2073] = {.lex_state = 187, .external_lex_state = 6},
  [2074] = {.lex_state = 187, .external_lex_state = 6},
  [2075] = {.lex_state = 96, .external_lex_state = 2},
  [2076] = {.lex_state = 96, .external_lex_state = 2},
  [2077] = {.lex_state = 187, .external_lex_state = 6},
  [2078] = {.lex_state = 96, .external_lex_state = 2},
  [2079] = {.lex_state = 96, .external_lex_state = 2},
  [2080] = {.lex_state = 199, .external_lex_state = 17},
  [2081] = {.lex_state = 199, .external_lex_state = 17},
  [2082] = {.lex_state = 199},
  [2083] = {.lex_state = 96},
  [2084] = {.lex_state = 187, .external_lex_state = 6},
  [2085] = {.lex_state = 187, .external_lex_state = 6},
  [2086] = {.lex_state = 187, .external_lex_state = 6},
  [2087] = {.lex_state = 187, .external_lex_state = 6},
  [2088] = {.lex_state = 187, .external_lex_state = 6},
  [2089] = {.lex_state = 92, .external_lex_state = 11},
  [2090] = {.lex_state = 187, .external_lex_state = 6},
  [2091] = {.lex_state = 199},
  [2092] = {.lex_state = 96},
  [2093] = {.lex_state = 187, .external_lex_state = 6},
  [2094] = {.lex_state = 91, .external_lex_state = 17},
  [2095] = {.lex_state = 187, .external_lex_state = 6},
  [2096] = {.lex_state = 187, .external_lex_state = 6},
  [2097] = {.lex_state = 187, .external_lex_state = 6},
  [2098] = {.lex_state = 187, .external_lex_state = 6},
  [2099] = {.lex_state = 187, .external_lex_state = 6},
  [2100] = {.lex_state = 187, .external_lex_state = 6},
  [2101] = {.lex_state = 187, .external_lex_state = 6},
  [2102] = {.lex_state = 187, .external_lex_state = 6},
  [2103] = {.lex_state = 187, .external_lex_state = 6},
  [2104] = {.lex_state = 96},
  [2105] = {.lex_state = 187, .external_lex_state = 6},
  [2106] = {.lex_state = 96},
  [2107] = {.lex_state = 187, .external_lex_state = 6},
  [2108] = {.lex_state = 92, .external_lex_state = 19},
  [2109] = {.lex_state = 187, .external_lex_state = 6},
  [2110] = {.lex_state = 187, .external_lex_state = 6},
  [2111] = {.lex_state = 96},
  [2112] = {.lex_state = 187, .external_lex_state = 6},
  [2113] = {.lex_state = 96},
  [2114] = {.lex_state = 96},
  [2115] = {.lex_state = 187, .external_lex_state = 6},
  [2116] = {.lex_state = 187, .external_lex_state = 6},
  [2117] = {.lex_state = 199},
  [2118] = {.lex_state = 187, .external_lex_state = 6},
  [2119] = {.lex_state = 187, .external_lex_state = 6},
  [2120] = {.lex_state = 93, .external_lex_state = 20},
  [2121] = {.lex_state = 96},
  [2122] = {.lex_state = 187, .external_lex_state = 6},
  [2123] = {.lex_state = 93, .external_lex_state = 20},
  [2124] = {.lex_state = 92, .external_lex_state = 19},
  [2125] = {.lex_state = 199},
  [2126] = {.lex_state = 199},
  [2127] = {.lex_state = 91},
  [2128] = {.lex_state = 96},
  [2129] = {.lex_state = 187, .external_lex_state = 6},
  [2130] = {.lex_state = 187, .external_lex_state = 6},
  [2131] = {.lex_state = 187, .external_lex_state = 6},
  [2132] = {.lex_state = 187, .external_lex_state = 6},
  [2133] = {.lex_state = 187, .external_lex_state = 6},
  [2134] = {.lex_state = 187, .external_lex_state = 6},
  [2135] = {.lex_state = 187, .external_lex_state = 6},
  [2136] = {.lex_state = 96},
  [2137] = {.lex_state = 96},
  [2138] = {.lex_state = 187, .external_lex_state = 6},
  [2139] = {.lex_state = 94, .external_lex_state = 20},
  [2140] = {.lex_state = 187, .external_lex_state = 6},
  [2141] = {.lex_state = 91, .external_lex_state = 17},
  [2142] = {.lex_state = 199},
  [2143] = {.lex_state = 199},
  [2144] = {.lex_state = 187, .external_lex_state = 6},
  [2145] = {.lex_state = 92, .external_lex_state = 19},
  [2146] = {.lex_state = 91, .external_lex_state = 17},
  [2147] = {.lex_state = 96},
  [2148] = {.lex_state = 187, .external_lex_state = 6},
  [2149] = {.lex_state = 91, .external_lex_state = 17},
  [2150] = {.lex_state = 91, .external_lex_state = 17},
  [2151] = {.lex_state = 92, .external_lex_state = 11},
  [2152] = {.lex_state = 187, .external_lex_state = 6},
  [2153] = {.lex_state = 187, .external_lex_state = 6},
  [2154] = {.lex_state = 91, .external_lex_state = 17},
  [2155] = {.lex_state = 91, .external_lex_state = 17},
  [2156] = {.lex_state = 91, .external_lex_state = 17},
  [2157] = {.lex_state = 94, .external_lex_state = 20},
  [2158] = {.lex_state = 94, .external_lex_state = 20},
  [2159] = {.lex_state = 91, .external_lex_state = 17},
  [2160] = {.lex_state = 91, .external_lex_state = 17},
  [2161] = {.lex_state = 91, .external_lex_state = 17},
  [2162] = {.lex_state = 187, .external_lex_state = 6},
  [2163] = {.lex_state = 187, .external_lex_state = 6},
  [2164] = {.lex_state = 199},
  [2165] = {.lex_state = 94, .external_lex_state = 20},
  [2166] = {.lex_state = 96},
  [2167] = {.lex_state = 187, .external_lex_state = 6},
  [2168] = {.lex_state = 91, .external_lex_state = 17},
  [2169] = {.lex_state = 91, .external_lex_state = 17},
  [2170] = {.lex_state = 96},
  [2171] = {.lex_state = 90},
  [2172] = {.lex_state = 91, .external_lex_state = 17},
  [2173] = {.lex_state = 96},
  [2174] = {.lex_state = 187, .external_lex_state = 6},
  [2175] = {.lex_state = 96, .external_lex_state = 2},
  [2176] = {.lex_state = 91, .external_lex_state = 17},
  [2177] = {.lex_state = 91, .external_lex_state = 17},
  [2178] = {.lex_state = 91, .external_lex_state = 17},
  [2179] = {.lex_state = 91, .external_lex_state = 17},
  [2180] = {.lex_state = 93, .external_lex_state = 20},
  [2181] = {.lex_state = 91, .external_lex_state = 17},
  [2182] = {.lex_state = 96},
  [2183] = {.lex_state = 96},
  [2184] = {.lex_state = 96},
  [2185] = {.lex_state = 96},
  [2186] = {.lex_state = 93, .external_lex_state = 20},
  [2187] = {.lex_state = 91, .external_lex_state = 17},
  [2188] = {.lex_state = 91, .external_lex_state = 17},
  [2189] = {.lex_state = 96},
  [2190] = {.lex_state = 91, .external_lex_state = 17},
  [2191] = {.lex_state = 91, .external_lex_state = 17},
  [2192] = {.lex_state = 91, .external_lex_state = 17},
  [2193] = {.lex_state = 91, .external_lex_state = 17},
  [2194] = {.lex_state = 187, .external_lex_state = 6},
  [2195] = {.lex_state = 96, .external_lex_state = 2},
  [2196] = {.lex_state = 96, .external_lex_state = 2},
  [2197] = {.lex_state = 91},
  [2198] = {.lex_state = 187, .external_lex_state = 6},
  [2199] = {.lex_state = 91, .external_lex_state = 17},
  [2200] = {.lex_state = 91, .external_lex_state = 17},
  [2201] = {.lex_state = 91, .external_lex_state = 17},
  [2202] = {.lex_state = 96, .external_lex_state = 14},
  [2203] = {.lex_state = 97, .external_lex_state = 13},
  [2204] = {.lex_state = 92, .external_lex_state = 19},
  [2205] = {.lex_state = 92, .external_lex_state = 19},
  [2206] = {.lex_state = 92, .external_lex_state = 19},
  [2207] = {.lex_state = 93, .external_lex_state = 13},
  [2208] = {.lex_state = 92, .external_lex_state = 19},
  [2209] = {.lex_state = 97, .external_lex_state = 13},
  [2210] = {.lex_state = 92, .external_lex_state = 19},
  [2211] = {.lex_state = 92, .external_lex_state = 19},
  [2212] = {.lex_state = 97, .external_lex_state = 13},
  [2213] = {.lex_state = 93, .external_lex_state = 13},
  [2214] = {.lex_state = 92, .external_lex_state = 19},
  [2215] = {.lex_state = 97, .external_lex_state = 13},
  [2216] = {.lex_state = 97, .external_lex_state = 13},
  [2217] = {.lex_state = 93, .external_lex_state = 13},
  [2218] = {.lex_state = 93, .external_lex_state = 13},
  [2219] = {.lex_state = 97, .external_lex_state = 13},
  [2220] = {.lex_state = 97, .external_lex_state = 13},
  [2221] = {.lex_state = 97, .external_lex_state = 13},
  [2222] = {.lex_state = 96},
  [2223] = {.lex_state = 97, .external_lex_state = 13},
  [2224] = {.lex_state = 92, .external_lex_state = 19},
  [2225] = {.lex_state = 92, .external_lex_state = 19},
  [2226] = {.lex_state = 92, .external_lex_state = 19},
  [2227] = {.lex_state = 97, .external_lex_state = 13},
  [2228] = {.lex_state = 96, .external_lex_state = 14},
  [2229] = {.lex_state = 94, .external_lex_state = 13},
  [2230] = {.lex_state = 97, .external_lex_state = 13},
  [2231] = {.lex_state = 97, .external_lex_state = 13},
  [2232] = {.lex_state = 92, .external_lex_state = 19},
  [2233] = {.lex_state = 92, .external_lex_state = 19},
  [2234] = {.lex_state = 97, .external_lex_state = 13},
  [2235] = {.lex_state = 92, .external_lex_state = 19},
  [2236] = {.lex_state = 92, .external_lex_state = 19},
  [2237] = {.lex_state = 94, .external_lex_state = 20},
  [2238] = {.lex_state = 92, .external_lex_state = 19},
  [2239] = {.lex_state = 94, .external_lex_state = 20},
  [2240] = {.lex_state = 92, .external_lex_state = 19},
  [2241] = {.lex_state = 97, .external_lex_state = 13},
  [2242] = {.lex_state = 92, .external_lex_state = 19},
  [2243] = {.lex_state = 199},
  [2244] = {.lex_state = 94, .external_lex_state = 20},
  [2245] = {.lex_state = 97, .external_lex_state = 13},
  [2246] = {.lex_state = 96},
  [2247] = {.lex_state = 94, .external_lex_state = 20},
  [2248] = {.lex_state = 92, .external_lex_state = 19},
  [2249] = {.lex_state = 97, .external_lex_state = 13},
  [2250] = {.lex_state = 97, .external_lex_state = 13},
  [2251] = {.lex_state = 96},
  [2252] = {.lex_state = 97, .external_lex_state = 13},
  [2253] = {.lex_state = 97, .external_lex_state = 13},
  [2254] = {.lex_state = 94, .external_lex_state = 20},
  [2255] = {.lex_state = 92, .external_lex_state = 19},
  [2256] = {.lex_state = 97, .external_lex_state = 13},
  [2257] = {.lex_state = 97, .external_lex_state = 13},
  [2258] = {.lex_state = 97, .external_lex_state = 13},
  [2259] = {.lex_state = 94, .external_lex_state = 20},
  [2260] = {.lex_state = 94, .external_lex_state = 20},
  [2261] = {.lex_state = 97, .external_lex_state = 13},
  [2262] = {.lex_state = 199},
  [2263] = {.lex_state = 94, .external_lex_state = 20},
  [2264] = {.lex_state = 97, .external_lex_state = 13},
  [2265] = {.lex_state = 97, .external_lex_state = 13},
  [2266] = {.lex_state = 97, .external_lex_state = 13},
  [2267] = {.lex_state = 94, .external_lex_state = 20},
  [2268] = {.lex_state = 92, .external_lex_state = 19},
  [2269] = {.lex_state = 97, .external_lex_state = 13},
  [2270] = {.lex_state = 97, .external_lex_state = 13},
  [2271] = {.lex_state = 97, .external_lex_state = 13},
  [2272] = {.lex_state = 94, .external_lex_state = 20},
  [2273] = {.lex_state = 97, .external_lex_state = 13},
  [2274] = {.lex_state = 97, .external_lex_state = 13},
  [2275] = {.lex_state = 92, .external_lex_state = 11},
  [2276] = {.lex_state = 97, .external_lex_state = 13},
  [2277] = {.lex_state = 92, .external_lex_state = 19},
  [2278] = {.lex_state = 97, .external_lex_state = 13},
  [2279] = {.lex_state = 96, .external_lex_state = 14},
  [2280] = {.lex_state = 97, .external_lex_state = 13},
  [2281] = {.lex_state = 94, .external_lex_state = 20},
  [2282] = {.lex_state = 96, .external_lex_state = 14},
  [2283] = {.lex_state = 97, .external_lex_state = 13},
  [2284] = {.lex_state = 97, .external_lex_state = 13},
  [2285] = {.lex_state = 97, .external_lex_state = 13},
  [2286] = {.lex_state = 97, .external_lex_state = 13},
  [2287] = {.lex_state = 97, .external_lex_state = 13},
  [2288] = {.lex_state = 94, .external_lex_state = 20},
  [2289] = {.lex_state = 97, .external_lex_state = 13},
  [2290] = {.lex_state = 97, .external_lex_state = 13},
  [2291] = {.lex_state = 97, .external_lex_state = 13},
  [2292] = {.lex_state = 94, .external_lex_state = 20},
  [2293] = {.lex_state = 94, .external_lex_state = 20},
  [2294] = {.lex_state = 97, .external_lex_state = 13},
  [2295] = {.lex_state = 97, .external_lex_state = 13},
  [2296] = {.lex_state = 94, .external_lex_state = 20},
  [2297] = {.lex_state = 94, .external_lex_state = 20},
  [2298] = {.lex_state = 94, .external_lex_state = 20},
  [2299] = {.lex_state = 97, .external_lex_state = 13},
  [2300] = {.lex_state = 92, .external_lex_state = 19},
  [2301] = {.lex_state = 97, .external_lex_state = 13},
  [2302] = {.lex_state = 97, .external_lex_state = 13},
  [2303] = {.lex_state = 92, .external_lex_state = 19},
  [2304] = {.lex_state = 94, .external_lex_state = 20},
  [2305] = {.lex_state = 92, .external_lex_state = 19},
  [2306] = {.lex_state = 97, .external_lex_state = 13},
  [2307] = {.lex_state = 97, .external_lex_state = 13},
  [2308] = {.lex_state = 97, .external_lex_state = 13},
  [2309] = {.lex_state = 94, .external_lex_state = 20},
  [2310] = {.lex_state = 97, .external_lex_state = 13},
  [2311] = {.lex_state = 97, .external_lex_state = 13},
  [2312] = {.lex_state = 97, .external_lex_state = 13},
  [2313] = {.lex_state = 97, .external_lex_state = 13},
  [2314] = {.lex_state = 97, .external_lex_state = 13},
  [2315] = {.lex_state = 92, .external_lex_state = 19},
  [2316] = {.lex_state = 97, .external_lex_state = 13},
  [2317] = {.lex_state = 94, .external_lex_state = 20},
  [2318] = {.lex_state = 97, .external_lex_state = 13},
  [2319] = {.lex_state = 97, .external_lex_state = 13},
  [2320] = {.lex_state = 97, .external_lex_state = 13},
  [2321] = {.lex_state = 94, .external_lex_state = 20},
  [2322] = {.lex_state = 92, .external_lex_state = 19},
  [2323] = {.lex_state = 94, .external_lex_state = 20},
  [2324] = {.lex_state = 97, .external_lex_state = 13},
  [2325] = {.lex_state = 94, .external_lex_state = 13},
  [2326] = {.lex_state = 94, .external_lex_state = 20},
  [2327] = {.lex_state = 94, .external_lex_state = 20},
  [2328] = {.lex_state = 97, .external_lex_state = 13},
  [2329] = {.lex_state = 97, .external_lex_state = 13},
  [2330] = {.lex_state = 94, .external_lex_state = 20},
  [2331] = {.lex_state = 94, .external_lex_state = 20},
  [2332] = {.lex_state = 91},
  [2333] = {.lex_state = 91},
  [2334] = {.lex_state = 199},
  [2335] = {.lex_state = 199},
  [2336] = {.lex_state = 199},
  [2337] = {.lex_state = 94, .external_lex_state = 13},
  [2338] = {.lex_state = 199},
  [2339] = {.lex_state = 92, .external_lex_state = 11},
  [2340] = {.lex_state = 96},
  [2341] = {.lex_state = 91},
  [2342] = {.lex_state = 199},
  [2343] = {.lex_state = 199},
  [2344] = {.lex_state = 96},
  [2345] = {.lex_state = 199},
  [2346] = {.lex_state = 199},
  [2347] = {.lex_state = 96},
  [2348] = {.lex_state = 91},
  [2349] = {.lex_state = 199},
  [2350] = {.lex_state = 96},
  [2351] = {.lex_state = 96},
  [2352] = {.lex_state = 96},
  [2353] = {.lex_state = 96},
  [2354] = {.lex_state = 91},
  [2355] = {.lex_state = 199},
  [2356] = {.lex_state = 199},
  [2357] = {.lex_state = 96},
  [2358] = {.lex_state = 199},
  [2359] = {.lex_state = 199},
  [2360] = {.lex_state = 199},
  [2361] = {.lex_state = 199},
  [2362] = {.lex_state = 91},
  [2363] = {.lex_state = 96},
  [2364] = {.lex_state = 96},
  [2365] = {.lex_state = 96},
  [2366] = {.lex_state = 92, .external_lex_state = 11},
  [2367] = {.lex_state = 199},
  [2368] = {.lex_state = 91},
  [2369] = {.lex_state = 91},
  [2370] = {.lex_state = 91},
  [2371] = {.lex_state = 92, .external_lex_state = 11},
  [2372] = {.lex_state = 199},
  [2373] = {.lex_state = 92, .external_lex_state = 11},
  [2374] = {.lex_state = 199},
  [2375] = {.lex_state = 96},
  [2376] = {.lex_state = 96},
  [2377] = {.lex_state = 96},
  [2378] = {.lex_state = 92, .external_lex_state = 11},
  [2379] = {.lex_state = 199},
  [2380] = {.lex_state = 96},
  [2381] = {.lex_state = 96},
  [2382] = {.lex_state = 92, .external_lex_state = 11},
  [2383] = {.lex_state = 199},
  [2384] = {.lex_state = 91},
  [2385] = {.lex_state = 92, .external_lex_state = 11},
  [2386] = {.lex_state = 96},
  [2387] = {.lex_state = 92, .external_lex_state = 11},
  [2388] = {.lex_state = 199},
  [2389] = {.lex_state = 199},
  [2390] = {.lex_state = 92, .external_lex_state = 11},
  [2391] = {.lex_state = 91},
  [2392] = {.lex_state = 96},
  [2393] = {.lex_state = 199},
  [2394] = {.lex_state = 96},
  [2395] = {.lex_state = 199},
  [2396] = {.lex_state = 92, .external_lex_state = 11},
  [2397] = {.lex_state = 96},
  [2398] = {.lex_state = 98, .external_lex_state = 11},
  [2399] = {.lex_state = 27, .external_lex_state = 10},
  [2400] = {.lex_state = 98, .external_lex_state = 11},
  [2401] = {.lex_state = 96},
  [2402] = {.lex_state = 96},
  [2403] = {.lex_state = 96},
  [2404] = {.lex_state = 96},
  [2405] = {.lex_state = 96},
  [2406] = {.lex_state = 96},
  [2407] = {.lex_state = 96},
  [2408] = {.lex_state = 96},
  [2409] = {.lex_state = 96},
  [2410] = {.lex_state = 96},
  [2411] = {.lex_state = 96},
  [2412] = {.lex_state = 96},
  [2413] = {.lex_state = 96},
  [2414] = {.lex_state = 96},
  [2415] = {.lex_state = 96},
  [2416] = {.lex_state = 96},
  [2417] = {.lex_state = 96},
  [2418] = {.lex_state = 96},
  [2419] = {.lex_state = 96},
  [2420] = {.lex_state = 96},
  [2421] = {.lex_state = 96},
  [2422] = {.lex_state = 96},
  [2423] = {.lex_state = 96},
  [2424] = {.lex_state = 96},
  [2425] = {.lex_state = 96},
  [2426] = {.lex_state = 75, .external_lex_state = 15},
  [2427] = {.lex_state = 96},
  [2428] = {.lex_state = 96},
  [2429] = {.lex_state = 96},
  [2430] = {.lex_state = 96},
  [2431] = {.lex_state = 96},
  [2432] = {.lex_state = 96},
  [2433] = {.lex_state = 96},
  [2434] = {.lex_state = 75, .external_lex_state = 15},
  [2435] = {.lex_state = 96},
  [2436] = {.lex_state = 96},
  [2437] = {.lex_state = 96},
  [2438] = {.lex_state = 96},
  [2439] = {.lex_state = 96},
  [2440] = {.lex_state = 96},
  [2441] = {.lex_state = 75, .external_lex_state = 15},
  [2442] = {.lex_state = 96},
  [2443] = {.lex_state = 96},
  [2444] = {.lex_state = 96},
  [2445] = {.lex_state = 96},
  [2446] = {.lex_state = 96},
  [2447] = {.lex_state = 96},
  [2448] = {.lex_state = 75, .external_lex_state = 15},
  [2449] = {.lex_state = 96},
  [2450] = {.lex_state = 96},
  [2451] = {.lex_state = 96},
  [2452] = {.lex_state = 96},
  [2453] = {.lex_state = 96},
  [2454] = {.lex_state = 96},
  [2455] = {.lex_state = 96},
  [2456] = {.lex_state = 96},
  [2457] = {.lex_state = 96},
  [2458] = {.lex_state = 96},
  [2459] = {.lex_state = 96},
  [2460] = {.lex_state = 96},
  [2461] = {.lex_state = 96},
  [2462] = {.lex_state = 96},
  [2463] = {.lex_state = 96},
  [2464] = {.lex_state = 96},
  [2465] = {.lex_state = 96},
  [2466] = {.lex_state = 75, .external_lex_state = 15},
  [2467] = {.lex_state = 75, .external_lex_state = 15},
  [2468] = {.lex_state = 75, .external_lex_state = 15},
  [2469] = {.lex_state = 75, .external_lex_state = 15},
  [2470] = {.lex_state = 75, .external_lex_state = 15},
  [2471] = {.lex_state = 75, .external_lex_state = 15},
  [2472] = {.lex_state = 75, .external_lex_state = 15},
  [2473] = {.lex_state = 75, .external_lex_state = 15},
  [2474] = {.lex_state = 75, .external_lex_state = 15},
  [2475] = {.lex_state = 75, .external_lex_state = 10},
  [2476] = {.lex_state = 75, .external_lex_state = 15},
  [2477] = {.lex_state = 75, .external_lex_state = 15},
  [2478] = {.lex_state = 75, .external_lex_state = 15},
  [2479] = {.lex_state = 75, .external_lex_state = 15},
  [2480] = {.lex_state = 75, .external_lex_state = 15},
  [2481] = {.lex_state = 75, .external_lex_state = 15},
  [2482] = {.lex_state = 75, .external_lex_state = 15},
  [2483] = {.lex_state = 75, .external_lex_state = 15},
  [2484] = {.lex_state = 75, .external_lex_state = 15},
  [2485] = {.lex_state = 75, .external_lex_state = 15},
  [2486] = {.lex_state = 75, .external_lex_state = 15},
  [2487] = {.lex_state = 75, .external_lex_state = 15},
  [2488] = {.lex_state = 75, .external_lex_state = 15},
  [2489] = {.lex_state = 75, .external_lex_state = 15},
  [2490] = {.lex_state = 75, .external_lex_state = 10},
  [2491] = {.lex_state = 75, .external_lex_state = 15},
  [2492] = {.lex_state = 75, .external_lex_state = 15},
  [2493] = {.lex_state = 75, .external_lex_state = 15},
  [2494] = {.lex_state = 85, .external_lex_state = 19},
  [2495] = {.lex_state = 75, .external_lex_state = 10},
  [2496] = {.lex_state = 85},
  [2497] = {.lex_state = 96, .external_lex_state = 17},
  [2498] = {.lex_state = 96, .external_lex_state = 17},
  [2499] = {.lex_state = 96, .external_lex_state = 17},
  [2500] = {.lex_state = 85, .external_lex_state = 13},
  [2501] = {.lex_state = 96, .external_lex_state = 17},
  [2502] = {.lex_state = 85, .external_lex_state = 21},
  [2503] = {.lex_state = 96, .external_lex_state = 17},
  [2504] = {.lex_state = 85, .external_lex_state = 21},
  [2505] = {.lex_state = 85},
  [2506] = {.lex_state = 85, .external_lex_state = 21},
  [2507] = {.lex_state = 85, .external_lex_state = 21},
  [2508] = {.lex_state = 85},
  [2509] = {.lex_state = 85, .external_lex_state = 21},
  [2510] = {.lex_state = 85, .external_lex_state = 21},
  [2511] = {.lex_state = 85},
  [2512] = {.lex_state = 85, .external_lex_state = 21},
  [2513] = {.lex_state = 85},
  [2514] = {.lex_state = 85, .external_lex_state = 21},
  [2515] = {.lex_state = 85},
  [2516] = {.lex_state = 85, .external_lex_state = 21},
  [2517] = {.lex_state = 96},
  [2518] = {.lex_state = 85},
  [2519] = {.lex_state = 85, .external_lex_state = 21},
  [2520] = {.lex_state = 85, .external_lex_state = 21},
  [2521] = {.lex_state = 96, .external_lex_state = 17},
  [2522] = {.lex_state = 85, .external_lex_state = 21},
  [2523] = {.lex_state = 85},
  [2524] = {.lex_state = 85, .external_lex_state = 21},
  [2525] = {.lex_state = 85},
  [2526] = {.lex_state = 85},
  [2527] = {.lex_state = 96, .external_lex_state = 17},
  [2528] = {.lex_state = 85, .external_lex_state = 21},
  [2529] = {.lex_state = 85},
  [2530] = {.lex_state = 85, .external_lex_state = 21},
  [2531] = {.lex_state = 85},
  [2532] = {.lex_state = 85},
  [2533] = {.lex_state = 96, .external_lex_state = 17},
  [2534] = {.lex_state = 85, .external_lex_state = 21},
  [2535] = {.lex_state = 85},
  [2536] = {.lex_state = 85, .external_lex_state = 21},
  [2537] = {.lex_state = 85},
  [2538] = {.lex_state = 85},
  [2539] = {.lex_state = 96, .external_lex_state = 17},
  [2540] = {.lex_state = 85, .external_lex_state = 21},
  [2541] = {.lex_state = 85, .external_lex_state = 21},
  [2542] = {.lex_state = 85},
  [2543] = {.lex_state = 96, .external_lex_state = 17},
  [2544] = {.lex_state = 85, .external_lex_state = 21},
  [2545] = {.lex_state = 96, .external_lex_state = 17},
  [2546] = {.lex_state = 85},
  [2547] = {.lex_state = 96},
  [2548] = {.lex_state = 85, .external_lex_state = 21},
  [2549] = {.lex_state = 96, .external_lex_state = 17},
  [2550] = {.lex_state = 96, .external_lex_state = 17},
  [2551] = {.lex_state = 85},
  [2552] = {.lex_state = 85},
  [2553] = {.lex_state = 85, .external_lex_state = 21},
  [2554] = {.lex_state = 96, .external_lex_state = 17},
  [2555] = {.lex_state = 85},
  [2556] = {.lex_state = 85},
  [2557] = {.lex_state = 85, .external_lex_state = 21},
  [2558] = {.lex_state = 85},
  [2559] = {.lex_state = 96, .external_lex_state = 17},
  [2560] = {.lex_state = 85, .external_lex_state = 21},
  [2561] = {.lex_state = 85, .external_lex_state = 21},
  [2562] = {.lex_state = 85, .external_lex_state = 21},
  [2563] = {.lex_state = 85},
  [2564] = {.lex_state = 85, .external_lex_state = 21},
  [2565] = {.lex_state = 85, .external_lex_state = 21},
  [2566] = {.lex_state = 85},
  [2567] = {.lex_state = 96, .external_lex_state = 17},
  [2568] = {.lex_state = 96, .external_lex_state = 17},
  [2569] = {.lex_state = 96, .external_lex_state = 17},
  [2570] = {.lex_state = 85, .external_lex_state = 21},
  [2571] = {.lex_state = 96, .external_lex_state = 17},
  [2572] = {.lex_state = 96, .external_lex_state = 17},
  [2573] = {.lex_state = 96, .external_lex_state = 17},
  [2574] = {.lex_state = 96, .external_lex_state = 17},
  [2575] = {.lex_state = 96, .external_lex_state = 17},
  [2576] = {.lex_state = 96, .external_lex_state = 17},
  [2577] = {.lex_state = 96, .external_lex_state = 17},
  [2578] = {.lex_state = 96, .external_lex_state = 17},
  [2579] = {.lex_state = 96, .external_lex_state = 17},
  [2580] = {.lex_state = 96, .external_lex_state = 17},
  [2581] = {.lex_state = 85},
  [2582] = {.lex_state = 96, .external_lex_state = 17},
  [2583] = {.lex_state = 85},
  [2584] = {.lex_state = 85, .external_lex_state = 21},
  [2585] = {.lex_state = 85, .external_lex_state = 21},
  [2586] = {.lex_state = 96, .external_lex_state = 17},
  [2587] = {.lex_state = 85},
  [2588] = {.lex_state = 85},
  [2589] = {.lex_state = 85},
  [2590] = {.lex_state = 86},
  [2591] = {.lex_state = 86},
  [2592] = {.lex_state = 86},
  [2593] = {.lex_state = 86},
  [2594] = {.lex_state = 86},
  [2595] = {.lex_state = 99},
  [2596] = {.lex_state = 86},
  [2597] = {.lex_state = 99},
  [2598] = {.lex_state = 99},
  [2599] = {.lex_state = 86},
  [2600] = {.lex_state = 86},
  [2601] = {.lex_state = 86},
  [2602] = {.lex_state = 86},
  [2603] = {.lex_state = 99},
  [2604] = {.lex_state = 86},
  [2605] = {.lex_state = 86},
  [2606] = {.lex_state = 86},
  [2607] = {.lex_state = 86},
  [2608] = {.lex_state = 86},
  [2609] = {.lex_state = 99},
  [2610] = {.lex_state = 86},
  [2611] = {.lex_state = 86},
  [2612] = {.lex_state = 86},
  [2613] = {.lex_state = 86},
  [2614] = {.lex_state = 86},
  [2615] = {.lex_state = 86},
  [2616] = {.lex_state = 86},
  [2617] = {.lex_state = 86},
  [2618] = {.lex_state = 96},
  [2619] = {.lex_state = 86},
  [2620] = {.lex_state = 86},
  [2621] = {.lex_state = 86},
  [2622] = {.lex_state = 86},
  [2623] = {.lex_state = 86},
  [2624] = {.lex_state = 86},
  [2625] = {.lex_state = 86},
  [2626] = {.lex_state = 86},
  [2627] = {.lex_state = 86},
  [2628] = {.lex_state = 86},
  [2629] = {.lex_state = 86},
  [2630] = {.lex_state = 86},
  [2631] = {.lex_state = 99},
  [2632] = {.lex_state = 99},
  [2633] = {.lex_state = 99},
  [2634] = {.lex_state = 86},
  [2635] = {.lex_state = 99},
  [2636] = {.lex_state = 86},
  [2637] = {.lex_state = 86},
  [2638] = {.lex_state = 86},
  [2639] = {.lex_state = 86},
  [2640] = {.lex_state = 99},
  [2641] = {.lex_state = 86},
  [2642] = {.lex_state = 86},
  [2643] = {.lex_state = 86},
  [2644] = {.lex_state = 86},
  [2645] = {.lex_state = 86},
  [2646] = {.lex_state = 86},
  [2647] = {.lex_state = 86},
  [2648] = {.lex_state = 86},
  [2649] = {.lex_state = 86},
  [2650] = {.lex_state = 86},
  [2651] = {.lex_state = 86},
  [2652] = {.lex_state = 86},
  [2653] = {.lex_state = 86},
  [2654] = {.lex_state = 86},
  [2655] = {.lex_state = 86},
  [2656] = {.lex_state = 86},
  [2657] = {.lex_state = 86},
  [2658] = {.lex_state = 86},
  [2659] = {.lex_state = 96},
  [2660] = {.lex_state = 96},
  [2661] = {.lex_state = 96},
  [2662] = {.lex_state = 101, .external_lex_state = 21},
  [2663] = {.lex_state = 96},
  [2664] = {.lex_state = 96},
  [2665] = {.lex_state = 96},
  [2666] = {.lex_state = 96},
  [2667] = {.lex_state = 101, .external_lex_state = 21},
  [2668] = {.lex_state = 101, .external_lex_state = 21},
  [2669] = {.lex_state = 87},
  [2670] = {.lex_state = 96},
  [2671] = {.lex_state = 96},
  [2672] = {.lex_state = 101, .external_lex_state = 21},
  [2673] = {.lex_state = 96},
  [2674] = {.lex_state = 101, .external_lex_state = 21},
  [2675] = {.lex_state = 96},
  [2676] = {.lex_state = 101, .external_lex_state = 21},
  [2677] = {.lex_state = 101, .external_lex_state = 21},
  [2678] = {.lex_state = 101, .external_lex_state = 21},
  [2679] = {.lex_state = 101, .external_lex_state = 21},
  [2680] = {.lex_state = 96},
  [2681] = {.lex_state = 101, .external_lex_state = 21},
  [2682] = {.lex_state = 101, .external_lex_state = 21},
  [2683] = {.lex_state = 96},
  [2684] = {.lex_state = 101, .external_lex_state = 21},
  [2685] = {.lex_state = 101, .external_lex_state = 21},
  [2686] = {.lex_state = 96},
  [2687] = {.lex_state = 101, .external_lex_state = 21},
  [2688] = {.lex_state = 101, .external_lex_state = 21},
  [2689] = {.lex_state = 96},
  [2690] = {.lex_state = 101, .external_lex_state = 21},
  [2691] = {.lex_state = 101, .external_lex_state = 21},
  [2692] = {.lex_state = 96},
  [2693] = {.lex_state = 96},
  [2694] = {.lex_state = 101, .external_lex_state = 21},
  [2695] = {.lex_state = 96},
  [2696] = {.lex_state = 96},
  [2697] = {.lex_state = 101, .external_lex_state = 21},
  [2698] = {.lex_state = 101, .external_lex_state = 21},
  [2699] = {.lex_state = 96},
  [2700] = {.lex_state = 101, .external_lex_state = 21},
  [2701] = {.lex_state = 101, .external_lex_state = 21},
  [2702] = {.lex_state = 96},
  [2703] = {.lex_state = 96},
  [2704] = {.lex_state = 101, .external_lex_state = 21},
  [2705] = {.lex_state = 101, .external_lex_state = 21},
  [2706] = {.lex_state = 101, .external_lex_state = 21},
  [2707] = {.lex_state = 101, .external_lex_state = 21},
  [2708] = {.lex_state = 101, .external_lex_state = 21},
  [2709] = {.lex_state = 101, .external_lex_state = 21},
  [2710] = {.lex_state = 101, .external_lex_state = 21},
  [2711] = {.lex_state = 96},
  [2712] = {.lex_state = 96},
  [2713] = {.lex_state = 96},
  [2714] = {.lex_state = 96},
  [2715] = {.lex_state = 101, .external_lex_state = 21},
  [2716] = {.lex_state = 101, .external_lex_state = 21},
  [2717] = {.lex_state = 100},
  [2718] = {.lex_state = 100},
  [2719] = {.lex_state = 100},
  [2720] = {.lex_state = 100},
  [2721] = {.lex_state = 100},
  [2722] = {.lex_state = 100},
  [2723] = {.lex_state = 100},
  [2724] = {.lex_state = 100},
  [2725] = {.lex_state = 100},
  [2726] = {.lex_state = 100},
  [2727] = {.lex_state = 100},
  [2728] = {.lex_state = 100},
  [2729] = {.lex_state = 100},
  [2730] = {.lex_state = 100},
  [2731] = {.lex_state = 100},
  [2732] = {.lex_state = 100},
  [2733] = {.lex_state = 199, .external_lex_state = 22},
  [2734] = {.lex_state = 100},
  [2735] = {.lex_state = 100},
  [2736] = {.lex_state = 100},
  [2737] = {.lex_state = 100},
  [2738] = {.lex_state = 100},
  [2739] = {.lex_state = 100},
  [2740] = {.lex_state = 100},
  [2741] = {.lex_state = 100},
  [2742] = {.lex_state = 100},
  [2743] = {.lex_state = 199, .external_lex_state = 22},
  [2744] = {.lex_state = 100},
  [2745] = {.lex_state = 100},
  [2746] = {.lex_state = 100},
  [2747] = {.lex_state = 100},
  [2748] = {.lex_state = 199, .external_lex_state = 22},
  [2749] = {.lex_state = 100},
  [2750] = {.lex_state = 100},
  [2751] = {.lex_state = 100},
  [2752] = {.lex_state = 100},
  [2753] = {.lex_state = 100},
  [2754] = {.lex_state = 100},
  [2755] = {.lex_state = 199, .external_lex_state = 22},
  [2756] = {.lex_state = 100},
  [2757] = {.lex_state = 100},
  [2758] = {.lex_state = 100},
  [2759] = {.lex_state = 100},
  [2760] = {.lex_state = 100},
  [2761] = {.lex_state = 100},
  [2762] = {.lex_state = 100},
  [2763] = {.lex_state = 100},
  [2764] = {.lex_state = 100},
  [2765] = {.lex_state = 199, .external_lex_state = 22},
  [2766] = {.lex_state = 85},
  [2767] = {.lex_state = 100},
  [2768] = {.lex_state = 100},
  [2769] = {.lex_state = 100},
  [2770] = {.lex_state = 100},
  [2771] = {.lex_state = 100},
  [2772] = {.lex_state = 100},
  [2773] = {.lex_state = 100},
  [2774] = {.lex_state = 100},
  [2775] = {.lex_state = 100},
  [2776] = {.lex_state = 199, .external_lex_state = 22},
  [2777] = {.lex_state = 100},
  [2778] = {.lex_state = 100},
  [2779] = {.lex_state = 100},
  [2780] = {.lex_state = 100},
  [2781] = {.lex_state = 100},
  [2782] = {.lex_state = 100},
  [2783] = {.lex_state = 199, .external_lex_state = 22},
  [2784] = {.lex_state = 101},
  [2785] = {.lex_state = 101},
  [2786] = {.lex_state = 101},
  [2787] = {.lex_state = 101},
  [2788] = {.lex_state = 101},
  [2789] = {.lex_state = 101},
  [2790] = {.lex_state = 101},
  [2791] = {.lex_state = 101},
  [2792] = {.lex_state = 101},
  [2793] = {.lex_state = 188, .external_lex_state = 15},
  [2794] = {.lex_state = 101},
  [2795] = {.lex_state = 101},
  [2796] = {.lex_state = 101},
  [2797] = {.lex_state = 101},
  [2798] = {.lex_state = 101},
  [2799] = {.lex_state = 100, .external_lex_state = 17},
  [2800] = {.lex_state = 29, .external_lex_state = 10},
  [2801] = {.lex_state = 100, .external_lex_state = 17},
  [2802] = {.lex_state = 100, .external_lex_state = 17},
  [2803] = {.lex_state = 100, .external_lex_state = 17},
  [2804] = {.lex_state = 100, .external_lex_state = 17},
  [2805] = {.lex_state = 188, .external_lex_state = 10},
  [2806] = {.lex_state = 188, .external_lex_state = 15},
  [2807] = {.lex_state = 100, .external_lex_state = 17},
  [2808] = {.lex_state = 188, .external_lex_state = 15},
  [2809] = {.lex_state = 29, .external_lex_state = 10},
  [2810] = {.lex_state = 29, .external_lex_state = 10},
  [2811] = {.lex_state = 100, .external_lex_state = 17},
  [2812] = {.lex_state = 100, .external_lex_state = 17},
  [2813] = {.lex_state = 188, .external_lex_state = 10},
  [2814] = {.lex_state = 29, .external_lex_state = 10},
  [2815] = {.lex_state = 188, .external_lex_state = 10},
  [2816] = {.lex_state = 100, .external_lex_state = 17},
  [2817] = {.lex_state = 100, .external_lex_state = 17},
  [2818] = {.lex_state = 100, .external_lex_state = 17},
  [2819] = {.lex_state = 100, .external_lex_state = 17},
  [2820] = {.lex_state = 188, .external_lex_state = 10},
  [2821] = {.lex_state = 188, .external_lex_state = 15},
  [2822] = {.lex_state = 100, .external_lex_state = 17},
  [2823] = {.lex_state = 100, .external_lex_state = 17},
  [2824] = {.lex_state = 188, .external_lex_state = 15},
  [2825] = {.lex_state = 100, .external_lex_state = 17},
  [2826] = {.lex_state = 100, .external_lex_state = 17},
  [2827] = {.lex_state = 100, .external_lex_state = 17},
  [2828] = {.lex_state = 100, .external_lex_state = 17},
  [2829] = {.lex_state = 100, .external_lex_state = 17},
  [2830] = {.lex_state = 100, .external_lex_state = 17},
  [2831] = {.lex_state = 29, .external_lex_state = 10},
  [2832] = {.lex_state = 188, .external_lex_state = 15},
  [2833] = {.lex_state = 100, .external_lex_state = 17},
  [2834] = {.lex_state = 100, .external_lex_state = 17},
  [2835] = {.lex_state = 199, .external_lex_state = 22},
  [2836] = {.lex_state = 199, .external_lex_state = 22},
  [2837] = {.lex_state = 199, .external_lex_state = 22},
  [2838] = {.lex_state = 188, .external_lex_state = 15},
  [2839] = {.lex_state = 199, .external_lex_state = 22},
  [2840] = {.lex_state = 199, .external_lex_state = 22},
  [2841] = {.lex_state = 199, .external_lex_state = 22},
  [2842] = {.lex_state = 199, .external_lex_state = 22},
  [2843] = {.lex_state = 188, .external_lex_state = 15},
  [2844] = {.lex_state = 188, .external_lex_state = 15},
  [2845] = {.lex_state = 188, .external_lex_state = 10},
  [2846] = {.lex_state = 188, .external_lex_state = 15},
  [2847] = {.lex_state = 199, .external_lex_state = 22},
  [2848] = {.lex_state = 199, .external_lex_state = 22},
  [2849] = {.lex_state = 188, .external_lex_state = 15},
  [2850] = {.lex_state = 199, .external_lex_state = 22},
  [2851] = {.lex_state = 199, .external_lex_state = 22},
  [2852] = {.lex_state = 188, .external_lex_state = 15},
  [2853] = {.lex_state = 188, .external_lex_state = 15},
  [2854] = {.lex_state = 100},
  [2855] = {.lex_state = 100},
  [2856] = {.lex_state = 188, .external_lex_state = 15},
  [2857] = {.lex_state = 188, .external_lex_state = 15},
  [2858] = {.lex_state = 188, .external_lex_state = 15},
  [2859] = {.lex_state = 188, .external_lex_state = 15},
  [2860] = {.lex_state = 199, .external_lex_state = 22},
  [2861] = {.lex_state = 199},
  [2862] = {.lex_state = 199, .external_lex_state = 22},
  [2863] = {.lex_state = 188, .external_lex_state = 15},
  [2864] = {.lex_state = 199, .external_lex_state = 22},
  [2865] = {.lex_state = 199, .external_lex_state = 22},
  [2866] = {.lex_state = 188, .external_lex_state = 15},
  [2867] = {.lex_state = 199},
  [2868] = {.lex_state = 199, .external_lex_state = 22},
  [2869] = {.lex_state = 199, .external_lex_state = 22},
  [2870] = {.lex_state = 188, .external_lex_state = 10},
  [2871] = {.lex_state = 188, .external_lex_state = 10},
  [2872] = {.lex_state = 188, .external_lex_state = 15},
  [2873] = {.lex_state = 199},
  [2874] = {.lex_state = 188, .external_lex_state = 15},
  [2875] = {.lex_state = 199},
  [2876] = {.lex_state = 199},
  [2877] = {.lex_state = 188, .external_lex_state = 15},
  [2878] = {.lex_state = 188, .external_lex_state = 15},
  [2879] = {.lex_state = 188, .external_lex_state = 15},
  [2880] = {.lex_state = 199},
  [2881] = {.lex_state = 188, .external_lex_state = 15},
  [2882] = {.lex_state = 188, .external_lex_state = 15},
  [2883] = {.lex_state = 188, .external_lex_state = 15},
  [2884] = {.lex_state = 188, .external_lex_state = 15},
  [2885] = {.lex_state = 199, .external_lex_state = 22},
  [2886] = {.lex_state = 199, .external_lex_state = 22},
  [2887] = {.lex_state = 188, .external_lex_state = 15},
  [2888] = {.lex_state = 29, .external_lex_state = 10},
  [2889] = {.lex_state = 188, .external_lex_state = 10},
  [2890] = {.lex_state = 188, .external_lex_state = 15},
  [2891] = {.lex_state = 188, .external_lex_state = 15},
  [2892] = {.lex_state = 188, .external_lex_state = 15},
  [2893] = {.lex_state = 199, .external_lex_state = 22},
  [2894] = {.lex_state = 29, .external_lex_state = 10},
  [2895] = {.lex_state = 102},
  [2896] = {.lex_state = 188, .external_lex_state = 10},
  [2897] = {.lex_state = 188, .external_lex_state = 10},
  [2898] = {.lex_state = 188, .external_lex_state = 10},
  [2899] = {.lex_state = 188, .external_lex_state = 10},
  [2900] = {.lex_state = 188, .external_lex_state = 10},
  [2901] = {.lex_state = 188, .external_lex_state = 10},
  [2902] = {.lex_state = 188, .external_lex_state = 10},
  [2903] = {.lex_state = 102},
  [2904] = {.lex_state = 102},
  [2905] = {.lex_state = 102},
  [2906] = {.lex_state = 102},
  [2907] = {.lex_state = 102},
  [2908] = {.lex_state = 102},
  [2909] = {.lex_state = 102},
  [2910] = {.lex_state = 102},
  [2911] = {.lex_state = 188, .external_lex_state = 10},
  [2912] = {.lex_state = 102},
  [2913] = {.lex_state = 91, .external_lex_state = 17},
  [2914] = {.lex_state = 102},
  [2915] = {.lex_state = 102},
  [2916] = {.lex_state = 188, .external_lex_state = 10},
  [2917] = {.lex_state = 102},
  [2918] = {.lex_state = 102},
  [2919] = {.lex_state = 188, .external_lex_state = 10},
  [2920] = {.lex_state = 102},
  [2921] = {.lex_state = 91, .external_lex_state = 17},
  [2922] = {.lex_state = 199},
  [2923] = {.lex_state = 91},
  [2924] = {.lex_state = 102},
  [2925] = {.lex_state = 188, .external_lex_state = 10},
  [2926] = {.lex_state = 188, .external_lex_state = 10},
  [2927] = {.lex_state = 188, .external_lex_state = 10},
  [2928] = {.lex_state = 91, .external_lex_state = 17},
  [2929] = {.lex_state = 91},
  [2930] = {.lex_state = 102},
  [2931] = {.lex_state = 102},
  [2932] = {.lex_state = 102},
  [2933] = {.lex_state = 102},
  [2934] = {.lex_state = 102},
  [2935] = {.lex_state = 102},
  [2936] = {.lex_state = 188, .external_lex_state = 10},
  [2937] = {.lex_state = 102},
  [2938] = {.lex_state = 102},
  [2939] = {.lex_state = 188, .external_lex_state = 10},
  [2940] = {.lex_state = 188, .external_lex_state = 10},
  [2941] = {.lex_state = 91, .external_lex_state = 17},
  [2942] = {.lex_state = 103, .external_lex_state = 20},
  [2943] = {.lex_state = 102},
  [2944] = {.lex_state = 102},
  [2945] = {.lex_state = 102},
  [2946] = {.lex_state = 102},
  [2947] = {.lex_state = 102},
  [2948] = {.lex_state = 188, .external_lex_state = 10},
  [2949] = {.lex_state = 102},
  [2950] = {.lex_state = 188, .external_lex_state = 10},
  [2951] = {.lex_state = 102},
  [2952] = {.lex_state = 102},
  [2953] = {.lex_state = 102},
  [2954] = {.lex_state = 188, .external_lex_state = 10},
  [2955] = {.lex_state = 188, .external_lex_state = 10},
  [2956] = {.lex_state = 188, .external_lex_state = 10},
  [2957] = {.lex_state = 102},
  [2958] = {.lex_state = 199},
  [2959] = {.lex_state = 199},
  [2960] = {.lex_state = 199},
  [2961] = {.lex_state = 188, .external_lex_state = 10},
  [2962] = {.lex_state = 188, .external_lex_state = 10},
  [2963] = {.lex_state = 92, .external_lex_state = 19},
  [2964] = {.lex_state = 92, .external_lex_state = 19},
  [2965] = {.lex_state = 188, .external_lex_state = 10},
  [2966] = {.lex_state = 92, .external_lex_state = 19},
  [2967] = {.lex_state = 102},
  [2968] = {.lex_state = 102},
  [2969] = {.lex_state = 199},
  [2970] = {.lex_state = 188, .external_lex_state = 10},
  [2971] = {.lex_state = 188, .external_lex_state = 10},
  [2972] = {.lex_state = 188, .external_lex_state = 10},
  [2973] = {.lex_state = 188, .external_lex_state = 10},
  [2974] = {.lex_state = 188, .external_lex_state = 10},
  [2975] = {.lex_state = 188, .external_lex_state = 10},
  [2976] = {.lex_state = 188, .external_lex_state = 10},
  [2977] = {.lex_state = 102},
  [2978] = {.lex_state = 92, .external_lex_state = 19},
  [2979] = {.lex_state = 102},
  [2980] = {.lex_state = 199},
  [2981] = {.lex_state = 91},
  [2982] = {.lex_state = 188, .external_lex_state = 10},
  [2983] = {.lex_state = 91, .external_lex_state = 17},
  [2984] = {.lex_state = 102},
  [2985] = {.lex_state = 102},
  [2986] = {.lex_state = 102},
  [2987] = {.lex_state = 102},
  [2988] = {.lex_state = 102},
  [2989] = {.lex_state = 102},
  [2990] = {.lex_state = 102},
  [2991] = {.lex_state = 102},
  [2992] = {.lex_state = 102},
  [2993] = {.lex_state = 102},
  [2994] = {.lex_state = 103, .external_lex_state = 13},
  [2995] = {.lex_state = 101, .external_lex_state = 20},
  [2996] = {.lex_state = 103, .external_lex_state = 13},
  [2997] = {.lex_state = 101, .external_lex_state = 20},
  [2998] = {.lex_state = 101, .external_lex_state = 20},
  [2999] = {.lex_state = 101, .external_lex_state = 20},
  [3000] = {.lex_state = 103, .external_lex_state = 13},
  [3001] = {.lex_state = 103, .external_lex_state = 13},
  [3002] = {.lex_state = 101, .external_lex_state = 20},
  [3003] = {.lex_state = 101, .external_lex_state = 20},
  [3004] = {.lex_state = 102},
  [3005] = {.lex_state = 101, .external_lex_state = 20},
  [3006] = {.lex_state = 103, .external_lex_state = 13},
  [3007] = {.lex_state = 103, .external_lex_state = 13},
  [3008] = {.lex_state = 101, .external_lex_state = 20},
  [3009] = {.lex_state = 103, .external_lex_state = 13},
  [3010] = {.lex_state = 91},
  [3011] = {.lex_state = 91},
  [3012] = {.lex_state = 91},
  [3013] = {.lex_state = 103, .external_lex_state = 13},
  [3014] = {.lex_state = 103, .external_lex_state = 13},
  [3015] = {.lex_state = 101, .external_lex_state = 20},
  [3016] = {.lex_state = 101, .external_lex_state = 20},
  [3017] = {.lex_state = 103, .external_lex_state = 13},
  [3018] = {.lex_state = 101, .external_lex_state = 20},
  [3019] = {.lex_state = 101, .external_lex_state = 20},
  [3020] = {.lex_state = 103, .external_lex_state = 13},
  [3021] = {.lex_state = 103, .external_lex_state = 13},
  [3022] = {.lex_state = 103, .external_lex_state = 13},
  [3023] = {.lex_state = 101, .external_lex_state = 20},
  [3024] = {.lex_state = 101, .external_lex_state = 20},
  [3025] = {.lex_state = 103, .external_lex_state = 13},
  [3026] = {.lex_state = 103, .external_lex_state = 13},
  [3027] = {.lex_state = 101, .external_lex_state = 20},
  [3028] = {.lex_state = 101, .external_lex_state = 20},
  [3029] = {.lex_state = 101, .external_lex_state = 20},
  [3030] = {.lex_state = 103, .external_lex_state = 13},
  [3031] = {.lex_state = 103, .external_lex_state = 13},
  [3032] = {.lex_state = 103, .external_lex_state = 13},
  [3033] = {.lex_state = 101, .external_lex_state = 20},
  [3034] = {.lex_state = 101, .external_lex_state = 20},
  [3035] = {.lex_state = 101, .external_lex_state = 20},
  [3036] = {.lex_state = 101, .external_lex_state = 20},
  [3037] = {.lex_state = 91},
  [3038] = {.lex_state = 103, .external_lex_state = 13},
  [3039] = {.lex_state = 103, .external_lex_state = 13},
  [3040] = {.lex_state = 101, .external_lex_state = 20},
  [3041] = {.lex_state = 101, .external_lex_state = 20},
  [3042] = {.lex_state = 103, .external_lex_state = 13},
  [3043] = {.lex_state = 101, .external_lex_state = 20},
  [3044] = {.lex_state = 103, .external_lex_state = 13},
  [3045] = {.lex_state = 103, .external_lex_state = 13},
  [3046] = {.lex_state = 103, .external_lex_state = 13},
  [3047] = {.lex_state = 101, .external_lex_state = 20},
  [3048] = {.lex_state = 103, .external_lex_state = 13},
  [3049] = {.lex_state = 101, .external_lex_state = 20},
  [3050] = {.lex_state = 103, .external_lex_state = 13},
  [3051] = {.lex_state = 101, .external_lex_state = 17},
  [3052] = {.lex_state = 103, .external_lex_state = 13},
  [3053] = {.lex_state = 101, .external_lex_state = 20},
  [3054] = {.lex_state = 101, .external_lex_state = 20},
  [3055] = {.lex_state = 199},
  [3056] = {.lex_state = 101, .external_lex_state = 17},
  [3057] = {.lex_state = 102},
  [3058] = {.lex_state = 101, .external_lex_state = 20},
  [3059] = {.lex_state = 102},
  [3060] = {.lex_state = 103, .external_lex_state = 13},
  [3061] = {.lex_state = 101, .external_lex_state = 20},
  [3062] = {.lex_state = 102},
  [3063] = {.lex_state = 101, .external_lex_state = 20},
  [3064] = {.lex_state = 102},
  [3065] = {.lex_state = 103, .external_lex_state = 13},
  [3066] = {.lex_state = 92, .external_lex_state = 19},
  [3067] = {.lex_state = 101, .external_lex_state = 20},
  [3068] = {.lex_state = 102},
  [3069] = {.lex_state = 103, .external_lex_state = 13},
  [3070] = {.lex_state = 103, .external_lex_state = 13},
  [3071] = {.lex_state = 101, .external_lex_state = 20},
  [3072] = {.lex_state = 199},
  [3073] = {.lex_state = 103, .external_lex_state = 13},
  [3074] = {.lex_state = 102},
  [3075] = {.lex_state = 101, .external_lex_state = 20},
  [3076] = {.lex_state = 103, .external_lex_state = 13},
  [3077] = {.lex_state = 103, .external_lex_state = 13},
  [3078] = {.lex_state = 103, .external_lex_state = 13},
  [3079] = {.lex_state = 101, .external_lex_state = 20},
  [3080] = {.lex_state = 101, .external_lex_state = 20},
  [3081] = {.lex_state = 101, .external_lex_state = 17},
  [3082] = {.lex_state = 101, .external_lex_state = 20},
  [3083] = {.lex_state = 199},
  [3084] = {.lex_state = 103, .external_lex_state = 13},
  [3085] = {.lex_state = 101, .external_lex_state = 20},
  [3086] = {.lex_state = 91},
  [3087] = {.lex_state = 101, .external_lex_state = 17},
  [3088] = {.lex_state = 103, .external_lex_state = 13},
  [3089] = {.lex_state = 101, .external_lex_state = 20},
  [3090] = {.lex_state = 91},
  [3091] = {.lex_state = 103, .external_lex_state = 13},
  [3092] = {.lex_state = 103, .external_lex_state = 13},
  [3093] = {.lex_state = 101, .external_lex_state = 20},
  [3094] = {.lex_state = 103, .external_lex_state = 13},
  [3095] = {.lex_state = 103, .external_lex_state = 13},
  [3096] = {.lex_state = 101, .external_lex_state = 20},
  [3097] = {.lex_state = 101, .external_lex_state = 20},
  [3098] = {.lex_state = 199},
  [3099] = {.lex_state = 103, .external_lex_state = 13},
  [3100] = {.lex_state = 102},
  [3101] = {.lex_state = 92, .external_lex_state = 19},
  [3102] = {.lex_state = 101, .external_lex_state = 20},
  [3103] = {.lex_state = 101, .external_lex_state = 20},
  [3104] = {.lex_state = 103, .external_lex_state = 13},
  [3105] = {.lex_state = 199},
  [3106] = {.lex_state = 101, .external_lex_state = 20},
  [3107] = {.lex_state = 103, .external_lex_state = 13},
  [3108] = {.lex_state = 101, .external_lex_state = 20},
  [3109] = {.lex_state = 101, .external_lex_state = 20},
  [3110] = {.lex_state = 103, .external_lex_state = 13},
  [3111] = {.lex_state = 102},
  [3112] = {.lex_state = 92, .external_lex_state = 19},
  [3113] = {.lex_state = 101, .external_lex_state = 20},
  [3114] = {.lex_state = 101, .external_lex_state = 20},
  [3115] = {.lex_state = 103, .external_lex_state = 13},
  [3116] = {.lex_state = 101, .external_lex_state = 20},
  [3117] = {.lex_state = 91},
  [3118] = {.lex_state = 92, .external_lex_state = 19},
  [3119] = {.lex_state = 103, .external_lex_state = 13},
  [3120] = {.lex_state = 103, .external_lex_state = 13},
  [3121] = {.lex_state = 101, .external_lex_state = 20},
  [3122] = {.lex_state = 103, .external_lex_state = 13},
  [3123] = {.lex_state = 103, .external_lex_state = 13},
  [3124] = {.lex_state = 101, .external_lex_state = 20},
  [3125] = {.lex_state = 103, .external_lex_state = 13},
  [3126] = {.lex_state = 101, .external_lex_state = 20},
  [3127] = {.lex_state = 103, .external_lex_state = 13},
  [3128] = {.lex_state = 101, .external_lex_state = 20},
  [3129] = {.lex_state = 103, .external_lex_state = 13},
  [3130] = {.lex_state = 101, .external_lex_state = 20},
  [3131] = {.lex_state = 103, .external_lex_state = 13},
  [3132] = {.lex_state = 101, .external_lex_state = 20},
  [3133] = {.lex_state = 101, .external_lex_state = 20},
  [3134] = {.lex_state = 103, .external_lex_state = 13},
  [3135] = {.lex_state = 103, .external_lex_state = 13},
  [3136] = {.lex_state = 101, .external_lex_state = 20},
  [3137] = {.lex_state = 91},
  [3138] = {.lex_state = 91},
  [3139] = {.lex_state = 101, .external_lex_state = 20},
  [3140] = {.lex_state = 103, .external_lex_state = 13},
  [3141] = {.lex_state = 101, .external_lex_state = 20},
  [3142] = {.lex_state = 103, .external_lex_state = 13},
  [3143] = {.lex_state = 103, .external_lex_state = 13},
  [3144] = {.lex_state = 103, .external_lex_state = 13},
  [3145] = {.lex_state = 101, .external_lex_state = 20},
  [3146] = {.lex_state = 103, .external_lex_state = 13},
  [3147] = {.lex_state = 101, .external_lex_state = 20},
  [3148] = {.lex_state = 103, .external_lex_state = 13},
  [3149] = {.lex_state = 101, .external_lex_state = 20},
  [3150] = {.lex_state = 101, .external_lex_state = 20},
  [3151] = {.lex_state = 103, .external_lex_state = 13},
  [3152] = {.lex_state = 102},
  [3153] = {.lex_state = 101, .external_lex_state = 20},
  [3154] = {.lex_state = 101, .external_lex_state = 20},
  [3155] = {.lex_state = 90},
  [3156] = {.lex_state = 101},
  [3157] = {.lex_state = 101},
  [3158] = {.lex_state = 101, .external_lex_state = 20},
  [3159] = {.lex_state = 90},
  [3160] = {.lex_state = 90},
  [3161] = {.lex_state = 102},
  [3162] = {.lex_state = 102},
  [3163] = {.lex_state = 199},
  [3164] = {.lex_state = 102},
  [3165] = {.lex_state = 102},
  [3166] = {.lex_state = 102},
  [3167] = {.lex_state = 102},
  [3168] = {.lex_state = 102},
  [3169] = {.lex_state = 102},
  [3170] = {.lex_state = 199},
  [3171] = {.lex_state = 102},
  [3172] = {.lex_state = 102},
  [3173] = {.lex_state = 101},
  [3174] = {.lex_state = 102},
  [3175] = {.lex_state = 102},
  [3176] = {.lex_state = 103, .external_lex_state = 13},
  [3177] = {.lex_state = 102},
  [3178] = {.lex_state = 102},
  [3179] = {.lex_state = 102},
  [3180] = {.lex_state = 102},
  [3181] = {.lex_state = 101, .external_lex_state = 20},
  [3182] = {.lex_state = 102},
  [3183] = {.lex_state = 102},
  [3184] = {.lex_state = 102},
  [3185] = {.lex_state = 102},
  [3186] = {.lex_state = 199},
  [3187] = {.lex_state = 102},
  [3188] = {.lex_state = 102},
  [3189] = {.lex_state = 102},
  [3190] = {.lex_state = 102},
  [3191] = {.lex_state = 102},
  [3192] = {.lex_state = 102},
  [3193] = {.lex_state = 102},
  [3194] = {.lex_state = 102},
  [3195] = {.lex_state = 102},
  [3196] = {.lex_state = 102},
  [3197] = {.lex_state = 102},
  [3198] = {.lex_state = 102},
  [3199] = {.lex_state = 102},
  [3200] = {.lex_state = 102},
  [3201] = {.lex_state = 102},
  [3202] = {.lex_state = 92, .external_lex_state = 19},
  [3203] = {.lex_state = 101, .external_lex_state = 20},
  [3204] = {.lex_state = 101, .external_lex_state = 20},
  [3205] = {.lex_state = 199},
  [3206] = {.lex_state = 101, .external_lex_state = 20},
  [3207] = {.lex_state = 102},
  [3208] = {.lex_state = 91},
  [3209] = {.lex_state = 101, .external_lex_state = 20},
  [3210] = {.lex_state = 101, .external_lex_state = 20},
  [3211] = {.lex_state = 102},
  [3212] = {.lex_state = 102},
  [3213] = {.lex_state = 101, .external_lex_state = 20},
  [3214] = {.lex_state = 102},
  [3215] = {.lex_state = 101},
  [3216] = {.lex_state = 102},
  [3217] = {.lex_state = 101, .external_lex_state = 20},
  [3218] = {.lex_state = 199},
  [3219] = {.lex_state = 102},
  [3220] = {.lex_state = 102},
  [3221] = {.lex_state = 101, .external_lex_state = 20},
  [3222] = {.lex_state = 101},
  [3223] = {.lex_state = 101, .external_lex_state = 20},
  [3224] = {.lex_state = 102},
  [3225] = {.lex_state = 102},
  [3226] = {.lex_state = 102},
  [3227] = {.lex_state = 101},
  [3228] = {.lex_state = 102},
  [3229] = {.lex_state = 102},
  [3230] = {.lex_state = 102},
  [3231] = {.lex_state = 101, .external_lex_state = 20},
  [3232] = {.lex_state = 102},
  [3233] = {.lex_state = 101},
  [3234] = {.lex_state = 101, .external_lex_state = 20},
  [3235] = {.lex_state = 102},
  [3236] = {.lex_state = 102},
  [3237] = {.lex_state = 101},
  [3238] = {.lex_state = 101, .external_lex_state = 20},
  [3239] = {.lex_state = 101, .external_lex_state = 20},
  [3240] = {.lex_state = 199},
  [3241] = {.lex_state = 101, .external_lex_state = 20},
  [3242] = {.lex_state = 102},
  [3243] = {.lex_state = 102},
  [3244] = {.lex_state = 101, .external_lex_state = 20},
  [3245] = {.lex_state = 101, .external_lex_state = 20},
  [3246] = {.lex_state = 101},
  [3247] = {.lex_state = 102},
  [3248] = {.lex_state = 102},
  [3249] = {.lex_state = 199},
  [3250] = {.lex_state = 101},
  [3251] = {.lex_state = 102},
  [3252] = {.lex_state = 102},
  [3253] = {.lex_state = 101},
  [3254] = {.lex_state = 199},
  [3255] = {.lex_state = 92, .external_lex_state = 19},
  [3256] = {.lex_state = 102},
  [3257] = {.lex_state = 199},
  [3258] = {.lex_state = 102},
  [3259] = {.lex_state = 101},
  [3260] = {.lex_state = 101, .external_lex_state = 20},
  [3261] = {.lex_state = 101, .external_lex_state = 20},
  [3262] = {.lex_state = 101},
  [3263] = {.lex_state = 101, .external_lex_state = 20},
  [3264] = {.lex_state = 101, .external_lex_state = 20},
  [3265] = {.lex_state = 101, .external_lex_state = 20},
  [3266] = {.lex_state = 102},
  [3267] = {.lex_state = 102},
  [3268] = {.lex_state = 199},
  [3269] = {.lex_state = 101, .external_lex_state = 20},
  [3270] = {.lex_state = 91},
  [3271] = {.lex_state = 199},
  [3272] = {.lex_state = 101, .external_lex_state = 13},
  [3273] = {.lex_state = 91},
  [3274] = {.lex_state = 199},
  [3275] = {.lex_state = 199},
  [3276] = {.lex_state = 101, .external_lex_state = 13},
  [3277] = {.lex_state = 91},
  [3278] = {.lex_state = 199},
  [3279] = {.lex_state = 92, .external_lex_state = 11},
  [3280] = {.lex_state = 199},
  [3281] = {.lex_state = 101, .external_lex_state = 13},
  [3282] = {.lex_state = 101, .external_lex_state = 13},
  [3283] = {.lex_state = 101, .external_lex_state = 13},
  [3284] = {.lex_state = 91},
  [3285] = {.lex_state = 199},
  [3286] = {.lex_state = 91},
  [3287] = {.lex_state = 91},
  [3288] = {.lex_state = 199},
  [3289] = {.lex_state = 199},
  [3290] = {.lex_state = 91},
  [3291] = {.lex_state = 91},
  [3292] = {.lex_state = 101, .external_lex_state = 13},
  [3293] = {.lex_state = 101, .external_lex_state = 13},
  [3294] = {.lex_state = 101, .external_lex_state = 13},
  [3295] = {.lex_state = 101, .external_lex_state = 13},
  [3296] = {.lex_state = 101, .external_lex_state = 13},
  [3297] = {.lex_state = 199},
  [3298] = {.lex_state = 91},
  [3299] = {.lex_state = 91},
  [3300] = {.lex_state = 101, .external_lex_state = 13},
  [3301] = {.lex_state = 199},
  [3302] = {.lex_state = 95},
  [3303] = {.lex_state = 101, .external_lex_state = 13},
  [3304] = {.lex_state = 91},
  [3305] = {.lex_state = 101, .external_lex_state = 13},
  [3306] = {.lex_state = 199},
  [3307] = {.lex_state = 101, .external_lex_state = 13},
  [3308] = {.lex_state = 91},
  [3309] = {.lex_state = 91},
  [3310] = {.lex_state = 199},
  [3311] = {.lex_state = 91},
  [3312] = {.lex_state = 199},
  [3313] = {.lex_state = 91},
  [3314] = {.lex_state = 199},
  [3315] = {.lex_state = 101, .external_lex_state = 13},
  [3316] = {.lex_state = 199},
  [3317] = {.lex_state = 91},
  [3318] = {.lex_state = 199},
  [3319] = {.lex_state = 91},
  [3320] = {.lex_state = 91},
  [3321] = {.lex_state = 199},
  [3322] = {.lex_state = 91},
  [3323] = {.lex_state = 101, .external_lex_state = 13},
  [3324] = {.lex_state = 91},
  [3325] = {.lex_state = 199, .external_lex_state = 23},
  [3326] = {.lex_state = 199},
  [3327] = {.lex_state = 91},
  [3328] = {.lex_state = 199},
  [3329] = {.lex_state = 199, .external_lex_state = 23},
  [3330] = {.lex_state = 101, .external_lex_state = 13},
  [3331] = {.lex_state = 199},
  [3332] = {.lex_state = 91},
  [3333] = {.lex_state = 91},
  [3334] = {.lex_state = 199},
  [3335] = {.lex_state = 199},
  [3336] = {.lex_state = 91},
  [3337] = {.lex_state = 91},
  [3338] = {.lex_state = 199},
  [3339] = {.lex_state = 91},
  [3340] = {.lex_state = 101, .external_lex_state = 13},
  [3341] = {.lex_state = 91},
  [3342] = {.lex_state = 91},
  [3343] = {.lex_state = 199},
  [3344] = {.lex_state = 101, .external_lex_state = 13},
  [3345] = {.lex_state = 101, .external_lex_state = 13},
  [3346] = {.lex_state = 91},
  [3347] = {.lex_state = 199},
  [3348] = {.lex_state = 91},
  [3349] = {.lex_state = 91},
  [3350] = {.lex_state = 199},
  [3351] = {.lex_state = 91},
  [3352] = {.lex_state = 91},
  [3353] = {.lex_state = 101, .external_lex_state = 13},
  [3354] = {.lex_state = 101, .external_lex_state = 13},
  [3355] = {.lex_state = 91},
  [3356] = {.lex_state = 199, .external_lex_state = 23},
  [3357] = {.lex_state = 95},
  [3358] = {.lex_state = 199},
  [3359] = {.lex_state = 91},
  [3360] = {.lex_state = 91},
  [3361] = {.lex_state = 101, .external_lex_state = 13},
  [3362] = {.lex_state = 101, .external_lex_state = 13},
  [3363] = {.lex_state = 199},
  [3364] = {.lex_state = 91},
  [3365] = {.lex_state = 101, .external_lex_state = 13},
  [3366] = {.lex_state = 91},
  [3367] = {.lex_state = 101, .external_lex_state = 13},
  [3368] = {.lex_state = 101, .external_lex_state = 13},
  [3369] = {.lex_state = 199},
  [3370] = {.lex_state = 101, .external_lex_state = 13},
  [3371] = {.lex_state = 91},
  [3372] = {.lex_state = 101, .external_lex_state = 13},
  [3373] = {.lex_state = 91},
  [3374] = {.lex_state = 101, .external_lex_state = 13},
  [3375] = {.lex_state = 101, .external_lex_state = 13},
  [3376] = {.lex_state = 92, .external_lex_state = 11},
  [3377] = {.lex_state = 101, .external_lex_state = 13},
  [3378] = {.lex_state = 199},
  [3379] = {.lex_state = 101, .external_lex_state = 13},
  [3380] = {.lex_state = 91},
  [3381] = {.lex_state = 101, .external_lex_state = 13},
  [3382] = {.lex_state = 199},
  [3383] = {.lex_state = 199},
  [3384] = {.lex_state = 199},
  [3385] = {.lex_state = 199},
  [3386] = {.lex_state = 199},
  [3387] = {.lex_state = 91},
  [3388] = {.lex_state = 101, .external_lex_state = 13},
  [3389] = {.lex_state = 199},
  [3390] = {.lex_state = 91},
  [3391] = {.lex_state = 101, .external_lex_state = 13},
  [3392] = {.lex_state = 199},
  [3393] = {.lex_state = 91},
  [3394] = {.lex_state = 91},
  [3395] = {.lex_state = 199},
  [3396] = {.lex_state = 101, .external_lex_state = 13},
  [3397] = {.lex_state = 199},
  [3398] = {.lex_state = 91},
  [3399] = {.lex_state = 91},
  [3400] = {.lex_state = 199},
  [3401] = {.lex_state = 101, .external_lex_state = 13},
  [3402] = {.lex_state = 92, .external_lex_state = 11},
  [3403] = {.lex_state = 91},
  [3404] = {.lex_state = 101, .external_lex_state = 13},
  [3405] = {.lex_state = 199},
  [3406] = {.lex_state = 91},
  [3407] = {.lex_state = 199},
  [3408] = {.lex_state = 101, .external_lex_state = 13},
  [3409] = {.lex_state = 101, .external_lex_state = 13},
  [3410] = {.lex_state = 91},
  [3411] = {.lex_state = 199},
  [3412] = {.lex_state = 91},
  [3413] = {.lex_state = 101, .external_lex_state = 13},
  [3414] = {.lex_state = 101, .external_lex_state = 13},
  [3415] = {.lex_state = 199},
  [3416] = {.lex_state = 199},
  [3417] = {.lex_state = 199},
  [3418] = {.lex_state = 92, .external_lex_state = 11},
  [3419] = {.lex_state = 101, .external_lex_state = 13},
  [3420] = {.lex_state = 199},
  [3421] = {.lex_state = 91},
  [3422] = {.lex_state = 199},
  [3423] = {.lex_state = 199},
  [3424] = {.lex_state = 101, .external_lex_state = 13},
  [3425] = {.lex_state = 91},
  [3426] = {.lex_state = 101, .external_lex_state = 13},
  [3427] = {.lex_state = 199},
  [3428] = {.lex_state = 101, .external_lex_state = 13},
  [3429] = {.lex_state = 199},
  [3430] = {.lex_state = 91},
  [3431] = {.lex_state = 101, .external_lex_state = 13},
  [3432] = {.lex_state = 101, .external_lex_state = 13},
  [3433] = {.lex_state = 91},
  [3434] = {.lex_state = 95},
  [3435] = {.lex_state = 101, .external_lex_state = 13},
  [3436] = {.lex_state = 101, .external_lex_state = 13},
  [3437] = {.lex_state = 199},
  [3438] = {.lex_state = 199},
  [3439] = {.lex_state = 101, .external_lex_state = 13},
  [3440] = {.lex_state = 199},
  [3441] = {.lex_state = 199},
  [3442] = {.lex_state = 101, .external_lex_state = 13},
  [3443] = {.lex_state = 91},
  [3444] = {.lex_state = 91},
  [3445] = {.lex_state = 91},
  [3446] = {.lex_state = 91},
  [3447] = {.lex_state = 101, .external_lex_state = 13},
  [3448] = {.lex_state = 91},
  [3449] = {.lex_state = 199},
  [3450] = {.lex_state = 199},
  [3451] = {.lex_state = 199},
  [3452] = {.lex_state = 101, .external_lex_state = 13},
  [3453] = {.lex_state = 101, .external_lex_state = 13},
  [3454] = {.lex_state = 199},
  [3455] = {.lex_state = 199},
  [3456] = {.lex_state = 101, .external_lex_state = 13},
  [3457] = {.lex_state = 199},
  [3458] = {.lex_state = 91},
  [3459] = {.lex_state = 101, .external_lex_state = 13},
  [3460] = {.lex_state = 199},
  [3461] = {.lex_state = 101, .external_lex_state = 13},
  [3462] = {.lex_state = 199},
  [3463] = {.lex_state = 199},
  [3464] = {.lex_state = 91},
  [3465] = {.lex_state = 199},
  [3466] = {.lex_state = 91},
  [3467] = {.lex_state = 199},
  [3468] = {.lex_state = 199},
  [3469] = {.lex_state = 91},
  [3470] = {.lex_state = 101, .external_lex_state = 13},
  [3471] = {.lex_state = 199},
  [3472] = {.lex_state = 91},
  [3473] = {.lex_state = 199},
  [3474] = {.lex_state = 91},
  [3475] = {.lex_state = 101, .external_lex_state = 13},
  [3476] = {.lex_state = 101, .external_lex_state = 13},
  [3477] = {.lex_state = 199},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static const bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [5] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__empty_value] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_SEMI_AMP] = ACTIONS(1),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(3423),
    [sym__statements] = STATE(3420),
    [sym_redirected_statement] = STATE(1665),
    [sym_for_statement] = STATE(1665),
    [sym_c_style_for_statement] = STATE(1665),
    [sym_while_statement] = STATE(1665),
    [sym_if_statement] = STATE(1665),
    [sym_case_statement] = STATE(1665),
    [sym_function_definition] = STATE(1665),
    [sym_compound_statement] = STATE(1665),
    [sym_subshell] = STATE(1665),
    [sym_pipeline] = STATE(1665),
    [sym_list] = STATE(1665),
    [sym_negated_command] = STATE(1665),
    [sym_test_command] = STATE(1665),
    [sym_declaration_command] = STATE(1665),
    [sym_unset_command] = STATE(1665),
    [sym_command] = STATE(1665),
    [sym_command_name] = STATE(218),
    [sym_variable_assignment] = STATE(312),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(782),
    [sym_concatenation] = STATE(778),
    [sym_string] = STATE(515),
    [sym_simple_expansion] = STATE(515),
    [sym_string_expansion] = STATE(515),
    [sym_expansion] = STATE(515),
    [sym_command_substitution] = STATE(515),
    [sym_process_substitution] = STATE(515),
    [aux_sym__statements_repeat1] = STATE(140),
    [aux_sym_command_repeat1] = STATE(782),
    [aux_sym__literal_repeat1] = STATE(700),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(37),
    [sym__special_character] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym_raw_string] = ACTIONS(43),
    [sym_ansii_c_string] = ACTIONS(43),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(45),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(47),
    [anon_sym_BQUOTE] = ACTIONS(49),
    [anon_sym_LT_LPAREN] = ACTIONS(51),
    [anon_sym_GT_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(55),
  },
  [2] = {
    [aux_sym__statements2] = STATE(19),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_elif_clause] = STATE(2876),
    [sym_else_clause] = STATE(3271),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_if_statement_repeat1] = STATE(2876),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(67),
    [anon_sym_elif] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [3] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_elif_clause] = STATE(2880),
    [sym_else_clause] = STATE(3288),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_if_statement_repeat1] = STATE(2880),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(109),
    [anon_sym_elif] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [4] = {
    [aux_sym__statements2] = STATE(7),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_elif_clause] = STATE(2875),
    [sym_else_clause] = STATE(3310),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_if_statement_repeat1] = STATE(2875),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(111),
    [anon_sym_elif] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [5] = {
    [aux_sym__statements2] = STATE(19),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_elif_clause] = STATE(2861),
    [sym_else_clause] = STATE(3463),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_if_statement_repeat1] = STATE(2861),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [6] = {
    [aux_sym__statements2] = STATE(5),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_elif_clause] = STATE(2873),
    [sym_else_clause] = STATE(3397),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_if_statement_repeat1] = STATE(2873),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [7] = {
    [aux_sym__statements2] = STATE(19),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_elif_clause] = STATE(2867),
    [sym_else_clause] = STATE(3274),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_if_statement_repeat1] = STATE(2867),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(69),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [8] = {
    [sym__statements] = STATE(2980),
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(275),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_esac] = ACTIONS(131),
    [anon_sym_SEMI_SEMI] = ACTIONS(133),
    [anon_sym_SEMI_AMP] = ACTIONS(135),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [9] = {
    [sym__statements] = STATE(2969),
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(275),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_esac] = ACTIONS(171),
    [anon_sym_SEMI_SEMI] = ACTIONS(173),
    [anon_sym_SEMI_AMP] = ACTIONS(175),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(175),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [10] = {
    [sym__statements] = STATE(2959),
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(275),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_esac] = ACTIONS(177),
    [anon_sym_SEMI_SEMI] = ACTIONS(179),
    [anon_sym_SEMI_AMP] = ACTIONS(181),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [11] = {
    [sym__statements] = STATE(2960),
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(275),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_esac] = ACTIONS(177),
    [anon_sym_SEMI_SEMI] = ACTIONS(185),
    [anon_sym_SEMI_AMP] = ACTIONS(187),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(189),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [12] = {
    [sym__statements] = STATE(2958),
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(275),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_esac] = ACTIONS(191),
    [anon_sym_SEMI_SEMI] = ACTIONS(193),
    [anon_sym_SEMI_AMP] = ACTIONS(195),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [13] = {
    [sym__statements] = STATE(3083),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(279),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym__statements_repeat1] = STATE(137),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_SEMI_SEMI] = ACTIONS(201),
    [anon_sym_SEMI_AMP] = ACTIONS(181),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [14] = {
    [sym__statements] = STATE(3072),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(279),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym__statements_repeat1] = STATE(137),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_SEMI_SEMI] = ACTIONS(227),
    [anon_sym_SEMI_AMP] = ACTIONS(187),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(189),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [15] = {
    [sym__statements] = STATE(3055),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(279),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym__statements_repeat1] = STATE(137),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_SEMI_SEMI] = ACTIONS(229),
    [anon_sym_SEMI_AMP] = ACTIONS(195),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [16] = {
    [sym__statements] = STATE(3098),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(279),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym__statements_repeat1] = STATE(137),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_SEMI_SEMI] = ACTIONS(231),
    [anon_sym_SEMI_AMP] = ACTIONS(175),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(175),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [17] = {
    [sym__statements] = STATE(3105),
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(279),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym__statements_repeat1] = STATE(137),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_SEMI_SEMI] = ACTIONS(233),
    [anon_sym_SEMI_AMP] = ACTIONS(135),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [18] = {
    [aux_sym__statements2] = STATE(20),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(235),
    [anon_sym_elif] = ACTIONS(235),
    [anon_sym_else] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [19] = {
    [aux_sym__statements2] = STATE(19),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(237),
    [anon_sym_for] = ACTIONS(240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(246),
    [anon_sym_if] = ACTIONS(249),
    [anon_sym_fi] = ACTIONS(252),
    [anon_sym_elif] = ACTIONS(252),
    [anon_sym_else] = ACTIONS(252),
    [anon_sym_case] = ACTIONS(254),
    [anon_sym_function] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(272),
    [anon_sym_declare] = ACTIONS(275),
    [anon_sym_typeset] = ACTIONS(275),
    [anon_sym_export] = ACTIONS(275),
    [anon_sym_readonly] = ACTIONS(275),
    [anon_sym_local] = ACTIONS(275),
    [anon_sym_unset] = ACTIONS(278),
    [anon_sym_unsetenv] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(281),
    [anon_sym_GT] = ACTIONS(281),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym_AMP_GT] = ACTIONS(281),
    [anon_sym_AMP_GT_GT] = ACTIONS(281),
    [anon_sym_LT_AMP] = ACTIONS(281),
    [anon_sym_GT_AMP] = ACTIONS(281),
    [anon_sym_GT_PIPE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(284),
    [sym__special_character] = ACTIONS(287),
    [anon_sym_DQUOTE] = ACTIONS(290),
    [sym_raw_string] = ACTIONS(293),
    [sym_ansii_c_string] = ACTIONS(293),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(296),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(299),
    [anon_sym_BQUOTE] = ACTIONS(302),
    [anon_sym_LT_LPAREN] = ACTIONS(305),
    [anon_sym_GT_LPAREN] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(308),
    [sym_variable_name] = ACTIONS(311),
  },
  [20] = {
    [aux_sym__statements2] = STATE(19),
    [sym_redirected_statement] = STATE(1702),
    [sym_for_statement] = STATE(1702),
    [sym_c_style_for_statement] = STATE(1702),
    [sym_while_statement] = STATE(1702),
    [sym_if_statement] = STATE(1702),
    [sym_case_statement] = STATE(1702),
    [sym_function_definition] = STATE(1702),
    [sym_compound_statement] = STATE(1702),
    [sym_subshell] = STATE(1702),
    [sym_pipeline] = STATE(1702),
    [sym_list] = STATE(1702),
    [sym_negated_command] = STATE(1702),
    [sym_test_command] = STATE(1702),
    [sym_declaration_command] = STATE(1702),
    [sym_unset_command] = STATE(1702),
    [sym_command] = STATE(1702),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(452),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(314),
    [anon_sym_elif] = ACTIONS(314),
    [anon_sym_else] = ACTIONS(314),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [21] = {
    [sym__statements] = STATE(3299),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_RPAREN] = ACTIONS(316),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [22] = {
    [sym__statements] = STATE(3380),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [23] = {
    [sym__statements] = STATE(3348),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_RPAREN] = ACTIONS(320),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [24] = {
    [aux_sym__statements2] = STATE(24),
    [sym_redirected_statement] = STATE(1730),
    [sym_for_statement] = STATE(1730),
    [sym_c_style_for_statement] = STATE(1730),
    [sym_while_statement] = STATE(1730),
    [sym_if_statement] = STATE(1730),
    [sym_case_statement] = STATE(1730),
    [sym_function_definition] = STATE(1730),
    [sym_compound_statement] = STATE(1730),
    [sym_subshell] = STATE(1730),
    [sym_pipeline] = STATE(1730),
    [sym_list] = STATE(1730),
    [sym_negated_command] = STATE(1730),
    [sym_test_command] = STATE(1730),
    [sym_declaration_command] = STATE(1730),
    [sym_unset_command] = STATE(1730),
    [sym_command] = STATE(1730),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(237),
    [anon_sym_for] = ACTIONS(240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(246),
    [anon_sym_if] = ACTIONS(249),
    [anon_sym_fi] = ACTIONS(252),
    [anon_sym_case] = ACTIONS(254),
    [anon_sym_function] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(272),
    [anon_sym_declare] = ACTIONS(275),
    [anon_sym_typeset] = ACTIONS(275),
    [anon_sym_export] = ACTIONS(275),
    [anon_sym_readonly] = ACTIONS(275),
    [anon_sym_local] = ACTIONS(275),
    [anon_sym_unset] = ACTIONS(278),
    [anon_sym_unsetenv] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(281),
    [anon_sym_GT] = ACTIONS(281),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym_AMP_GT] = ACTIONS(281),
    [anon_sym_AMP_GT_GT] = ACTIONS(281),
    [anon_sym_LT_AMP] = ACTIONS(281),
    [anon_sym_GT_AMP] = ACTIONS(281),
    [anon_sym_GT_PIPE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(284),
    [sym__special_character] = ACTIONS(287),
    [anon_sym_DQUOTE] = ACTIONS(290),
    [sym_raw_string] = ACTIONS(293),
    [sym_ansii_c_string] = ACTIONS(293),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(296),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(299),
    [anon_sym_BQUOTE] = ACTIONS(302),
    [anon_sym_LT_LPAREN] = ACTIONS(305),
    [anon_sym_GT_LPAREN] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(308),
    [sym_variable_name] = ACTIONS(311),
  },
  [25] = {
    [sym__statements] = STATE(3317),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [26] = {
    [aux_sym__statements2] = STATE(50),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_done] = ACTIONS(322),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [27] = {
    [sym__statements] = STATE(3425),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [28] = {
    [sym__statements] = STATE(3429),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [29] = {
    [sym__statements] = STATE(3446),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2060),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [30] = {
    [aux_sym__statements2] = STATE(31),
    [sym_redirected_statement] = STATE(1730),
    [sym_for_statement] = STATE(1730),
    [sym_c_style_for_statement] = STATE(1730),
    [sym_while_statement] = STATE(1730),
    [sym_if_statement] = STATE(1730),
    [sym_case_statement] = STATE(1730),
    [sym_function_definition] = STATE(1730),
    [sym_compound_statement] = STATE(1730),
    [sym_subshell] = STATE(1730),
    [sym_pipeline] = STATE(1730),
    [sym_list] = STATE(1730),
    [sym_negated_command] = STATE(1730),
    [sym_test_command] = STATE(1730),
    [sym_declaration_command] = STATE(1730),
    [sym_unset_command] = STATE(1730),
    [sym_command] = STATE(1730),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(330),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [31] = {
    [aux_sym__statements2] = STATE(24),
    [sym_redirected_statement] = STATE(1730),
    [sym_for_statement] = STATE(1730),
    [sym_c_style_for_statement] = STATE(1730),
    [sym_while_statement] = STATE(1730),
    [sym_if_statement] = STATE(1730),
    [sym_case_statement] = STATE(1730),
    [sym_function_definition] = STATE(1730),
    [sym_compound_statement] = STATE(1730),
    [sym_subshell] = STATE(1730),
    [sym_pipeline] = STATE(1730),
    [sym_list] = STATE(1730),
    [sym_negated_command] = STATE(1730),
    [sym_test_command] = STATE(1730),
    [sym_declaration_command] = STATE(1730),
    [sym_unset_command] = STATE(1730),
    [sym_command] = STATE(1730),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_fi] = ACTIONS(332),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [32] = {
    [sym__statements] = STATE(3327),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [33] = {
    [sym__statements] = STATE(3326),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [34] = {
    [sym__statements] = STATE(3417),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [35] = {
    [sym__statements] = STATE(3298),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2062),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [36] = {
    [sym__statements] = STATE(3366),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [37] = {
    [sym__statements] = STATE(3343),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [38] = {
    [sym__statements] = STATE(3286),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2078),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [39] = {
    [sym__statements] = STATE(3393),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [40] = {
    [sym__statements] = STATE(3392),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [41] = {
    [sym__statements] = STATE(3387),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2075),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [42] = {
    [sym__statements] = STATE(3309),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [43] = {
    [sym__statements] = STATE(3477),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [44] = {
    [sym__statements] = STATE(3342),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2064),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [45] = {
    [sym__statements] = STATE(3371),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [46] = {
    [sym__statements] = STATE(3378),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [47] = {
    [sym__statements] = STATE(3290),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2055),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [48] = {
    [sym__statements] = STATE(3469),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [49] = {
    [sym__statements] = STATE(3462),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [50] = {
    [aux_sym__statements2] = STATE(50),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(237),
    [anon_sym_for] = ACTIONS(240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(246),
    [anon_sym_done] = ACTIONS(252),
    [anon_sym_if] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(254),
    [anon_sym_function] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(272),
    [anon_sym_declare] = ACTIONS(275),
    [anon_sym_typeset] = ACTIONS(275),
    [anon_sym_export] = ACTIONS(275),
    [anon_sym_readonly] = ACTIONS(275),
    [anon_sym_local] = ACTIONS(275),
    [anon_sym_unset] = ACTIONS(278),
    [anon_sym_unsetenv] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(281),
    [anon_sym_GT] = ACTIONS(281),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym_AMP_GT] = ACTIONS(281),
    [anon_sym_AMP_GT_GT] = ACTIONS(281),
    [anon_sym_LT_AMP] = ACTIONS(281),
    [anon_sym_GT_AMP] = ACTIONS(281),
    [anon_sym_GT_PIPE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(284),
    [sym__special_character] = ACTIONS(287),
    [anon_sym_DQUOTE] = ACTIONS(290),
    [sym_raw_string] = ACTIONS(293),
    [sym_ansii_c_string] = ACTIONS(293),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(296),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(299),
    [anon_sym_BQUOTE] = ACTIONS(302),
    [anon_sym_LT_LPAREN] = ACTIONS(305),
    [anon_sym_GT_LPAREN] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(308),
    [sym_variable_name] = ACTIONS(311),
  },
  [51] = {
    [sym__statements] = STATE(3458),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2046),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [52] = {
    [sym__statements] = STATE(3410),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [53] = {
    [sym__statements] = STATE(3405),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [54] = {
    [sym__statements] = STATE(3390),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2010),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [55] = {
    [sym__statements] = STATE(3319),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [56] = {
    [sym__statements] = STATE(3312),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [57] = {
    [sym__statements] = STATE(3308),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1992),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [58] = {
    [aux_sym__statements2] = STATE(133),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_RBRACE] = ACTIONS(334),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [59] = {
    [sym__statements] = STATE(3277),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [60] = {
    [sym__statements] = STATE(3421),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2063),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [61] = {
    [sym__statements] = STATE(3275),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [62] = {
    [sym__statements] = STATE(3273),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1967),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [63] = {
    [sym__statements] = STATE(3324),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [64] = {
    [sym__statements] = STATE(3441),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [65] = {
    [sym__statements] = STATE(3448),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2067),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [66] = {
    [sym__statements] = STATE(3328),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [67] = {
    [sym__statements] = STATE(3341),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1939),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [68] = {
    [sym__statements] = STATE(3380),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [69] = {
    [sym__statements] = STATE(3336),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [70] = {
    [sym__statements] = STATE(3451),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [71] = {
    [sym__statements] = STATE(3444),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1920),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [72] = {
    [sym__statements] = STATE(3412),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [73] = {
    [sym__statements] = STATE(3411),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [74] = {
    [sym__statements] = STATE(3406),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1916),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [75] = {
    [sym__statements] = STATE(3351),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [76] = {
    [sym__statements] = STATE(3350),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [77] = {
    [aux_sym__statements2] = STATE(58),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [78] = {
    [sym__statements] = STATE(3352),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1910),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [79] = {
    [sym__statements] = STATE(3313),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [80] = {
    [sym__statements] = STATE(3316),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [81] = {
    [sym__statements] = STATE(3311),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1942),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [82] = {
    [sym__statements] = STATE(3284),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [83] = {
    [sym__statements] = STATE(3285),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [84] = {
    [sym__statements] = STATE(3287),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1984),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [85] = {
    [sym__statements] = STATE(3355),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [86] = {
    [sym__statements] = STATE(3358),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [87] = {
    [sym__statements] = STATE(3349),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2016),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [88] = {
    [sym__statements] = STATE(3394),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [89] = {
    [sym__statements] = STATE(3395),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [90] = {
    [sym__statements] = STATE(3398),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2069),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [91] = {
    [sym__statements] = STATE(3433),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [92] = {
    [sym__statements] = STATE(3322),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [93] = {
    [sym__statements] = STATE(3318),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [94] = {
    [aux_sym__statements2] = STATE(95),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [95] = {
    [aux_sym__statements2] = STATE(133),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [96] = {
    [sym__statements] = STATE(3437),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [97] = {
    [sym__statements] = STATE(3443),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2013),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [98] = {
    [sym__statements] = STATE(3472),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [99] = {
    [sym__statements] = STATE(3473),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [100] = {
    [aux_sym__statements2] = STATE(134),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_done] = ACTIONS(342),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [101] = {
    [sym__statements] = STATE(3474),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1922),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [102] = {
    [sym__statements] = STATE(3304),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1957),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [103] = {
    [sym__statements] = STATE(3466),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [104] = {
    [sym__statements] = STATE(3465),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [105] = {
    [sym__statements] = STATE(3464),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1951),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [106] = {
    [sym__statements] = STATE(3445),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [107] = {
    [sym__statements] = STATE(3438),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [108] = {
    [sym__statements] = STATE(3430),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2009),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [109] = {
    [sym__statements] = STATE(3403),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [110] = {
    [sym__statements] = STATE(3400),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [111] = {
    [sym__statements] = STATE(3399),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2076),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [112] = {
    [sym__statements] = STATE(3364),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [113] = {
    [sym__statements] = STATE(3363),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [114] = {
    [sym__statements] = STATE(3360),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(2030),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [115] = {
    [sym__statements] = STATE(3270),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [116] = {
    [sym__statements] = STATE(3331),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [117] = {
    [sym__statements] = STATE(3332),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1931),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [118] = {
    [sym__statements] = STATE(3348),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [119] = {
    [sym__statements] = STATE(3291),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [120] = {
    [sym__statements] = STATE(3382),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [121] = {
    [sym__statements] = STATE(3337),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1934),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [122] = {
    [sym__statements] = STATE(3299),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [123] = {
    [aux_sym__statements2] = STATE(26),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_done] = ACTIONS(344),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [124] = {
    [aux_sym__statements2] = STATE(50),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_done] = ACTIONS(346),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [125] = {
    [sym__statements] = STATE(3335),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [126] = {
    [sym__statements] = STATE(3339),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1987),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [127] = {
    [sym__statements] = STATE(3320),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(1982),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [128] = {
    [aux_sym__statements2] = STATE(124),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_done] = ACTIONS(348),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [129] = {
    [aux_sym__statements2] = STATE(133),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_RBRACE] = ACTIONS(350),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [130] = {
    [sym__statements] = STATE(3314),
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(533),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(142),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [131] = {
    [sym__statements] = STATE(3359),
    [sym_redirected_statement] = STATE(1681),
    [sym_for_statement] = STATE(1681),
    [sym_c_style_for_statement] = STATE(1681),
    [sym_while_statement] = STATE(1681),
    [sym_if_statement] = STATE(1681),
    [sym_case_statement] = STATE(1681),
    [sym_function_definition] = STATE(1681),
    [sym_compound_statement] = STATE(1681),
    [sym_subshell] = STATE(1681),
    [sym_pipeline] = STATE(1681),
    [sym_list] = STATE(1681),
    [sym_negated_command] = STATE(1681),
    [sym_test_command] = STATE(1681),
    [sym_declaration_command] = STATE(1681),
    [sym_unset_command] = STATE(1681),
    [sym_command] = STATE(1681),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(360),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(135),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [132] = {
    [aux_sym__statements2] = STATE(129),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_RBRACE] = ACTIONS(352),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [133] = {
    [aux_sym__statements2] = STATE(133),
    [sym_redirected_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_c_style_for_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_case_statement] = STATE(1719),
    [sym_function_definition] = STATE(1719),
    [sym_compound_statement] = STATE(1719),
    [sym_subshell] = STATE(1719),
    [sym_pipeline] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_negated_command] = STATE(1719),
    [sym_test_command] = STATE(1719),
    [sym_declaration_command] = STATE(1719),
    [sym_unset_command] = STATE(1719),
    [sym_command] = STATE(1719),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(500),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(237),
    [anon_sym_for] = ACTIONS(240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(246),
    [anon_sym_if] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(254),
    [anon_sym_function] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_RBRACE] = ACTIONS(252),
    [anon_sym_BANG] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(272),
    [anon_sym_declare] = ACTIONS(275),
    [anon_sym_typeset] = ACTIONS(275),
    [anon_sym_export] = ACTIONS(275),
    [anon_sym_readonly] = ACTIONS(275),
    [anon_sym_local] = ACTIONS(275),
    [anon_sym_unset] = ACTIONS(278),
    [anon_sym_unsetenv] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(281),
    [anon_sym_GT] = ACTIONS(281),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym_AMP_GT] = ACTIONS(281),
    [anon_sym_AMP_GT_GT] = ACTIONS(281),
    [anon_sym_LT_AMP] = ACTIONS(281),
    [anon_sym_GT_AMP] = ACTIONS(281),
    [anon_sym_GT_PIPE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(284),
    [sym__special_character] = ACTIONS(287),
    [anon_sym_DQUOTE] = ACTIONS(290),
    [sym_raw_string] = ACTIONS(293),
    [sym_ansii_c_string] = ACTIONS(293),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(296),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(299),
    [anon_sym_BQUOTE] = ACTIONS(302),
    [anon_sym_LT_LPAREN] = ACTIONS(305),
    [anon_sym_GT_LPAREN] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(308),
    [sym_variable_name] = ACTIONS(311),
  },
  [134] = {
    [aux_sym__statements2] = STATE(50),
    [sym_redirected_statement] = STATE(1748),
    [sym_for_statement] = STATE(1748),
    [sym_c_style_for_statement] = STATE(1748),
    [sym_while_statement] = STATE(1748),
    [sym_if_statement] = STATE(1748),
    [sym_case_statement] = STATE(1748),
    [sym_function_definition] = STATE(1748),
    [sym_compound_statement] = STATE(1748),
    [sym_subshell] = STATE(1748),
    [sym_pipeline] = STATE(1748),
    [sym_list] = STATE(1748),
    [sym_negated_command] = STATE(1748),
    [sym_test_command] = STATE(1748),
    [sym_declaration_command] = STATE(1748),
    [sym_unset_command] = STATE(1748),
    [sym_command] = STATE(1748),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(431),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_done] = ACTIONS(354),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [135] = {
    [sym_redirected_statement] = STATE(1677),
    [sym_for_statement] = STATE(1677),
    [sym_c_style_for_statement] = STATE(1677),
    [sym_while_statement] = STATE(1677),
    [sym_if_statement] = STATE(1677),
    [sym_case_statement] = STATE(1677),
    [sym_function_definition] = STATE(1677),
    [sym_compound_statement] = STATE(1677),
    [sym_subshell] = STATE(1677),
    [sym_pipeline] = STATE(1677),
    [sym_list] = STATE(1677),
    [sym_negated_command] = STATE(1677),
    [sym_test_command] = STATE(1677),
    [sym_declaration_command] = STATE(1677),
    [sym_unset_command] = STATE(1677),
    [sym_command] = STATE(1677),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(336),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [136] = {
    [sym__terminated_statement] = STATE(3257),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [137] = {
    [sym_redirected_statement] = STATE(1656),
    [sym_for_statement] = STATE(1656),
    [sym_c_style_for_statement] = STATE(1656),
    [sym_while_statement] = STATE(1656),
    [sym_if_statement] = STATE(1656),
    [sym_case_statement] = STATE(1656),
    [sym_function_definition] = STATE(1656),
    [sym_compound_statement] = STATE(1656),
    [sym_subshell] = STATE(1656),
    [sym_pipeline] = STATE(1656),
    [sym_list] = STATE(1656),
    [sym_negated_command] = STATE(1656),
    [sym_test_command] = STATE(1656),
    [sym_declaration_command] = STATE(1656),
    [sym_unset_command] = STATE(1656),
    [sym_command] = STATE(1656),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(291),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [138] = {
    [sym__terminated_statement] = STATE(3347),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [139] = {
    [sym__terminated_statement] = STATE(3369),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [140] = {
    [sym_redirected_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_c_style_for_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_case_statement] = STATE(1669),
    [sym_function_definition] = STATE(1669),
    [sym_compound_statement] = STATE(1669),
    [sym_subshell] = STATE(1669),
    [sym_pipeline] = STATE(1669),
    [sym_list] = STATE(1669),
    [sym_negated_command] = STATE(1669),
    [sym_test_command] = STATE(1669),
    [sym_declaration_command] = STATE(1669),
    [sym_unset_command] = STATE(1669),
    [sym_command] = STATE(1669),
    [sym_command_name] = STATE(218),
    [sym_variable_assignment] = STATE(324),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(782),
    [sym_concatenation] = STATE(778),
    [sym_string] = STATE(515),
    [sym_simple_expansion] = STATE(515),
    [sym_string_expansion] = STATE(515),
    [sym_expansion] = STATE(515),
    [sym_command_substitution] = STATE(515),
    [sym_process_substitution] = STATE(515),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(782),
    [aux_sym__literal_repeat1] = STATE(700),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(37),
    [sym__special_character] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym_raw_string] = ACTIONS(43),
    [sym_ansii_c_string] = ACTIONS(43),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(45),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(47),
    [anon_sym_BQUOTE] = ACTIONS(49),
    [anon_sym_LT_LPAREN] = ACTIONS(51),
    [anon_sym_GT_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(55),
  },
  [141] = {
    [sym__terminated_statement] = STATE(3289),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [142] = {
    [sym_redirected_statement] = STATE(1676),
    [sym_for_statement] = STATE(1676),
    [sym_c_style_for_statement] = STATE(1676),
    [sym_while_statement] = STATE(1676),
    [sym_if_statement] = STATE(1676),
    [sym_case_statement] = STATE(1676),
    [sym_function_definition] = STATE(1676),
    [sym_compound_statement] = STATE(1676),
    [sym_subshell] = STATE(1676),
    [sym_pipeline] = STATE(1676),
    [sym_list] = STATE(1676),
    [sym_negated_command] = STATE(1676),
    [sym_test_command] = STATE(1676),
    [sym_declaration_command] = STATE(1676),
    [sym_unset_command] = STATE(1676),
    [sym_command] = STATE(1676),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(510),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [143] = {
    [sym__terminated_statement] = STATE(3218),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [144] = {
    [sym_redirected_statement] = STATE(1721),
    [sym_for_statement] = STATE(1721),
    [sym_c_style_for_statement] = STATE(1721),
    [sym_while_statement] = STATE(1721),
    [sym_if_statement] = STATE(1721),
    [sym_case_statement] = STATE(1721),
    [sym_function_definition] = STATE(1721),
    [sym_compound_statement] = STATE(1721),
    [sym_subshell] = STATE(1721),
    [sym_pipeline] = STATE(1721),
    [sym_list] = STATE(1721),
    [sym_negated_command] = STATE(1721),
    [sym_test_command] = STATE(1721),
    [sym_declaration_command] = STATE(1721),
    [sym_unset_command] = STATE(1721),
    [sym_command] = STATE(1721),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(532),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(356),
    [anon_sym_for] = ACTIONS(359),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_if] = ACTIONS(368),
    [anon_sym_case] = ACTIONS(371),
    [anon_sym_function] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(380),
    [anon_sym_BANG] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(389),
    [anon_sym_declare] = ACTIONS(392),
    [anon_sym_typeset] = ACTIONS(392),
    [anon_sym_export] = ACTIONS(392),
    [anon_sym_readonly] = ACTIONS(392),
    [anon_sym_local] = ACTIONS(392),
    [anon_sym_unset] = ACTIONS(395),
    [anon_sym_unsetenv] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(398),
    [anon_sym_GT] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(398),
    [anon_sym_AMP_GT] = ACTIONS(398),
    [anon_sym_AMP_GT_GT] = ACTIONS(398),
    [anon_sym_LT_AMP] = ACTIONS(398),
    [anon_sym_GT_AMP] = ACTIONS(398),
    [anon_sym_GT_PIPE] = ACTIONS(398),
    [anon_sym_DOLLAR] = ACTIONS(401),
    [sym__special_character] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_raw_string] = ACTIONS(410),
    [sym_ansii_c_string] = ACTIONS(410),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(413),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(416),
    [anon_sym_BQUOTE] = ACTIONS(419),
    [anon_sym_LT_LPAREN] = ACTIONS(422),
    [anon_sym_GT_LPAREN] = ACTIONS(422),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(425),
    [sym_variable_name] = ACTIONS(428),
  },
  [145] = {
    [sym__terminated_statement] = STATE(3186),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [146] = {
    [sym__terminated_statement] = STATE(3389),
    [sym_redirected_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_c_style_for_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_case_statement] = STATE(1731),
    [sym_function_definition] = STATE(1731),
    [sym_compound_statement] = STATE(1731),
    [sym_subshell] = STATE(1731),
    [sym_pipeline] = STATE(1731),
    [sym_list] = STATE(1731),
    [sym_negated_command] = STATE(1731),
    [sym_test_command] = STATE(1731),
    [sym_declaration_command] = STATE(1731),
    [sym_unset_command] = STATE(1731),
    [sym_command] = STATE(1731),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(503),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [147] = {
    [sym_redirected_statement] = STATE(1651),
    [sym_for_statement] = STATE(1651),
    [sym_c_style_for_statement] = STATE(1651),
    [sym_while_statement] = STATE(1651),
    [sym_if_statement] = STATE(1651),
    [sym_case_statement] = STATE(1651),
    [sym_function_definition] = STATE(1651),
    [sym_compound_statement] = STATE(1651),
    [sym_subshell] = STATE(1651),
    [sym_pipeline] = STATE(1651),
    [sym_list] = STATE(1651),
    [sym_negated_command] = STATE(1651),
    [sym_test_command] = STATE(1651),
    [sym_declaration_command] = STATE(1651),
    [sym_unset_command] = STATE(1651),
    [sym_command] = STATE(1651),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(271),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [148] = {
    [sym_redirected_statement] = STATE(1647),
    [sym_for_statement] = STATE(1647),
    [sym_c_style_for_statement] = STATE(1647),
    [sym_while_statement] = STATE(1647),
    [sym_if_statement] = STATE(1647),
    [sym_case_statement] = STATE(1647),
    [sym_function_definition] = STATE(1647),
    [sym_compound_statement] = STATE(1647),
    [sym_subshell] = STATE(1647),
    [sym_pipeline] = STATE(1647),
    [sym_list] = STATE(1647),
    [sym_negated_command] = STATE(1647),
    [sym_test_command] = STATE(1647),
    [sym_declaration_command] = STATE(1647),
    [sym_unset_command] = STATE(1647),
    [sym_command] = STATE(1647),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(273),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [149] = {
    [sym_redirected_statement] = STATE(1663),
    [sym_for_statement] = STATE(1663),
    [sym_c_style_for_statement] = STATE(1663),
    [sym_while_statement] = STATE(1663),
    [sym_if_statement] = STATE(1663),
    [sym_case_statement] = STATE(1663),
    [sym_function_definition] = STATE(1663),
    [sym_compound_statement] = STATE(1663),
    [sym_subshell] = STATE(1663),
    [sym_pipeline] = STATE(1663),
    [sym_list] = STATE(1663),
    [sym_negated_command] = STATE(1663),
    [sym_test_command] = STATE(1663),
    [sym_declaration_command] = STATE(1663),
    [sym_unset_command] = STATE(1663),
    [sym_command] = STATE(1663),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(496),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [150] = {
    [sym_redirected_statement] = STATE(1683),
    [sym_for_statement] = STATE(1683),
    [sym_c_style_for_statement] = STATE(1683),
    [sym_while_statement] = STATE(1683),
    [sym_if_statement] = STATE(1683),
    [sym_case_statement] = STATE(1683),
    [sym_function_definition] = STATE(1683),
    [sym_compound_statement] = STATE(1683),
    [sym_subshell] = STATE(1683),
    [sym_pipeline] = STATE(1683),
    [sym_list] = STATE(1683),
    [sym_negated_command] = STATE(1683),
    [sym_test_command] = STATE(1683),
    [sym_declaration_command] = STATE(1683),
    [sym_unset_command] = STATE(1683),
    [sym_command] = STATE(1683),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(325),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [151] = {
    [sym_redirected_statement] = STATE(1648),
    [sym_for_statement] = STATE(1648),
    [sym_c_style_for_statement] = STATE(1648),
    [sym_while_statement] = STATE(1648),
    [sym_if_statement] = STATE(1648),
    [sym_case_statement] = STATE(1648),
    [sym_function_definition] = STATE(1648),
    [sym_compound_statement] = STATE(1648),
    [sym_subshell] = STATE(1648),
    [sym_pipeline] = STATE(1648),
    [sym_list] = STATE(1648),
    [sym_negated_command] = STATE(1648),
    [sym_test_command] = STATE(1648),
    [sym_declaration_command] = STATE(1648),
    [sym_unset_command] = STATE(1648),
    [sym_command] = STATE(1648),
    [sym_command_name] = STATE(170),
    [sym_variable_assignment] = STATE(276),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(831),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(281),
    [sym_simple_expansion] = STATE(281),
    [sym_string_expansion] = STATE(281),
    [sym_expansion] = STATE(281),
    [sym_command_substitution] = STATE(281),
    [sym_process_substitution] = STATE(281),
    [aux_sym_command_repeat1] = STATE(831),
    [aux_sym__literal_repeat1] = STATE(358),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(149),
    [anon_sym_typeset] = ACTIONS(149),
    [anon_sym_export] = ACTIONS(149),
    [anon_sym_readonly] = ACTIONS(149),
    [anon_sym_local] = ACTIONS(149),
    [anon_sym_unset] = ACTIONS(151),
    [anon_sym_unsetenv] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [sym__special_character] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_raw_string] = ACTIONS(159),
    [sym_ansii_c_string] = ACTIONS(159),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(161),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(163),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [anon_sym_LT_LPAREN] = ACTIONS(167),
    [anon_sym_GT_LPAREN] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(169),
  },
  [152] = {
    [sym_redirected_statement] = STATE(1657),
    [sym_for_statement] = STATE(1657),
    [sym_c_style_for_statement] = STATE(1657),
    [sym_while_statement] = STATE(1657),
    [sym_if_statement] = STATE(1657),
    [sym_case_statement] = STATE(1657),
    [sym_function_definition] = STATE(1657),
    [sym_compound_statement] = STATE(1657),
    [sym_subshell] = STATE(1657),
    [sym_pipeline] = STATE(1657),
    [sym_list] = STATE(1657),
    [sym_negated_command] = STATE(1657),
    [sym_test_command] = STATE(1657),
    [sym_declaration_command] = STATE(1657),
    [sym_unset_command] = STATE(1657),
    [sym_command] = STATE(1657),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(284),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [153] = {
    [sym_redirected_statement] = STATE(1655),
    [sym_for_statement] = STATE(1655),
    [sym_c_style_for_statement] = STATE(1655),
    [sym_while_statement] = STATE(1655),
    [sym_if_statement] = STATE(1655),
    [sym_case_statement] = STATE(1655),
    [sym_function_definition] = STATE(1655),
    [sym_compound_statement] = STATE(1655),
    [sym_subshell] = STATE(1655),
    [sym_pipeline] = STATE(1655),
    [sym_list] = STATE(1655),
    [sym_negated_command] = STATE(1655),
    [sym_test_command] = STATE(1655),
    [sym_declaration_command] = STATE(1655),
    [sym_unset_command] = STATE(1655),
    [sym_command] = STATE(1655),
    [sym_command_name] = STATE(194),
    [sym_variable_assignment] = STATE(285),
    [sym_subscript] = STATE(3237),
    [sym_file_redirect] = STATE(784),
    [sym_concatenation] = STATE(699),
    [sym_string] = STATE(328),
    [sym_simple_expansion] = STATE(328),
    [sym_string_expansion] = STATE(328),
    [sym_expansion] = STATE(328),
    [sym_command_substitution] = STATE(328),
    [sym_process_substitution] = STATE(328),
    [aux_sym_command_repeat1] = STATE(784),
    [aux_sym__literal_repeat1] = STATE(469),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(147),
    [anon_sym_declare] = ACTIONS(205),
    [anon_sym_typeset] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_local] = ACTIONS(205),
    [anon_sym_unset] = ACTIONS(207),
    [anon_sym_unsetenv] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(209),
    [sym__special_character] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(213),
    [sym_raw_string] = ACTIONS(215),
    [sym_ansii_c_string] = ACTIONS(215),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(219),
    [anon_sym_BQUOTE] = ACTIONS(221),
    [anon_sym_LT_LPAREN] = ACTIONS(223),
    [anon_sym_GT_LPAREN] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(225),
  },
  [154] = {
    [sym_redirected_statement] = STATE(1653),
    [sym_for_statement] = STATE(1653),
    [sym_c_style_for_statement] = STATE(1653),
    [sym_while_statement] = STATE(1653),
    [sym_if_statement] = STATE(1653),
    [sym_case_statement] = STATE(1653),
    [sym_function_definition] = STATE(1653),
    [sym_compound_statement] = STATE(1653),
    [sym_subshell] = STATE(1653),
    [sym_pipeline] = STATE(1653),
    [sym_list] = STATE(1653),
    [sym_negated_command] = STATE(1653),
    [sym_test_command] = STATE(1653),
    [sym_declaration_command] = STATE(1653),
    [sym_unset_command] = STATE(1653),
    [sym_command] = STATE(1653),
    [sym_command_name] = STATE(202),
    [sym_variable_assignment] = STATE(322),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(815),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(815),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(87),
    [anon_sym_typeset] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(87),
    [anon_sym_readonly] = ACTIONS(87),
    [anon_sym_local] = ACTIONS(87),
    [anon_sym_unset] = ACTIONS(89),
    [anon_sym_unsetenv] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [155] = {
    [sym_redirected_statement] = STATE(1687),
    [sym_for_statement] = STATE(1687),
    [sym_c_style_for_statement] = STATE(1687),
    [sym_while_statement] = STATE(1687),
    [sym_if_statement] = STATE(1687),
    [sym_case_statement] = STATE(1687),
    [sym_function_definition] = STATE(1687),
    [sym_compound_statement] = STATE(1687),
    [sym_subshell] = STATE(1687),
    [sym_pipeline] = STATE(1687),
    [sym_list] = STATE(1687),
    [sym_negated_command] = STATE(1687),
    [sym_test_command] = STATE(1687),
    [sym_declaration_command] = STATE(1687),
    [sym_unset_command] = STATE(1687),
    [sym_command] = STATE(1687),
    [sym_command_name] = STATE(218),
    [sym_variable_assignment] = STATE(357),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(782),
    [sym_concatenation] = STATE(778),
    [sym_string] = STATE(515),
    [sym_simple_expansion] = STATE(515),
    [sym_string_expansion] = STATE(515),
    [sym_expansion] = STATE(515),
    [sym_command_substitution] = STATE(515),
    [sym_process_substitution] = STATE(515),
    [aux_sym_command_repeat1] = STATE(782),
    [aux_sym__literal_repeat1] = STATE(700),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(37),
    [sym__special_character] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym_raw_string] = ACTIONS(43),
    [sym_ansii_c_string] = ACTIONS(43),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(45),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(47),
    [anon_sym_BQUOTE] = ACTIONS(49),
    [anon_sym_LT_LPAREN] = ACTIONS(51),
    [anon_sym_GT_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(55),
  },
  [156] = {
    [sym_redirected_statement] = STATE(1653),
    [sym_for_statement] = STATE(1653),
    [sym_c_style_for_statement] = STATE(1653),
    [sym_while_statement] = STATE(1653),
    [sym_if_statement] = STATE(1653),
    [sym_case_statement] = STATE(1653),
    [sym_function_definition] = STATE(1653),
    [sym_compound_statement] = STATE(1653),
    [sym_subshell] = STATE(1653),
    [sym_pipeline] = STATE(1653),
    [sym_list] = STATE(1653),
    [sym_negated_command] = STATE(1653),
    [sym_test_command] = STATE(1653),
    [sym_declaration_command] = STATE(1653),
    [sym_unset_command] = STATE(1653),
    [sym_command] = STATE(1653),
    [sym_command_name] = STATE(234),
    [sym_variable_assignment] = STATE(497),
    [sym_subscript] = STATE(3215),
    [sym_file_redirect] = STATE(818),
    [sym_concatenation] = STATE(816),
    [sym_string] = STATE(441),
    [sym_simple_expansion] = STATE(441),
    [sym_string_expansion] = STATE(441),
    [sym_expansion] = STATE(441),
    [sym_command_substitution] = STATE(441),
    [sym_process_substitution] = STATE(441),
    [aux_sym_command_repeat1] = STATE(818),
    [aux_sym__literal_repeat1] = STATE(662),
    [sym_word] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_function] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_LBRACE] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(85),
    [anon_sym_declare] = ACTIONS(326),
    [anon_sym_typeset] = ACTIONS(326),
    [anon_sym_export] = ACTIONS(326),
    [anon_sym_readonly] = ACTIONS(326),
    [anon_sym_local] = ACTIONS(326),
    [anon_sym_unset] = ACTIONS(328),
    [anon_sym_unsetenv] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [sym__special_character] = ACTIONS(93),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_raw_string] = ACTIONS(97),
    [sym_ansii_c_string] = ACTIONS(97),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(99),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(103),
    [anon_sym_LT_LPAREN] = ACTIONS(105),
    [anon_sym_GT_LPAREN] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(107),
  },
  [157] = {
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(218),
    [sym_variable_assignment] = STATE(317),
    [sym_subscript] = STATE(3173),
    [sym_file_redirect] = STATE(782),
    [sym_concatenation] = STATE(778),
    [sym_string] = STATE(515),
    [sym_simple_expansion] = STATE(515),
    [sym_string_expansion] = STATE(515),
    [sym_expansion] = STATE(515),
    [sym_command_substitution] = STATE(515),
    [sym_process_substitution] = STATE(515),
    [aux_sym_command_repeat1] = STATE(782),
    [aux_sym__literal_repeat1] = STATE(700),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(35),
    [anon_sym_LT_AMP] = ACTIONS(35),
    [anon_sym_GT_AMP] = ACTIONS(35),
    [anon_sym_GT_PIPE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(37),
    [sym__special_character] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym_raw_string] = ACTIONS(43),
    [sym_ansii_c_string] = ACTIONS(43),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(45),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(47),
    [anon_sym_BQUOTE] = ACTIONS(49),
    [anon_sym_LT_LPAREN] = ACTIONS(51),
    [anon_sym_GT_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(53),
    [sym_variable_name] = ACTIONS(55),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 1,
      anon_sym_DOLLAR,
    ACTIONS(439), 1,
      sym__special_character,
    ACTIONS(442), 1,
      anon_sym_DQUOTE,
    ACTIONS(445), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(448), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(451), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(460), 1,
      sym_file_descriptor,
    ACTIONS(462), 1,
      sym_variable_name,
    STATE(361), 1,
      aux_sym__literal_repeat1,
    STATE(3246), 1,
      sym_subscript,
    ACTIONS(454), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(431), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(158), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(282), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(434), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_DOLLAR,
    ACTIONS(471), 1,
      sym__special_character,
    ACTIONS(473), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(479), 1,
      anon_sym_BQUOTE,
    ACTIONS(483), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(485), 1,
      sym_file_descriptor,
    ACTIONS(487), 1,
      sym_variable_name,
    STATE(361), 1,
      aux_sym__literal_repeat1,
    STATE(3246), 1,
      sym_subscript,
    ACTIONS(481), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(465), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(160), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(282), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(467), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_DOLLAR,
    ACTIONS(471), 1,
      sym__special_character,
    ACTIONS(473), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(479), 1,
      anon_sym_BQUOTE,
    ACTIONS(487), 1,
      sym_variable_name,
    ACTIONS(491), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(493), 1,
      sym_file_descriptor,
    STATE(361), 1,
      aux_sym__literal_repeat1,
    STATE(3246), 1,
      sym_subscript,
    ACTIONS(481), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(465), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(158), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(282), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(489), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      sym__simple_heredoc_body,
    ACTIONS(501), 1,
      sym__heredoc_body_beginning,
    STATE(2831), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(497), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      sym__simple_heredoc_body,
    ACTIONS(501), 1,
      sym__heredoc_body_beginning,
    STATE(2809), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(505), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [373] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_file_descriptor,
    ACTIONS(510), 1,
      anon_sym_DOLLAR,
    ACTIONS(513), 1,
      sym__special_character,
    ACTIONS(516), 1,
      anon_sym_DQUOTE,
    ACTIONS(519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(522), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(525), 1,
      anon_sym_BQUOTE,
    ACTIONS(531), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(534), 1,
      sym_variable_name,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(3233), 1,
      sym_subscript,
    ACTIONS(528), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(507), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(163), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(294), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(434), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [455] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      sym_raw_string,
    ACTIONS(543), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(545), 1,
      sym_file_descriptor,
    STATE(364), 1,
      sym_string,
    ACTIONS(539), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      sym_file_descriptor,
    ACTIONS(549), 1,
      anon_sym_DOLLAR,
    ACTIONS(551), 1,
      sym__special_character,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(559), 1,
      anon_sym_BQUOTE,
    ACTIONS(563), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(565), 1,
      sym_variable_name,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(3233), 1,
      sym_subscript,
    ACTIONS(561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(166), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(294), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(467), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [601] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      sym_file_descriptor,
    ACTIONS(549), 1,
      anon_sym_DOLLAR,
    ACTIONS(551), 1,
      sym__special_character,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(559), 1,
      anon_sym_BQUOTE,
    ACTIONS(565), 1,
      sym_variable_name,
    ACTIONS(567), 1,
      aux_sym__simple_variable_name_token1,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(3233), 1,
      sym_subscript,
    ACTIONS(561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(163), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(294), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(489), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_DOLLAR,
    ACTIONS(575), 1,
      sym__special_character,
    ACTIONS(578), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(584), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(587), 1,
      anon_sym_BQUOTE,
    ACTIONS(593), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(596), 1,
      sym_variable_name,
    STATE(664), 1,
      aux_sym__literal_repeat1,
    STATE(3259), 1,
      sym_subscript,
    ACTIONS(460), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(590), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(569), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(167), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(492), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(434), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2970), 1,
      sym_heredoc_body,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 40,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(611), 1,
      sym_file_descriptor,
    STATE(176), 1,
      aux_sym_command_repeat2,
    STATE(314), 1,
      aux_sym__literal_repeat1,
    STATE(513), 1,
      sym_concatenation,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(609), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(605), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(292), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(607), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [902] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(615), 1,
      sym_file_descriptor,
    STATE(175), 1,
      aux_sym_command_repeat2,
    STATE(314), 1,
      aux_sym__literal_repeat1,
    STATE(513), 1,
      sym_concatenation,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(609), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(605), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(292), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(613), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(621), 1,
      sym__special_character,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(627), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(629), 1,
      anon_sym_BQUOTE,
    ACTIONS(633), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(635), 1,
      sym_variable_name,
    STATE(664), 1,
      aux_sym__literal_repeat1,
    STATE(3259), 1,
      sym_subscript,
    ACTIONS(493), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(631), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(167), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(492), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(489), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1062] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(621), 1,
      sym__special_character,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(627), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(629), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      sym_variable_name,
    ACTIONS(637), 1,
      aux_sym__simple_variable_name_token1,
    STATE(664), 1,
      aux_sym__literal_repeat1,
    STATE(3259), 1,
      sym_subscript,
    ACTIONS(485), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(631), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(171), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(492), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(467), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      sym__simple_heredoc_body,
    ACTIONS(501), 1,
      sym__heredoc_body_beginning,
    STATE(2888), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(497), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1204] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      sym_file_descriptor,
    ACTIONS(641), 1,
      anon_sym_DOLLAR,
    ACTIONS(643), 1,
      sym__special_character,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(651), 1,
      anon_sym_BQUOTE,
    ACTIONS(655), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(657), 1,
      sym_variable_name,
    STATE(670), 1,
      aux_sym__literal_repeat1,
    STATE(3253), 1,
      sym_subscript,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(182), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(467), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(661), 1,
      sym_file_descriptor,
    STATE(176), 1,
      aux_sym_command_repeat2,
    STATE(314), 1,
      aux_sym__literal_repeat1,
    STATE(513), 1,
      sym_concatenation,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(609), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(605), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(292), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(659), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1364] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_DOLLAR,
    ACTIONS(674), 1,
      sym__special_character,
    ACTIONS(677), 1,
      anon_sym_DQUOTE,
    ACTIONS(680), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(683), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(686), 1,
      anon_sym_BQUOTE,
    ACTIONS(692), 1,
      sym_file_descriptor,
    STATE(176), 1,
      aux_sym_command_repeat2,
    STATE(314), 1,
      aux_sym__literal_repeat1,
    STATE(513), 1,
      sym_concatenation,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(689), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(663), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(292), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(666), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 1,
      anon_sym_DQUOTE,
    ACTIONS(696), 1,
      sym_raw_string,
    ACTIONS(698), 1,
      aux_sym__simple_variable_name_token1,
    STATE(374), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(694), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      sym__simple_heredoc_body,
    ACTIONS(501), 1,
      sym__heredoc_body_beginning,
    STATE(2894), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(505), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(702), 1,
      sym_file_descriptor,
    STATE(169), 1,
      aux_sym_command_repeat2,
    STATE(314), 1,
      aux_sym__literal_repeat1,
    STATE(513), 1,
      sym_concatenation,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(609), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(605), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(292), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(700), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1646] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(545), 1,
      sym_file_descriptor,
    ACTIONS(706), 1,
      sym_raw_string,
    ACTIONS(708), 1,
      aux_sym__simple_variable_name_token1,
    STATE(450), 1,
      sym_string,
    ACTIONS(704), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_file_descriptor,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(716), 1,
      sym__special_character,
    ACTIONS(719), 1,
      anon_sym_DQUOTE,
    ACTIONS(722), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(728), 1,
      anon_sym_BQUOTE,
    ACTIONS(734), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(737), 1,
      sym_variable_name,
    STATE(670), 1,
      aux_sym__literal_repeat1,
    STATE(3253), 1,
      sym_subscript,
    ACTIONS(731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(710), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(181), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(434), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1790] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      sym_file_descriptor,
    ACTIONS(641), 1,
      anon_sym_DOLLAR,
    ACTIONS(643), 1,
      sym__special_character,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(651), 1,
      anon_sym_BQUOTE,
    ACTIONS(657), 1,
      sym_variable_name,
    ACTIONS(740), 1,
      aux_sym__simple_variable_name_token1,
    STATE(670), 1,
      aux_sym__literal_repeat1,
    STATE(3253), 1,
      sym_subscript,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(181), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(489), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_DQUOTE,
    ACTIONS(746), 1,
      sym_raw_string,
    ACTIONS(748), 1,
      aux_sym__simple_variable_name_token1,
    STATE(409), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(742), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(611), 1,
      sym_file_descriptor,
    STATE(188), 1,
      aux_sym_command_repeat2,
    STATE(454), 1,
      aux_sym__literal_repeat1,
    STATE(673), 1,
      sym_concatenation,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(607), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      sym_file_descriptor,
    ACTIONS(641), 1,
      anon_sym_DOLLAR,
    ACTIONS(643), 1,
      sym__special_character,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(657), 1,
      sym_variable_name,
    ACTIONS(754), 1,
      aux_sym__simple_variable_name_token1,
    STATE(670), 1,
      aux_sym__literal_repeat1,
    STATE(3253), 1,
      sym_subscript,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(190), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(467), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [2090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    ACTIONS(758), 1,
      sym_raw_string,
    ACTIONS(760), 1,
      aux_sym__simple_variable_name_token1,
    STATE(487), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(756), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2152] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(780), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(782), 1,
      sym_file_descriptor,
    STATE(542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(195), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(762), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      sym_file_descriptor,
    ACTIONS(790), 1,
      anon_sym_DOLLAR,
    ACTIONS(793), 1,
      sym__special_character,
    ACTIONS(796), 1,
      anon_sym_DQUOTE,
    ACTIONS(799), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(802), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(805), 1,
      anon_sym_BQUOTE,
    STATE(188), 1,
      aux_sym_command_repeat2,
    STATE(454), 1,
      aux_sym__literal_repeat1,
    STATE(673), 1,
      sym_concatenation,
    ACTIONS(787), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(808), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(784), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(666), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2306] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym_file_descriptor,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(813), 1,
      sym_raw_string,
    ACTIONS(815), 1,
      aux_sym__simple_variable_name_token1,
    STATE(384), 1,
      sym_string,
    ACTIONS(811), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2368] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      sym_file_descriptor,
    ACTIONS(641), 1,
      anon_sym_DOLLAR,
    ACTIONS(643), 1,
      sym__special_character,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(657), 1,
      sym_variable_name,
    ACTIONS(740), 1,
      aux_sym__simple_variable_name_token1,
    STATE(670), 1,
      aux_sym__literal_repeat1,
    STATE(3253), 1,
      sym_subscript,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(181), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(489), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [2446] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(819), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(821), 1,
      sym_file_descriptor,
    STATE(542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(762), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(817), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(545), 1,
      sym_file_descriptor,
    ACTIONS(825), 1,
      sym_raw_string,
    ACTIONS(827), 1,
      aux_sym__simple_variable_name_token1,
    STATE(632), 1,
      sym_string,
    ACTIONS(823), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(831), 1,
      sym_raw_string,
    ACTIONS(833), 1,
      aux_sym__simple_variable_name_token1,
    STATE(657), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(829), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2646] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(615), 1,
      sym_file_descriptor,
    STATE(198), 1,
      aux_sym_command_repeat2,
    STATE(454), 1,
      aux_sym__literal_repeat1,
    STATE(673), 1,
      sym_concatenation,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(613), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2724] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_DOLLAR,
    ACTIONS(843), 1,
      sym__special_character,
    ACTIONS(846), 1,
      anon_sym_DQUOTE,
    ACTIONS(849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(852), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(855), 1,
      anon_sym_BQUOTE,
    ACTIONS(861), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(864), 1,
      sym_file_descriptor,
    STATE(542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(858), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(195), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(835), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(838), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DQUOTE,
    ACTIONS(870), 1,
      sym_raw_string,
    ACTIONS(872), 1,
      aux_sym__simple_variable_name_token1,
    STATE(666), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(866), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2862] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(702), 1,
      sym_file_descriptor,
    STATE(184), 1,
      aux_sym_command_repeat2,
    STATE(454), 1,
      aux_sym__literal_repeat1,
    STATE(673), 1,
      sym_concatenation,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(700), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(661), 1,
      sym_file_descriptor,
    STATE(188), 1,
      aux_sym_command_repeat2,
    STATE(454), 1,
      aux_sym__literal_repeat1,
    STATE(673), 1,
      sym_concatenation,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(659), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(876), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(876), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2975), 1,
      sym_heredoc_body,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(615), 1,
      sym_file_descriptor,
    STATE(222), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(613), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3258] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    STATE(227), 1,
      aux_sym_command_repeat2,
    STATE(646), 1,
      aux_sym__literal_repeat1,
    STATE(834), 1,
      sym_concatenation,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(611), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(886), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(472), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(607), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(890), 1,
      sym_raw_string,
    ACTIONS(892), 1,
      aux_sym__simple_variable_name_token1,
    STATE(620), 1,
      sym_string,
    ACTIONS(545), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(888), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 27,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3396] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    STATE(203), 1,
      aux_sym_command_repeat2,
    STATE(646), 1,
      aux_sym__literal_repeat1,
    STATE(834), 1,
      sym_concatenation,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(702), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(886), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(472), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(700), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(505), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(894), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_DQUOTE,
    ACTIONS(900), 1,
      sym_raw_string,
    ACTIONS(902), 1,
      aux_sym__simple_variable_name_token1,
    STATE(830), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(896), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3640] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    STATE(227), 1,
      aux_sym_command_repeat2,
    STATE(646), 1,
      aux_sym__literal_repeat1,
    STATE(834), 1,
      sym_concatenation,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(661), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(886), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(472), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(659), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(611), 1,
      sym_file_descriptor,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(607), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(497), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2897), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      sym_file_descriptor,
    ACTIONS(910), 1,
      anon_sym_DOLLAR,
    ACTIONS(913), 1,
      sym__special_character,
    ACTIONS(916), 1,
      anon_sym_DQUOTE,
    ACTIONS(919), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(925), 1,
      anon_sym_BQUOTE,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(907), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(928), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(904), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(666), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3983] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      sym_file_descriptor,
    ACTIONS(933), 1,
      anon_sym_DOLLAR,
    ACTIONS(935), 1,
      sym__special_character,
    ACTIONS(937), 1,
      anon_sym_DQUOTE,
    ACTIONS(939), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(947), 1,
      aux_sym__simple_variable_name_token1,
    STATE(739), 1,
      aux_sym__literal_repeat1,
    ACTIONS(945), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(217), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(931), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2948), 1,
      sym_heredoc_body,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym_file_descriptor,
    ACTIONS(937), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym_raw_string,
    ACTIONS(953), 1,
      aux_sym__simple_variable_name_token1,
    STATE(647), 1,
      sym_string,
    ACTIONS(949), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4176] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      sym_file_descriptor,
    ACTIONS(958), 1,
      anon_sym_DOLLAR,
    ACTIONS(961), 1,
      sym__special_character,
    ACTIONS(964), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(970), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(973), 1,
      anon_sym_BQUOTE,
    ACTIONS(979), 1,
      aux_sym__simple_variable_name_token1,
    STATE(739), 1,
      aux_sym__literal_repeat1,
    ACTIONS(976), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(217), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(955), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(838), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    STATE(209), 1,
      aux_sym_command_repeat2,
    STATE(646), 1,
      aux_sym__literal_repeat1,
    STATE(834), 1,
      sym_concatenation,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(886), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(472), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(613), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2899), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(505), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4440] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      ts_builtin_sym_end,
    ACTIONS(984), 1,
      sym__simple_heredoc_body,
    ACTIONS(986), 1,
      sym__heredoc_body_beginning,
    STATE(2926), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4499] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(661), 1,
      sym_file_descriptor,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(659), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2962), 1,
      sym_heredoc_body,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(990), 1,
      sym_raw_string,
    ACTIONS(992), 1,
      aux_sym__simple_variable_name_token1,
    STATE(572), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(988), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      sym__simple_heredoc_body,
    ACTIONS(986), 1,
      sym__heredoc_body_beginning,
    ACTIONS(994), 1,
      ts_builtin_sym_end,
    STATE(2916), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4753] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      sym_file_descriptor,
    ACTIONS(933), 1,
      anon_sym_DOLLAR,
    ACTIONS(935), 1,
      sym__special_character,
    ACTIONS(937), 1,
      anon_sym_DQUOTE,
    ACTIONS(939), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(996), 1,
      aux_sym__simple_variable_name_token1,
    STATE(739), 1,
      aux_sym__literal_repeat1,
    ACTIONS(945), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(214), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(931), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(817), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4828] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_DOLLAR,
    ACTIONS(1007), 1,
      sym__special_character,
    ACTIONS(1010), 1,
      anon_sym_DQUOTE,
    ACTIONS(1013), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1016), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(227), 1,
      aux_sym_command_repeat2,
    STATE(646), 1,
      aux_sym__literal_repeat1,
    STATE(834), 1,
      sym_concatenation,
    ACTIONS(692), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1001), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(1022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(998), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(472), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(666), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(702), 1,
      sym_file_descriptor,
    STATE(210), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(700), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4982] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DQUOTE,
    ACTIONS(1029), 1,
      sym_raw_string,
    ACTIONS(1031), 1,
      aux_sym__simple_variable_name_token1,
    STATE(843), 1,
      sym_string,
    ACTIONS(545), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1025), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 27,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(894), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(497), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5149] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(661), 1,
      sym_file_descriptor,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(659), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5223] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 1,
      sym__special_character,
    ACTIONS(1042), 1,
      anon_sym_DQUOTE,
    ACTIONS(1045), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1048), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_BQUOTE,
    ACTIONS(1057), 1,
      aux_sym__simple_variable_name_token1,
    STATE(817), 1,
      aux_sym__literal_repeat1,
    ACTIONS(864), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1054), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(233), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1033), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(663), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(838), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5297] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(615), 1,
      sym_file_descriptor,
    STATE(232), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(613), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym_raw_string,
    ACTIONS(1066), 1,
      aux_sym__simple_variable_name_token1,
    STATE(762), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1060), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 27,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1068), 40,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5481] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(702), 1,
      sym_file_descriptor,
    STATE(239), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(700), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_DQUOTE,
    ACTIONS(1074), 1,
      anon_sym_DOLLAR,
    ACTIONS(1076), 1,
      sym__special_character,
    ACTIONS(1078), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1080), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1082), 1,
      anon_sym_BQUOTE,
    ACTIONS(1086), 1,
      aux_sym__simple_variable_name_token1,
    STATE(817), 1,
      aux_sym__literal_repeat1,
    ACTIONS(782), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1084), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(233), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1072), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(663), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      sym_file_descriptor,
    STATE(213), 1,
      aux_sym_command_repeat2,
    STATE(697), 1,
      aux_sym__literal_repeat1,
    STATE(783), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(882), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(607), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_BQUOTE,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2939), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 36,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2982), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5817] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      sym_file_descriptor,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1092), 1,
      sym_raw_string,
    ACTIONS(1094), 1,
      aux_sym__simple_variable_name_token1,
    STATE(753), 1,
      sym_string,
    ACTIONS(1088), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 28,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 40,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5927] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_BQUOTE,
    ACTIONS(599), 1,
      sym__simple_heredoc_body,
    ACTIONS(601), 1,
      sym__heredoc_body_beginning,
    STATE(2896), 1,
      sym_heredoc_body,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 36,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5985] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      sym_file_descriptor,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1098), 1,
      anon_sym_DOLLAR,
    ACTIONS(1100), 1,
      sym__special_character,
    ACTIONS(1102), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_BQUOTE,
    ACTIONS(1110), 1,
      aux_sym__simple_variable_name_token1,
    STATE(793), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1108), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(247), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1096), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(672), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(817), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6059] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_DQUOTE,
    ACTIONS(1074), 1,
      anon_sym_DOLLAR,
    ACTIONS(1076), 1,
      sym__special_character,
    ACTIONS(1078), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1080), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1082), 1,
      anon_sym_BQUOTE,
    ACTIONS(1112), 1,
      aux_sym__simple_variable_name_token1,
    STATE(817), 1,
      aux_sym__literal_repeat1,
    ACTIONS(821), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1084), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(238), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1072), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(663), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(817), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      sym_file_descriptor,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1098), 1,
      anon_sym_DOLLAR,
    ACTIONS(1100), 1,
      sym__special_character,
    ACTIONS(1102), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_BQUOTE,
    ACTIONS(1114), 1,
      aux_sym__simple_variable_name_token1,
    STATE(793), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1108), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(248), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1096), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(672), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      sym_file_descriptor,
    ACTIONS(1119), 1,
      anon_sym_DOLLAR,
    ACTIONS(1122), 1,
      sym__special_character,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1128), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1134), 1,
      anon_sym_BQUOTE,
    ACTIONS(1140), 1,
      aux_sym__simple_variable_name_token1,
    STATE(793), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1137), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(248), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1116), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(672), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(838), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6281] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      sym_file_descriptor,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1098), 1,
      anon_sym_DOLLAR,
    ACTIONS(1100), 1,
      sym__special_character,
    ACTIONS(1102), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1143), 1,
      aux_sym__simple_variable_name_token1,
    STATE(793), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1108), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(254), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1096), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(672), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(817), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6352] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(123), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(147), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(1145), 1,
      sym_word,
    ACTIONS(1147), 1,
      sym_variable_name,
    STATE(194), 1,
      sym_command_name,
    STATE(469), 1,
      aux_sym__literal_repeat1,
    STATE(699), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(215), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(784), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1897), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(328), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [6443] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(61), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(77), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1149), 1,
      sym_word,
    STATE(202), 1,
      sym_command_name,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    STATE(816), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(97), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(815), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1968), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(441), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [6534] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(123), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(147), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1151), 1,
      sym_word,
    STATE(170), 1,
      sym_command_name,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(159), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(831), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1897), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(281), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [6625] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1153), 1,
      sym_word,
    STATE(218), 1,
      sym_command_name,
    STATE(700), 1,
      aux_sym__literal_repeat1,
    STATE(778), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(43), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(782), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(2148), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(515), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [6716] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      sym_file_descriptor,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1098), 1,
      anon_sym_DOLLAR,
    ACTIONS(1100), 1,
      sym__special_character,
    ACTIONS(1102), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1114), 1,
      aux_sym__simple_variable_name_token1,
    STATE(793), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1108), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(248), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1096), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(672), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6787] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(61), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(77), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1149), 1,
      sym_word,
    STATE(234), 1,
      sym_command_name,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    STATE(816), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(97), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(818), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1968), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(441), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [6878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      ts_builtin_sym_end,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1068), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      ts_builtin_sym_end,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      ts_builtin_sym_end,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1068), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      ts_builtin_sym_end,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1068), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(252), 38,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_BQUOTE,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(874), 36,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(874), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_BQUOTE,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 36,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 37,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_BQUOTE,
    ACTIONS(878), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(874), 36,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_LF,
    ACTIONS(1171), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1163), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1165), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1167), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(505), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_BQUOTE,
    ACTIONS(503), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(495), 36,
      anon_sym_for,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 12,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_LPAREN,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1183), 1,
      sym__concat,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1185), 1,
      anon_sym_LF,
    ACTIONS(1165), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1167), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1189), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      sym_variable_name,
    ACTIONS(1193), 1,
      sym_file_descriptor,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1191), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [7941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1213), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1189), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_file_descriptor,
    ACTIONS(1219), 1,
      sym__concat,
    STATE(280), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1183), 1,
      sym__concat,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1224), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1222), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_LPAREN,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1226), 1,
      sym__concat,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 11,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      sym_variable_name,
    ACTIONS(1193), 1,
      sym_file_descriptor,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1191), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [8409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_file_descriptor,
    ACTIONS(1235), 1,
      sym__concat,
    STATE(280), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1239), 1,
      sym_file_descriptor,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1237), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8659] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1243), 1,
      anon_sym_LF,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1245), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(505), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1249), 1,
      sym_file_descriptor,
    STATE(288), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1247), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1251), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    STATE(295), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1224), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1222), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      sym__concat,
    STATE(296), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__concat,
    STATE(296), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    ACTIONS(1266), 1,
      sym_file_descriptor,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1262), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1226), 1,
      sym__concat,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1268), 1,
      sym__concat,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1270), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1274), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1278), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1282), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1286), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1290), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1294), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1298), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1302), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1306), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1310), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1314), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      ts_builtin_sym_end,
    ACTIONS(1320), 1,
      anon_sym_LF,
    ACTIONS(1330), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1324), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1326), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1328), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1322), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1177), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    ACTIONS(1338), 1,
      sym_file_descriptor,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1336), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      sym_variable_name,
    ACTIONS(1193), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1191), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [9952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1344), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1348), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      sym__concat,
    STATE(320), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__special_character,
    STATE(321), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      sym_variable_name,
    ACTIONS(1193), 1,
      sym_file_descriptor,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1191), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [10191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1362), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10236] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      ts_builtin_sym_end,
    ACTIONS(1330), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1366), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1324), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1326), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1328), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1368), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 10,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      sym__concat,
    STATE(320), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1374), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1226), 1,
      sym__concat,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1378), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      sym__concat,
    ACTIONS(1239), 1,
      sym_file_descriptor,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1237), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1251), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1270), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1274), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1278), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1282), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    ACTIONS(1382), 1,
      anon_sym_LF,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1245), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1286), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1290), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1294), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1298), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1302), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1306), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1310), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1314), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      sym__concat,
    STATE(326), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    STATE(295), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1392), 1,
      anon_sym_LPAREN,
    ACTIONS(1394), 1,
      sym__concat,
    STATE(543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      sym__special_character,
    STATE(321), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1396), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1344), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1348), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 1,
      sym__concat,
    ACTIONS(1404), 1,
      sym_file_descriptor,
    STATE(362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1402), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_file_descriptor,
    ACTIONS(1406), 1,
      sym__concat,
    STATE(354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    STATE(295), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_file_descriptor,
    ACTIONS(1409), 1,
      sym__special_character,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      ts_builtin_sym_end,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1324), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 9,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 1,
      sym__special_character,
    ACTIONS(1416), 1,
      sym_file_descriptor,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1414), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1362), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11952] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1418), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1207), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      sym__special_character,
    STATE(321), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1422), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1420), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_file_descriptor,
    ACTIONS(1424), 1,
      sym__concat,
    STATE(354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1374), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1426), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1378), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      sym__concat,
    STATE(326), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1430), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1434), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1438), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_file_descriptor,
    ACTIONS(1442), 1,
      sym__concat,
    STATE(378), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1215), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1444), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      sym__concat,
    ACTIONS(1249), 1,
      sym_file_descriptor,
    STATE(370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1247), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1426), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1430), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1434), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1438), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_file_descriptor,
    ACTIONS(1448), 1,
      sym__concat,
    STATE(378), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1215), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1444), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1282), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1290), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1438), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1426), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1444), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym__concat,
    STATE(389), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1294), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym__concat,
    STATE(388), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 1,
      sym__concat,
    STATE(388), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1298), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      sym__special_character,
    STATE(538), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1396), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1195), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1286), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(535), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1462), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1282), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1215), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1466), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1438), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1302), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      sym__concat,
    STATE(407), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1195), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1434), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 1,
      sym__concat,
    STATE(404), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1215), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 1,
      sym__special_character,
    STATE(459), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1396), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1306), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__concat,
    STATE(404), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1231), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1430), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1426), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1310), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1444), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym__concat,
    STATE(389), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1314), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1274), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1270), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1251), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1479), 1,
      sym__concat,
    STATE(502), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1434), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      sym__concat,
    STATE(535), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1278), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1430), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1378), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1374), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1362), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_file_descriptor,
    ACTIONS(1481), 1,
      sym__special_character,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1348), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1344), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1484), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1486), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [15247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      sym__concat,
    STATE(433), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      sym_file_descriptor,
    ACTIONS(1491), 1,
      sym__special_character,
    STATE(505), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1262), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1314), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1310), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1306), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1302), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1298), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1394), 1,
      sym__concat,
    STATE(543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1294), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1290), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1286), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1278), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1274), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1270), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1251), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1378), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1426), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      sym__concat,
    STATE(407), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1201), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16143] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1493), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1495), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1374), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      sym_file_descriptor,
    ACTIONS(1491), 1,
      sym__special_character,
    STATE(505), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1336), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym__concat,
    STATE(389), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1224), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1222), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1444), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1497), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1499), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1362), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      sym__special_character,
    STATE(459), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1215), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1438), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1348), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1344), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym_file_descriptor,
    ACTIONS(1479), 1,
      sym__concat,
    STATE(502), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1402), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      sym__special_character,
    STATE(538), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1422), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1420), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1434), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      sym_file_descriptor,
    ACTIONS(1491), 1,
      sym__special_character,
    STATE(505), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1414), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1430), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1314), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1249), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1247), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1310), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1306), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1302), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym_file_descriptor,
    ACTIONS(1394), 1,
      sym__concat,
    STATE(543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1247), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      sym__concat,
    STATE(433), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1231), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1298), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1294), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1290), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1286), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1282), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1278), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1274), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1270), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1251), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1426), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1444), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1438), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1434), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      sym__concat,
    STATE(407), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1224), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1222), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(1510), 1,
      sym_raw_string,
    ACTIONS(1512), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1723), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1506), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [18069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1430), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym_file_descriptor,
    ACTIONS(1237), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1514), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 9,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      sym_variable_name,
    ACTIONS(1193), 1,
      sym_file_descriptor,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1191), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [18257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_file_descriptor,
    ACTIONS(1516), 1,
      sym__concat,
    STATE(498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1378), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18349] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1521), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1374), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_file_descriptor,
    ACTIONS(1523), 1,
      sym__concat,
    STATE(506), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18499] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1525), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1362), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_file_descriptor,
    ACTIONS(1527), 1,
      sym__special_character,
    STATE(505), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_file_descriptor,
    ACTIONS(1530), 1,
      sym__concat,
    STATE(506), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1348), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1344), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18827] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_BQUOTE,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1533), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1514), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1537), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1535), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1314), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym_file_descriptor,
    ACTIONS(1247), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1310), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1177), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1306), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1302), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym_file_descriptor,
    ACTIONS(1394), 1,
      sym__concat,
    STATE(543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1237), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1298), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1294), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1290), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1286), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1282), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1278), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1274), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1270), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1251), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1394), 1,
      sym__concat,
    STATE(543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1378), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1374), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19827] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1539), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1541), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1543), 1,
      anon_sym_LF,
    ACTIONS(1173), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1514), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1537), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1545), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1177), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      sym__concat,
    STATE(539), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1362), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1239), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1237), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      sym__special_character,
    STATE(538), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      sym__concat,
    STATE(539), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1348), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1344), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 1,
      sym__special_character,
    ACTIONS(1559), 1,
      sym_file_descriptor,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1555), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_file_descriptor,
    ACTIONS(1561), 1,
      sym__concat,
    STATE(498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1348), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1378), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_file_descriptor,
    ACTIONS(1563), 1,
      sym__concat,
    STATE(550), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1374), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1378), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_file_descriptor,
    ACTIONS(1565), 1,
      sym__concat,
    STATE(550), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1344), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1348), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1314), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1310), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1306), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1430), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1434), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1302), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1298), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1294), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1290), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1438), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1286), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1282), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1278), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1274), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1444), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1270), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1426), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1251), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      sym__special_character,
    STATE(574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1571), 1,
      sym__concat,
    STATE(547), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      sym__concat,
    STATE(583), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1195), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1462), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1466), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      sym__concat,
    STATE(582), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1231), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      sym__concat,
    STATE(580), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1215), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym__concat,
    STATE(582), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1215), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 1,
      sym__concat,
    STATE(580), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1231), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1362), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      sym__special_character,
    STATE(744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1396), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      sym__concat,
    STATE(579), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      sym__concat,
    STATE(591), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1195), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      sym__concat,
    STATE(588), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1215), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_DQUOTE,
    ACTIONS(1598), 1,
      sym_raw_string,
    ACTIONS(1600), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1841), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1594), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [22450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__special_character,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1355), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__concat,
    STATE(588), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1231), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1251), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1270), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1274), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1278), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1282), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1286), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1290), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1294), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1298), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1302), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1462), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1306), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1310), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      sym_file_descriptor,
    ACTIONS(1607), 1,
      sym__special_character,
    STATE(650), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1262), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1314), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1430), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1466), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1434), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1340), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1340), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1344), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1348), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1438), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1215), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1362), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1444), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1374), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1426), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1378), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1251), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1270), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1274), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym__special_character,
    STATE(574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1396), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1278), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1282), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1286), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1290), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1294), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1378), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1426), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1374), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1195), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1444), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1362), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1298), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1302), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      sym__concat,
    STATE(583), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1201), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1306), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1310), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 1,
      sym__special_character,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1314), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1430), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      sym__special_character,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1338), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1336), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1426), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1444), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym_file_descriptor,
    ACTIONS(1237), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_file_descriptor,
    ACTIONS(1616), 1,
      sym__special_character,
    STATE(650), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1195), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1438), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1362), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1444), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1374), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1426), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1378), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1434), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1430), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      sym_file_descriptor,
    ACTIONS(1607), 1,
      sym__special_character,
    STATE(650), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1414), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      sym__concat,
    STATE(591), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1404), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1402), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 1,
      sym__special_character,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1422), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1420), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 1,
      sym__special_character,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1396), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1426), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1444), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      sym__special_character,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1266), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1262), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym__special_character,
    STATE(574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1422), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1420), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1215), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym_file_descriptor,
    ACTIONS(1571), 1,
      sym__concat,
    STATE(547), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1402), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym_file_descriptor,
    ACTIONS(1247), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1438), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1348), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1344), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1434), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1438), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1251), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1270), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1274), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1278), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1438), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1282), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1286), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1290), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1294), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1298), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1302), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1430), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1306), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1310), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1314), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      sym_file_descriptor,
    ACTIONS(1607), 1,
      sym__special_character,
    STATE(650), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1336), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1177), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      sym__special_character,
    STATE(643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1416), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1414), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1344), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      sym__concat,
    STATE(579), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1430), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1314), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1310), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1306), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1344), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1434), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_file_descriptor,
    ACTIONS(1621), 1,
      sym__special_character,
    STATE(712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1434), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1362), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1348), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(1510), 1,
      sym_raw_string,
    ACTIONS(1512), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1723), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1506), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [27997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1251), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1270), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1274), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1278), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1282), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1302), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1298), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1294), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1290), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1374), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1286), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1290), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1294), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1298), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1302), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1306), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1310), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1286), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1282), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1278), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1274), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1314), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 1,
      sym_file_descriptor,
    ACTIONS(1624), 1,
      sym__special_character,
    STATE(712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1555), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1344), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1348), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      sym__special_character,
    STATE(744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1270), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1251), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1378), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1362), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1374), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1344), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1430), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1444), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1426), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1438), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1215), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1434), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1430), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym_file_descriptor,
    ACTIONS(1237), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1378), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1378), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1462), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1426), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1374), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      sym__special_character,
    STATE(873), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1396), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1362), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1374), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1444), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1348), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1344), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1340), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1314), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1310), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1362), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1306), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1302), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1177), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1298), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1294), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30772] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1153), 1,
      sym_word,
    STATE(205), 1,
      sym_command_name,
    STATE(700), 1,
      aux_sym__literal_repeat1,
    STATE(778), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(43), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1679), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(515), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [30846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym_file_descriptor,
    ACTIONS(1247), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30888] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(1145), 1,
      sym_word,
    ACTIONS(1147), 1,
      sym_variable_name,
    STATE(197), 1,
      sym_command_name,
    STATE(469), 1,
      aux_sym__literal_repeat1,
    STATE(699), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(215), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1679), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(328), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [30962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1466), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1195), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1290), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1286), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1282), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1237), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1278), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 1,
      sym_file_descriptor,
    ACTIONS(1631), 1,
      sym__special_character,
    STATE(801), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1555), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1274), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1270), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1251), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 1,
      sym__special_character,
    STATE(797), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1355), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1215), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1438), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1348), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_file_descriptor,
    ACTIONS(1636), 1,
      sym__special_character,
    STATE(801), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1251), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1270), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1274), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1201), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1344), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1278), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1282), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1286), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1290), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1294), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1298), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1340), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1302), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32234] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1149), 1,
      sym_word,
    STATE(228), 1,
      sym_command_name,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    STATE(816), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(97), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1679), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(441), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [32308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_file_descriptor,
    ACTIONS(1177), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      sym__special_character,
    STATE(871), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1559), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1555), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32396] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1149), 1,
      sym_word,
    STATE(237), 1,
      sym_command_name,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    STATE(816), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(97), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1679), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(441), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [32470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1306), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1310), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1314), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1340), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1340), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1344), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1348), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1362), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      sym_raw_string,
    ACTIONS(1647), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1965), 1,
      sym_string,
    ACTIONS(545), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1641), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [32858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1374), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1378), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1426), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32984] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_file_descriptor,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_variable_name,
    ACTIONS(1151), 1,
      sym_word,
    STATE(179), 1,
      sym_command_name,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(3262), 1,
      sym_subscript,
    ACTIONS(159), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1679), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(281), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(35), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [33058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1195), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1434), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1247), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1438), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1444), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1466), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1215), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1215), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1438), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1444), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1426), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1434), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1430), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1340), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1378), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1462), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1374), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1462), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1362), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1348), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1434), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1430), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1466), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1314), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1340), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1314), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1310), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1306), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 1,
      sym__special_character,
    STATE(797), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1396), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1310), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1302), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1298), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1294), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1290), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1286), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1282), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 1,
      sym__special_character,
    STATE(871), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1355), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1306), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym__special_character,
    STATE(873), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1355), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1278), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1274), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1270), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1251), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1302), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1251), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1270), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1274), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1278), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1282), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1286), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1290), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1294), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1298), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1195), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1466), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1195), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1462), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1462), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1661), 1,
      sym_raw_string,
    ACTIONS(1663), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1855), 1,
      sym_string,
    ACTIONS(1657), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [35759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1201), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1195), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1466), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_file_descriptor,
    ACTIONS(1195), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1944), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1667), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35989] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_DQUOTE,
    ACTIONS(1691), 1,
      sym_raw_string,
    ACTIONS(1693), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1959), 1,
      sym_string,
    ACTIONS(537), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1685), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1687), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(545), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1998), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1695), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(2007), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1697), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DQUOTE,
    ACTIONS(1703), 1,
      sym_raw_string,
    ACTIONS(1705), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1798), 1,
      sym_string,
    ACTIONS(545), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1699), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 17,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1999), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1707), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1980), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1709), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1930), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1711), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1919), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1713), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1927), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1715), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1946), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1717), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36619] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    ACTIONS(1725), 1,
      sym_raw_string,
    ACTIONS(1727), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2141), 1,
      sym_string,
    ACTIONS(537), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1719), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1721), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(545), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DQUOTE,
    ACTIONS(1735), 1,
      sym_raw_string,
    ACTIONS(1737), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2315), 1,
      sym_string,
    ACTIONS(537), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1729), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1731), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(545), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2388), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36782] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RBRACE,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1781), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1397), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1765), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [36843] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    ACTIONS(1787), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1489), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1785), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [36904] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(1793), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1463), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1791), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [36965] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1795), 1,
      anon_sym_RBRACE,
    ACTIONS(1799), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1493), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1797), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    ACTIONS(1801), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1489), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1785), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37087] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1803), 1,
      anon_sym_RBRACE,
    ACTIONS(1807), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1486), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1805), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37148] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(1813), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1461), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1811), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37209] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1819), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1459), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1817), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37270] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    ACTIONS(1825), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1311), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1823), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37331] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1827), 1,
      anon_sym_RBRACE,
    ACTIONS(1831), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1587), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1829), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37392] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(1837), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1619), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1835), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37453] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    ACTIONS(1843), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1481), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1841), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1845), 1,
      anon_sym_RBRACE,
    ACTIONS(1849), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1605), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1847), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37575] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1851), 1,
      anon_sym_RBRACE,
    ACTIONS(1855), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1589), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1853), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37636] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1472), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1859), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37697] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(1867), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1457), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1865), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37758] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1873), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1594), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1871), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37819] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1875), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1459), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1817), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37880] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1881), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1454), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1879), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37941] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1851), 1,
      anon_sym_RBRACE,
    ACTIONS(1883), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1589), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1853), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38002] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1451), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1887), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1891), 1,
      anon_sym_RBRACE,
    ACTIONS(1895), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1437), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1893), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(1897), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2355), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38187] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1901), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38248] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(1909), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1499), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1907), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38309] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1911), 1,
      anon_sym_RBRACE,
    ACTIONS(1915), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1582), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1913), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38370] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(1921), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1575), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1919), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      sym_regex,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2143), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38494] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(1929), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1527), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1927), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1933), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38616] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    ACTIONS(1941), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1939), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38677] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_RBRACE,
    ACTIONS(1947), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1518), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1945), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38738] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1953), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1951), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38799] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(1959), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1496), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1957), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38860] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1951), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38921] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(1967), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1965), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38982] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      anon_sym_RBRACE,
    ACTIONS(1973), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1539), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1971), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39043] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1975), 1,
      anon_sym_RBRACE,
    ACTIONS(1979), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1977), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39104] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1471), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1983), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39165] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1469), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1989), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 1,
      anon_sym_RBRACE,
    ACTIONS(1997), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1530), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1995), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39287] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1975), 1,
      anon_sym_RBRACE,
    ACTIONS(1999), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1977), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39348] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2001), 1,
      anon_sym_RBRACE,
    ACTIONS(2005), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1523), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2003), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39409] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2011), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1519), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2009), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39470] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2013), 1,
      anon_sym_RBRACE,
    ACTIONS(2017), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1478), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2015), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39531] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2019), 1,
      anon_sym_RBRACE,
    ACTIONS(2023), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1414), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2021), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39592] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(2029), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1584), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2027), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39653] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1515), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2033), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39714] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    ACTIONS(2041), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1570), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2039), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39775] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2043), 1,
      anon_sym_RBRACE,
    ACTIONS(2047), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1333), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2045), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39836] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
    ACTIONS(2053), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1477), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2051), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39897] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2059), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1482), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2057), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39958] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(2065), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1488), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2063), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40019] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2067), 1,
      anon_sym_RBRACE,
    ACTIONS(2071), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1322), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2069), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40080] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    ACTIONS(2077), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1412), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2075), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40141] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(2083), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1407), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2081), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    ACTIONS(2085), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1412), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2075), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40263] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2091), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1485), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2089), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40324] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    ACTIONS(2097), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2095), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40385] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(2103), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2101), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40446] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1488), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2063), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40507] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1490), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2109), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40568] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    ACTIONS(2117), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1492), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2115), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2119), 1,
      anon_sym_RBRACE,
    ACTIONS(2123), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1494), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2121), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40690] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
    ACTIONS(2129), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1505), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2127), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40751] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(2135), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1507), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2133), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40812] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1380), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2139), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40873] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    ACTIONS(2147), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1377), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2145), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40934] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(2153), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1512), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2151), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40995] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2159), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1510), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2157), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41056] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(2161), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1512), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2151), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41117] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2163), 1,
      anon_sym_RBRACE,
    ACTIONS(2167), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1514), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41178] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(2173), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1516), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2171), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41239] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2175), 1,
      anon_sym_RBRACE,
    ACTIONS(2179), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1520), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2177), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41300] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    ACTIONS(2185), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1565), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2183), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41361] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    ACTIONS(2187), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1570), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2039), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41422] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    ACTIONS(2193), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1558), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2191), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41483] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1435), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2197), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41544] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2201), 1,
      anon_sym_RBRACE,
    ACTIONS(2205), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1632), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2203), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2207), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41668] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2209), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2361), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41731] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(2215), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1544), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2213), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41792] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2217), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2356), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41855] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(2223), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1299), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2221), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41916] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(2229), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1541), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2227), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41977] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(2231), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2101), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42038] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(2237), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1547), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2235), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42099] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    ACTIONS(2243), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1557), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2241), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42160] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2342), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42223] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2247), 1,
      anon_sym_RBRACE,
    ACTIONS(2251), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1555), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2249), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42284] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1634), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2255), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42345] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    ACTIONS(2263), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1404), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2261), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42406] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    ACTIONS(2265), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1557), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2241), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42467] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1560), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2269), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42528] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(2277), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1441), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2275), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1562), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2281), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42650] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(2289), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1573), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42711] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(2295), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1578), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2293), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1564), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2299), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42833] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(2303), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1573), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42894] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2305), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2349), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(2311), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1572), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2309), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43018] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2313), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2346), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43081] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2319), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1597), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2317), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43142] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2393), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2323), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2389), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43268] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2325), 1,
      anon_sym_RBRACE,
    ACTIONS(2329), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1601), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43329] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2331), 1,
      anon_sym_RBRACE,
    ACTIONS(2335), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43390] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2341), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1613), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2339), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2343), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2383), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
    ACTIONS(2349), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1607), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2347), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43575] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1613), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2339), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43636] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2353), 1,
      anon_sym_RBRACE,
    ACTIONS(2357), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1615), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2355), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43697] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2359), 1,
      anon_sym_RBRACE,
    ACTIONS(2363), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1361), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2361), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43758] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1359), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2367), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43819] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2371), 1,
      anon_sym_RBRACE,
    ACTIONS(2375), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1357), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2373), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43880] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    ACTIONS(2381), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1352), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2379), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43941] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1350), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2385), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44002] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    ACTIONS(2389), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1352), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2379), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    ACTIONS(2395), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1344), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2393), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44124] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2401), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1403), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2399), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    ACTIONS(2407), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1568), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2405), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44246] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(2413), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1439), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2411), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44307] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2415), 1,
      anon_sym_RBRACE,
    ACTIONS(2419), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2417), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44368] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2425), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2423), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(2431), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1293), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2429), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    ACTIONS(2437), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1402), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2435), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44551] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2439), 1,
      anon_sym_RBRACE,
    ACTIONS(2443), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1422), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2441), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44612] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    ACTIONS(2449), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1618), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2447), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(2455), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1365), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2453), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44734] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    ACTIONS(2461), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2459), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44795] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2463), 1,
      anon_sym_RBRACE,
    ACTIONS(2467), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1620), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2465), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2469), 1,
      anon_sym_RBRACE,
    ACTIONS(2473), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1465), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2471), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44917] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(2475), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1541), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2227), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44978] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    ACTIONS(2481), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2479), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45039] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2483), 1,
      anon_sym_RBRACE,
    ACTIONS(2487), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2485), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45100] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2489), 1,
      anon_sym_RBRACE,
    ACTIONS(2493), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2491), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45161] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1413), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2497), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45222] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RBRACE,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2501), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1397), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1765), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45283] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1354), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2505), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45344] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    ACTIONS(2509), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2459), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2513), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45466] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(2521), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1297), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2519), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45527] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2523), 1,
      anon_sym_RBRACE,
    ACTIONS(2527), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1348), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2525), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45588] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    ACTIONS(2533), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2531), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45649] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2535), 1,
      anon_sym_RBRACE,
    ACTIONS(2539), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1346), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2537), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45710] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2541), 1,
      anon_sym_RBRACE,
    ACTIONS(2545), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1500), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2543), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45771] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2547), 1,
      anon_sym_RBRACE,
    ACTIONS(2551), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1329), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2549), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45832] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1277), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2555), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45893] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    ACTIONS(2563), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1327), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2561), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45954] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(2569), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1325), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2567), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46015] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1323), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2573), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46076] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1320), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2579), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46137] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(2583), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1323), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2573), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46198] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1317), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2587), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(2595), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1315), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2593), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46320] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    ACTIONS(2601), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2599), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46381] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2605), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46442] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    ACTIONS(2613), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1334), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2611), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46503] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    ACTIONS(2619), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1280), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2617), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46564] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1431), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2623), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46625] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1278), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2629), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46686] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    ACTIONS(2637), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1430), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2635), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46747] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    ACTIONS(2643), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1275), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2641), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46808] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2649), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2647), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46869] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(2655), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2653), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46930] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    ACTIONS(2661), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2659), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46991] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2663), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1278), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2629), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47052] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    ACTIONS(2669), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2667), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47113] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(2675), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1309), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2673), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47174] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    ACTIONS(2681), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2679), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47235] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2687), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2685), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47296] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(2693), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1444), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2691), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47357] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2697), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47418] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    ACTIONS(2705), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2703), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47479] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(2711), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2709), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47540] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2715), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47601] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(2723), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2721), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47662] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(2729), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2727), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47723] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2703), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47784] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(2737), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2735), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47845] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    ACTIONS(2743), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1641), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2741), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    ACTIONS(2745), 1,
      sym_regex,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1937), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(2751), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2749), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48030] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1259), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2755), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48091] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2763), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2761), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48152] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(2785), 1,
      sym_regex,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2369), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48215] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2335), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48278] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    ACTIONS(2793), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1639), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2791), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48339] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2797), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48400] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(2805), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1599), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2803), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48461] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
    ACTIONS(2811), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1624), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2809), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48522] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2813), 1,
      anon_sym_RBRACE,
    ACTIONS(2817), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1272), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2815), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48583] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2823), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2821), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48644] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(2825), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2727), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48705] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2831), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1217), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2829), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48766] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2835), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48827] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(2839), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1599), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2803), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48888] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(2845), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2843), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48949] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    ACTIONS(2851), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1588), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2849), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49010] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    ACTIONS(2857), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1312), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2855), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49071] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(2863), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2861), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49132] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2865), 1,
      anon_sym_RBRACE,
    ACTIONS(2869), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1326), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2867), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49193] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2871), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2835), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49254] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2873), 1,
      anon_sym_RBRACE,
    ACTIONS(2877), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1358), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2875), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49315] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(2883), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1371), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2881), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49376] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1585), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2887), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    ACTIONS(2895), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2893), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49498] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2897), 1,
      anon_sym_RBRACE,
    ACTIONS(2901), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1579), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2899), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49559] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(2907), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1574), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2905), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2913), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1631), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2911), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49681] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    ACTIONS(2919), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1628), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2917), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49742] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2921), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1631), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2911), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49803] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2923), 1,
      anon_sym_RBRACE,
    ACTIONS(2927), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2925), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49864] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(2933), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1429), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2931), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2939), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1427), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2937), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49986] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2945), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2943), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50047] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(2951), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2949), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50108] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2953), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2943), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50169] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(2959), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1416), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2957), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2963), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50291] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(2971), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1379), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2969), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50352] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(2977), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1410), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2975), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50413] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2979), 1,
      anon_sym_RBRACE,
    ACTIONS(2983), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1409), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2981), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50474] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      sym_regex,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2143), 1,
      sym__expression,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [50537] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    ACTIONS(2993), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1396), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2991), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50598] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2997), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50659] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3001), 1,
      anon_sym_RBRACE,
    ACTIONS(3005), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3003), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50720] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3007), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3009), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50781] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(3013), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1309), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2673), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50842] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
    ACTIONS(3019), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1366), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3017), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50903] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(3025), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3023), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50964] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3007), 1,
      anon_sym_RBRACE,
    ACTIONS(3027), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3009), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51025] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    ACTIONS(3033), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3031), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51086] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    ACTIONS(3039), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1231), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3037), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51147] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(3045), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1308), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3043), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51208] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    ACTIONS(3051), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3049), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51269] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(3057), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3055), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51330] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    ACTIONS(3063), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1364), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3061), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51391] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    ACTIONS(3069), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3067), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(3075), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3073), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(3081), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3079), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51574] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3083), 1,
      anon_sym_RBRACE,
    ACTIONS(3087), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3085), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(3109), 1,
      sym_regex,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51698] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(3111), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3079), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1191), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3115), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51820] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(3123), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3121), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51881] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    ACTIONS(3129), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1362), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3127), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51942] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    ACTIONS(3131), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1364), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3061), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52003] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    ACTIONS(3137), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3135), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52064] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3143), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1394), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3141), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52125] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(3149), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3147), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52186] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    ACTIONS(3155), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52247] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(3157), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3121), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52308] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    ACTIONS(3163), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3161), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52369] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(3169), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1389), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3167), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52430] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    ACTIONS(3175), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1289), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3173), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52491] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(3177), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1386), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3147), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52552] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    ACTIONS(3183), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1385), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52613] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1198), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3187), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52674] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    ACTIONS(3195), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1376), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3193), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    ACTIONS(3201), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3199), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52796] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(3207), 1,
      sym_regex,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3205), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52857] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    ACTIONS(3213), 1,
      anon_sym_SLASH,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1375), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3211), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52918] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52976] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1552), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3221), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53034] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53092] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53150] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3227), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53208] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1424), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3231), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53324] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53382] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3205), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53440] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3235), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3237), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53498] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3239), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53556] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3239), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1180), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3241), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53614] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53730] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3235), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53904] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2531), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53962] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2396), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3083), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54080] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54138] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54254] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3245), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54312] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1261), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3249), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54428] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54602] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54660] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3259), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54718] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54776] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54834] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54892] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54950] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55008] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55066] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1205), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3271), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55182] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55240] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55298] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2374), 1,
      sym__expression,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55358] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55416] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1937), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55476] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1207), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3279), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55534] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2843), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55592] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55650] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55708] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55766] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55824] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3283), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3285), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55882] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3283), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55940] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2749), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55998] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56056] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3289), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56114] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3293), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56172] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56230] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3295), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3297), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56288] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3295), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56346] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56404] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1209), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3301), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56462] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3303), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56520] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3049), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56578] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56636] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56694] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3309), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56752] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56810] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3311), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56868] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1231), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3037), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56926] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56984] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57042] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57100] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3317), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57158] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57274] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3319), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57332] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57390] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57448] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3321), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57506] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1284), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3325), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57564] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57622] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57738] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2865), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57854] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3331), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3337), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58086] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3339), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58144] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3339), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3341), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58202] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3343), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3343), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3345), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58318] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3347), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58376] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3007), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2679), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58492] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3331), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1253), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3349), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58550] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58608] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3353), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58666] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58724] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3355), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58840] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58898] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3355), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3357), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58956] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59014] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59130] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59188] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2873), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59478] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3363), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59536] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59594] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59652] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1287), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3369), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59710] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59768] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1291), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3373), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59826] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59884] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1293), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2429), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59942] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60000] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3377), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60116] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2331), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60174] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60232] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60290] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3379), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60348] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3381), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1372), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3383), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60406] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1442), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3387), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60464] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60522] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60580] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3389), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60638] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3381), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60812] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3393), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60870] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60928] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1310), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3397), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60986] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61044] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1313), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3401), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61102] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1315), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2593), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61160] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61218] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3405), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61334] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61392] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1335), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3409), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61450] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61508] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61566] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1334), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2611), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61682] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61740] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1339), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3413), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61798] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61856] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3417), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61914] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61972] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62030] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62088] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3421), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62146] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3423), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62262] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62320] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62378] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1462), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3433), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62436] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1441), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2275), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62494] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1336), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3435), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62552] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62610] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1337), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3439), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62668] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62726] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2423), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62784] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RBRACE,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62842] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2117), 1,
      sym__expression,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [62902] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3441), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3441), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1338), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3443), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63018] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3445), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1446), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3447), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63134] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2439), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63192] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1371), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2881), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1373), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3451), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63308] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63366] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63424] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63482] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2893), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63540] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63598] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63656] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3455), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63714] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63772] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3445), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63830] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2489), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63888] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1374), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3459), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63946] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3461), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64004] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64062] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3465), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64120] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64178] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3467), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64236] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3469), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64294] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3471), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64352] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64410] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64468] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64526] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1368), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3475), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64584] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3477), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64700] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2360), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64760] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64818] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64878] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2339), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64938] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64996] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65054] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1398), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3481), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65112] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3477), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3483), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65170] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65228] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2359), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65288] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2143), 1,
      sym__expression,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65348] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1396), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2991), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65406] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3485), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1400), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3487), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65464] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3485), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65522] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1401), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3491), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65580] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65638] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1440), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3497), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65812] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65870] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65928] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65986] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66044] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66102] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1377), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2145), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66160] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2338), 1,
      sym__expression,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66220] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3503), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3503), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1370), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3505), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66336] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66394] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2372), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66512] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66570] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66628] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1439), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2411), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66744] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66802] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1948), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66862] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66920] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3507), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66978] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67036] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3509), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1445), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3511), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67094] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3509), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67152] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2378), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [67212] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67270] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1429), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2931), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67328] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1542), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3517), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67386] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1546), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3521), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67502] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67560] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67618] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3523), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67734] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3525), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67792] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67850] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3529), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67908] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3529), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1432), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3531), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67966] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68024] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1447), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3535), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68140] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3537), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68198] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68256] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68314] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3541), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68372] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68430] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3543), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68488] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3545), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68546] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3547), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68604] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3549), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68662] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68720] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68778] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3555), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68836] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3555), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1448), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3557), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68894] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2354), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [68954] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3559), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69012] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3559), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1449), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3561), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1451), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1887), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69128] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3563), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69186] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3563), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1450), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3565), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69244] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69302] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2143), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [69362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69478] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69536] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3569), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69594] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69652] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2384), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [69712] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3571), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69770] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3573), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69828] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3575), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3575), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1464), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3577), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69944] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3579), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1795), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3579), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1467), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3581), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3585), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70234] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3587), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3589), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3589), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1474), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3591), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70466] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1469), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1989), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70524] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70582] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3593), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70640] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3593), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1475), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3595), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70698] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1477), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2051), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70756] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3597), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70814] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3597), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1476), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3599), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70930] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70988] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71046] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71104] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3601), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1517), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3603), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71220] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3601), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71336] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1515), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2033), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71394] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3605), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71452] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3607), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1521), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3609), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71510] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3605), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1468), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3611), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3607), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71626] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71684] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3613), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71800] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3615), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71858] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3617), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3619), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71974] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3619), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1501), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3621), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72032] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72090] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1503), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3625), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72148] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1505), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2127), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72206] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1504), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3629), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72380] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3631), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1522), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3633), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72438] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72496] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3631), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72612] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3635), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72670] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72728] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1975), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72786] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72844] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3637), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72902] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73018] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2395), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73078] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73136] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73194] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73252] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2243), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73312] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3641), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1550), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3643), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3641), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73428] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2371), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73488] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3645), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73546] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3647), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73604] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2367), 1,
      sym__expression,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73664] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2333), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73724] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1965), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3649), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3651), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73840] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3653), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73898] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3649), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73956] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3655), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74014] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3657), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74130] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3659), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74188] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3661), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3661), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1538), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3663), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3667), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74478] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3667), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1540), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3669), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74536] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3671), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74594] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3673), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74652] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3675), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74710] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2345), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [74770] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1544), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2213), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74828] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1543), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3679), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74944] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3681), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3681), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1433), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3683), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1435), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2197), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75234] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75292] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1675), 1,
      sym__special_character,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    STATE(1745), 1,
      aux_sym__literal_repeat1,
    STATE(1908), 1,
      sym__expression,
    ACTIONS(1671), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2011), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [75352] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2247), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75410] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3685), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75468] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3687), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75526] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3685), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1434), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3689), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75584] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3691), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3691), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1532), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3693), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75700] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75758] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3695), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75816] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75874] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2201), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75932] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75990] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76048] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3695), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1533), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3697), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76106] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3699), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1625), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3701), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76164] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3699), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76222] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2201), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1632), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2203), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76338] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2369), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [76398] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1851), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76456] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2379), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [76516] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2189), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76574] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76632] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1845), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76748] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2789), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76806] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76864] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      sym__special_character,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2373), 1,
      sym__expression,
    ACTIONS(3093), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2366), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [76924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1621), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3705), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76982] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3707), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1609), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3709), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77040] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3711), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77098] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3703), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77156] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3713), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77272] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3717), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77330] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1619), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1835), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77446] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3717), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3719), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77504] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3721), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77562] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3721), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1595), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3723), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77620] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3725), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1622), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3727), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77678] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1597), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2317), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77736] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3725), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77794] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2117), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77854] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3729), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3731), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3733), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3735), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1623), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3737), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78086] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3729), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1596), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3739), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78144] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2334), 1,
      sym__expression,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2985), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78262] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2348), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2325), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78380] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2343), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78440] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3741), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1642), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3743), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78498] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78556] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3735), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78614] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3745), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78730] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3747), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3749), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3741), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78904] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3751), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78962] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1568), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2405), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79020] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    ACTIONS(3761), 1,
      anon_sym_DOLLAR,
    ACTIONS(3764), 1,
      sym__special_character,
    ACTIONS(3767), 1,
      anon_sym_DQUOTE,
    ACTIONS(3770), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3773), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3776), 1,
      anon_sym_BQUOTE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3753), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3758), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79078] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3782), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79136] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2391), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3782), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1566), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3784), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79254] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79312] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3786), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2415), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79428] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3707), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1641), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2741), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79544] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2773), 1,
      sym__special_character,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    STATE(2127), 1,
      aux_sym__literal_repeat1,
    STATE(2362), 1,
      sym__expression,
    ACTIONS(2769), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2765), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2168), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2332), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79604] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1645), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3790), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79662] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1749), 1,
      sym__special_character,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    STATE(1961), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__expression,
    ACTIONS(1745), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1739), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1832), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2164), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79780] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1644), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3794), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79838] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79896] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3796), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79954] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3786), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1608), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3798), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [80012] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3800), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [80070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1769), 1,
      sym__special_character,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(3802), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2165), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [80128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym_raw_string,
    ACTIONS(3808), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2237), 1,
      sym_string,
    ACTIONS(3804), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 14,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1412), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1191), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3810), 1,
      anon_sym_LF,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(1165), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1167), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1187), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1189), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_LF,
    ACTIONS(3826), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3829), 1,
      sym_file_descriptor,
    ACTIONS(3823), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3820), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3818), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(3832), 1,
      anon_sym_LF,
    ACTIONS(1163), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1165), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1167), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(505), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1652), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(3834), 1,
      anon_sym_LF,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3836), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1191), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_LF,
    ACTIONS(3844), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3847), 1,
      sym_file_descriptor,
    ACTIONS(3841), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1654), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3838), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3818), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1191), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3850), 1,
      anon_sym_LF,
    ACTIONS(3854), 1,
      sym_file_descriptor,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1245), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(505), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3852), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1412), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 18,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80643] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3854), 1,
      sym_file_descriptor,
    ACTIONS(3856), 1,
      anon_sym_LF,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1209), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1211), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1189), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3852), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80693] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_LF,
    ACTIONS(3861), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3864), 1,
      sym_file_descriptor,
    ACTIONS(3823), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1659), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3858), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3818), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80737] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3834), 1,
      anon_sym_LF,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1654), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3836), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1195), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [80819] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3834), 1,
      anon_sym_LF,
    ACTIONS(3854), 1,
      sym_file_descriptor,
    ACTIONS(1169), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1659), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3852), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3836), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1514), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80937] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      ts_builtin_sym_end,
    ACTIONS(1330), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3877), 1,
      anon_sym_LF,
    ACTIONS(3881), 1,
      sym_file_descriptor,
    ACTIONS(1324), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1326), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1328), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1322), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3879), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1231), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      sym__concat,
    STATE(1694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [81058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__special_character,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3887), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3889), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81095] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      ts_builtin_sym_end,
    ACTIONS(1330), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3881), 1,
      sym_file_descriptor,
    ACTIONS(3893), 1,
      anon_sym_LF,
    ACTIONS(1324), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1326), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1328), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1368), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3879), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1195), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [81181] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3904), 1,
      sym_file_descriptor,
    ACTIONS(3816), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3898), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1671), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3818), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3895), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3881), 1,
      sym_file_descriptor,
    ACTIONS(1328), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3834), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1671), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3836), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3879), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3907), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1215), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__special_character,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3910), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3912), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3916), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81378] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_BQUOTE,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(3918), 1,
      anon_sym_LF,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1514), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1537), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1535), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81427] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(3920), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1245), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      sym__special_character,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1355), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81513] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3925), 1,
      sym_word,
    ACTIONS(3932), 1,
      sym_file_descriptor,
    ACTIONS(3935), 1,
      sym_variable_name,
    STATE(3262), 1,
      sym_subscript,
    STATE(1679), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3927), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3930), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__special_character,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3940), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(3942), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1207), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3948), 1,
      sym_raw_string,
    ACTIONS(3950), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2467), 1,
      sym_string,
    ACTIONS(3944), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 12,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [81683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1412), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3952), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3954), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1689), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1195), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [81794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_BQUOTE,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(3958), 1,
      anon_sym_LF,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1514), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1537), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1545), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1412), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1175), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1672), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1191), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      sym__concat,
    STATE(1739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1231), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [81951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1274), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1270), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1251), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1362), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__concat,
    STATE(1712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [82113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1374), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1344), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1378), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82209] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      anon_sym_DOLLAR,
    ACTIONS(3972), 1,
      sym__special_character,
    ACTIONS(3975), 1,
      anon_sym_DQUOTE,
    ACTIONS(3978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3981), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3984), 1,
      anon_sym_BQUOTE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3987), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1698), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3964), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3967), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym__special_character,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [82295] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3999), 1,
      sym__special_character,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1698), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3995), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1340), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82379] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(4009), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1495), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3916), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1340), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      sym__concat,
    STATE(1743), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3952), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3954), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1430), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1195), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [82593] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3999), 1,
      sym__special_character,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1698), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4013), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1434), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      sym__concat,
    STATE(1743), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3875), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1689), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      sym__concat,
    STATE(1712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [82783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1438), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1231), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      sym__concat,
    STATE(1694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4020), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [82917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [82953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1314), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(4024), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1521), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1444), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83063] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(4026), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1541), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 1,
      sym__special_character,
    STATE(1738), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3887), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3889), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1426), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      sym__concat,
    STATE(1743), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1195), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1310), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym__concat,
    STATE(1714), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3952), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3954), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1306), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1302), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(4030), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1499), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(4032), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1525), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1298), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 1,
      sym__special_character,
    STATE(1738), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3910), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3912), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1294), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1290), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1689), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3916), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83641] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3999), 1,
      sym__special_character,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1698), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(4034), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 1,
      sym__special_character,
    STATE(1738), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1355), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4039), 1,
      sym__concat,
    STATE(1739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1215), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 1,
      sym__special_character,
    STATE(1738), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3940), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      sym__concat,
    STATE(1741), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1215), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1689), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3952), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3954), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 1,
      sym__concat,
    STATE(1741), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1231), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1286), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      sym__special_character,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4047), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [83975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1348), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1278), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84039] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3869), 1,
      sym_file_descriptor,
    ACTIONS(4051), 1,
      anon_sym_LF,
    ACTIONS(1370), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1384), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1486), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1660), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [84085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1282), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1378), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1278), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1282), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3952), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3954), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4055), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4059), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4063), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4067), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4071), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4075), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4079), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4083), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4087), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4091), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4095), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4099), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4103), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4107), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4111), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4115), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4119), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4123), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4127), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4131), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4135), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4139), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4143), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1286), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4147), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4151), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      sym__special_character,
    STATE(1854), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3938), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3940), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4155), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4157), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4161), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4165), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4167), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4169), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4173), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1290), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1294), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1298), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1302), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1306), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1310), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1314), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1340), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1340), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1344), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1348), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1426), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1362), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1374), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4177), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4179), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4181), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      sym__special_character,
    STATE(1853), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3938), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3940), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4187), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1378), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1374), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1270), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1251), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1444), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1362), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1215), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86051] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4191), 1,
      sym__concat,
    STATE(1867), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1233), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1438), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1348), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86148] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4195), 1,
      anon_sym_esac,
    ACTIONS(4197), 1,
      sym__special_character,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3278), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1996), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1344), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1340), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1340), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1434), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1430), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1434), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1430), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1314), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1310), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1306), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1438), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1274), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1302), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1195), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1444), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [86699] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4201), 1,
      sym__concat,
    STATE(1812), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4020), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4199), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3916), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86765] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4203), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3280), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1995), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4207), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86851] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4209), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3460), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2021), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86906] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4211), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3440), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1976), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      sym__special_character,
    STATE(1853), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3887), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3889), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      sym__special_character,
    STATE(1854), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3887), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3889), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1298), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1426), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1294), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1290), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1286), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3914), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3916), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1282), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1278), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1274), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1270), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1251), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      sym__special_character,
    STATE(1854), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3910), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3912), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 1,
      sym__concat,
    STATE(1873), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3873), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3875), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 1,
      sym__special_character,
    STATE(1853), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1355), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym__special_character,
    STATE(1854), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      sym__concat,
    ACTIONS(1426), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87547] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4219), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3415), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2015), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4223), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87633] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4225), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3407), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2014), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      sym__concat,
    ACTIONS(1444), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3954), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      sym__concat,
    ACTIONS(1438), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4229), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym__concat,
    ACTIONS(1434), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      sym__concat,
    ACTIONS(1430), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      sym__concat,
    ACTIONS(1378), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87936] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4231), 1,
      sym__concat,
    STATE(1867), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87971] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4234), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3301), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1994), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__concat,
    ACTIONS(1374), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4238), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 1,
      sym__concat,
    STATE(1871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym__concat,
    ACTIONS(1362), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 1,
      sym__concat,
    STATE(1871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      sym__concat,
    ACTIONS(1348), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      sym__concat,
    ACTIONS(1344), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      sym__concat,
    ACTIONS(1314), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      sym__concat,
    ACTIONS(1310), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym__concat,
    ACTIONS(1306), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 1,
      sym__concat,
    ACTIONS(1302), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4247), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88468] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4249), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3306), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1905), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4253), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4257), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__concat,
    ACTIONS(1298), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__concat,
    ACTIONS(1294), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      sym__concat,
    ACTIONS(1290), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    ACTIONS(1286), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4261), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      sym__concat,
    STATE(1743), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1201), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    ACTIONS(1282), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      sym__concat,
    ACTIONS(1278), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    ACTIONS(1274), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      sym__concat,
    ACTIONS(1270), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    ACTIONS(1251), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4265), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88961] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4267), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3457), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2034), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [89045] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4269), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3455), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2028), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89100] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4201), 1,
      sym__concat,
    STATE(1812), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [89135] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4271), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3383), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2003), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89190] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4273), 1,
      anon_sym_esac,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3385), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2005), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4193), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89245] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1340), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89275] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3338), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89329] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    STATE(2146), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [89363] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4279), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1360), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4282), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [89433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      sym__special_character,
    STATE(1853), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1400), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1396), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89499] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89529] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DQUOTE,
    ACTIONS(4294), 1,
      sym_word,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    ACTIONS(4298), 1,
      anon_sym_DOLLAR,
    ACTIONS(4300), 1,
      sym__special_character,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4306), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_BQUOTE,
    ACTIONS(4312), 1,
      sym__empty_value,
    STATE(585), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4302), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4310), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(870), 2,
      sym_concatenation,
      sym_array,
    STATE(394), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89583] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DQUOTE,
    ACTIONS(4314), 1,
      sym_word,
    ACTIONS(4316), 1,
      anon_sym_LPAREN,
    ACTIONS(4318), 1,
      anon_sym_DOLLAR,
    ACTIONS(4320), 1,
      sym__special_character,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4326), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_BQUOTE,
    ACTIONS(4332), 1,
      sym__empty_value,
    STATE(1909), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4322), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4330), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2196), 2,
      sym_concatenation,
      sym_array,
    STATE(1891), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4177), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89667] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1438), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1440), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89729] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1348), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1350), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [89759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4238), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4336), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [89825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4253), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4261), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4247), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4257), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4344), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90073] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_DQUOTE,
    ACTIONS(4346), 1,
      sym_word,
    ACTIONS(4348), 1,
      anon_sym_LPAREN,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      sym__special_character,
    ACTIONS(4356), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4358), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4360), 1,
      anon_sym_BQUOTE,
    ACTIONS(4364), 1,
      sym__empty_value,
    STATE(764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4354), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4362), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(894), 2,
      sym_concatenation,
      sym_array,
    STATE(705), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3954), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4366), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90253] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1344), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1346), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90315] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1364), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4087), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90493] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1434), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1436), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4378), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4167), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4169), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4380), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4165), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4382), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4161), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4384), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90745] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4386), 1,
      sym__special_character,
    STATE(1949), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1360), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90779] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1314), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1316), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4155), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4157), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90871] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1302), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1304), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DQUOTE,
    ACTIONS(4391), 1,
      sym_word,
    ACTIONS(4393), 1,
      anon_sym_LPAREN,
    ACTIONS(4395), 1,
      anon_sym_DOLLAR,
    ACTIONS(4397), 1,
      sym__special_character,
    ACTIONS(4401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4403), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4405), 1,
      anon_sym_BQUOTE,
    ACTIONS(4409), 1,
      sym__empty_value,
    STATE(862), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4399), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4407), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(896), 2,
      sym_concatenation,
      sym_array,
    STATE(640), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90955] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1298), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1300), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90985] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4411), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91047] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1376), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91077] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1426), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1428), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91107] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1294), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1296), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91137] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4415), 1,
      sym__special_character,
    STATE(1949), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4413), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91171] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1378), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1380), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91201] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_DOLLAR,
    ACTIONS(471), 1,
      sym__special_character,
    ACTIONS(473), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(479), 1,
      anon_sym_BQUOTE,
    ACTIONS(4417), 1,
      sym_word,
    ACTIONS(4419), 1,
      anon_sym_LPAREN,
    ACTIONS(4423), 1,
      sym__empty_value,
    STATE(348), 1,
      aux_sym__literal_repeat1,
    ACTIONS(481), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4421), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(401), 2,
      sym_concatenation,
      sym_array,
    STATE(278), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91255] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4425), 1,
      sym__concat,
    STATE(1964), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1426), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91319] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1430), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1432), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4265), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4229), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1444), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1438), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3875), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1434), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91591] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1290), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1292), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3407), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4179), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4181), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1430), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91735] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1340), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4430), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [91801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4187), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3875), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1378), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1374), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3954), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1362), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1348), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4223), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4107), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92199] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3334), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92253] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3306), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92307] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3301), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92361] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4440), 1,
      sym__concat,
    STATE(2124), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1197), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4442), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4444), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4151), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4147), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1344), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92557] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3455), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92611] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_DOLLAR,
    ACTIONS(551), 1,
      sym__special_character,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(559), 1,
      anon_sym_BQUOTE,
    ACTIONS(4446), 1,
      sym_word,
    ACTIONS(4448), 1,
      anon_sym_LPAREN,
    ACTIONS(4452), 1,
      sym__empty_value,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    ACTIONS(561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4450), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(581), 2,
      sym_concatenation,
      sym_array,
    STATE(355), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92665] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3457), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4143), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_QMARK,
    ACTIONS(4286), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4290), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4454), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4284), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4139), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4020), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [92907] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1312), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3384), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93023] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3386), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4135), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93139] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1288), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93169] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(621), 1,
      sym__special_character,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(627), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(629), 1,
      anon_sym_BQUOTE,
    ACTIONS(4464), 1,
      sym_word,
    ACTIONS(4466), 1,
      anon_sym_LPAREN,
    ACTIONS(4470), 1,
      sym__empty_value,
    STATE(665), 1,
      aux_sym__literal_repeat1,
    ACTIONS(631), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4468), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(805), 2,
      sym_concatenation,
      sym_array,
    STATE(451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93223] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1284), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93253] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3415), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93307] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1278), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1280), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93337] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1274), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93367] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_DQUOTE,
    ACTIONS(4472), 1,
      sym_word,
    ACTIONS(4474), 1,
      anon_sym_LPAREN,
    ACTIONS(4476), 1,
      anon_sym_DOLLAR,
    ACTIONS(4478), 1,
      sym__special_character,
    ACTIONS(4482), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4484), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4486), 1,
      anon_sym_BQUOTE,
    ACTIONS(4490), 1,
      sym__empty_value,
    STATE(405), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4480), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4488), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(616), 2,
      sym_concatenation,
      sym_array,
    STATE(345), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1340), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4131), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1340), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3471), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1314), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1310), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1306), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1302), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93717] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(4275), 1,
      sym_word,
    STATE(2929), 1,
      aux_sym__literal_repeat1,
    STATE(3037), 1,
      sym_concatenation,
    STATE(3427), 1,
      sym_last_case_item,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4193), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2913), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1298), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1294), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3916), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1290), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4207), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4127), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4055), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1286), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1282), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1278), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4059), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4063), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1274), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4067), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4071), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1270), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4075), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4123), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1251), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4119), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4115), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4079), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4083), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4504), 1,
      sym_raw_string,
    ACTIONS(4506), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2521), 1,
      sym_string,
    ACTIONS(537), 9,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4500), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94691] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4201), 1,
      sym__concat,
    STATE(1812), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1197), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4111), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94787] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1306), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1308), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4091), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_DOLLAR,
    ACTIONS(643), 1,
      sym__special_character,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(651), 1,
      anon_sym_BQUOTE,
    ACTIONS(4518), 1,
      sym_word,
    ACTIONS(4520), 1,
      anon_sym_LPAREN,
    ACTIONS(4524), 1,
      sym__empty_value,
    STATE(625), 1,
      aux_sym__literal_repeat1,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4522), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(886), 2,
      sym_concatenation,
      sym_array,
    STATE(412), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4095), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4099), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4103), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [95117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1159), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1195), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95179] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1253), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95209] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1270), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1272), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95239] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4370), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4532), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95268] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4536), 1,
      anon_sym_RPAREN,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2092), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4063), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4083), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4075), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4079), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4071), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95464] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4552), 1,
      sym__special_character,
    STATE(2089), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1360), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4067), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95526] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4555), 1,
      sym__special_character,
    STATE(2091), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1360), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95559] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4558), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4091), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95639] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1278), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1280), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4095), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4099), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4103), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4059), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4107), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4111), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4115), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4119), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4123), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95929] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4261), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96009] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4562), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4127), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96089] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4564), 1,
      sym__concat,
    STATE(2108), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4131), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4238), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96180] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4567), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2104), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4135), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      sym_word,
    ACTIONS(4572), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4578), 1,
      anon_sym_DQUOTE,
    ACTIONS(4584), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4590), 1,
      anon_sym_BQUOTE,
    STATE(2923), 1,
      aux_sym__literal_repeat1,
    STATE(3090), 1,
      sym_concatenation,
    ACTIONS(4581), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4593), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2113), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2921), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96311] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 1,
      anon_sym_RPAREN,
    ACTIONS(4596), 1,
      sym_word,
    ACTIONS(4599), 1,
      anon_sym_DOLLAR,
    ACTIONS(4602), 1,
      sym__special_character,
    ACTIONS(4605), 1,
      anon_sym_DQUOTE,
    ACTIONS(4611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4614), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4617), 1,
      anon_sym_BQUOTE,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4608), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4139), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4143), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96420] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4384), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4623), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4147), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4151), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      sym__concat,
    ACTIONS(4625), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96536] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4629), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2106), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4087), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4633), 1,
      sym__concat,
    ACTIONS(4631), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96645] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4635), 1,
      sym__concat,
    STATE(2108), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1233), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96678] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4342), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4637), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96707] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4639), 1,
      sym__special_character,
    STATE(2091), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4413), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96740] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4413), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4643), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2137), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4155), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4157), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4161), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4165), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4167), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4169), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4173), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4055), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4177), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97027] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4645), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2147), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97078] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4647), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4179), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4181), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      sym__concat,
    STATE(2158), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4187), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97218] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1426), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1428), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97247] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97276] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4223), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97334] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4440), 1,
      sym__concat,
    STATE(2124), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4020), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4199), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97367] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4653), 1,
      sym__concat,
    STATE(1964), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1233), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97400] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4655), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4265), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97480] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1444), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97509] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97538] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym__special_character,
    STATE(2089), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4413), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4229), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3873), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3875), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97629] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1438), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1440), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97658] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1434), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1436), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97687] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1430), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1432), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 1,
      sym__concat,
    STATE(2157), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym__concat,
    STATE(2157), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97778] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1378), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1380), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97807] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1374), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1376), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97836] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1362), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1364), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3916), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4207), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97923] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4020), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4199), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      sym__concat,
    STATE(2158), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4664), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4666), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4257), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98063] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    STATE(2146), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4020), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4199), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98096] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1348), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1350), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4668), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98176] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1195), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [98205] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1344), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1346), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98234] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4670), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2182), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3954), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1462), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98343] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1282), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1284), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98372] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1340), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98401] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1340), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98430] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1314), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1316), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      sym__concat,
    ACTIONS(4672), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98488] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1310), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1312), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98517] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4676), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2170), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98619] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2166), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98670] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2189), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      sym__concat,
    ACTIONS(4684), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98750] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1306), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1308), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98779] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1302), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1304), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4534), 1,
      sym_word,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      sym__special_character,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4542), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2114), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2501), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98859] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1298), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1300), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98888] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1294), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1296), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98917] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1290), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1292), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98946] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1286), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1288), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4253), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1466), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [99033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1201), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [99062] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1195), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [99091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4247), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99120] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1251), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1253), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99149] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1270), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1272), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99178] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1274), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99207] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(211), 1,
      sym__special_character,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(4690), 1,
      sym_word,
    ACTIONS(4694), 1,
      sym_regex,
    STATE(435), 1,
      aux_sym__literal_repeat1,
    STATE(649), 1,
      sym_concatenation,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4692), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(330), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99257] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_RBRACE,
    ACTIONS(4696), 1,
      sym_word,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    STATE(3050), 1,
      aux_sym__literal_repeat1,
    STATE(3345), 1,
      sym_concatenation,
    ACTIONS(4704), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3108), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99307] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1294), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1296), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99335] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1298), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1300), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99363] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1302), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1304), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99417] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1306), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1308), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4714), 1,
      sym_word,
    STATE(3146), 1,
      aux_sym__literal_repeat1,
    STATE(3426), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4716), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3147), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99495] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1312), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99523] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1314), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1316), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99551] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4718), 1,
      sym_word,
    STATE(3094), 1,
      aux_sym__literal_repeat1,
    STATE(3294), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4720), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3096), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99627] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1430), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1432), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99655] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4722), 1,
      sym_word,
    STATE(3046), 1,
      aux_sym__literal_repeat1,
    STATE(3476), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4724), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2997), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4726), 1,
      sym_word,
    STATE(3065), 1,
      aux_sym__literal_repeat1,
    STATE(3305), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4728), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3067), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99807] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4734), 1,
      sym_word,
    STATE(3120), 1,
      aux_sym__literal_repeat1,
    STATE(3377), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4736), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3121), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4738), 1,
      sym_word,
    STATE(3006), 1,
      aux_sym__literal_repeat1,
    STATE(3459), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4740), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3003), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99907] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4742), 1,
      sym_word,
    STATE(3095), 1,
      aux_sym__literal_repeat1,
    STATE(3296), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4744), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3093), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99957] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3999), 1,
      sym__special_character,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 1,
      sym_word,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1700), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4748), 1,
      sym_word,
    STATE(3000), 1,
      aux_sym__literal_repeat1,
    STATE(3470), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3002), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100055] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1434), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1436), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100083] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1340), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100111] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1340), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100139] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4752), 1,
      sym_word,
    STATE(3123), 1,
      aux_sym__literal_repeat1,
    STATE(3362), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4754), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3114), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100189] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(155), 1,
      sym__special_character,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(4756), 1,
      sym_word,
    ACTIONS(4760), 1,
      sym_regex,
    STATE(297), 1,
      aux_sym__literal_repeat1,
    STATE(495), 1,
      sym_concatenation,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4758), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(289), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 1,
      sym__special_character,
    STATE(2325), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4762), 18,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 1,
      sym_word,
    STATE(3088), 1,
      aux_sym__literal_repeat1,
    STATE(3276), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4768), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3085), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100319] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 1,
      sym_word,
    STATE(3009), 1,
      aux_sym__literal_repeat1,
    STATE(3456), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4772), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3008), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100369] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1288), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100397] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1344), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1346), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100425] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4774), 1,
      sym_word,
    STATE(3119), 1,
      aux_sym__literal_repeat1,
    STATE(3367), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4776), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3116), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100475] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1348), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1350), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100503] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1438), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1440), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      sym__concat,
    ACTIONS(1426), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100559] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1284), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      sym__concat,
    ACTIONS(1444), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100615] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1278), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1280), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100643] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4778), 1,
      sym_word,
    STATE(3110), 1,
      aux_sym__literal_repeat1,
    STATE(3353), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4780), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3109), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100693] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1274), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1276), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100721] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(4782), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [100757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100785] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4794), 1,
      sym_word,
    STATE(3013), 1,
      aux_sym__literal_repeat1,
    STATE(3452), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4796), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3015), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100835] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3999), 1,
      sym__special_character,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 1,
      sym_word,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1737), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      sym__concat,
    ACTIONS(1438), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100911] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1270), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1272), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100939] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4798), 1,
      sym_word,
    STATE(3069), 1,
      aux_sym__literal_repeat1,
    STATE(3307), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4800), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3063), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4802), 1,
      sym_word,
    STATE(3048), 1,
      aux_sym__literal_repeat1,
    STATE(3370), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4804), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3034), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101039] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3999), 1,
      sym__special_character,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 1,
      sym_word,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1708), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101087] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3007), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4806), 1,
      sym_word,
    STATE(3017), 1,
      aux_sym__literal_repeat1,
    STATE(3447), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4808), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3018), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101137] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4810), 1,
      sym_word,
    STATE(3078), 1,
      aux_sym__literal_repeat1,
    STATE(3283), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4812), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3080), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym__concat,
    ACTIONS(1434), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101215] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1253), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101243] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4814), 1,
      sym_word,
    STATE(3091), 1,
      aux_sym__literal_repeat1,
    STATE(3272), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4816), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3089), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101293] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4818), 1,
      sym_word,
    STATE(3042), 1,
      aux_sym__literal_repeat1,
    STATE(3396), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4820), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2995), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101343] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4822), 1,
      sym_word,
    STATE(3143), 1,
      aux_sym__literal_repeat1,
    STATE(3432), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4824), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3145), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      sym__concat,
    ACTIONS(1430), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      sym__concat,
    ACTIONS(1378), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101449] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4826), 1,
      sym_word,
    STATE(3151), 1,
      aux_sym__literal_repeat1,
    STATE(3401), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4828), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101499] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1195), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1197), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__concat,
    ACTIONS(1374), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101555] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4830), 1,
      sym_word,
    STATE(3025), 1,
      aux_sym__literal_repeat1,
    STATE(3413), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4832), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3027), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101605] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4834), 1,
      sym_word,
    STATE(3021), 1,
      aux_sym__literal_repeat1,
    STATE(3428), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4836), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3019), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101655] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4838), 1,
      sym_word,
    STATE(3135), 1,
      aux_sym__literal_repeat1,
    STATE(3330), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4840), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3136), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym__concat,
    ACTIONS(1362), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101733] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101761] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4842), 1,
      sym_word,
    STATE(3070), 1,
      aux_sym__literal_repeat1,
    STATE(3293), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4844), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3075), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101811] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4846), 1,
      sym_word,
    STATE(3144), 1,
      aux_sym__literal_repeat1,
    STATE(3391), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4848), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3132), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101861] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4850), 1,
      sym_word,
    STATE(3099), 1,
      aux_sym__literal_repeat1,
    STATE(3303), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4852), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3102), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      sym__concat,
    ACTIONS(1348), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101939] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4854), 1,
      sym_word,
    STATE(3140), 1,
      aux_sym__literal_repeat1,
    STATE(3442), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4856), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3139), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4858), 1,
      sym_word,
    STATE(3129), 1,
      aux_sym__literal_repeat1,
    STATE(3372), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4860), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3149), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102039] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1195), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1197), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4862), 1,
      sym_word,
    STATE(3030), 1,
      aux_sym__literal_repeat1,
    STATE(3408), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3028), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102117] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1290), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1292), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4866), 1,
      sym_word,
    STATE(3142), 1,
      aux_sym__literal_repeat1,
    STATE(3439), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4868), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3141), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102195] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(93), 1,
      sym__special_character,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(4870), 1,
      sym_word,
    ACTIONS(4874), 1,
      sym_regex,
    STATE(605), 1,
      aux_sym__literal_repeat1,
    STATE(758), 1,
      sym_concatenation,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4872), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(519), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102245] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4876), 1,
      sym_word,
    STATE(3022), 1,
      aux_sym__literal_repeat1,
    STATE(3419), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3023), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      sym__concat,
    ACTIONS(1344), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102323] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(39), 1,
      sym__special_character,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    ACTIONS(4880), 1,
      sym_word,
    ACTIONS(4884), 1,
      sym_regex,
    STATE(669), 1,
      aux_sym__literal_repeat1,
    STATE(791), 1,
      sym_concatenation,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4882), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(537), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102373] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4886), 1,
      sym_word,
    STATE(3115), 1,
      aux_sym__literal_repeat1,
    STATE(3361), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3113), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102423] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4890), 1,
      sym_word,
    STATE(3134), 1,
      aux_sym__literal_repeat1,
    STATE(3404), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4892), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3133), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102473] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4894), 1,
      sym_word,
    STATE(3001), 1,
      aux_sym__literal_repeat1,
    STATE(3475), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4896), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2999), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102523] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4898), 1,
      sym_word,
    STATE(3076), 1,
      aux_sym__literal_repeat1,
    STATE(3300), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4900), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3049), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102573] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4902), 1,
      sym_word,
    STATE(3084), 1,
      aux_sym__literal_repeat1,
    STATE(3281), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3082), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102651] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4906), 1,
      sym_word,
    STATE(3007), 1,
      aux_sym__literal_repeat1,
    STATE(3461), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4908), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3005), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102701] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4910), 1,
      sym_word,
    STATE(2996), 1,
      aux_sym__literal_repeat1,
    STATE(3354), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2998), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102751] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4914), 1,
      sym_word,
    STATE(3060), 1,
      aux_sym__literal_repeat1,
    STATE(3315), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4916), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3058), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      sym__concat,
    ACTIONS(1314), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4918), 1,
      sym_word,
    STATE(3107), 1,
      aux_sym__literal_repeat1,
    STATE(3340), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3106), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102907] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4922), 1,
      sym_word,
    STATE(3127), 1,
      aux_sym__literal_repeat1,
    STATE(3431), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4924), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3128), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      sym__concat,
    ACTIONS(1310), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym__concat,
    ACTIONS(1306), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 1,
      sym__concat,
    ACTIONS(1302), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103041] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4926), 1,
      sym_word,
    STATE(3077), 1,
      aux_sym__literal_repeat1,
    STATE(3282), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3079), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103091] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1362), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1364), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103119] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4930), 1,
      sym_word,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
    STATE(3295), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4932), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3071), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103169] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4934), 1,
      sym_word,
    STATE(3026), 1,
      aux_sym__literal_repeat1,
    STATE(3414), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3033), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103219] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1444), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1446), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__concat,
    ACTIONS(1298), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103275] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1376), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4938), 1,
      sym_word,
    STATE(3014), 1,
      aux_sym__literal_repeat1,
    STATE(3453), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4940), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3016), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4942), 1,
      sym_word,
    STATE(3104), 1,
      aux_sym__literal_repeat1,
    STATE(3323), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4944), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3103), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103403] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4946), 1,
      sym_word,
    STATE(3038), 1,
      aux_sym__literal_repeat1,
    STATE(3379), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3036), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__concat,
    ACTIONS(1294), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103481] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4950), 1,
      sym_word,
    STATE(3031), 1,
      aux_sym__literal_repeat1,
    STATE(3409), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4952), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3029), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103531] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4954), 1,
      sym_word,
    STATE(3052), 1,
      aux_sym__literal_repeat1,
    STATE(3344), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4956), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3054), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103581] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4958), 1,
      sym_word,
    STATE(3020), 1,
      aux_sym__literal_repeat1,
    STATE(3424), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4960), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3024), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103631] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4962), 1,
      sym_word,
    STATE(2994), 1,
      aux_sym__literal_repeat1,
    STATE(3375), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4964), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3040), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103681] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4966), 1,
      sym_word,
    STATE(3032), 1,
      aux_sym__literal_repeat1,
    STATE(3388), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4968), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3035), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103731] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1426), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1428), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103759] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4970), 1,
      sym_word,
    STATE(3092), 1,
      aux_sym__literal_repeat1,
    STATE(3292), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4972), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3097), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      sym__concat,
    ACTIONS(1290), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103837] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4974), 1,
      sym_word,
    STATE(3044), 1,
      aux_sym__literal_repeat1,
    STATE(3368), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3043), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103887] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4978), 1,
      sym_word,
    STATE(3125), 1,
      aux_sym__literal_repeat1,
    STATE(3436), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3124), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4982), 1,
      sym_word,
    STATE(3045), 1,
      aux_sym__literal_repeat1,
    STATE(3365), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4984), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3047), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    ACTIONS(1286), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104015] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1378), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1380), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    ACTIONS(1282), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104071] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4986), 1,
      sym_word,
    STATE(3039), 1,
      aux_sym__literal_repeat1,
    STATE(3374), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4988), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3041), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      sym__special_character,
    STATE(2325), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 18,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      sym__concat,
    ACTIONS(1278), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    ACTIONS(1274), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104207] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4993), 1,
      sym_word,
    STATE(3122), 1,
      aux_sym__literal_repeat1,
    STATE(3381), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4995), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3126), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104257] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4700), 1,
      sym__special_character,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(4997), 1,
      sym_word,
    STATE(3131), 1,
      aux_sym__literal_repeat1,
    STATE(3435), 1,
      sym_concatenation,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4999), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3130), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    ACTIONS(1251), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      sym__concat,
    ACTIONS(1270), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104363] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4020), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4199), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104390] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_RPAREN,
    ACTIONS(5009), 1,
      anon_sym_QMARK,
    ACTIONS(5005), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5007), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104425] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5021), 1,
      anon_sym_QMARK,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5019), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5013), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104460] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5023), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104495] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5025), 1,
      anon_sym_COLON,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104555] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_QMARK,
    ACTIONS(5027), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5019), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5013), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104590] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_RBRACK,
    ACTIONS(5035), 1,
      anon_sym_QMARK,
    ACTIONS(5031), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5037), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5029), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104625] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_DQUOTE,
    ACTIONS(5039), 1,
      sym_word,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5043), 1,
      sym__special_character,
    ACTIONS(5047), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5051), 1,
      anon_sym_BQUOTE,
    STATE(1733), 1,
      aux_sym__literal_repeat1,
    STATE(2037), 1,
      sym_concatenation,
    ACTIONS(5045), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(5053), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1736), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104672] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4342), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4637), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104699] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5055), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104734] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5057), 1,
      anon_sym_COLON,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104769] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5059), 1,
      sym_word,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5063), 1,
      sym__special_character,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    STATE(1680), 1,
      aux_sym__literal_repeat1,
    STATE(1861), 1,
      sym_concatenation,
    ACTIONS(5065), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1684), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104816] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5075), 1,
      anon_sym_COLON,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104851] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5077), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104886] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5079), 1,
      sym_word,
    ACTIONS(5081), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    STATE(1833), 1,
      sym_concatenation,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5083), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1703), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104933] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_QMARK,
    ACTIONS(5085), 1,
      anon_sym_RPAREN,
    ACTIONS(5005), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5007), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104968] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5087), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105003] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5063), 1,
      sym__special_character,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5089), 1,
      sym_word,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    STATE(1833), 1,
      sym_concatenation,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5091), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1675), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105050] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5081), 1,
      sym__special_character,
    ACTIONS(5093), 1,
      sym_word,
    STATE(1668), 1,
      aux_sym__literal_repeat1,
    STATE(1751), 1,
      sym_concatenation,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1725), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105097] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5081), 1,
      sym__special_character,
    ACTIONS(5097), 1,
      sym_word,
    STATE(1680), 1,
      aux_sym__literal_repeat1,
    STATE(1861), 1,
      sym_concatenation,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5099), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1727), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105144] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5063), 1,
      sym__special_character,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5101), 1,
      sym_word,
    STATE(1668), 1,
      aux_sym__literal_repeat1,
    STATE(1751), 1,
      sym_concatenation,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5103), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1664), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105191] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RPAREN,
    ACTIONS(5009), 1,
      anon_sym_QMARK,
    ACTIONS(5005), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5007), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105226] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5105), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105261] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5107), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4197), 1,
      sym__special_character,
    ACTIONS(5109), 1,
      sym_word,
    STATE(2981), 1,
      aux_sym__literal_repeat1,
    STATE(3208), 1,
      sym_concatenation,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5111), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2983), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105343] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5113), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105378] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5115), 1,
      anon_sym_COLON,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105413] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5027), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105448] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5117), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105483] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_QMARK,
    ACTIONS(5119), 1,
      anon_sym_RPAREN,
    ACTIONS(5005), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5007), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5121), 1,
      sym_word,
    ACTIONS(5123), 1,
      sym__special_character,
    STATE(2978), 1,
      aux_sym__literal_repeat1,
    STATE(3255), 1,
      sym_concatenation,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5125), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3066), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105565] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym_word,
    ACTIONS(5129), 1,
      anon_sym_DOLLAR,
    ACTIONS(5131), 1,
      sym__special_character,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5139), 1,
      anon_sym_BQUOTE,
    STATE(1851), 1,
      aux_sym__literal_repeat1,
    STATE(2162), 1,
      sym_concatenation,
    ACTIONS(5133), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(5141), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1845), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105612] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DQUOTE,
    ACTIONS(4318), 1,
      anon_sym_DOLLAR,
    ACTIONS(4320), 1,
      sym__special_character,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4326), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_BQUOTE,
    ACTIONS(5143), 1,
      sym_word,
    STATE(1803), 1,
      aux_sym__literal_repeat1,
    STATE(1988), 1,
      sym_concatenation,
    ACTIONS(4330), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5145), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1705), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105659] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4020), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4199), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105686] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_QMARK,
    ACTIONS(5147), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5019), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5013), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105721] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4370), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4532), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105748] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105775] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [105802] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_QMARK,
    ACTIONS(5147), 1,
      anon_sym_RBRACK,
    ACTIONS(5031), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5037), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5029), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105837] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5149), 1,
      anon_sym_COLON,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105872] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_RBRACK,
    ACTIONS(5035), 1,
      anon_sym_QMARK,
    ACTIONS(5031), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5037), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5029), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105907] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5021), 1,
      anon_sym_QMARK,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5019), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5013), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105942] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5123), 1,
      sym__special_character,
    ACTIONS(5151), 1,
      sym_word,
    STATE(2963), 1,
      aux_sym__literal_repeat1,
    STATE(3202), 1,
      sym_concatenation,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5153), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3112), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105989] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DQUOTE,
    ACTIONS(4318), 1,
      anon_sym_DOLLAR,
    ACTIONS(4320), 1,
      sym__special_character,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4326), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_BQUOTE,
    ACTIONS(5155), 1,
      sym_word,
    STATE(1838), 1,
      aux_sym__literal_repeat1,
    STATE(1983), 1,
      sym_concatenation,
    ACTIONS(4330), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5157), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1710), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106036] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      sym_word,
    ACTIONS(5161), 1,
      anon_sym_DOLLAR,
    ACTIONS(5163), 1,
      sym__special_character,
    ACTIONS(5165), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    STATE(2820), 1,
      aux_sym__literal_repeat1,
    STATE(2902), 1,
      sym_concatenation,
    ACTIONS(5167), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2821), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106083] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RBRACK,
    ACTIONS(5035), 1,
      anon_sym_QMARK,
    ACTIONS(5031), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5037), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5029), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106118] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5015), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106153] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_DOLLAR,
    ACTIONS(5163), 1,
      sym__special_character,
    ACTIONS(5165), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5177), 1,
      sym_word,
    STATE(2805), 1,
      aux_sym__literal_repeat1,
    STATE(2898), 1,
      sym_concatenation,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5179), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2806), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106200] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_DQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5043), 1,
      sym__special_character,
    ACTIONS(5047), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5051), 1,
      anon_sym_BQUOTE,
    ACTIONS(5181), 1,
      sym_word,
    STATE(1740), 1,
      aux_sym__literal_repeat1,
    STATE(1929), 1,
      sym_concatenation,
    ACTIONS(5053), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5183), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106247] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4342), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4637), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106274] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5185), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106309] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_QMARK,
    ACTIONS(5187), 1,
      anon_sym_RPAREN,
    ACTIONS(5005), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5011), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5007), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106344] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106371] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_DQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5043), 1,
      sym__special_character,
    ACTIONS(5047), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5051), 1,
      anon_sym_BQUOTE,
    ACTIONS(5189), 1,
      sym_word,
    STATE(1722), 1,
      aux_sym__literal_repeat1,
    STATE(1973), 1,
      sym_concatenation,
    ACTIONS(5053), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5191), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1711), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106418] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106445] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5193), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106480] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5195), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106515] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4370), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4532), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106542] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4384), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4623), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106569] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(5129), 1,
      anon_sym_DOLLAR,
    ACTIONS(5131), 1,
      sym__special_character,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5139), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym_word,
    STATE(1839), 1,
      aux_sym__literal_repeat1,
    STATE(2153), 1,
      sym_concatenation,
    ACTIONS(5141), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5199), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1852), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106616] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5201), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106651] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(5129), 1,
      anon_sym_DOLLAR,
    ACTIONS(5131), 1,
      sym__special_character,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5139), 1,
      anon_sym_BQUOTE,
    ACTIONS(5203), 1,
      sym_word,
    STATE(1781), 1,
      aux_sym__literal_repeat1,
    STATE(2174), 1,
      sym_concatenation,
    ACTIONS(5141), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5205), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1754), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106698] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_QMARK,
    ACTIONS(5147), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4786), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4792), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4788), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4784), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106733] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4384), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4623), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106760] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_DOLLAR,
    ACTIONS(5163), 1,
      sym__special_character,
    ACTIONS(5165), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5207), 1,
      sym_word,
    STATE(2813), 1,
      aux_sym__literal_repeat1,
    STATE(2900), 1,
      sym_concatenation,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5209), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2824), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106807] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(5213), 1,
      anon_sym_RBRACK,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5215), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2268), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      anon_sym_LF,
    ACTIONS(5165), 1,
      anon_sym_DQUOTE,
    ACTIONS(5219), 1,
      sym_raw_string,
    ACTIONS(5221), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2849), 1,
      sym_string,
    ACTIONS(537), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(5217), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [106885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(5223), 1,
      anon_sym_RBRACK,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5215), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2268), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106927] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_DOLLAR,
    ACTIONS(473), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(479), 1,
      anon_sym_BQUOTE,
    ACTIONS(5225), 1,
      sym_word,
    ACTIONS(481), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5227), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(371), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DQUOTE,
    ACTIONS(4401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4403), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4405), 1,
      anon_sym_BQUOTE,
    ACTIONS(5229), 1,
      sym_word,
    ACTIONS(5231), 1,
      anon_sym_DOLLAR,
    ACTIONS(4407), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5233), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(838), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107005] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DQUOTE,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4306), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_BQUOTE,
    ACTIONS(5235), 1,
      sym_word,
    ACTIONS(5237), 1,
      anon_sym_DOLLAR,
    ACTIONS(4310), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5239), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(680), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107044] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DQUOTE,
    ACTIONS(4298), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4306), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_BQUOTE,
    ACTIONS(5235), 1,
      sym_word,
    ACTIONS(4310), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5239), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(680), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107083] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_DOLLAR,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(651), 1,
      anon_sym_BQUOTE,
    ACTIONS(5241), 1,
      sym_word,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5243), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(566), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107122] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5139), 1,
      anon_sym_BQUOTE,
    ACTIONS(5245), 1,
      sym_word,
    ACTIONS(5247), 1,
      anon_sym_DOLLAR,
    ACTIONS(5141), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5249), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1971), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107161] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(5251), 1,
      sym_word,
    ACTIONS(5253), 1,
      anon_sym_DOLLAR,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5255), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2244), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107200] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(5257), 1,
      sym_word,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5259), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1911), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107239] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(5261), 1,
      sym_word,
    ACTIONS(5263), 1,
      anon_sym_DOLLAR,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5265), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(460), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107278] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1102), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_BQUOTE,
    ACTIONS(5267), 1,
      sym_word,
    ACTIONS(5269), 1,
      anon_sym_DOLLAR,
    ACTIONS(1108), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5271), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(755), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DQUOTE,
    ACTIONS(4318), 1,
      anon_sym_DOLLAR,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4326), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_BQUOTE,
    ACTIONS(5273), 1,
      sym_word,
    ACTIONS(4330), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5275), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1811), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107356] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(651), 1,
      anon_sym_BQUOTE,
    ACTIONS(5241), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_DOLLAR,
    ACTIONS(653), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5243), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(566), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    ACTIONS(5279), 1,
      sym_word,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5281), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2469), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107434] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_DQUOTE,
    ACTIONS(939), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(5283), 1,
      sym_word,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(945), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5287), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(652), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107473] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(5289), 1,
      sym_word,
    ACTIONS(5291), 1,
      anon_sym_DOLLAR,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5293), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107512] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_DOLLAR,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(5295), 1,
      sym_word,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5297), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(671), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107551] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_DQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5051), 1,
      anon_sym_BQUOTE,
    ACTIONS(5299), 1,
      sym_word,
    ACTIONS(5053), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5301), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1828), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107590] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(559), 1,
      anon_sym_BQUOTE,
    ACTIONS(5303), 1,
      sym_word,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR,
    ACTIONS(561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5307), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(489), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107629] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    ACTIONS(5309), 1,
      sym_word,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5311), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(661), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107668] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_DOLLAR,
    ACTIONS(5165), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5313), 1,
      sym_word,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5315), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2866), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107707] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    ACTIONS(5317), 1,
      sym_word,
    ACTIONS(5319), 1,
      anon_sym_DOLLAR,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5321), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1860), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107746] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      anon_sym_DOLLAR,
    ACTIONS(937), 1,
      anon_sym_DQUOTE,
    ACTIONS(939), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(5283), 1,
      sym_word,
    ACTIONS(945), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5287), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(652), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107785] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DQUOTE,
    ACTIONS(1098), 1,
      anon_sym_DOLLAR,
    ACTIONS(1102), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_BQUOTE,
    ACTIONS(5267), 1,
      sym_word,
    ACTIONS(1108), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5271), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(755), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107824] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_DOLLAR,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(5289), 1,
      sym_word,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5293), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(5129), 1,
      anon_sym_DOLLAR,
    ACTIONS(5135), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5139), 1,
      anon_sym_BQUOTE,
    ACTIONS(5245), 1,
      sym_word,
    ACTIONS(5141), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5249), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1971), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      sym__concat,
    STATE(2434), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5323), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [107929] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5327), 1,
      sym_word,
    ACTIONS(5329), 1,
      anon_sym_DOLLAR,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5331), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1715), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107968] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(627), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(629), 1,
      anon_sym_BQUOTE,
    ACTIONS(5333), 1,
      sym_word,
    ACTIONS(5335), 1,
      anon_sym_DOLLAR,
    ACTIONS(631), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5337), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(615), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108007] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_DQUOTE,
    ACTIONS(5169), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5173), 1,
      anon_sym_BQUOTE,
    ACTIONS(5313), 1,
      sym_word,
    ACTIONS(5339), 1,
      anon_sym_DOLLAR,
    ACTIONS(5175), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5315), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2866), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108046] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(5341), 1,
      sym_word,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5343), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108085] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(5345), 1,
      sym_word,
    ACTIONS(5347), 1,
      anon_sym_DOLLAR,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5349), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2539), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108124] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_DQUOTE,
    ACTIONS(1074), 1,
      anon_sym_DOLLAR,
    ACTIONS(1078), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1080), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1082), 1,
      anon_sym_BQUOTE,
    ACTIONS(5351), 1,
      sym_word,
    ACTIONS(1084), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5353), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(798), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108163] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5327), 1,
      sym_word,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5331), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1715), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      sym__concat,
    STATE(2441), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [108229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(49), 1,
      anon_sym_BQUOTE,
    ACTIONS(5309), 1,
      sym_word,
    ACTIONS(5357), 1,
      anon_sym_DOLLAR,
    ACTIONS(51), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5311), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(661), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108268] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(5359), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5215), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2268), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108307] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_DOLLAR,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(559), 1,
      anon_sym_BQUOTE,
    ACTIONS(5303), 1,
      sym_word,
    ACTIONS(561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5307), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(489), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108346] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(5361), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5215), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2268), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR,
    ACTIONS(3099), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3105), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(3107), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5215), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2268), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108424] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_DQUOTE,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4005), 1,
      anon_sym_BQUOTE,
    ACTIONS(5279), 1,
      sym_word,
    ACTIONS(5363), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5281), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2469), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      sym__concat,
    STATE(2441), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [108490] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_DQUOTE,
    ACTIONS(4482), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4484), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4486), 1,
      anon_sym_BQUOTE,
    ACTIONS(5368), 1,
      sym_word,
    ACTIONS(5370), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5372), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(415), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_DQUOTE,
    ACTIONS(1673), 1,
      anon_sym_DOLLAR,
    ACTIONS(1677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BQUOTE,
    ACTIONS(5317), 1,
      sym_word,
    ACTIONS(1683), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5321), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1860), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108568] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_DQUOTE,
    ACTIONS(2777), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_BQUOTE,
    ACTIONS(5289), 1,
      sym_word,
    ACTIONS(5374), 1,
      anon_sym_DOLLAR,
    ACTIONS(2783), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5293), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2150), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108607] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5071), 1,
      anon_sym_BQUOTE,
    ACTIONS(5327), 1,
      sym_word,
    ACTIONS(5376), 1,
      anon_sym_DOLLAR,
    ACTIONS(5073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5331), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1715), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108646] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DQUOTE,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(5345), 1,
      sym_word,
    ACTIONS(4550), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5349), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2539), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108685] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(153), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(5378), 1,
      sym_word,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5380), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(379), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      sym__concat,
    STATE(2434), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [108751] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_BQUOTE,
    ACTIONS(5257), 1,
      sym_word,
    ACTIONS(5382), 1,
      anon_sym_DOLLAR,
    ACTIONS(1759), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5259), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1911), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108790] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(103), 1,
      anon_sym_BQUOTE,
    ACTIONS(5295), 1,
      sym_word,
    ACTIONS(5384), 1,
      anon_sym_DOLLAR,
    ACTIONS(105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5297), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(671), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108829] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(5386), 1,
      sym_word,
    ACTIONS(5388), 1,
      anon_sym_DOLLAR,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5390), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108868] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_DQUOTE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4356), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4358), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4360), 1,
      anon_sym_BQUOTE,
    ACTIONS(5392), 1,
      sym_word,
    ACTIONS(4362), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5394), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(840), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108907] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      anon_sym_DQUOTE,
    ACTIONS(217), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(221), 1,
      anon_sym_BQUOTE,
    ACTIONS(5261), 1,
      sym_word,
    ACTIONS(223), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5265), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(460), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5051), 1,
      anon_sym_BQUOTE,
    ACTIONS(5299), 1,
      sym_word,
    ACTIONS(5396), 1,
      anon_sym_DOLLAR,
    ACTIONS(5053), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5301), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1828), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DQUOTE,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4326), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_BQUOTE,
    ACTIONS(5273), 1,
      sym_word,
    ACTIONS(5398), 1,
      anon_sym_DOLLAR,
    ACTIONS(4330), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5275), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1811), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109024] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_DQUOTE,
    ACTIONS(4706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4708), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(5341), 1,
      sym_word,
    ACTIONS(5400), 1,
      anon_sym_DOLLAR,
    ACTIONS(4712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5343), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(3238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109063] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(165), 1,
      anon_sym_BQUOTE,
    ACTIONS(5378), 1,
      sym_word,
    ACTIONS(5402), 1,
      anon_sym_DOLLAR,
    ACTIONS(167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5380), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(379), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109102] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_DQUOTE,
    ACTIONS(4395), 1,
      anon_sym_DOLLAR,
    ACTIONS(4401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4403), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4405), 1,
      anon_sym_BQUOTE,
    ACTIONS(5229), 1,
      sym_word,
    ACTIONS(4407), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5233), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(838), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109141] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(623), 1,
      anon_sym_DQUOTE,
    ACTIONS(625), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(627), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(629), 1,
      anon_sym_BQUOTE,
    ACTIONS(5333), 1,
      sym_word,
    ACTIONS(631), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5337), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(615), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109180] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_DQUOTE,
    ACTIONS(1078), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1080), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1082), 1,
      anon_sym_BQUOTE,
    ACTIONS(5351), 1,
      sym_word,
    ACTIONS(5404), 1,
      anon_sym_DOLLAR,
    ACTIONS(1084), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5353), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(798), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109219] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_DQUOTE,
    ACTIONS(4476), 1,
      anon_sym_DOLLAR,
    ACTIONS(4482), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4484), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4486), 1,
      anon_sym_BQUOTE,
    ACTIONS(5368), 1,
      sym_word,
    ACTIONS(4488), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5372), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(415), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109258] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_DQUOTE,
    ACTIONS(4356), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4358), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4360), 1,
      anon_sym_BQUOTE,
    ACTIONS(5392), 1,
      sym_word,
    ACTIONS(5406), 1,
      anon_sym_DOLLAR,
    ACTIONS(4362), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5394), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(840), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109297] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(5386), 1,
      sym_word,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5390), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109336] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(477), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(479), 1,
      anon_sym_BQUOTE,
    ACTIONS(5225), 1,
      sym_word,
    ACTIONS(5408), 1,
      anon_sym_DOLLAR,
    ACTIONS(481), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5227), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(371), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109375] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    ACTIONS(1773), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1777), 1,
      anon_sym_BQUOTE,
    ACTIONS(5251), 1,
      sym_word,
    ACTIONS(1779), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5255), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(2244), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    ACTIONS(1251), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      sym__concat,
    ACTIONS(1426), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      sym__concat,
    ACTIONS(1348), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      sym__concat,
    ACTIONS(1310), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym__concat,
    ACTIONS(1362), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__concat,
    ACTIONS(1374), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      sym__concat,
    ACTIONS(1378), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      sym__concat,
    ACTIONS(1344), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 1,
      sym__special_character,
    STATE(2475), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 14,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      sym__concat,
    ACTIONS(1430), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym__concat,
    ACTIONS(1306), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      sym__concat,
    ACTIONS(1434), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 1,
      sym__concat,
    ACTIONS(1302), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      sym__concat,
    ACTIONS(1438), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__concat,
    ACTIONS(1298), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__concat,
    ACTIONS(1294), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      sym__concat,
    ACTIONS(1444), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      sym__concat,
    ACTIONS(1290), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      sym__concat,
    ACTIONS(1270), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    ACTIONS(1274), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      sym__concat,
    ACTIONS(1278), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym__special_character,
    STATE(2475), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5413), 14,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    ACTIONS(1282), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      sym__concat,
    ACTIONS(1314), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    ACTIONS(1286), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DQUOTE,
    ACTIONS(1735), 1,
      sym_raw_string,
    ACTIONS(1737), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2315), 1,
      sym_string,
    ACTIONS(545), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1729), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1731), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    ACTIONS(1725), 1,
      sym_raw_string,
    ACTIONS(1727), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2141), 1,
      sym_string,
    ACTIONS(545), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1719), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1721), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_word,
    ACTIONS(5417), 1,
      sym__concat,
    STATE(2498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym_word,
    ACTIONS(5419), 1,
      sym__concat,
    STATE(2498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_word,
    ACTIONS(5422), 1,
      sym__concat,
    STATE(2497), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 1,
      anon_sym_RBRACE,
    ACTIONS(5426), 1,
      anon_sym_DQUOTE,
    ACTIONS(5428), 1,
      sym_raw_string,
    ACTIONS(5430), 1,
      aux_sym__simple_variable_name_token1,
    STATE(3260), 1,
      sym_string,
    ACTIONS(5432), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5424), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      sym__concat,
    ACTIONS(5434), 1,
      sym_word,
    STATE(2497), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5323), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      anon_sym_RBRACE,
    ACTIONS(5442), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5446), 1,
      sym_variable_name,
    STATE(1174), 1,
      sym_subscript,
    ACTIONS(5438), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5444), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5440), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym__concat,
      sym_word,
    ACTIONS(1306), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5448), 1,
      anon_sym_RBRACE,
    ACTIONS(5454), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5458), 1,
      sym_variable_name,
    STATE(1173), 1,
      sym_subscript,
    ACTIONS(5450), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5456), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5452), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5462), 1,
      anon_sym_DQUOTE,
    ACTIONS(5464), 1,
      sym_raw_string,
    STATE(1965), 1,
      sym_string,
    ACTIONS(1641), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5460), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_RBRACE,
    ACTIONS(5472), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5476), 1,
      sym_variable_name,
    STATE(939), 1,
      sym_subscript,
    ACTIONS(5468), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5474), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5470), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 1,
      anon_sym_RBRACE,
    ACTIONS(5484), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5488), 1,
      sym_variable_name,
    STATE(1099), 1,
      sym_subscript,
    ACTIONS(5480), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5486), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5482), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5492), 1,
      anon_sym_DQUOTE,
    ACTIONS(5494), 1,
      sym_raw_string,
    STATE(647), 1,
      sym_string,
    ACTIONS(949), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5490), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 1,
      anon_sym_RBRACE,
    ACTIONS(5502), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5506), 1,
      sym_variable_name,
    STATE(1090), 1,
      sym_subscript,
    ACTIONS(5498), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5504), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5500), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110547] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_RBRACE,
    ACTIONS(5514), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5518), 1,
      sym_variable_name,
    STATE(944), 1,
      sym_subscript,
    ACTIONS(5510), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5516), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5512), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5522), 1,
      anon_sym_DQUOTE,
    ACTIONS(5524), 1,
      sym_raw_string,
    STATE(2849), 1,
      sym_string,
    ACTIONS(5217), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5520), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 1,
      anon_sym_RBRACE,
    ACTIONS(5532), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5536), 1,
      sym_variable_name,
    STATE(1042), 1,
      sym_subscript,
    ACTIONS(5528), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5534), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5530), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5540), 1,
      anon_sym_DQUOTE,
    ACTIONS(5542), 1,
      sym_raw_string,
    STATE(632), 1,
      sym_string,
    ACTIONS(823), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5538), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110667] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 1,
      anon_sym_RBRACE,
    ACTIONS(5550), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5554), 1,
      sym_variable_name,
    STATE(1154), 1,
      sym_subscript,
    ACTIONS(5546), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5552), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5548), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110698] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5558), 1,
      anon_sym_DQUOTE,
    ACTIONS(5560), 1,
      sym_raw_string,
    STATE(1841), 1,
      sym_string,
    ACTIONS(1594), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5556), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 1,
      anon_sym_RBRACE,
    ACTIONS(5568), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5572), 1,
      sym_variable_name,
    STATE(1074), 1,
      sym_subscript,
    ACTIONS(5564), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5570), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5566), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 1,
      sym_word,
    ACTIONS(5576), 1,
      sym__special_character,
    STATE(2547), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5413), 10,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5580), 1,
      anon_sym_DQUOTE,
    ACTIONS(5582), 1,
      sym_raw_string,
    STATE(572), 1,
      sym_string,
    ACTIONS(988), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5578), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 1,
      anon_sym_RBRACE,
    ACTIONS(5590), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5594), 1,
      sym_variable_name,
    STATE(1028), 1,
      sym_subscript,
    ACTIONS(5586), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5592), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5588), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_RBRACE,
    ACTIONS(5602), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5606), 1,
      sym_variable_name,
    STATE(1120), 1,
      sym_subscript,
    ACTIONS(5598), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5604), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5600), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym__concat,
      sym_word,
    ACTIONS(1426), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 1,
      anon_sym_RBRACE,
    ACTIONS(5614), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5618), 1,
      sym_variable_name,
    STATE(1079), 1,
      sym_subscript,
    ACTIONS(5610), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5616), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5612), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5622), 1,
      anon_sym_DQUOTE,
    ACTIONS(5624), 1,
      sym_raw_string,
    STATE(1723), 1,
      sym_string,
    ACTIONS(1506), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5620), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_RBRACE,
    ACTIONS(5632), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5636), 1,
      sym_variable_name,
    STATE(925), 1,
      sym_subscript,
    ACTIONS(5628), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5634), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5630), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1066), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5640), 1,
      anon_sym_DQUOTE,
    ACTIONS(5642), 1,
      sym_raw_string,
    STATE(762), 1,
      sym_string,
    ACTIONS(1060), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5638), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111015] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5646), 1,
      anon_sym_DQUOTE,
    ACTIONS(5648), 1,
      sym_raw_string,
    STATE(843), 1,
      sym_string,
    ACTIONS(1025), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5644), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym__concat,
      sym_word,
    ACTIONS(1444), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_RBRACE,
    ACTIONS(5656), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5660), 1,
      sym_variable_name,
    STATE(1122), 1,
      sym_subscript,
    ACTIONS(5652), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5658), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5654), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5664), 1,
      anon_sym_DQUOTE,
    ACTIONS(5666), 1,
      sym_raw_string,
    STATE(2237), 1,
      sym_string,
    ACTIONS(3804), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5662), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_RBRACE,
    ACTIONS(5674), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5678), 1,
      sym_variable_name,
    STATE(1115), 1,
      sym_subscript,
    ACTIONS(5670), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5676), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5672), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111156] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_DQUOTE,
    ACTIONS(5428), 1,
      sym_raw_string,
    ACTIONS(5430), 1,
      aux_sym__simple_variable_name_token1,
    STATE(3260), 1,
      sym_string,
    ACTIONS(5432), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5424), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5682), 1,
      anon_sym_DQUOTE,
    ACTIONS(5684), 1,
      sym_raw_string,
    STATE(830), 1,
      sym_string,
    ACTIONS(896), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5680), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym__concat,
      sym_word,
    ACTIONS(1251), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111235] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 1,
      anon_sym_RBRACE,
    ACTIONS(5692), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5696), 1,
      sym_variable_name,
    STATE(1009), 1,
      sym_subscript,
    ACTIONS(5688), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5694), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5690), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111266] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5700), 1,
      anon_sym_DQUOTE,
    ACTIONS(5702), 1,
      sym_raw_string,
    STATE(666), 1,
      sym_string,
    ACTIONS(866), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5698), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 1,
      anon_sym_RBRACE,
    ACTIONS(5710), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5714), 1,
      sym_variable_name,
    STATE(943), 1,
      sym_subscript,
    ACTIONS(5706), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5712), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5708), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111326] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5718), 1,
      anon_sym_DQUOTE,
    ACTIONS(5720), 1,
      sym_raw_string,
    STATE(409), 1,
      sym_string,
    ACTIONS(742), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5716), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_DQUOTE,
    ACTIONS(1691), 1,
      sym_raw_string,
    ACTIONS(1693), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1959), 1,
      sym_string,
    ACTIONS(1685), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1687), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      sym_word,
    ACTIONS(1215), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 1,
      anon_sym_RBRACE,
    ACTIONS(5728), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5732), 1,
      sym_variable_name,
    STATE(1135), 1,
      sym_subscript,
    ACTIONS(5724), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5730), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5726), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111436] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_RBRACE,
    ACTIONS(5740), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5744), 1,
      sym_variable_name,
    STATE(916), 1,
      sym_subscript,
    ACTIONS(5736), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5742), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5738), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111467] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5748), 1,
      anon_sym_DQUOTE,
    ACTIONS(5750), 1,
      sym_raw_string,
    STATE(384), 1,
      sym_string,
    ACTIONS(811), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5746), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym__concat,
      sym_word,
    ACTIONS(1438), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 1,
      anon_sym_RBRACE,
    ACTIONS(5758), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5762), 1,
      sym_variable_name,
    STATE(1170), 1,
      sym_subscript,
    ACTIONS(5754), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5760), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5756), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym__concat,
      sym_word,
    ACTIONS(1434), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5766), 1,
      anon_sym_DQUOTE,
    ACTIONS(5768), 1,
      sym_raw_string,
    STATE(2521), 1,
      sym_string,
    ACTIONS(4500), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5764), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym_word,
    ACTIONS(5770), 1,
      sym__special_character,
    STATE(2547), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 10,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111623] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 1,
      anon_sym_RBRACE,
    ACTIONS(5779), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5783), 1,
      sym_variable_name,
    STATE(1106), 1,
      sym_subscript,
    ACTIONS(5775), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5781), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5777), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym__concat,
      sym_word,
    ACTIONS(1430), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym__concat,
      sym_word,
    ACTIONS(1378), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5787), 1,
      anon_sym_DQUOTE,
    ACTIONS(5789), 1,
      sym_raw_string,
    STATE(620), 1,
      sym_string,
    ACTIONS(888), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5785), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111725] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5793), 1,
      anon_sym_DQUOTE,
    ACTIONS(5795), 1,
      sym_raw_string,
    STATE(657), 1,
      sym_string,
    ACTIONS(829), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5791), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_RBRACE,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5807), 1,
      sym_variable_name,
    STATE(1060), 1,
      sym_subscript,
    ACTIONS(5799), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5805), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5801), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym__concat,
      sym_word,
    ACTIONS(1374), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5811), 1,
      anon_sym_DQUOTE,
    ACTIONS(5813), 1,
      sym_raw_string,
    STATE(450), 1,
      sym_string,
    ACTIONS(704), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5809), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111835] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DQUOTE,
    ACTIONS(1735), 1,
      sym_raw_string,
    ACTIONS(1737), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2315), 1,
      sym_string,
    ACTIONS(1729), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1731), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym_RBRACE,
    ACTIONS(5821), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5825), 1,
      sym_variable_name,
    STATE(976), 1,
      sym_subscript,
    ACTIONS(5817), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5823), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5819), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111895] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5829), 1,
      anon_sym_DQUOTE,
    ACTIONS(5831), 1,
      sym_raw_string,
    STATE(374), 1,
      sym_string,
    ACTIONS(694), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5827), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym__concat,
      sym_word,
    ACTIONS(1362), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_RBRACE,
    ACTIONS(5839), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5843), 1,
      sym_variable_name,
    STATE(1063), 1,
      sym_subscript,
    ACTIONS(5835), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5841), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5837), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_RBRACE,
    ACTIONS(5851), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5855), 1,
      sym_variable_name,
    STATE(1057), 1,
      sym_subscript,
    ACTIONS(5847), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5853), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5849), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 1,
      anon_sym_RBRACE,
    ACTIONS(5863), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5867), 1,
      sym_variable_name,
    STATE(1071), 1,
      sym_subscript,
    ACTIONS(5859), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5865), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5861), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5871), 1,
      anon_sym_DQUOTE,
    ACTIONS(5873), 1,
      sym_raw_string,
    STATE(487), 1,
      sym_string,
    ACTIONS(756), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5869), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 1,
      anon_sym_RBRACE,
    ACTIONS(5881), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5885), 1,
      sym_variable_name,
    STATE(967), 1,
      sym_subscript,
    ACTIONS(5877), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5883), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5879), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 1,
      anon_sym_RBRACE,
    ACTIONS(5893), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5897), 1,
      sym_variable_name,
    STATE(957), 1,
      sym_subscript,
    ACTIONS(5889), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5895), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5891), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5901), 1,
      anon_sym_DQUOTE,
    ACTIONS(5903), 1,
      sym_raw_string,
    STATE(364), 1,
      sym_string,
    ACTIONS(539), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5899), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym__concat,
      sym_word,
    ACTIONS(1348), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym__concat,
      sym_word,
    ACTIONS(1270), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym__concat,
      sym_word,
    ACTIONS(1274), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 1,
      anon_sym_RBRACE,
    ACTIONS(5911), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5915), 1,
      sym_variable_name,
    STATE(986), 1,
      sym_subscript,
    ACTIONS(5907), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5913), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5909), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym__concat,
      sym_word,
    ACTIONS(1344), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym__concat,
      sym_word,
    ACTIONS(1278), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym__concat,
      sym_word,
    ACTIONS(1282), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym__concat,
      sym_word,
    ACTIONS(1340), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym__concat,
      sym_word,
    ACTIONS(1340), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym__concat,
      sym_word,
    ACTIONS(1286), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym__concat,
      sym_word,
    ACTIONS(1290), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym__concat,
      sym_word,
    ACTIONS(1294), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym__concat,
      sym_word,
    ACTIONS(1298), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym__concat,
      sym_word,
    ACTIONS(1302), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112462] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    ACTIONS(1725), 1,
      sym_raw_string,
    ACTIONS(1727), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2141), 1,
      sym_string,
    ACTIONS(1719), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1721), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym__concat,
      sym_word,
    ACTIONS(1310), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5919), 1,
      anon_sym_DQUOTE,
    ACTIONS(5921), 1,
      sym_raw_string,
    STATE(1855), 1,
      sym_string,
    ACTIONS(1657), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5917), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 1,
      anon_sym_RBRACE,
    ACTIONS(5929), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5933), 1,
      sym_variable_name,
    STATE(1034), 1,
      sym_subscript,
    ACTIONS(5925), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5931), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5927), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112572] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 1,
      anon_sym_RBRACE,
    ACTIONS(5941), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5945), 1,
      sym_variable_name,
    STATE(1136), 1,
      sym_subscript,
    ACTIONS(5937), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5943), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5939), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym__concat,
      sym_word,
    ACTIONS(1314), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112624] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5949), 1,
      anon_sym_DQUOTE,
    ACTIONS(5951), 1,
      sym_raw_string,
    STATE(753), 1,
      sym_string,
    ACTIONS(1088), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5947), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112653] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5955), 1,
      anon_sym_DQUOTE,
    ACTIONS(5957), 1,
      sym_raw_string,
    STATE(2467), 1,
      sym_string,
    ACTIONS(3944), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5953), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5961), 1,
      anon_sym_DQUOTE,
    ACTIONS(5963), 1,
      sym_raw_string,
    STATE(1798), 1,
      sym_string,
    ACTIONS(1699), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5959), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5967), 1,
      anon_sym_DQUOTE,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5973), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5975), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5977), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5979), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5983), 1,
      anon_sym_esac,
    ACTIONS(5981), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5985), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 1,
      anon_sym_esac,
    ACTIONS(5987), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 1,
      anon_sym_esac,
    ACTIONS(5991), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5995), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5997), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5999), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6001), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_esac,
    ACTIONS(6003), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6007), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6009), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6011), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6013), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6015), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym_esac,
    ACTIONS(6017), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6021), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6025), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6027), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6029), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6033), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6035), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym_word,
    ACTIONS(1195), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6037), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6039), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6041), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6043), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6049), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6051), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6053), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6055), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6057), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6059), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_esac,
    ACTIONS(6061), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 1,
      anon_sym_esac,
    ACTIONS(6065), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_esac,
    ACTIONS(6069), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6073), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_esac,
    ACTIONS(6003), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6075), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6077), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6079), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 1,
      anon_sym_esac,
    ACTIONS(5987), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6083), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6085), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6087), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6089), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6091), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6093), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6095), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6099), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6101), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6103), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6105), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6107), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6109), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6113), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6117), 1,
      anon_sym_DQUOTE,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      sym_word,
    ACTIONS(6121), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      sym_word,
    ACTIONS(6125), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6127), 1,
      sym_word,
    ACTIONS(6069), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114380] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_RBRACE,
    ACTIONS(6133), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6137), 1,
      sym_variable_name,
    STATE(974), 1,
      sym_subscript,
    ACTIONS(6135), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6131), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      sym_word,
    ACTIONS(6003), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      sym_word,
    ACTIONS(6003), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      sym_word,
    ACTIONS(5991), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 1,
      sym_word,
    ACTIONS(5987), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114483] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6145), 1,
      anon_sym_RBRACE,
    ACTIONS(6149), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6153), 1,
      sym_variable_name,
    STATE(1126), 1,
      sym_subscript,
    ACTIONS(6151), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6147), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114510] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_RBRACE,
    ACTIONS(6159), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6163), 1,
      sym_variable_name,
    STATE(1052), 1,
      sym_subscript,
    ACTIONS(6161), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6157), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      sym__string_content,
    ACTIONS(5971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5965), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6165), 1,
      sym_word,
    ACTIONS(5981), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6167), 1,
      sym_word,
    ACTIONS(6017), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114596] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6169), 1,
      anon_sym_RBRACE,
    ACTIONS(6173), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6177), 1,
      sym_variable_name,
    STATE(962), 1,
      sym_subscript,
    ACTIONS(6175), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6171), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym_word,
    ACTIONS(6181), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114642] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6183), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6191), 1,
      sym_variable_name,
    STATE(1065), 1,
      sym_subscript,
    ACTIONS(6189), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6185), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      sym_word,
    ACTIONS(6195), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114688] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_RBRACE,
    ACTIONS(6201), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6205), 1,
      sym_variable_name,
    STATE(1047), 1,
      sym_subscript,
    ACTIONS(6203), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6199), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114715] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6207), 1,
      anon_sym_RBRACE,
    ACTIONS(6211), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6215), 1,
      sym_variable_name,
    STATE(1171), 1,
      sym_subscript,
    ACTIONS(6213), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6209), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114742] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym_RBRACE,
    ACTIONS(6221), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6225), 1,
      sym_variable_name,
    STATE(1025), 1,
      sym_subscript,
    ACTIONS(6223), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6219), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114769] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6227), 1,
      anon_sym_RBRACE,
    ACTIONS(6231), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6235), 1,
      sym_variable_name,
    STATE(1158), 1,
      sym_subscript,
    ACTIONS(6233), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6229), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 1,
      sym_word,
    ACTIONS(6061), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114815] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6239), 1,
      anon_sym_RBRACE,
    ACTIONS(6243), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6247), 1,
      sym_variable_name,
    STATE(1110), 1,
      sym_subscript,
    ACTIONS(6245), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6241), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114842] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_RBRACE,
    ACTIONS(6253), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6257), 1,
      sym_variable_name,
    STATE(1013), 1,
      sym_subscript,
    ACTIONS(6255), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6251), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      sym_word,
    ACTIONS(6261), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114888] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6263), 1,
      anon_sym_RBRACE,
    ACTIONS(6267), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6271), 1,
      sym_variable_name,
    STATE(973), 1,
      sym_subscript,
    ACTIONS(6269), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6265), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114915] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6273), 1,
      anon_sym_RBRACE,
    ACTIONS(6277), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6281), 1,
      sym_variable_name,
    STATE(1160), 1,
      sym_subscript,
    ACTIONS(6279), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6275), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 1,
      sym_word,
    ACTIONS(6285), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114961] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6287), 1,
      anon_sym_RBRACE,
    ACTIONS(6291), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6295), 1,
      sym_variable_name,
    STATE(933), 1,
      sym_subscript,
    ACTIONS(6293), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6289), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114988] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_RBRACE,
    ACTIONS(6301), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6305), 1,
      sym_variable_name,
    STATE(1132), 1,
      sym_subscript,
    ACTIONS(6303), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6299), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      sym_word,
    ACTIONS(6261), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115034] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym_RBRACE,
    ACTIONS(6311), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6315), 1,
      sym_variable_name,
    STATE(1092), 1,
      sym_subscript,
    ACTIONS(6313), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6309), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115061] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6317), 1,
      anon_sym_RBRACE,
    ACTIONS(6321), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6325), 1,
      sym_variable_name,
    STATE(984), 1,
      sym_subscript,
    ACTIONS(6323), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6319), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 1,
      sym_word,
    ACTIONS(6285), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      sym_word,
    ACTIONS(6121), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115126] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6327), 1,
      anon_sym_RBRACE,
    ACTIONS(6331), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6335), 1,
      sym_variable_name,
    STATE(1152), 1,
      sym_subscript,
    ACTIONS(6333), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6329), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      sym_word,
    ACTIONS(6261), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 1,
      sym_word,
    ACTIONS(6065), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115191] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_RBRACE,
    ACTIONS(6343), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6347), 1,
      sym_variable_name,
    STATE(955), 1,
      sym_subscript,
    ACTIONS(6345), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6341), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115218] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_RBRACE,
    ACTIONS(6353), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6357), 1,
      sym_variable_name,
    STATE(1088), 1,
      sym_subscript,
    ACTIONS(6355), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6351), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 1,
      sym_word,
    ACTIONS(5987), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115264] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6359), 1,
      anon_sym_RBRACE,
    ACTIONS(6363), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6367), 1,
      sym_variable_name,
    STATE(1142), 1,
      sym_subscript,
    ACTIONS(6365), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6361), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115291] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6369), 1,
      anon_sym_RBRACE,
    ACTIONS(6373), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6377), 1,
      sym_variable_name,
    STATE(1030), 1,
      sym_subscript,
    ACTIONS(6375), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6371), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      sym_word,
    ACTIONS(6261), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 1,
      sym_word,
    ACTIONS(6285), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115356] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6379), 1,
      anon_sym_RBRACE,
    ACTIONS(6383), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6387), 1,
      sym_variable_name,
    STATE(946), 1,
      sym_subscript,
    ACTIONS(6385), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6381), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115383] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    ACTIONS(6393), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6397), 1,
      sym_variable_name,
    STATE(1143), 1,
      sym_subscript,
    ACTIONS(6395), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6391), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115410] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6399), 1,
      anon_sym_RBRACE,
    ACTIONS(6403), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6407), 1,
      sym_variable_name,
    STATE(1075), 1,
      sym_subscript,
    ACTIONS(6405), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6401), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115437] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6409), 1,
      anon_sym_RBRACE,
    ACTIONS(6413), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6417), 1,
      sym_variable_name,
    STATE(1111), 1,
      sym_subscript,
    ACTIONS(6415), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6411), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115464] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_RBRACE,
    ACTIONS(6423), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6427), 1,
      sym_variable_name,
    STATE(921), 1,
      sym_subscript,
    ACTIONS(6425), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6421), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115491] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6429), 1,
      anon_sym_RBRACE,
    ACTIONS(6433), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6437), 1,
      sym_variable_name,
    STATE(918), 1,
      sym_subscript,
    ACTIONS(6435), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6431), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115518] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6439), 1,
      anon_sym_RBRACE,
    ACTIONS(6443), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6447), 1,
      sym_variable_name,
    STATE(1054), 1,
      sym_subscript,
    ACTIONS(6445), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6441), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 1,
      sym_word,
    ACTIONS(6285), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym_word,
    ACTIONS(6451), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym_word,
    ACTIONS(6451), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 1,
      sym_word,
    ACTIONS(6455), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115621] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_RBRACE,
    ACTIONS(6461), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6465), 1,
      sym_variable_name,
    STATE(968), 1,
      sym_subscript,
    ACTIONS(6463), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6459), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115648] = 7,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_RBRACE,
    ACTIONS(6471), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6475), 1,
      sym_variable_name,
    STATE(1006), 1,
      sym_subscript,
    ACTIONS(6473), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6469), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 1,
      anon_sym_DQUOTE,
    ACTIONS(6477), 1,
      anon_sym_DOLLAR,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115705] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6487), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6489), 1,
      anon_sym_DOLLAR,
    ACTIONS(6491), 1,
      anon_sym_DQUOTE,
    STATE(2722), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6493), 1,
      anon_sym_DOLLAR,
    ACTIONS(6495), 1,
      anon_sym_DQUOTE,
    STATE(2734), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115795] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6497), 1,
      anon_sym_DOLLAR,
    ACTIONS(6499), 1,
      anon_sym_DQUOTE,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115825] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6051), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6501), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6503), 1,
      anon_sym_DOLLAR,
    ACTIONS(6505), 1,
      anon_sym_DQUOTE,
    STATE(2742), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115885] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6507), 1,
      anon_sym_DOLLAR,
    ACTIONS(6509), 1,
      anon_sym_DQUOTE,
    STATE(2717), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6511), 1,
      anon_sym_DOLLAR,
    ACTIONS(6513), 1,
      anon_sym_DQUOTE,
    STATE(2754), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6515), 1,
      anon_sym_DOLLAR,
    ACTIONS(6517), 1,
      anon_sym_DQUOTE,
    STATE(2735), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [115975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6519), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6521), 1,
      anon_sym_DOLLAR,
    ACTIONS(6523), 1,
      anon_sym_DQUOTE,
    STATE(2770), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DOLLAR,
    ACTIONS(6527), 1,
      anon_sym_DQUOTE,
    STATE(2782), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6529), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6531), 1,
      anon_sym_DOLLAR,
    ACTIONS(6533), 1,
      anon_sym_DQUOTE,
    STATE(2727), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6535), 1,
      anon_sym_DOLLAR,
    ACTIONS(6537), 1,
      anon_sym_DQUOTE,
    STATE(2771), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116155] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_DOLLAR,
    ACTIONS(6542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6548), 1,
      anon_sym_BQUOTE,
    ACTIONS(6551), 1,
      sym__heredoc_body_middle,
    ACTIONS(6554), 1,
      sym__heredoc_body_end,
    STATE(2733), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6556), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6035), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6558), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6560), 1,
      anon_sym_DOLLAR,
    ACTIONS(6562), 1,
      anon_sym_DQUOTE,
    STATE(2749), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6564), 1,
      anon_sym_DOLLAR,
    ACTIONS(6566), 1,
      anon_sym_DQUOTE,
    STATE(2744), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_DOLLAR,
    ACTIONS(6571), 1,
      anon_sym_DQUOTE,
    ACTIONS(6573), 1,
      sym__string_content,
    ACTIONS(6576), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6582), 1,
      anon_sym_BQUOTE,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6045), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6585), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6587), 1,
      anon_sym_DOLLAR,
    ACTIONS(6589), 1,
      anon_sym_DQUOTE,
    STATE(2718), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116453] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_BQUOTE,
    ACTIONS(6603), 1,
      sym__heredoc_body_middle,
    ACTIONS(6605), 1,
      sym__heredoc_body_end,
    STATE(2733), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6607), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116541] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR,
    ACTIONS(6613), 1,
      anon_sym_DQUOTE,
    STATE(2741), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR,
    ACTIONS(6617), 1,
      anon_sym_DQUOTE,
    STATE(2739), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116601] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_BQUOTE,
    ACTIONS(6603), 1,
      sym__heredoc_body_middle,
    ACTIONS(6619), 1,
      sym__heredoc_body_end,
    STATE(2733), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6085), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6621), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116659] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DOLLAR,
    ACTIONS(6625), 1,
      anon_sym_DQUOTE,
    STATE(2760), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6627), 1,
      anon_sym_DOLLAR,
    ACTIONS(6629), 1,
      anon_sym_DQUOTE,
    STATE(2730), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6007), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR,
    ACTIONS(6635), 1,
      anon_sym_DQUOTE,
    STATE(2775), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6637), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116809] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_BQUOTE,
    ACTIONS(6639), 1,
      sym__heredoc_body_middle,
    ACTIONS(6641), 1,
      sym__heredoc_body_end,
    STATE(2765), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6643), 1,
      anon_sym_DOLLAR,
    ACTIONS(6645), 1,
      anon_sym_DQUOTE,
    STATE(2764), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR,
    ACTIONS(6649), 1,
      anon_sym_DQUOTE,
    STATE(2761), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6651), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116927] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR,
    ACTIONS(6655), 1,
      anon_sym_DQUOTE,
    STATE(2752), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6113), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6657), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6659), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6661), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6663), 1,
      anon_sym_DOLLAR,
    ACTIONS(6665), 1,
      anon_sym_DQUOTE,
    STATE(2781), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6667), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117107] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_BQUOTE,
    ACTIONS(6603), 1,
      sym__heredoc_body_middle,
    ACTIONS(6669), 1,
      sym__heredoc_body_end,
    STATE(2733), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6675), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6671), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [117155] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6677), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6679), 1,
      anon_sym_DOLLAR,
    ACTIONS(6681), 1,
      anon_sym_DQUOTE,
    STATE(2758), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6683), 1,
      anon_sym_DOLLAR,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    STATE(2773), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117245] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6687), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6691), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117335] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6695), 1,
      anon_sym_DOLLAR,
    ACTIONS(6697), 1,
      anon_sym_DQUOTE,
    STATE(2778), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117425] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_BQUOTE,
    ACTIONS(6701), 1,
      sym__heredoc_body_middle,
    ACTIONS(6703), 1,
      sym__heredoc_body_end,
    STATE(2748), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6705), 1,
      anon_sym_DOLLAR,
    ACTIONS(6707), 1,
      anon_sym_DQUOTE,
    STATE(2767), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117483] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6711), 1,
      anon_sym_DOLLAR,
    ACTIONS(6713), 1,
      anon_sym_DQUOTE,
    STATE(2772), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR,
    ACTIONS(6717), 1,
      anon_sym_DQUOTE,
    STATE(2745), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6095), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6117), 1,
      anon_sym_DQUOTE,
    ACTIONS(6479), 1,
      sym__string_content,
    ACTIONS(6481), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6485), 1,
      anon_sym_BQUOTE,
    ACTIONS(6721), 1,
      anon_sym_DOLLAR,
    STATE(2738), 1,
      aux_sym_string_repeat1,
    STATE(2803), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117633] = 8,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_BQUOTE,
    ACTIONS(6723), 1,
      sym__heredoc_body_middle,
    ACTIONS(6725), 1,
      sym__heredoc_body_end,
    STATE(2743), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117661] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6727), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6729), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [117677] = 7,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6733), 1,
      anon_sym_LPAREN,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6737), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1884), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117701] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6739), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6741), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [117717] = 7,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6737), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1801), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117741] = 7,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6737), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1782), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117765] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6743), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6745), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [117781] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6747), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6749), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [117797] = 7,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2129), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117821] = 7,
    ACTIONS(83), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1921), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_LF,
    ACTIONS(6765), 1,
      sym__concat,
    STATE(2832), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1195), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [117865] = 7,
    ACTIONS(77), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1914), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117889] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6767), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6769), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [117905] = 7,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6771), 1,
      anon_sym_LPAREN,
    STATE(2194), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117929] = 7,
    ACTIONS(77), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1952), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117953] = 7,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2135), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [117977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    ACTIONS(1274), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [117992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LF,
    ACTIONS(6775), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [118007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__concat,
    ACTIONS(1298), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      sym__concat,
    ACTIONS(1310), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      sym__concat,
    ACTIONS(6777), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 1,
      sym__concat,
    ACTIONS(1302), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6781), 1,
      anon_sym_LF,
    ACTIONS(6783), 1,
      anon_sym_in,
    ACTIONS(6787), 1,
      sym__special_character,
    STATE(2815), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6785), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      sym__concat,
    ACTIONS(6789), 1,
      anon_sym_LF,
    ACTIONS(6791), 1,
      anon_sym_in,
    STATE(2832), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6793), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    ACTIONS(1286), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_LF,
    ACTIONS(6795), 1,
      sym__concat,
    STATE(2808), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6798), 1,
      anon_sym_LF,
    ACTIONS(6800), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(497), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [118160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6802), 1,
      anon_sym_LF,
    ACTIONS(6804), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [118175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      sym__concat,
    ACTIONS(1314), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      sym__concat,
    ACTIONS(1290), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6787), 1,
      sym__special_character,
    ACTIONS(6806), 1,
      anon_sym_LF,
    ACTIONS(6808), 1,
      anon_sym_in,
    STATE(2815), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6810), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 1,
      anon_sym_LF,
    ACTIONS(6814), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [118241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      anon_sym_LF,
    ACTIONS(6816), 1,
      sym__special_character,
    STATE(2815), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1355), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      sym__concat,
    ACTIONS(1378), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__concat,
    ACTIONS(1374), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym__concat,
    ACTIONS(1362), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__concat,
    ACTIONS(1294), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6787), 1,
      sym__special_character,
    ACTIONS(6819), 1,
      anon_sym_LF,
    ACTIONS(6821), 1,
      anon_sym_in,
    STATE(2815), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6823), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      sym__concat,
    ACTIONS(6825), 1,
      anon_sym_LF,
    ACTIONS(6827), 1,
      anon_sym_in,
    STATE(2832), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6829), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      sym__concat,
    ACTIONS(1348), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      sym__concat,
    ACTIONS(6571), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      sym__concat,
    ACTIONS(6833), 1,
      anon_sym_LF,
    ACTIONS(6835), 1,
      anon_sym_in,
    STATE(2832), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6837), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      sym__concat,
    ACTIONS(1344), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__concat,
    ACTIONS(1251), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    ACTIONS(1282), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      sym__concat,
    ACTIONS(1278), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      sym__concat,
    ACTIONS(1270), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LF,
    ACTIONS(6841), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(876), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [118520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_LF,
    ACTIONS(6843), 1,
      sym__concat,
    STATE(2808), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1231), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym__concat,
    ACTIONS(1306), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym__concat,
    ACTIONS(1340), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118569] = 3,
    ACTIONS(1302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1304), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118583] = 3,
    ACTIONS(1290), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1292), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118597] = 3,
    ACTIONS(1340), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1342), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1374), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118625] = 3,
    ACTIONS(1340), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1342), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118639] = 3,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1346), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118653] = 3,
    ACTIONS(1348), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1350), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118667] = 3,
    ACTIONS(1362), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1364), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1444), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1362), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_LF,
    ACTIONS(1195), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [118723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1251), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118737] = 3,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1376), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118751] = 3,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1380), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1426), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118779] = 3,
    ACTIONS(1310), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1312), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118793] = 3,
    ACTIONS(1306), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1308), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1270), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1434), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6845), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1274), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1378), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1278), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1282), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118915] = 3,
    ACTIONS(1298), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1300), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118929] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6847), 1,
      anon_sym_fi,
    ACTIONS(6849), 1,
      anon_sym_elif,
    ACTIONS(6851), 1,
      anon_sym_else,
    STATE(3416), 1,
      sym_else_clause,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [118949] = 3,
    ACTIONS(1294), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1296), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1294), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118977] = 3,
    ACTIONS(1314), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1316), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118991] = 3,
    ACTIONS(1286), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1288), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119019] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_elif,
    ACTIONS(6851), 1,
      anon_sym_else,
    ACTIONS(6853), 1,
      anon_sym_fi,
    STATE(3297), 1,
      sym_else_clause,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119039] = 3,
    ACTIONS(1282), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1284), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119053] = 3,
    ACTIONS(1278), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1280), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LF,
    ACTIONS(6775), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [119081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 1,
      anon_sym_LF,
    ACTIONS(6814), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [119095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1286), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119109] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_elif,
    ACTIONS(6851), 1,
      anon_sym_else,
    ACTIONS(6855), 1,
      anon_sym_fi,
    STATE(3463), 1,
      sym_else_clause,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1438), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119143] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_elif,
    ACTIONS(6851), 1,
      anon_sym_else,
    ACTIONS(6857), 1,
      anon_sym_fi,
    STATE(3274), 1,
      sym_else_clause,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119163] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_elif,
    ACTIONS(6851), 1,
      anon_sym_else,
    ACTIONS(6859), 1,
      anon_sym_fi,
    STATE(3454), 1,
      sym_else_clause,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1348), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1344), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1290), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119225] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_elif,
    ACTIONS(6851), 1,
      anon_sym_else,
    ACTIONS(6861), 1,
      anon_sym_fi,
    STATE(3271), 1,
      sym_else_clause,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1430), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1314), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1310), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1340), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119301] = 3,
    ACTIONS(1274), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1276), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119315] = 3,
    ACTIONS(1270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1272), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1306), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_LF,
    ACTIONS(6865), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(876), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6802), 1,
      anon_sym_LF,
    ACTIONS(6804), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [119373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1302), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1298), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1340), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119415] = 3,
    ACTIONS(1251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1253), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6867), 1,
      anon_sym_LF,
    ACTIONS(6869), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(497), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119445] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6871), 1,
      anon_sym_SEMI,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2053), 2,
      sym_do_group,
      sym_compound_statement,
  [119462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_BQUOTE,
    ACTIONS(6875), 1,
      anon_sym_LF,
    ACTIONS(6877), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_RPAREN,
    ACTIONS(6863), 1,
      anon_sym_LF,
    ACTIONS(6865), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6789), 1,
      anon_sym_LF,
    ACTIONS(6791), 1,
      anon_sym_in,
    ACTIONS(6793), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    ACTIONS(6867), 1,
      anon_sym_LF,
    ACTIONS(6869), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_LF,
    ACTIONS(6835), 1,
      anon_sym_in,
    ACTIONS(6837), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      anon_sym_LF,
    ACTIONS(6881), 1,
      anon_sym_in,
    ACTIONS(6883), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym_LF,
    ACTIONS(6827), 1,
      anon_sym_in,
    ACTIONS(6829), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119567] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6885), 1,
      anon_sym_SEMI,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2122), 2,
      sym_do_group,
      sym_compound_statement,
  [119584] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6889), 1,
      anon_sym_SEMI,
    STATE(2085), 2,
      sym_do_group,
      sym_compound_statement,
  [119601] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6891), 1,
      anon_sym_SEMI,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1756), 2,
      sym_do_group,
      sym_compound_statement,
  [119618] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6895), 1,
      anon_sym_SEMI,
    STATE(2107), 2,
      sym_do_group,
      sym_compound_statement,
  [119635] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6897), 1,
      anon_sym_SEMI,
    STATE(2103), 2,
      sym_do_group,
      sym_compound_statement,
  [119652] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6899), 1,
      anon_sym_SEMI,
    STATE(2102), 2,
      sym_do_group,
      sym_compound_statement,
  [119669] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6901), 1,
      anon_sym_SEMI,
    STATE(1762), 2,
      sym_do_group,
      sym_compound_statement,
  [119686] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6903), 1,
      anon_sym_SEMI,
    STATE(1763), 2,
      sym_do_group,
      sym_compound_statement,
  [119703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6802), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6804), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119716] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6905), 1,
      anon_sym_SEMI,
    STATE(1765), 2,
      sym_do_group,
      sym_compound_statement,
  [119733] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(6909), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      aux_sym_concatenation_repeat1,
    STATE(3011), 1,
      aux_sym_case_item_repeat1,
  [119752] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6911), 1,
      anon_sym_SEMI,
    STATE(2119), 2,
      sym_do_group,
      sym_compound_statement,
  [119769] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6913), 1,
      anon_sym_SEMI,
    STATE(1771), 2,
      sym_do_group,
      sym_compound_statement,
  [119786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      ts_builtin_sym_end,
    ACTIONS(6915), 1,
      anon_sym_LF,
    ACTIONS(6917), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119801] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6919), 1,
      anon_sym_SEMI,
    STATE(1772), 2,
      sym_do_group,
      sym_compound_statement,
  [119818] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6921), 1,
      anon_sym_SEMI,
    STATE(1773), 2,
      sym_do_group,
      sym_compound_statement,
  [119835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6775), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119848] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6923), 1,
      anon_sym_SEMI,
    STATE(2095), 2,
      sym_do_group,
      sym_compound_statement,
  [119865] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(6925), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      aux_sym_concatenation_repeat1,
    STATE(3117), 1,
      aux_sym_case_item_repeat1,
  [119884] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6929), 1,
      anon_sym_elif,
    ACTIONS(6927), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2922), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119899] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(6932), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    STATE(3138), 1,
      aux_sym_case_item_repeat1,
  [119918] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    ACTIONS(6934), 1,
      anon_sym_SEMI,
    STATE(1780), 2,
      sym_do_group,
      sym_compound_statement,
  [119935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6936), 1,
      anon_sym_LF,
    ACTIONS(6938), 1,
      anon_sym_in,
    ACTIONS(6940), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      ts_builtin_sym_end,
    ACTIONS(6942), 1,
      anon_sym_LF,
    ACTIONS(6944), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6814), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119978] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    STATE(2941), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [119993] = 6,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    STATE(3010), 1,
      aux_sym_case_item_repeat1,
  [120012] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6948), 1,
      anon_sym_SEMI,
    STATE(2000), 2,
      sym_do_group,
      sym_compound_statement,
  [120029] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6950), 1,
      anon_sym_SEMI,
    STATE(2040), 2,
      sym_do_group,
      sym_compound_statement,
  [120046] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6952), 1,
      anon_sym_SEMI,
    STATE(2056), 2,
      sym_do_group,
      sym_compound_statement,
  [120063] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    ACTIONS(6954), 1,
      anon_sym_SEMI,
    STATE(2098), 2,
      sym_do_group,
      sym_compound_statement,
  [120080] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6956), 1,
      anon_sym_SEMI,
    STATE(2072), 2,
      sym_do_group,
      sym_compound_statement,
  [120097] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6958), 1,
      anon_sym_SEMI,
    STATE(1940), 2,
      sym_do_group,
      sym_compound_statement,
  [120114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_LF,
    ACTIONS(6962), 1,
      anon_sym_in,
    ACTIONS(6964), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120129] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6966), 1,
      anon_sym_SEMI,
    STATE(2059), 2,
      sym_do_group,
      sym_compound_statement,
  [120146] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    ACTIONS(6968), 1,
      anon_sym_SEMI,
    STATE(2045), 2,
      sym_do_group,
      sym_compound_statement,
  [120163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_BQUOTE,
    ACTIONS(6970), 1,
      anon_sym_LF,
    ACTIONS(6972), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6974), 1,
      anon_sym_LF,
    ACTIONS(6976), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120190] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6978), 1,
      sym__concat,
    STATE(1964), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [120204] = 5,
    ACTIONS(1195), 1,
      sym__special_character,
    ACTIONS(1197), 1,
      anon_sym_RBRACE,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [120220] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2041), 2,
      sym_do_group,
      sym_compound_statement,
  [120234] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2084), 2,
      sym_do_group,
      sym_compound_statement,
  [120248] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2047), 2,
      sym_do_group,
      sym_compound_statement,
  [120262] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2049), 2,
      sym_do_group,
      sym_compound_statement,
  [120276] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2050), 2,
      sym_do_group,
      sym_compound_statement,
  [120290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6982), 1,
      anon_sym_LF,
    ACTIONS(6984), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120302] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2070), 2,
      sym_do_group,
      sym_compound_statement,
  [120316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6986), 1,
      anon_sym_LF,
    ACTIONS(6988), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120328] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2073), 2,
      sym_do_group,
      sym_compound_statement,
  [120342] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2074), 2,
      sym_do_group,
      sym_compound_statement,
  [120356] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2134), 2,
      sym_do_group,
      sym_compound_statement,
  [120370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_LF,
    ACTIONS(6992), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6994), 1,
      anon_sym_LF,
    ACTIONS(6996), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      anon_sym_LF,
    ACTIONS(7000), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120406] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2026), 2,
      sym_do_group,
      sym_compound_statement,
  [120420] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_esac,
    ACTIONS(7004), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7006), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(7008), 1,
      anon_sym_SEMI_SEMI_AMP,
  [120436] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_esac,
    ACTIONS(7012), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7014), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(7016), 1,
      anon_sym_SEMI_SEMI_AMP,
  [120452] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_esac,
    ACTIONS(7018), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7020), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(7022), 1,
      anon_sym_SEMI_SEMI_AMP,
  [120468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_LF,
    ACTIONS(7026), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7028), 1,
      anon_sym_LF,
    ACTIONS(7030), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120492] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7032), 1,
      anon_sym_RBRACK,
    ACTIONS(7034), 1,
      sym__special_character,
    ACTIONS(7036), 1,
      sym__concat,
    STATE(2966), 1,
      aux_sym__literal_repeat1,
  [120508] = 4,
    ACTIONS(1195), 1,
      sym__special_character,
    ACTIONS(4189), 1,
      sym_comment,
    STATE(3101), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1197), 2,
      sym__concat,
      anon_sym_RBRACK,
  [120522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7038), 1,
      anon_sym_LF,
    ACTIONS(7040), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120534] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7042), 1,
      sym__special_character,
    STATE(2966), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1360), 2,
      sym__concat,
      anon_sym_RBRACK,
  [120548] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2088), 2,
      sym_do_group,
      sym_compound_statement,
  [120562] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2090), 2,
      sym_do_group,
      sym_compound_statement,
  [120576] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7045), 1,
      anon_sym_esac,
    ACTIONS(7047), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7049), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_LF,
    ACTIONS(7053), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7055), 1,
      anon_sym_LF,
    ACTIONS(7057), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_LF,
    ACTIONS(7061), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_LF,
    ACTIONS(7065), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_LF,
    ACTIONS(7069), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_LF,
    ACTIONS(7073), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LF,
    ACTIONS(7077), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120674] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1774), 2,
      sym_do_group,
      sym_compound_statement,
  [120688] = 5,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7034), 1,
      sym__special_character,
    ACTIONS(7079), 1,
      anon_sym_RBRACK,
    ACTIONS(7081), 1,
      sym__concat,
    STATE(2966), 1,
      aux_sym__literal_repeat1,
  [120704] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1767), 2,
      sym_do_group,
      sym_compound_statement,
  [120718] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7083), 1,
      anon_sym_esac,
    ACTIONS(7085), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7087), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120732] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7089), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [120746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_LF,
    ACTIONS(7093), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120758] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    STATE(2941), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(7095), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [120772] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1766), 2,
      sym_do_group,
      sym_compound_statement,
  [120786] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2096), 2,
      sym_do_group,
      sym_compound_statement,
  [120800] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1764), 2,
      sym_do_group,
      sym_compound_statement,
  [120814] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1759), 2,
      sym_do_group,
      sym_compound_statement,
  [120828] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1758), 2,
      sym_do_group,
      sym_compound_statement,
  [120842] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2109), 2,
      sym_do_group,
      sym_compound_statement,
  [120856] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2097), 2,
      sym_do_group,
      sym_compound_statement,
  [120870] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1757), 2,
      sym_do_group,
      sym_compound_statement,
  [120884] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_LBRACE,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1755), 2,
      sym_do_group,
      sym_compound_statement,
  [120898] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_LBRACE,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2093), 2,
      sym_do_group,
      sym_compound_statement,
  [120912] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_RBRACE,
    ACTIONS(7099), 1,
      sym__special_character,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [120925] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7101), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [120938] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7103), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [120951] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7105), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [120964] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7107), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [120977] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7109), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [120990] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7111), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121003] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7113), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121016] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7115), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121029] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7117), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121042] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7121), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121053] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7123), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121066] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7125), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121079] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7127), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121092] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7129), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121105] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7131), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121118] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(7133), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [121131] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(7135), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [121144] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(7137), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [121157] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7139), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121170] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7141), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121183] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7143), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121196] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7145), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121209] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7147), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121222] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7149), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121235] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7151), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121248] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7153), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121261] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7155), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121274] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7157), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121287] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7159), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121300] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7161), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121313] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7163), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121326] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7165), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121339] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7167), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121352] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7169), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121365] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7171), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121378] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7173), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121391] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7175), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121404] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7177), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121417] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7179), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121430] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7181), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121443] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7183), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121456] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7185), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121469] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(6909), 1,
      anon_sym_RPAREN,
    STATE(3012), 1,
      aux_sym_case_item_repeat1,
  [121482] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121495] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7189), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121508] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7191), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121521] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7193), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121534] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7195), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121547] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7197), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121560] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7199), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121573] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7201), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121586] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7203), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121599] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7205), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121612] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7207), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121625] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7209), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121638] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7211), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121651] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7215), 1,
      sym__concat,
    ACTIONS(7213), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121662] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7217), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121675] = 4,
    ACTIONS(1217), 1,
      anon_sym_RBRACE,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7219), 1,
      sym__concat,
    STATE(3053), 1,
      aux_sym_concatenation_repeat1,
  [121688] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7222), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121701] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7006), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(7008), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(7224), 1,
      anon_sym_SEMI_SEMI,
  [121714] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7228), 1,
      sym__concat,
    ACTIONS(7226), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121725] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7230), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121736] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7232), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121749] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7234), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121760] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7236), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121773] = 4,
    ACTIONS(1233), 1,
      anon_sym_RBRACE,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7238), 1,
      sym__concat,
    STATE(3053), 1,
      aux_sym_concatenation_repeat1,
  [121786] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7240), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121797] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7242), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121810] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121821] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7246), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121834] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym_RBRACK,
    ACTIONS(7250), 1,
      sym__concat,
    STATE(3101), 1,
      aux_sym_concatenation_repeat1,
  [121847] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7252), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121860] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7254), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121871] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7256), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121884] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7258), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121897] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7260), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121910] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7020), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(7022), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(7262), 1,
      anon_sym_SEMI_SEMI,
  [121923] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7264), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121936] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7266), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121947] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7268), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [121960] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7270), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121973] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7272), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121986] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7274), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [121999] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7276), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122012] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7278), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122025] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7282), 1,
      sym__concat,
    ACTIONS(7280), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122036] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7284), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122049] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7014), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(7016), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(7286), 1,
      anon_sym_SEMI_SEMI,
  [122062] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7288), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122075] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7290), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122088] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_PIPE,
    ACTIONS(7295), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [122101] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7299), 1,
      sym__concat,
    ACTIONS(7297), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122112] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7301), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122125] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7303), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122138] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(6925), 1,
      anon_sym_RPAREN,
    STATE(3137), 1,
      aux_sym_case_item_repeat1,
  [122151] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7305), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122164] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7307), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122177] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7309), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122190] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7311), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122203] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7313), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122216] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7315), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122229] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7317), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122242] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7049), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122253] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7321), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122266] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7323), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122277] = 4,
    ACTIONS(1233), 1,
      anon_sym_RBRACK,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7325), 1,
      sym__concat,
    STATE(2108), 1,
      aux_sym_concatenation_repeat1,
  [122290] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7327), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122303] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7329), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122316] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7331), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122329] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7333), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(7087), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122340] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7335), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122353] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7337), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122366] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7339), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122379] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7341), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122392] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7343), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122405] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_LBRACK,
    ACTIONS(7345), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122416] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7347), 1,
      anon_sym_RBRACK,
    ACTIONS(7349), 1,
      sym__concat,
    STATE(3101), 1,
      aux_sym_concatenation_repeat1,
  [122429] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7351), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122442] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7353), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122455] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7355), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122468] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7357), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122481] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(7359), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [122494] = 3,
    ACTIONS(1195), 1,
      sym__special_character,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym__concat,
      anon_sym_RBRACK,
  [122505] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7361), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122518] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7363), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122531] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7365), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122544] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7367), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122557] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7369), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122570] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7371), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122583] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7373), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122596] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7375), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122609] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7377), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122622] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7379), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122635] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7381), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122648] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7383), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122661] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7385), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122674] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7387), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122687] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7389), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122700] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7391), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122713] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7393), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122726] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7395), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122739] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(7397), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [122752] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_PIPE,
    ACTIONS(7399), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [122765] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7401), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122778] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7403), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122791] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7405), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122804] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7407), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122817] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7409), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122830] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7411), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122843] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7413), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122856] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7415), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122869] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7417), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122882] = 4,
    ACTIONS(1360), 1,
      anon_sym_RBRACE,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7419), 1,
      sym__special_character,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122895] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7422), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122908] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6980), 1,
      sym__concat,
    ACTIONS(7424), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      aux_sym_concatenation_repeat1,
  [122921] = 4,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym__special_character,
    ACTIONS(7426), 1,
      anon_sym_RBRACE,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
  [122934] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7430), 1,
      anon_sym_EQ,
  [122944] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1308), 2,
      sym__concat,
      anon_sym_RBRACE,
  [122952] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1376), 2,
      sym__concat,
      anon_sym_RBRACE,
  [122960] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7432), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7434), 1,
      aux_sym__simple_variable_name_token1,
  [122970] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7436), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122978] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7438), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122986] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1380), 2,
      sym__concat,
      anon_sym_RBRACE,
  [122994] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7440), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7442), 1,
      aux_sym__simple_variable_name_token1,
  [123004] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7444), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7446), 1,
      aux_sym__simple_variable_name_token1,
  [123014] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_EQ,
  [123024] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_EQ,
  [123034] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(1991), 1,
      sym_do_group,
  [123044] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_EQ,
  [123054] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7454), 1,
      anon_sym_EQ,
  [123064] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_EQ,
  [123074] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7458), 1,
      anon_sym_EQ,
  [123084] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_EQ,
  [123094] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7462), 1,
      anon_sym_EQ,
  [123104] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(2001), 1,
      sym_do_group,
  [123114] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_EQ,
  [123124] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_EQ,
  [123134] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7121), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123142] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7468), 1,
      anon_sym_EQ,
  [123152] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      anon_sym_EQ,
  [123162] = 3,
    ACTIONS(1195), 1,
      sym__special_character,
    ACTIONS(1197), 1,
      anon_sym_RBRACE,
    ACTIONS(4189), 1,
      sym_comment,
  [123172] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_EQ,
  [123182] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7474), 1,
      anon_sym_EQ,
  [123192] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7476), 1,
      anon_sym_EQ,
  [123202] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7478), 1,
      anon_sym_EQ,
  [123212] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1432), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123220] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7480), 1,
      anon_sym_EQ,
  [123230] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7482), 1,
      anon_sym_EQ,
  [123240] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_EQ,
  [123250] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_EQ,
  [123260] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2167), 1,
      sym_do_group,
  [123270] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_EQ,
  [123280] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7490), 1,
      anon_sym_EQ,
  [123290] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7492), 1,
      anon_sym_EQ,
  [123300] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_EQ,
  [123310] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7496), 1,
      anon_sym_EQ,
  [123320] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_EQ,
  [123330] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7500), 1,
      anon_sym_EQ,
  [123340] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_EQ,
  [123350] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7504), 1,
      anon_sym_EQ,
  [123360] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_EQ,
  [123370] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7508), 1,
      anon_sym_EQ,
  [123380] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7510), 1,
      anon_sym_EQ,
  [123390] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7512), 1,
      anon_sym_EQ,
  [123400] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7514), 1,
      anon_sym_EQ,
  [123410] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_EQ,
  [123420] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7347), 1,
      anon_sym_RBRACK,
    ACTIONS(7518), 1,
      sym__concat,
  [123430] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1284), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123438] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1280), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123446] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2118), 1,
      sym_do_group,
  [123456] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1276), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123464] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_EQ,
  [123474] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7095), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [123482] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1272), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123490] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1288), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123498] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7522), 1,
      anon_sym_EQ,
  [123508] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7524), 1,
      anon_sym_EQ,
  [123518] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1364), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123526] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7526), 1,
      anon_sym_EQ,
  [123536] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7345), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123544] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7528), 1,
      anon_sym_EQ,
  [123554] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1253), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123562] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1885), 1,
      sym_do_group,
  [123572] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_EQ,
  [123582] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7532), 1,
      anon_sym_EQ,
  [123592] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1440), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123600] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7213), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123608] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1436), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123616] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7534), 1,
      anon_sym_EQ,
  [123626] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7536), 1,
      anon_sym_EQ,
  [123636] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7538), 1,
      anon_sym_EQ,
  [123646] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7226), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123654] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      anon_sym_EQ,
  [123664] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_EQ,
  [123674] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7544), 1,
      anon_sym_EQ,
  [123684] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1350), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123692] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_EQ,
  [123702] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7230), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123710] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123718] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7548), 1,
      anon_sym_EQ,
  [123728] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7550), 1,
      anon_sym_EQ,
  [123738] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7234), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123746] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123754] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1446), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123762] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1857), 1,
      sym_do_group,
  [123772] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1346), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123780] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7552), 1,
      anon_sym_EQ,
  [123790] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_EQ,
  [123800] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123808] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1342), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123816] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7240), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123824] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_EQ,
  [123834] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7558), 1,
      anon_sym_EQ,
  [123844] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7560), 2,
      anon_sym_do,
      anon_sym_then,
  [123852] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7244), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123860] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7562), 1,
      anon_sym_EQ,
  [123870] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_EQ,
  [123880] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7254), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123888] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6887), 1,
      anon_sym_do,
    STATE(2144), 1,
      sym_do_group,
  [123898] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym_RBRACK,
    ACTIONS(7566), 1,
      sym__concat,
  [123908] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7568), 1,
      anon_sym_EQ,
  [123918] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6873), 1,
      anon_sym_do,
    STATE(1926), 1,
      sym_do_group,
  [123928] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7570), 1,
      anon_sym_EQ,
  [123938] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7266), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123946] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1428), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123954] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1296), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123962] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7323), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123970] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1316), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123978] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1300), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123986] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1304), 2,
      sym__concat,
      anon_sym_RBRACE,
  [123994] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      anon_sym_EQ,
  [124004] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_LBRACK,
    ACTIONS(7574), 1,
      anon_sym_EQ,
  [124014] = 3,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6893), 1,
      anon_sym_do,
    STATE(1779), 1,
      sym_do_group,
  [124024] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(1312), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124032] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_RPAREN,
  [124039] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6859), 1,
      anon_sym_fi,
  [124046] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7303), 1,
      anon_sym_RBRACE,
  [124053] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7578), 1,
      anon_sym_RPAREN,
  [124060] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6853), 1,
      anon_sym_fi,
  [124067] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7580), 1,
      anon_sym_BQUOTE,
  [124074] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7290), 1,
      anon_sym_RBRACE,
  [124081] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7582), 1,
      anon_sym_RPAREN,
  [124088] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7584), 1,
      anon_sym_esac,
  [124095] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_RBRACK,
  [124102] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7588), 1,
      anon_sym_esac,
  [124109] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_RBRACE,
  [124116] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_RBRACE,
  [124123] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7278), 1,
      anon_sym_RBRACE,
  [124130] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
  [124137] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7592), 1,
      anon_sym_BQUOTE,
  [124144] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7594), 1,
      anon_sym_RPAREN,
  [124151] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7596), 1,
      anon_sym_RPAREN,
  [124158] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6861), 1,
      anon_sym_fi,
  [124165] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7598), 1,
      anon_sym_then,
  [124172] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7600), 1,
      anon_sym_RPAREN,
  [124179] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_RPAREN,
  [124186] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_RBRACE,
  [124193] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7268), 1,
      anon_sym_RBRACE,
  [124200] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7315), 1,
      anon_sym_RBRACE,
  [124207] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7260), 1,
      anon_sym_RBRACE,
  [124214] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7309), 1,
      anon_sym_RBRACE,
  [124221] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7604), 1,
      anon_sym_fi,
  [124228] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
  [124235] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7608), 1,
      anon_sym_RPAREN,
  [124242] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7209), 1,
      anon_sym_RBRACE,
  [124249] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7610), 1,
      anon_sym_esac,
  [124256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      sym_word,
  [124263] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_RBRACE,
  [124270] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_RPAREN,
  [124277] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7252), 1,
      anon_sym_RBRACE,
  [124284] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_esac,
  [124291] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7242), 1,
      anon_sym_RBRACE,
  [124298] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_RPAREN,
  [124305] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym_RPAREN,
  [124312] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_fi,
  [124319] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7622), 1,
      anon_sym_RPAREN,
  [124326] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_BQUOTE,
  [124333] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_RPAREN,
  [124340] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7628), 1,
      anon_sym_BQUOTE,
  [124347] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_RBRACE,
  [124354] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_BQUOTE,
  [124361] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7632), 1,
      anon_sym_RPAREN,
  [124368] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_BQUOTE,
  [124375] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym_RPAREN,
  [124382] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7638), 1,
      anon_sym_RPAREN,
  [124389] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7640), 1,
      anon_sym_in,
  [124396] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_RPAREN,
  [124403] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_RBRACE,
  [124410] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
  [124417] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7646), 1,
      sym_heredoc_start,
  [124424] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7648), 1,
      anon_sym_BQUOTE,
  [124431] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_RPAREN,
  [124438] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7652), 1,
      anon_sym_BQUOTE,
  [124445] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7654), 1,
      sym_heredoc_start,
  [124452] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7395), 1,
      anon_sym_RBRACE,
  [124459] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7656), 1,
      anon_sym_BQUOTE,
  [124466] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_RPAREN,
  [124473] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_RPAREN,
  [124480] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7662), 1,
      anon_sym_esac,
  [124487] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7664), 1,
      anon_sym_BQUOTE,
  [124494] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7666), 1,
      anon_sym_RPAREN,
  [124501] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7668), 1,
      anon_sym_RPAREN,
  [124508] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7670), 1,
      anon_sym_esac,
  [124515] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7672), 1,
      anon_sym_RPAREN,
  [124522] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7335), 1,
      anon_sym_RBRACE,
  [124529] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7674), 1,
      anon_sym_RPAREN,
  [124536] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7676), 1,
      anon_sym_RPAREN,
  [124543] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
  [124550] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7222), 1,
      anon_sym_RBRACE,
  [124557] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7339), 1,
      anon_sym_RBRACE,
  [124564] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_RPAREN,
  [124571] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7682), 1,
      anon_sym_then,
  [124578] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7684), 1,
      anon_sym_RPAREN,
  [124585] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym_RPAREN,
  [124592] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_BQUOTE,
  [124599] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7690), 1,
      anon_sym_RPAREN,
  [124606] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7692), 1,
      anon_sym_RPAREN,
  [124613] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7341), 1,
      anon_sym_RBRACE,
  [124620] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_RBRACE,
  [124627] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7694), 1,
      anon_sym_RPAREN,
  [124634] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7696), 1,
      sym_heredoc_start,
  [124641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7698), 1,
      sym_word,
  [124648] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_BQUOTE,
  [124655] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_RPAREN,
  [124662] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_RPAREN,
  [124669] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym_RBRACE,
  [124676] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7353), 1,
      anon_sym_RBRACE,
  [124683] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7706), 1,
      anon_sym_BQUOTE,
  [124690] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
  [124697] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7205), 1,
      anon_sym_RBRACE,
  [124704] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7710), 1,
      anon_sym_RPAREN,
  [124711] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_RBRACE,
  [124718] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7197), 1,
      anon_sym_RBRACE,
  [124725] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7712), 1,
      anon_sym_then,
  [124732] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_RBRACE,
  [124739] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7714), 1,
      anon_sym_RPAREN,
  [124746] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym_RBRACE,
  [124753] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_RPAREN,
  [124760] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7193), 1,
      anon_sym_RBRACE,
  [124767] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_RBRACE,
  [124774] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_RBRACK,
  [124781] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym_RBRACE,
  [124788] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7720), 1,
      anon_sym_BQUOTE,
  [124795] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7185), 1,
      anon_sym_RBRACE,
  [124802] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_RPAREN,
  [124809] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_RBRACE,
  [124816] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_BQUOTE,
  [124823] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_esac,
  [124830] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_esac,
  [124837] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_esac,
  [124844] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_esac,
  [124851] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7734), 1,
      anon_sym_RPAREN,
  [124858] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7183), 1,
      anon_sym_RBRACE,
  [124865] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_then,
  [124872] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7738), 1,
      anon_sym_RPAREN,
  [124879] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7387), 1,
      anon_sym_RBRACE,
  [124886] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7740), 1,
      anon_sym_BQUOTE,
  [124893] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_RPAREN,
  [124900] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7744), 1,
      anon_sym_RPAREN,
  [124907] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7746), 1,
      anon_sym_BQUOTE,
  [124914] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7101), 1,
      anon_sym_RBRACE,
  [124921] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym_fi,
  [124928] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7748), 1,
      anon_sym_RPAREN,
  [124935] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_RPAREN,
  [124942] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7752), 1,
      anon_sym_BQUOTE,
  [124949] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7424), 1,
      anon_sym_RBRACE,
  [124956] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7754), 1,
      anon_sym_RBRACK,
  [124963] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7756), 1,
      anon_sym_RPAREN,
  [124970] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_RBRACE,
  [124977] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
  [124984] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7760), 1,
      anon_sym_RPAREN,
  [124991] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7762), 1,
      anon_sym_esac,
  [124998] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7169), 1,
      anon_sym_RBRACE,
  [125005] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7171), 1,
      anon_sym_RBRACE,
  [125012] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_RPAREN,
  [125019] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_BQUOTE,
  [125026] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_RPAREN,
  [125033] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7167), 1,
      anon_sym_RBRACE,
  [125040] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7179), 1,
      anon_sym_RBRACE,
  [125047] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7770), 1,
      anon_sym_esac,
  [125054] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_fi,
  [125061] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_BQUOTE,
  [125068] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym_RBRACK,
  [125075] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7159), 1,
      anon_sym_RBRACE,
  [125082] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7778), 1,
      ts_builtin_sym_end,
  [125089] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
  [125096] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7782), 1,
      anon_sym_in,
  [125103] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7784), 1,
      ts_builtin_sym_end,
  [125110] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_RBRACE,
  [125117] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_RPAREN,
  [125124] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7417), 1,
      anon_sym_RBRACE,
  [125131] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_esac,
  [125138] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7151), 1,
      anon_sym_RBRACE,
  [125145] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7790), 1,
      anon_sym_BQUOTE,
  [125152] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_RPAREN,
  [125159] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_RBRACE,
  [125166] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7413), 1,
      anon_sym_RBRACE,
  [125173] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7794), 1,
      anon_sym_RPAREN,
  [125180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      sym_word,
  [125187] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7383), 1,
      anon_sym_RBRACE,
  [125194] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_RBRACE,
  [125201] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_BQUOTE,
  [125208] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7800), 1,
      anon_sym_BQUOTE,
  [125215] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_RBRACE,
  [125222] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_esac,
  [125229] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7804), 1,
      anon_sym_BQUOTE,
  [125236] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7401), 1,
      anon_sym_RBRACE,
  [125243] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7806), 1,
      anon_sym_RPAREN,
  [125250] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7808), 1,
      anon_sym_RPAREN,
  [125257] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_RPAREN,
  [125264] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7812), 1,
      anon_sym_RPAREN,
  [125271] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7149), 1,
      anon_sym_RBRACE,
  [125278] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_RPAREN,
  [125285] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_in,
  [125292] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_in,
  [125299] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
  [125306] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_RBRACE,
  [125313] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_RBRACE,
  [125320] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7822), 1,
      anon_sym_fi,
  [125327] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7824), 1,
      anon_sym_esac,
  [125334] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7129), 1,
      anon_sym_RBRACE,
  [125341] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_esac,
  [125348] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7828), 1,
      anon_sym_RPAREN,
  [125355] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7117), 1,
      anon_sym_RBRACE,
  [125362] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7830), 1,
      anon_sym_esac,
  [125369] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_RBRACE,
  [125376] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7832), 1,
      anon_sym_BQUOTE,
  [125383] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(6847), 1,
      anon_sym_fi,
  [125390] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7834), 1,
      anon_sym_RPAREN,
  [125397] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_BQUOTE,
  [125404] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7838), 1,
      anon_sym_RPAREN,
  [125411] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7840), 1,
      anon_sym_in,
  [125418] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7842), 1,
      anon_sym_in,
  [125425] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7844), 1,
      anon_sym_RPAREN,
  [125432] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_RBRACE,
  [125439] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_esac,
  [125446] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7848), 1,
      anon_sym_RPAREN,
  [125453] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7850), 1,
      anon_sym_BQUOTE,
  [125460] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7852), 1,
      anon_sym_RPAREN,
  [125467] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7109), 1,
      anon_sym_RBRACE,
  [125474] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_RBRACE,
  [125481] = 2,
    ACTIONS(4189), 1,
      sym_comment,
    ACTIONS(7854), 1,
      anon_sym_BQUOTE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(158)] = 0,
  [SMALL_STATE(159)] = 83,
  [SMALL_STATE(160)] = 166,
  [SMALL_STATE(161)] = 249,
  [SMALL_STATE(162)] = 311,
  [SMALL_STATE(163)] = 373,
  [SMALL_STATE(164)] = 455,
  [SMALL_STATE(165)] = 519,
  [SMALL_STATE(166)] = 601,
  [SMALL_STATE(167)] = 683,
  [SMALL_STATE(168)] = 764,
  [SMALL_STATE(169)] = 823,
  [SMALL_STATE(170)] = 902,
  [SMALL_STATE(171)] = 981,
  [SMALL_STATE(172)] = 1062,
  [SMALL_STATE(173)] = 1143,
  [SMALL_STATE(174)] = 1204,
  [SMALL_STATE(175)] = 1285,
  [SMALL_STATE(176)] = 1364,
  [SMALL_STATE(177)] = 1443,
  [SMALL_STATE(178)] = 1506,
  [SMALL_STATE(179)] = 1567,
  [SMALL_STATE(180)] = 1646,
  [SMALL_STATE(181)] = 1709,
  [SMALL_STATE(182)] = 1790,
  [SMALL_STATE(183)] = 1871,
  [SMALL_STATE(184)] = 1934,
  [SMALL_STATE(185)] = 2012,
  [SMALL_STATE(186)] = 2090,
  [SMALL_STATE(187)] = 2152,
  [SMALL_STATE(188)] = 2228,
  [SMALL_STATE(189)] = 2306,
  [SMALL_STATE(190)] = 2368,
  [SMALL_STATE(191)] = 2446,
  [SMALL_STATE(192)] = 2522,
  [SMALL_STATE(193)] = 2584,
  [SMALL_STATE(194)] = 2646,
  [SMALL_STATE(195)] = 2724,
  [SMALL_STATE(196)] = 2800,
  [SMALL_STATE(197)] = 2862,
  [SMALL_STATE(198)] = 2940,
  [SMALL_STATE(199)] = 3018,
  [SMALL_STATE(200)] = 3071,
  [SMALL_STATE(201)] = 3124,
  [SMALL_STATE(202)] = 3181,
  [SMALL_STATE(203)] = 3258,
  [SMALL_STATE(204)] = 3335,
  [SMALL_STATE(205)] = 3396,
  [SMALL_STATE(206)] = 3473,
  [SMALL_STATE(207)] = 3526,
  [SMALL_STATE(208)] = 3579,
  [SMALL_STATE(209)] = 3640,
  [SMALL_STATE(210)] = 3717,
  [SMALL_STATE(211)] = 3794,
  [SMALL_STATE(212)] = 3847,
  [SMALL_STATE(213)] = 3906,
  [SMALL_STATE(214)] = 3983,
  [SMALL_STATE(215)] = 4058,
  [SMALL_STATE(216)] = 4115,
  [SMALL_STATE(217)] = 4176,
  [SMALL_STATE(218)] = 4251,
  [SMALL_STATE(219)] = 4328,
  [SMALL_STATE(220)] = 4387,
  [SMALL_STATE(221)] = 4440,
  [SMALL_STATE(222)] = 4499,
  [SMALL_STATE(223)] = 4576,
  [SMALL_STATE(224)] = 4633,
  [SMALL_STATE(225)] = 4694,
  [SMALL_STATE(226)] = 4753,
  [SMALL_STATE(227)] = 4828,
  [SMALL_STATE(228)] = 4905,
  [SMALL_STATE(229)] = 4982,
  [SMALL_STATE(230)] = 5043,
  [SMALL_STATE(231)] = 5096,
  [SMALL_STATE(232)] = 5149,
  [SMALL_STATE(233)] = 5223,
  [SMALL_STATE(234)] = 5297,
  [SMALL_STATE(235)] = 5371,
  [SMALL_STATE(236)] = 5431,
  [SMALL_STATE(237)] = 5481,
  [SMALL_STATE(238)] = 5555,
  [SMALL_STATE(239)] = 5629,
  [SMALL_STATE(240)] = 5703,
  [SMALL_STATE(241)] = 5761,
  [SMALL_STATE(242)] = 5817,
  [SMALL_STATE(243)] = 5877,
  [SMALL_STATE(244)] = 5927,
  [SMALL_STATE(245)] = 5985,
  [SMALL_STATE(246)] = 6059,
  [SMALL_STATE(247)] = 6133,
  [SMALL_STATE(248)] = 6207,
  [SMALL_STATE(249)] = 6281,
  [SMALL_STATE(250)] = 6352,
  [SMALL_STATE(251)] = 6443,
  [SMALL_STATE(252)] = 6534,
  [SMALL_STATE(253)] = 6625,
  [SMALL_STATE(254)] = 6716,
  [SMALL_STATE(255)] = 6787,
  [SMALL_STATE(256)] = 6878,
  [SMALL_STATE(257)] = 6928,
  [SMALL_STATE(258)] = 6976,
  [SMALL_STATE(259)] = 7026,
  [SMALL_STATE(260)] = 7076,
  [SMALL_STATE(261)] = 7124,
  [SMALL_STATE(262)] = 7172,
  [SMALL_STATE(263)] = 7222,
  [SMALL_STATE(264)] = 7270,
  [SMALL_STATE(265)] = 7318,
  [SMALL_STATE(266)] = 7366,
  [SMALL_STATE(267)] = 7415,
  [SMALL_STATE(268)] = 7462,
  [SMALL_STATE(269)] = 7511,
  [SMALL_STATE(270)] = 7558,
  [SMALL_STATE(271)] = 7607,
  [SMALL_STATE(272)] = 7670,
  [SMALL_STATE(273)] = 7719,
  [SMALL_STATE(274)] = 7772,
  [SMALL_STATE(275)] = 7825,
  [SMALL_STATE(276)] = 7888,
  [SMALL_STATE(277)] = 7941,
  [SMALL_STATE(278)] = 7991,
  [SMALL_STATE(279)] = 8041,
  [SMALL_STATE(280)] = 8103,
  [SMALL_STATE(281)] = 8153,
  [SMALL_STATE(282)] = 8203,
  [SMALL_STATE(283)] = 8253,
  [SMALL_STATE(284)] = 8305,
  [SMALL_STATE(285)] = 8357,
  [SMALL_STATE(286)] = 8409,
  [SMALL_STATE(287)] = 8459,
  [SMALL_STATE(288)] = 8509,
  [SMALL_STATE(289)] = 8559,
  [SMALL_STATE(290)] = 8609,
  [SMALL_STATE(291)] = 8659,
  [SMALL_STATE(292)] = 8721,
  [SMALL_STATE(293)] = 8771,
  [SMALL_STATE(294)] = 8816,
  [SMALL_STATE(295)] = 8865,
  [SMALL_STATE(296)] = 8914,
  [SMALL_STATE(297)] = 8963,
  [SMALL_STATE(298)] = 9012,
  [SMALL_STATE(299)] = 9061,
  [SMALL_STATE(300)] = 9110,
  [SMALL_STATE(301)] = 9155,
  [SMALL_STATE(302)] = 9200,
  [SMALL_STATE(303)] = 9245,
  [SMALL_STATE(304)] = 9290,
  [SMALL_STATE(305)] = 9335,
  [SMALL_STATE(306)] = 9380,
  [SMALL_STATE(307)] = 9425,
  [SMALL_STATE(308)] = 9470,
  [SMALL_STATE(309)] = 9515,
  [SMALL_STATE(310)] = 9560,
  [SMALL_STATE(311)] = 9605,
  [SMALL_STATE(312)] = 9650,
  [SMALL_STATE(313)] = 9711,
  [SMALL_STATE(314)] = 9762,
  [SMALL_STATE(315)] = 9811,
  [SMALL_STATE(316)] = 9856,
  [SMALL_STATE(317)] = 9901,
  [SMALL_STATE(318)] = 9952,
  [SMALL_STATE(319)] = 9997,
  [SMALL_STATE(320)] = 10042,
  [SMALL_STATE(321)] = 10091,
  [SMALL_STATE(322)] = 10140,
  [SMALL_STATE(323)] = 10191,
  [SMALL_STATE(324)] = 10236,
  [SMALL_STATE(325)] = 10297,
  [SMALL_STATE(326)] = 10348,
  [SMALL_STATE(327)] = 10397,
  [SMALL_STATE(328)] = 10442,
  [SMALL_STATE(329)] = 10491,
  [SMALL_STATE(330)] = 10536,
  [SMALL_STATE(331)] = 10585,
  [SMALL_STATE(332)] = 10630,
  [SMALL_STATE(333)] = 10675,
  [SMALL_STATE(334)] = 10720,
  [SMALL_STATE(335)] = 10765,
  [SMALL_STATE(336)] = 10810,
  [SMALL_STATE(337)] = 10871,
  [SMALL_STATE(338)] = 10916,
  [SMALL_STATE(339)] = 10961,
  [SMALL_STATE(340)] = 11006,
  [SMALL_STATE(341)] = 11051,
  [SMALL_STATE(342)] = 11096,
  [SMALL_STATE(343)] = 11141,
  [SMALL_STATE(344)] = 11186,
  [SMALL_STATE(345)] = 11231,
  [SMALL_STATE(346)] = 11280,
  [SMALL_STATE(347)] = 11329,
  [SMALL_STATE(348)] = 11380,
  [SMALL_STATE(349)] = 11429,
  [SMALL_STATE(350)] = 11474,
  [SMALL_STATE(351)] = 11519,
  [SMALL_STATE(352)] = 11564,
  [SMALL_STATE(353)] = 11609,
  [SMALL_STATE(354)] = 11658,
  [SMALL_STATE(355)] = 11707,
  [SMALL_STATE(356)] = 11756,
  [SMALL_STATE(357)] = 11805,
  [SMALL_STATE(358)] = 11858,
  [SMALL_STATE(359)] = 11907,
  [SMALL_STATE(360)] = 11952,
  [SMALL_STATE(361)] = 12013,
  [SMALL_STATE(362)] = 12062,
  [SMALL_STATE(363)] = 12111,
  [SMALL_STATE(364)] = 12156,
  [SMALL_STATE(365)] = 12201,
  [SMALL_STATE(366)] = 12246,
  [SMALL_STATE(367)] = 12295,
  [SMALL_STATE(368)] = 12340,
  [SMALL_STATE(369)] = 12385,
  [SMALL_STATE(370)] = 12430,
  [SMALL_STATE(371)] = 12479,
  [SMALL_STATE(372)] = 12524,
  [SMALL_STATE(373)] = 12569,
  [SMALL_STATE(374)] = 12618,
  [SMALL_STATE(375)] = 12663,
  [SMALL_STATE(376)] = 12708,
  [SMALL_STATE(377)] = 12753,
  [SMALL_STATE(378)] = 12798,
  [SMALL_STATE(379)] = 12847,
  [SMALL_STATE(380)] = 12892,
  [SMALL_STATE(381)] = 12937,
  [SMALL_STATE(382)] = 12981,
  [SMALL_STATE(383)] = 13025,
  [SMALL_STATE(384)] = 13069,
  [SMALL_STATE(385)] = 13113,
  [SMALL_STATE(386)] = 13157,
  [SMALL_STATE(387)] = 13205,
  [SMALL_STATE(388)] = 13249,
  [SMALL_STATE(389)] = 13297,
  [SMALL_STATE(390)] = 13345,
  [SMALL_STATE(391)] = 13389,
  [SMALL_STATE(392)] = 13437,
  [SMALL_STATE(393)] = 13481,
  [SMALL_STATE(394)] = 13525,
  [SMALL_STATE(395)] = 13573,
  [SMALL_STATE(396)] = 13617,
  [SMALL_STATE(397)] = 13661,
  [SMALL_STATE(398)] = 13705,
  [SMALL_STATE(399)] = 13749,
  [SMALL_STATE(400)] = 13793,
  [SMALL_STATE(401)] = 13837,
  [SMALL_STATE(402)] = 13881,
  [SMALL_STATE(403)] = 13929,
  [SMALL_STATE(404)] = 13973,
  [SMALL_STATE(405)] = 14021,
  [SMALL_STATE(406)] = 14069,
  [SMALL_STATE(407)] = 14113,
  [SMALL_STATE(408)] = 14161,
  [SMALL_STATE(409)] = 14205,
  [SMALL_STATE(410)] = 14249,
  [SMALL_STATE(411)] = 14293,
  [SMALL_STATE(412)] = 14337,
  [SMALL_STATE(413)] = 14385,
  [SMALL_STATE(414)] = 14429,
  [SMALL_STATE(415)] = 14473,
  [SMALL_STATE(416)] = 14517,
  [SMALL_STATE(417)] = 14561,
  [SMALL_STATE(418)] = 14605,
  [SMALL_STATE(419)] = 14649,
  [SMALL_STATE(420)] = 14697,
  [SMALL_STATE(421)] = 14741,
  [SMALL_STATE(422)] = 14785,
  [SMALL_STATE(423)] = 14833,
  [SMALL_STATE(424)] = 14877,
  [SMALL_STATE(425)] = 14921,
  [SMALL_STATE(426)] = 14965,
  [SMALL_STATE(427)] = 15009,
  [SMALL_STATE(428)] = 15053,
  [SMALL_STATE(429)] = 15101,
  [SMALL_STATE(430)] = 15145,
  [SMALL_STATE(431)] = 15189,
  [SMALL_STATE(432)] = 15247,
  [SMALL_STATE(433)] = 15291,
  [SMALL_STATE(434)] = 15339,
  [SMALL_STATE(435)] = 15383,
  [SMALL_STATE(436)] = 15431,
  [SMALL_STATE(437)] = 15475,
  [SMALL_STATE(438)] = 15519,
  [SMALL_STATE(439)] = 15563,
  [SMALL_STATE(440)] = 15607,
  [SMALL_STATE(441)] = 15651,
  [SMALL_STATE(442)] = 15699,
  [SMALL_STATE(443)] = 15743,
  [SMALL_STATE(444)] = 15787,
  [SMALL_STATE(445)] = 15831,
  [SMALL_STATE(446)] = 15875,
  [SMALL_STATE(447)] = 15919,
  [SMALL_STATE(448)] = 15963,
  [SMALL_STATE(449)] = 16007,
  [SMALL_STATE(450)] = 16051,
  [SMALL_STATE(451)] = 16095,
  [SMALL_STATE(452)] = 16143,
  [SMALL_STATE(453)] = 16201,
  [SMALL_STATE(454)] = 16245,
  [SMALL_STATE(455)] = 16293,
  [SMALL_STATE(456)] = 16341,
  [SMALL_STATE(457)] = 16385,
  [SMALL_STATE(458)] = 16443,
  [SMALL_STATE(459)] = 16487,
  [SMALL_STATE(460)] = 16535,
  [SMALL_STATE(461)] = 16579,
  [SMALL_STATE(462)] = 16623,
  [SMALL_STATE(463)] = 16667,
  [SMALL_STATE(464)] = 16711,
  [SMALL_STATE(465)] = 16755,
  [SMALL_STATE(466)] = 16803,
  [SMALL_STATE(467)] = 16851,
  [SMALL_STATE(468)] = 16895,
  [SMALL_STATE(469)] = 16939,
  [SMALL_STATE(470)] = 16987,
  [SMALL_STATE(471)] = 17031,
  [SMALL_STATE(472)] = 17075,
  [SMALL_STATE(473)] = 17123,
  [SMALL_STATE(474)] = 17167,
  [SMALL_STATE(475)] = 17211,
  [SMALL_STATE(476)] = 17255,
  [SMALL_STATE(477)] = 17303,
  [SMALL_STATE(478)] = 17351,
  [SMALL_STATE(479)] = 17395,
  [SMALL_STATE(480)] = 17439,
  [SMALL_STATE(481)] = 17483,
  [SMALL_STATE(482)] = 17527,
  [SMALL_STATE(483)] = 17571,
  [SMALL_STATE(484)] = 17615,
  [SMALL_STATE(485)] = 17659,
  [SMALL_STATE(486)] = 17703,
  [SMALL_STATE(487)] = 17747,
  [SMALL_STATE(488)] = 17791,
  [SMALL_STATE(489)] = 17835,
  [SMALL_STATE(490)] = 17879,
  [SMALL_STATE(491)] = 17923,
  [SMALL_STATE(492)] = 17967,
  [SMALL_STATE(493)] = 18015,
  [SMALL_STATE(494)] = 18069,
  [SMALL_STATE(495)] = 18113,
  [SMALL_STATE(496)] = 18157,
  [SMALL_STATE(497)] = 18207,
  [SMALL_STATE(498)] = 18257,
  [SMALL_STATE(499)] = 18305,
  [SMALL_STATE(500)] = 18349,
  [SMALL_STATE(501)] = 18407,
  [SMALL_STATE(502)] = 18451,
  [SMALL_STATE(503)] = 18499,
  [SMALL_STATE(504)] = 18555,
  [SMALL_STATE(505)] = 18599,
  [SMALL_STATE(506)] = 18647,
  [SMALL_STATE(507)] = 18695,
  [SMALL_STATE(508)] = 18739,
  [SMALL_STATE(509)] = 18783,
  [SMALL_STATE(510)] = 18827,
  [SMALL_STATE(511)] = 18887,
  [SMALL_STATE(512)] = 18931,
  [SMALL_STATE(513)] = 18975,
  [SMALL_STATE(514)] = 19019,
  [SMALL_STATE(515)] = 19063,
  [SMALL_STATE(516)] = 19111,
  [SMALL_STATE(517)] = 19159,
  [SMALL_STATE(518)] = 19203,
  [SMALL_STATE(519)] = 19247,
  [SMALL_STATE(520)] = 19295,
  [SMALL_STATE(521)] = 19339,
  [SMALL_STATE(522)] = 19383,
  [SMALL_STATE(523)] = 19427,
  [SMALL_STATE(524)] = 19471,
  [SMALL_STATE(525)] = 19515,
  [SMALL_STATE(526)] = 19559,
  [SMALL_STATE(527)] = 19603,
  [SMALL_STATE(528)] = 19647,
  [SMALL_STATE(529)] = 19691,
  [SMALL_STATE(530)] = 19739,
  [SMALL_STATE(531)] = 19783,
  [SMALL_STATE(532)] = 19827,
  [SMALL_STATE(533)] = 19885,
  [SMALL_STATE(534)] = 19945,
  [SMALL_STATE(535)] = 19989,
  [SMALL_STATE(536)] = 20037,
  [SMALL_STATE(537)] = 20081,
  [SMALL_STATE(538)] = 20129,
  [SMALL_STATE(539)] = 20177,
  [SMALL_STATE(540)] = 20225,
  [SMALL_STATE(541)] = 20269,
  [SMALL_STATE(542)] = 20313,
  [SMALL_STATE(543)] = 20361,
  [SMALL_STATE(544)] = 20409,
  [SMALL_STATE(545)] = 20453,
  [SMALL_STATE(546)] = 20496,
  [SMALL_STATE(547)] = 20539,
  [SMALL_STATE(548)] = 20586,
  [SMALL_STATE(549)] = 20629,
  [SMALL_STATE(550)] = 20672,
  [SMALL_STATE(551)] = 20719,
  [SMALL_STATE(552)] = 20762,
  [SMALL_STATE(553)] = 20805,
  [SMALL_STATE(554)] = 20848,
  [SMALL_STATE(555)] = 20891,
  [SMALL_STATE(556)] = 20934,
  [SMALL_STATE(557)] = 20977,
  [SMALL_STATE(558)] = 21020,
  [SMALL_STATE(559)] = 21063,
  [SMALL_STATE(560)] = 21106,
  [SMALL_STATE(561)] = 21149,
  [SMALL_STATE(562)] = 21192,
  [SMALL_STATE(563)] = 21235,
  [SMALL_STATE(564)] = 21278,
  [SMALL_STATE(565)] = 21321,
  [SMALL_STATE(566)] = 21364,
  [SMALL_STATE(567)] = 21407,
  [SMALL_STATE(568)] = 21450,
  [SMALL_STATE(569)] = 21493,
  [SMALL_STATE(570)] = 21536,
  [SMALL_STATE(571)] = 21579,
  [SMALL_STATE(572)] = 21622,
  [SMALL_STATE(573)] = 21665,
  [SMALL_STATE(574)] = 21708,
  [SMALL_STATE(575)] = 21755,
  [SMALL_STATE(576)] = 21802,
  [SMALL_STATE(577)] = 21849,
  [SMALL_STATE(578)] = 21892,
  [SMALL_STATE(579)] = 21935,
  [SMALL_STATE(580)] = 21982,
  [SMALL_STATE(581)] = 22029,
  [SMALL_STATE(582)] = 22072,
  [SMALL_STATE(583)] = 22119,
  [SMALL_STATE(584)] = 22166,
  [SMALL_STATE(585)] = 22209,
  [SMALL_STATE(586)] = 22256,
  [SMALL_STATE(587)] = 22303,
  [SMALL_STATE(588)] = 22350,
  [SMALL_STATE(589)] = 22397,
  [SMALL_STATE(590)] = 22450,
  [SMALL_STATE(591)] = 22497,
  [SMALL_STATE(592)] = 22544,
  [SMALL_STATE(593)] = 22587,
  [SMALL_STATE(594)] = 22630,
  [SMALL_STATE(595)] = 22673,
  [SMALL_STATE(596)] = 22716,
  [SMALL_STATE(597)] = 22759,
  [SMALL_STATE(598)] = 22802,
  [SMALL_STATE(599)] = 22845,
  [SMALL_STATE(600)] = 22888,
  [SMALL_STATE(601)] = 22931,
  [SMALL_STATE(602)] = 22974,
  [SMALL_STATE(603)] = 23017,
  [SMALL_STATE(604)] = 23060,
  [SMALL_STATE(605)] = 23103,
  [SMALL_STATE(606)] = 23150,
  [SMALL_STATE(607)] = 23193,
  [SMALL_STATE(608)] = 23236,
  [SMALL_STATE(609)] = 23279,
  [SMALL_STATE(610)] = 23322,
  [SMALL_STATE(611)] = 23365,
  [SMALL_STATE(612)] = 23408,
  [SMALL_STATE(613)] = 23451,
  [SMALL_STATE(614)] = 23494,
  [SMALL_STATE(615)] = 23537,
  [SMALL_STATE(616)] = 23580,
  [SMALL_STATE(617)] = 23623,
  [SMALL_STATE(618)] = 23666,
  [SMALL_STATE(619)] = 23709,
  [SMALL_STATE(620)] = 23752,
  [SMALL_STATE(621)] = 23795,
  [SMALL_STATE(622)] = 23838,
  [SMALL_STATE(623)] = 23881,
  [SMALL_STATE(624)] = 23924,
  [SMALL_STATE(625)] = 23967,
  [SMALL_STATE(626)] = 24014,
  [SMALL_STATE(627)] = 24057,
  [SMALL_STATE(628)] = 24100,
  [SMALL_STATE(629)] = 24143,
  [SMALL_STATE(630)] = 24186,
  [SMALL_STATE(631)] = 24229,
  [SMALL_STATE(632)] = 24272,
  [SMALL_STATE(633)] = 24315,
  [SMALL_STATE(634)] = 24358,
  [SMALL_STATE(635)] = 24401,
  [SMALL_STATE(636)] = 24444,
  [SMALL_STATE(637)] = 24487,
  [SMALL_STATE(638)] = 24530,
  [SMALL_STATE(639)] = 24573,
  [SMALL_STATE(640)] = 24616,
  [SMALL_STATE(641)] = 24663,
  [SMALL_STATE(642)] = 24706,
  [SMALL_STATE(643)] = 24749,
  [SMALL_STATE(644)] = 24796,
  [SMALL_STATE(645)] = 24839,
  [SMALL_STATE(646)] = 24882,
  [SMALL_STATE(647)] = 24929,
  [SMALL_STATE(648)] = 24972,
  [SMALL_STATE(649)] = 25015,
  [SMALL_STATE(650)] = 25058,
  [SMALL_STATE(651)] = 25105,
  [SMALL_STATE(652)] = 25148,
  [SMALL_STATE(653)] = 25191,
  [SMALL_STATE(654)] = 25234,
  [SMALL_STATE(655)] = 25277,
  [SMALL_STATE(656)] = 25320,
  [SMALL_STATE(657)] = 25363,
  [SMALL_STATE(658)] = 25406,
  [SMALL_STATE(659)] = 25449,
  [SMALL_STATE(660)] = 25492,
  [SMALL_STATE(661)] = 25535,
  [SMALL_STATE(662)] = 25578,
  [SMALL_STATE(663)] = 25625,
  [SMALL_STATE(664)] = 25672,
  [SMALL_STATE(665)] = 25719,
  [SMALL_STATE(666)] = 25766,
  [SMALL_STATE(667)] = 25809,
  [SMALL_STATE(668)] = 25852,
  [SMALL_STATE(669)] = 25895,
  [SMALL_STATE(670)] = 25942,
  [SMALL_STATE(671)] = 25989,
  [SMALL_STATE(672)] = 26032,
  [SMALL_STATE(673)] = 26079,
  [SMALL_STATE(674)] = 26122,
  [SMALL_STATE(675)] = 26165,
  [SMALL_STATE(676)] = 26208,
  [SMALL_STATE(677)] = 26251,
  [SMALL_STATE(678)] = 26294,
  [SMALL_STATE(679)] = 26337,
  [SMALL_STATE(680)] = 26380,
  [SMALL_STATE(681)] = 26423,
  [SMALL_STATE(682)] = 26466,
  [SMALL_STATE(683)] = 26509,
  [SMALL_STATE(684)] = 26552,
  [SMALL_STATE(685)] = 26595,
  [SMALL_STATE(686)] = 26638,
  [SMALL_STATE(687)] = 26681,
  [SMALL_STATE(688)] = 26724,
  [SMALL_STATE(689)] = 26767,
  [SMALL_STATE(690)] = 26810,
  [SMALL_STATE(691)] = 26853,
  [SMALL_STATE(692)] = 26896,
  [SMALL_STATE(693)] = 26939,
  [SMALL_STATE(694)] = 26982,
  [SMALL_STATE(695)] = 27025,
  [SMALL_STATE(696)] = 27068,
  [SMALL_STATE(697)] = 27111,
  [SMALL_STATE(698)] = 27158,
  [SMALL_STATE(699)] = 27201,
  [SMALL_STATE(700)] = 27244,
  [SMALL_STATE(701)] = 27291,
  [SMALL_STATE(702)] = 27334,
  [SMALL_STATE(703)] = 27377,
  [SMALL_STATE(704)] = 27420,
  [SMALL_STATE(705)] = 27463,
  [SMALL_STATE(706)] = 27510,
  [SMALL_STATE(707)] = 27553,
  [SMALL_STATE(708)] = 27596,
  [SMALL_STATE(709)] = 27639,
  [SMALL_STATE(710)] = 27682,
  [SMALL_STATE(711)] = 27725,
  [SMALL_STATE(712)] = 27768,
  [SMALL_STATE(713)] = 27815,
  [SMALL_STATE(714)] = 27858,
  [SMALL_STATE(715)] = 27901,
  [SMALL_STATE(716)] = 27944,
  [SMALL_STATE(717)] = 27997,
  [SMALL_STATE(718)] = 28040,
  [SMALL_STATE(719)] = 28083,
  [SMALL_STATE(720)] = 28126,
  [SMALL_STATE(721)] = 28169,
  [SMALL_STATE(722)] = 28212,
  [SMALL_STATE(723)] = 28255,
  [SMALL_STATE(724)] = 28298,
  [SMALL_STATE(725)] = 28341,
  [SMALL_STATE(726)] = 28384,
  [SMALL_STATE(727)] = 28427,
  [SMALL_STATE(728)] = 28470,
  [SMALL_STATE(729)] = 28513,
  [SMALL_STATE(730)] = 28556,
  [SMALL_STATE(731)] = 28599,
  [SMALL_STATE(732)] = 28642,
  [SMALL_STATE(733)] = 28685,
  [SMALL_STATE(734)] = 28728,
  [SMALL_STATE(735)] = 28771,
  [SMALL_STATE(736)] = 28814,
  [SMALL_STATE(737)] = 28857,
  [SMALL_STATE(738)] = 28900,
  [SMALL_STATE(739)] = 28943,
  [SMALL_STATE(740)] = 28990,
  [SMALL_STATE(741)] = 29033,
  [SMALL_STATE(742)] = 29076,
  [SMALL_STATE(743)] = 29119,
  [SMALL_STATE(744)] = 29162,
  [SMALL_STATE(745)] = 29209,
  [SMALL_STATE(746)] = 29252,
  [SMALL_STATE(747)] = 29295,
  [SMALL_STATE(748)] = 29338,
  [SMALL_STATE(749)] = 29381,
  [SMALL_STATE(750)] = 29424,
  [SMALL_STATE(751)] = 29466,
  [SMALL_STATE(752)] = 29508,
  [SMALL_STATE(753)] = 29550,
  [SMALL_STATE(754)] = 29592,
  [SMALL_STATE(755)] = 29634,
  [SMALL_STATE(756)] = 29676,
  [SMALL_STATE(757)] = 29718,
  [SMALL_STATE(758)] = 29760,
  [SMALL_STATE(759)] = 29802,
  [SMALL_STATE(760)] = 29844,
  [SMALL_STATE(761)] = 29886,
  [SMALL_STATE(762)] = 29928,
  [SMALL_STATE(763)] = 29970,
  [SMALL_STATE(764)] = 30012,
  [SMALL_STATE(765)] = 30058,
  [SMALL_STATE(766)] = 30100,
  [SMALL_STATE(767)] = 30142,
  [SMALL_STATE(768)] = 30184,
  [SMALL_STATE(769)] = 30226,
  [SMALL_STATE(770)] = 30268,
  [SMALL_STATE(771)] = 30310,
  [SMALL_STATE(772)] = 30352,
  [SMALL_STATE(773)] = 30394,
  [SMALL_STATE(774)] = 30436,
  [SMALL_STATE(775)] = 30478,
  [SMALL_STATE(776)] = 30520,
  [SMALL_STATE(777)] = 30562,
  [SMALL_STATE(778)] = 30604,
  [SMALL_STATE(779)] = 30646,
  [SMALL_STATE(780)] = 30688,
  [SMALL_STATE(781)] = 30730,
  [SMALL_STATE(782)] = 30772,
  [SMALL_STATE(783)] = 30846,
  [SMALL_STATE(784)] = 30888,
  [SMALL_STATE(785)] = 30962,
  [SMALL_STATE(786)] = 31004,
  [SMALL_STATE(787)] = 31046,
  [SMALL_STATE(788)] = 31088,
  [SMALL_STATE(789)] = 31130,
  [SMALL_STATE(790)] = 31172,
  [SMALL_STATE(791)] = 31214,
  [SMALL_STATE(792)] = 31256,
  [SMALL_STATE(793)] = 31298,
  [SMALL_STATE(794)] = 31344,
  [SMALL_STATE(795)] = 31386,
  [SMALL_STATE(796)] = 31428,
  [SMALL_STATE(797)] = 31470,
  [SMALL_STATE(798)] = 31516,
  [SMALL_STATE(799)] = 31558,
  [SMALL_STATE(800)] = 31600,
  [SMALL_STATE(801)] = 31642,
  [SMALL_STATE(802)] = 31688,
  [SMALL_STATE(803)] = 31730,
  [SMALL_STATE(804)] = 31772,
  [SMALL_STATE(805)] = 31814,
  [SMALL_STATE(806)] = 31856,
  [SMALL_STATE(807)] = 31898,
  [SMALL_STATE(808)] = 31940,
  [SMALL_STATE(809)] = 31982,
  [SMALL_STATE(810)] = 32024,
  [SMALL_STATE(811)] = 32066,
  [SMALL_STATE(812)] = 32108,
  [SMALL_STATE(813)] = 32150,
  [SMALL_STATE(814)] = 32192,
  [SMALL_STATE(815)] = 32234,
  [SMALL_STATE(816)] = 32308,
  [SMALL_STATE(817)] = 32350,
  [SMALL_STATE(818)] = 32396,
  [SMALL_STATE(819)] = 32470,
  [SMALL_STATE(820)] = 32512,
  [SMALL_STATE(821)] = 32554,
  [SMALL_STATE(822)] = 32596,
  [SMALL_STATE(823)] = 32638,
  [SMALL_STATE(824)] = 32680,
  [SMALL_STATE(825)] = 32722,
  [SMALL_STATE(826)] = 32764,
  [SMALL_STATE(827)] = 32806,
  [SMALL_STATE(828)] = 32858,
  [SMALL_STATE(829)] = 32900,
  [SMALL_STATE(830)] = 32942,
  [SMALL_STATE(831)] = 32984,
  [SMALL_STATE(832)] = 33058,
  [SMALL_STATE(833)] = 33100,
  [SMALL_STATE(834)] = 33142,
  [SMALL_STATE(835)] = 33184,
  [SMALL_STATE(836)] = 33226,
  [SMALL_STATE(837)] = 33268,
  [SMALL_STATE(838)] = 33310,
  [SMALL_STATE(839)] = 33352,
  [SMALL_STATE(840)] = 33394,
  [SMALL_STATE(841)] = 33436,
  [SMALL_STATE(842)] = 33478,
  [SMALL_STATE(843)] = 33520,
  [SMALL_STATE(844)] = 33562,
  [SMALL_STATE(845)] = 33604,
  [SMALL_STATE(846)] = 33646,
  [SMALL_STATE(847)] = 33688,
  [SMALL_STATE(848)] = 33730,
  [SMALL_STATE(849)] = 33772,
  [SMALL_STATE(850)] = 33814,
  [SMALL_STATE(851)] = 33856,
  [SMALL_STATE(852)] = 33898,
  [SMALL_STATE(853)] = 33940,
  [SMALL_STATE(854)] = 33982,
  [SMALL_STATE(855)] = 34024,
  [SMALL_STATE(856)] = 34066,
  [SMALL_STATE(857)] = 34108,
  [SMALL_STATE(858)] = 34150,
  [SMALL_STATE(859)] = 34192,
  [SMALL_STATE(860)] = 34234,
  [SMALL_STATE(861)] = 34276,
  [SMALL_STATE(862)] = 34318,
  [SMALL_STATE(863)] = 34364,
  [SMALL_STATE(864)] = 34406,
  [SMALL_STATE(865)] = 34448,
  [SMALL_STATE(866)] = 34490,
  [SMALL_STATE(867)] = 34532,
  [SMALL_STATE(868)] = 34574,
  [SMALL_STATE(869)] = 34616,
  [SMALL_STATE(870)] = 34658,
  [SMALL_STATE(871)] = 34700,
  [SMALL_STATE(872)] = 34746,
  [SMALL_STATE(873)] = 34788,
  [SMALL_STATE(874)] = 34834,
  [SMALL_STATE(875)] = 34876,
  [SMALL_STATE(876)] = 34918,
  [SMALL_STATE(877)] = 34960,
  [SMALL_STATE(878)] = 35002,
  [SMALL_STATE(879)] = 35044,
  [SMALL_STATE(880)] = 35086,
  [SMALL_STATE(881)] = 35128,
  [SMALL_STATE(882)] = 35170,
  [SMALL_STATE(883)] = 35212,
  [SMALL_STATE(884)] = 35254,
  [SMALL_STATE(885)] = 35296,
  [SMALL_STATE(886)] = 35338,
  [SMALL_STATE(887)] = 35380,
  [SMALL_STATE(888)] = 35422,
  [SMALL_STATE(889)] = 35464,
  [SMALL_STATE(890)] = 35505,
  [SMALL_STATE(891)] = 35546,
  [SMALL_STATE(892)] = 35587,
  [SMALL_STATE(893)] = 35628,
  [SMALL_STATE(894)] = 35669,
  [SMALL_STATE(895)] = 35710,
  [SMALL_STATE(896)] = 35759,
  [SMALL_STATE(897)] = 35800,
  [SMALL_STATE(898)] = 35841,
  [SMALL_STATE(899)] = 35882,
  [SMALL_STATE(900)] = 35923,
  [SMALL_STATE(901)] = 35989,
  [SMALL_STATE(902)] = 36041,
  [SMALL_STATE(903)] = 36107,
  [SMALL_STATE(904)] = 36173,
  [SMALL_STATE(905)] = 36223,
  [SMALL_STATE(906)] = 36289,
  [SMALL_STATE(907)] = 36355,
  [SMALL_STATE(908)] = 36421,
  [SMALL_STATE(909)] = 36487,
  [SMALL_STATE(910)] = 36553,
  [SMALL_STATE(911)] = 36619,
  [SMALL_STATE(912)] = 36669,
  [SMALL_STATE(913)] = 36719,
  [SMALL_STATE(914)] = 36782,
  [SMALL_STATE(915)] = 36843,
  [SMALL_STATE(916)] = 36904,
  [SMALL_STATE(917)] = 36965,
  [SMALL_STATE(918)] = 37026,
  [SMALL_STATE(919)] = 37087,
  [SMALL_STATE(920)] = 37148,
  [SMALL_STATE(921)] = 37209,
  [SMALL_STATE(922)] = 37270,
  [SMALL_STATE(923)] = 37331,
  [SMALL_STATE(924)] = 37392,
  [SMALL_STATE(925)] = 37453,
  [SMALL_STATE(926)] = 37514,
  [SMALL_STATE(927)] = 37575,
  [SMALL_STATE(928)] = 37636,
  [SMALL_STATE(929)] = 37697,
  [SMALL_STATE(930)] = 37758,
  [SMALL_STATE(931)] = 37819,
  [SMALL_STATE(932)] = 37880,
  [SMALL_STATE(933)] = 37941,
  [SMALL_STATE(934)] = 38002,
  [SMALL_STATE(935)] = 38063,
  [SMALL_STATE(936)] = 38124,
  [SMALL_STATE(937)] = 38187,
  [SMALL_STATE(938)] = 38248,
  [SMALL_STATE(939)] = 38309,
  [SMALL_STATE(940)] = 38370,
  [SMALL_STATE(941)] = 38431,
  [SMALL_STATE(942)] = 38494,
  [SMALL_STATE(943)] = 38555,
  [SMALL_STATE(944)] = 38616,
  [SMALL_STATE(945)] = 38677,
  [SMALL_STATE(946)] = 38738,
  [SMALL_STATE(947)] = 38799,
  [SMALL_STATE(948)] = 38860,
  [SMALL_STATE(949)] = 38921,
  [SMALL_STATE(950)] = 38982,
  [SMALL_STATE(951)] = 39043,
  [SMALL_STATE(952)] = 39104,
  [SMALL_STATE(953)] = 39165,
  [SMALL_STATE(954)] = 39226,
  [SMALL_STATE(955)] = 39287,
  [SMALL_STATE(956)] = 39348,
  [SMALL_STATE(957)] = 39409,
  [SMALL_STATE(958)] = 39470,
  [SMALL_STATE(959)] = 39531,
  [SMALL_STATE(960)] = 39592,
  [SMALL_STATE(961)] = 39653,
  [SMALL_STATE(962)] = 39714,
  [SMALL_STATE(963)] = 39775,
  [SMALL_STATE(964)] = 39836,
  [SMALL_STATE(965)] = 39897,
  [SMALL_STATE(966)] = 39958,
  [SMALL_STATE(967)] = 40019,
  [SMALL_STATE(968)] = 40080,
  [SMALL_STATE(969)] = 40141,
  [SMALL_STATE(970)] = 40202,
  [SMALL_STATE(971)] = 40263,
  [SMALL_STATE(972)] = 40324,
  [SMALL_STATE(973)] = 40385,
  [SMALL_STATE(974)] = 40446,
  [SMALL_STATE(975)] = 40507,
  [SMALL_STATE(976)] = 40568,
  [SMALL_STATE(977)] = 40629,
  [SMALL_STATE(978)] = 40690,
  [SMALL_STATE(979)] = 40751,
  [SMALL_STATE(980)] = 40812,
  [SMALL_STATE(981)] = 40873,
  [SMALL_STATE(982)] = 40934,
  [SMALL_STATE(983)] = 40995,
  [SMALL_STATE(984)] = 41056,
  [SMALL_STATE(985)] = 41117,
  [SMALL_STATE(986)] = 41178,
  [SMALL_STATE(987)] = 41239,
  [SMALL_STATE(988)] = 41300,
  [SMALL_STATE(989)] = 41361,
  [SMALL_STATE(990)] = 41422,
  [SMALL_STATE(991)] = 41483,
  [SMALL_STATE(992)] = 41544,
  [SMALL_STATE(993)] = 41605,
  [SMALL_STATE(994)] = 41668,
  [SMALL_STATE(995)] = 41731,
  [SMALL_STATE(996)] = 41792,
  [SMALL_STATE(997)] = 41855,
  [SMALL_STATE(998)] = 41916,
  [SMALL_STATE(999)] = 41977,
  [SMALL_STATE(1000)] = 42038,
  [SMALL_STATE(1001)] = 42099,
  [SMALL_STATE(1002)] = 42160,
  [SMALL_STATE(1003)] = 42223,
  [SMALL_STATE(1004)] = 42284,
  [SMALL_STATE(1005)] = 42345,
  [SMALL_STATE(1006)] = 42406,
  [SMALL_STATE(1007)] = 42467,
  [SMALL_STATE(1008)] = 42528,
  [SMALL_STATE(1009)] = 42589,
  [SMALL_STATE(1010)] = 42650,
  [SMALL_STATE(1011)] = 42711,
  [SMALL_STATE(1012)] = 42772,
  [SMALL_STATE(1013)] = 42833,
  [SMALL_STATE(1014)] = 42894,
  [SMALL_STATE(1015)] = 42957,
  [SMALL_STATE(1016)] = 43018,
  [SMALL_STATE(1017)] = 43081,
  [SMALL_STATE(1018)] = 43142,
  [SMALL_STATE(1019)] = 43205,
  [SMALL_STATE(1020)] = 43268,
  [SMALL_STATE(1021)] = 43329,
  [SMALL_STATE(1022)] = 43390,
  [SMALL_STATE(1023)] = 43451,
  [SMALL_STATE(1024)] = 43514,
  [SMALL_STATE(1025)] = 43575,
  [SMALL_STATE(1026)] = 43636,
  [SMALL_STATE(1027)] = 43697,
  [SMALL_STATE(1028)] = 43758,
  [SMALL_STATE(1029)] = 43819,
  [SMALL_STATE(1030)] = 43880,
  [SMALL_STATE(1031)] = 43941,
  [SMALL_STATE(1032)] = 44002,
  [SMALL_STATE(1033)] = 44063,
  [SMALL_STATE(1034)] = 44124,
  [SMALL_STATE(1035)] = 44185,
  [SMALL_STATE(1036)] = 44246,
  [SMALL_STATE(1037)] = 44307,
  [SMALL_STATE(1038)] = 44368,
  [SMALL_STATE(1039)] = 44429,
  [SMALL_STATE(1040)] = 44490,
  [SMALL_STATE(1041)] = 44551,
  [SMALL_STATE(1042)] = 44612,
  [SMALL_STATE(1043)] = 44673,
  [SMALL_STATE(1044)] = 44734,
  [SMALL_STATE(1045)] = 44795,
  [SMALL_STATE(1046)] = 44856,
  [SMALL_STATE(1047)] = 44917,
  [SMALL_STATE(1048)] = 44978,
  [SMALL_STATE(1049)] = 45039,
  [SMALL_STATE(1050)] = 45100,
  [SMALL_STATE(1051)] = 45161,
  [SMALL_STATE(1052)] = 45222,
  [SMALL_STATE(1053)] = 45283,
  [SMALL_STATE(1054)] = 45344,
  [SMALL_STATE(1055)] = 45405,
  [SMALL_STATE(1056)] = 45466,
  [SMALL_STATE(1057)] = 45527,
  [SMALL_STATE(1058)] = 45588,
  [SMALL_STATE(1059)] = 45649,
  [SMALL_STATE(1060)] = 45710,
  [SMALL_STATE(1061)] = 45771,
  [SMALL_STATE(1062)] = 45832,
  [SMALL_STATE(1063)] = 45893,
  [SMALL_STATE(1064)] = 45954,
  [SMALL_STATE(1065)] = 46015,
  [SMALL_STATE(1066)] = 46076,
  [SMALL_STATE(1067)] = 46137,
  [SMALL_STATE(1068)] = 46198,
  [SMALL_STATE(1069)] = 46259,
  [SMALL_STATE(1070)] = 46320,
  [SMALL_STATE(1071)] = 46381,
  [SMALL_STATE(1072)] = 46442,
  [SMALL_STATE(1073)] = 46503,
  [SMALL_STATE(1074)] = 46564,
  [SMALL_STATE(1075)] = 46625,
  [SMALL_STATE(1076)] = 46686,
  [SMALL_STATE(1077)] = 46747,
  [SMALL_STATE(1078)] = 46808,
  [SMALL_STATE(1079)] = 46869,
  [SMALL_STATE(1080)] = 46930,
  [SMALL_STATE(1081)] = 46991,
  [SMALL_STATE(1082)] = 47052,
  [SMALL_STATE(1083)] = 47113,
  [SMALL_STATE(1084)] = 47174,
  [SMALL_STATE(1085)] = 47235,
  [SMALL_STATE(1086)] = 47296,
  [SMALL_STATE(1087)] = 47357,
  [SMALL_STATE(1088)] = 47418,
  [SMALL_STATE(1089)] = 47479,
  [SMALL_STATE(1090)] = 47540,
  [SMALL_STATE(1091)] = 47601,
  [SMALL_STATE(1092)] = 47662,
  [SMALL_STATE(1093)] = 47723,
  [SMALL_STATE(1094)] = 47784,
  [SMALL_STATE(1095)] = 47845,
  [SMALL_STATE(1096)] = 47906,
  [SMALL_STATE(1097)] = 47969,
  [SMALL_STATE(1098)] = 48030,
  [SMALL_STATE(1099)] = 48091,
  [SMALL_STATE(1100)] = 48152,
  [SMALL_STATE(1101)] = 48215,
  [SMALL_STATE(1102)] = 48278,
  [SMALL_STATE(1103)] = 48339,
  [SMALL_STATE(1104)] = 48400,
  [SMALL_STATE(1105)] = 48461,
  [SMALL_STATE(1106)] = 48522,
  [SMALL_STATE(1107)] = 48583,
  [SMALL_STATE(1108)] = 48644,
  [SMALL_STATE(1109)] = 48705,
  [SMALL_STATE(1110)] = 48766,
  [SMALL_STATE(1111)] = 48827,
  [SMALL_STATE(1112)] = 48888,
  [SMALL_STATE(1113)] = 48949,
  [SMALL_STATE(1114)] = 49010,
  [SMALL_STATE(1115)] = 49071,
  [SMALL_STATE(1116)] = 49132,
  [SMALL_STATE(1117)] = 49193,
  [SMALL_STATE(1118)] = 49254,
  [SMALL_STATE(1119)] = 49315,
  [SMALL_STATE(1120)] = 49376,
  [SMALL_STATE(1121)] = 49437,
  [SMALL_STATE(1122)] = 49498,
  [SMALL_STATE(1123)] = 49559,
  [SMALL_STATE(1124)] = 49620,
  [SMALL_STATE(1125)] = 49681,
  [SMALL_STATE(1126)] = 49742,
  [SMALL_STATE(1127)] = 49803,
  [SMALL_STATE(1128)] = 49864,
  [SMALL_STATE(1129)] = 49925,
  [SMALL_STATE(1130)] = 49986,
  [SMALL_STATE(1131)] = 50047,
  [SMALL_STATE(1132)] = 50108,
  [SMALL_STATE(1133)] = 50169,
  [SMALL_STATE(1134)] = 50230,
  [SMALL_STATE(1135)] = 50291,
  [SMALL_STATE(1136)] = 50352,
  [SMALL_STATE(1137)] = 50413,
  [SMALL_STATE(1138)] = 50474,
  [SMALL_STATE(1139)] = 50537,
  [SMALL_STATE(1140)] = 50598,
  [SMALL_STATE(1141)] = 50659,
  [SMALL_STATE(1142)] = 50720,
  [SMALL_STATE(1143)] = 50781,
  [SMALL_STATE(1144)] = 50842,
  [SMALL_STATE(1145)] = 50903,
  [SMALL_STATE(1146)] = 50964,
  [SMALL_STATE(1147)] = 51025,
  [SMALL_STATE(1148)] = 51086,
  [SMALL_STATE(1149)] = 51147,
  [SMALL_STATE(1150)] = 51208,
  [SMALL_STATE(1151)] = 51269,
  [SMALL_STATE(1152)] = 51330,
  [SMALL_STATE(1153)] = 51391,
  [SMALL_STATE(1154)] = 51452,
  [SMALL_STATE(1155)] = 51513,
  [SMALL_STATE(1156)] = 51574,
  [SMALL_STATE(1157)] = 51635,
  [SMALL_STATE(1158)] = 51698,
  [SMALL_STATE(1159)] = 51759,
  [SMALL_STATE(1160)] = 51820,
  [SMALL_STATE(1161)] = 51881,
  [SMALL_STATE(1162)] = 51942,
  [SMALL_STATE(1163)] = 52003,
  [SMALL_STATE(1164)] = 52064,
  [SMALL_STATE(1165)] = 52125,
  [SMALL_STATE(1166)] = 52186,
  [SMALL_STATE(1167)] = 52247,
  [SMALL_STATE(1168)] = 52308,
  [SMALL_STATE(1169)] = 52369,
  [SMALL_STATE(1170)] = 52430,
  [SMALL_STATE(1171)] = 52491,
  [SMALL_STATE(1172)] = 52552,
  [SMALL_STATE(1173)] = 52613,
  [SMALL_STATE(1174)] = 52674,
  [SMALL_STATE(1175)] = 52735,
  [SMALL_STATE(1176)] = 52796,
  [SMALL_STATE(1177)] = 52857,
  [SMALL_STATE(1178)] = 52918,
  [SMALL_STATE(1179)] = 52976,
  [SMALL_STATE(1180)] = 53034,
  [SMALL_STATE(1181)] = 53092,
  [SMALL_STATE(1182)] = 53150,
  [SMALL_STATE(1183)] = 53208,
  [SMALL_STATE(1184)] = 53266,
  [SMALL_STATE(1185)] = 53324,
  [SMALL_STATE(1186)] = 53382,
  [SMALL_STATE(1187)] = 53440,
  [SMALL_STATE(1188)] = 53498,
  [SMALL_STATE(1189)] = 53556,
  [SMALL_STATE(1190)] = 53614,
  [SMALL_STATE(1191)] = 53672,
  [SMALL_STATE(1192)] = 53730,
  [SMALL_STATE(1193)] = 53788,
  [SMALL_STATE(1194)] = 53846,
  [SMALL_STATE(1195)] = 53904,
  [SMALL_STATE(1196)] = 53962,
  [SMALL_STATE(1197)] = 54022,
  [SMALL_STATE(1198)] = 54080,
  [SMALL_STATE(1199)] = 54138,
  [SMALL_STATE(1200)] = 54196,
  [SMALL_STATE(1201)] = 54254,
  [SMALL_STATE(1202)] = 54312,
  [SMALL_STATE(1203)] = 54370,
  [SMALL_STATE(1204)] = 54428,
  [SMALL_STATE(1205)] = 54486,
  [SMALL_STATE(1206)] = 54544,
  [SMALL_STATE(1207)] = 54602,
  [SMALL_STATE(1208)] = 54660,
  [SMALL_STATE(1209)] = 54718,
  [SMALL_STATE(1210)] = 54776,
  [SMALL_STATE(1211)] = 54834,
  [SMALL_STATE(1212)] = 54892,
  [SMALL_STATE(1213)] = 54950,
  [SMALL_STATE(1214)] = 55008,
  [SMALL_STATE(1215)] = 55066,
  [SMALL_STATE(1216)] = 55124,
  [SMALL_STATE(1217)] = 55182,
  [SMALL_STATE(1218)] = 55240,
  [SMALL_STATE(1219)] = 55298,
  [SMALL_STATE(1220)] = 55358,
  [SMALL_STATE(1221)] = 55416,
  [SMALL_STATE(1222)] = 55476,
  [SMALL_STATE(1223)] = 55534,
  [SMALL_STATE(1224)] = 55592,
  [SMALL_STATE(1225)] = 55650,
  [SMALL_STATE(1226)] = 55708,
  [SMALL_STATE(1227)] = 55766,
  [SMALL_STATE(1228)] = 55824,
  [SMALL_STATE(1229)] = 55882,
  [SMALL_STATE(1230)] = 55940,
  [SMALL_STATE(1231)] = 55998,
  [SMALL_STATE(1232)] = 56056,
  [SMALL_STATE(1233)] = 56114,
  [SMALL_STATE(1234)] = 56172,
  [SMALL_STATE(1235)] = 56230,
  [SMALL_STATE(1236)] = 56288,
  [SMALL_STATE(1237)] = 56346,
  [SMALL_STATE(1238)] = 56404,
  [SMALL_STATE(1239)] = 56462,
  [SMALL_STATE(1240)] = 56520,
  [SMALL_STATE(1241)] = 56578,
  [SMALL_STATE(1242)] = 56636,
  [SMALL_STATE(1243)] = 56694,
  [SMALL_STATE(1244)] = 56752,
  [SMALL_STATE(1245)] = 56810,
  [SMALL_STATE(1246)] = 56868,
  [SMALL_STATE(1247)] = 56926,
  [SMALL_STATE(1248)] = 56984,
  [SMALL_STATE(1249)] = 57042,
  [SMALL_STATE(1250)] = 57100,
  [SMALL_STATE(1251)] = 57158,
  [SMALL_STATE(1252)] = 57216,
  [SMALL_STATE(1253)] = 57274,
  [SMALL_STATE(1254)] = 57332,
  [SMALL_STATE(1255)] = 57390,
  [SMALL_STATE(1256)] = 57448,
  [SMALL_STATE(1257)] = 57506,
  [SMALL_STATE(1258)] = 57564,
  [SMALL_STATE(1259)] = 57622,
  [SMALL_STATE(1260)] = 57680,
  [SMALL_STATE(1261)] = 57738,
  [SMALL_STATE(1262)] = 57796,
  [SMALL_STATE(1263)] = 57854,
  [SMALL_STATE(1264)] = 57912,
  [SMALL_STATE(1265)] = 57970,
  [SMALL_STATE(1266)] = 58028,
  [SMALL_STATE(1267)] = 58086,
  [SMALL_STATE(1268)] = 58144,
  [SMALL_STATE(1269)] = 58202,
  [SMALL_STATE(1270)] = 58260,
  [SMALL_STATE(1271)] = 58318,
  [SMALL_STATE(1272)] = 58376,
  [SMALL_STATE(1273)] = 58434,
  [SMALL_STATE(1274)] = 58492,
  [SMALL_STATE(1275)] = 58550,
  [SMALL_STATE(1276)] = 58608,
  [SMALL_STATE(1277)] = 58666,
  [SMALL_STATE(1278)] = 58724,
  [SMALL_STATE(1279)] = 58782,
  [SMALL_STATE(1280)] = 58840,
  [SMALL_STATE(1281)] = 58898,
  [SMALL_STATE(1282)] = 58956,
  [SMALL_STATE(1283)] = 59014,
  [SMALL_STATE(1284)] = 59072,
  [SMALL_STATE(1285)] = 59130,
  [SMALL_STATE(1286)] = 59188,
  [SMALL_STATE(1287)] = 59246,
  [SMALL_STATE(1288)] = 59304,
  [SMALL_STATE(1289)] = 59362,
  [SMALL_STATE(1290)] = 59420,
  [SMALL_STATE(1291)] = 59478,
  [SMALL_STATE(1292)] = 59536,
  [SMALL_STATE(1293)] = 59594,
  [SMALL_STATE(1294)] = 59652,
  [SMALL_STATE(1295)] = 59710,
  [SMALL_STATE(1296)] = 59768,
  [SMALL_STATE(1297)] = 59826,
  [SMALL_STATE(1298)] = 59884,
  [SMALL_STATE(1299)] = 59942,
  [SMALL_STATE(1300)] = 60000,
  [SMALL_STATE(1301)] = 60058,
  [SMALL_STATE(1302)] = 60116,
  [SMALL_STATE(1303)] = 60174,
  [SMALL_STATE(1304)] = 60232,
  [SMALL_STATE(1305)] = 60290,
  [SMALL_STATE(1306)] = 60348,
  [SMALL_STATE(1307)] = 60406,
  [SMALL_STATE(1308)] = 60464,
  [SMALL_STATE(1309)] = 60522,
  [SMALL_STATE(1310)] = 60580,
  [SMALL_STATE(1311)] = 60638,
  [SMALL_STATE(1312)] = 60696,
  [SMALL_STATE(1313)] = 60754,
  [SMALL_STATE(1314)] = 60812,
  [SMALL_STATE(1315)] = 60870,
  [SMALL_STATE(1316)] = 60928,
  [SMALL_STATE(1317)] = 60986,
  [SMALL_STATE(1318)] = 61044,
  [SMALL_STATE(1319)] = 61102,
  [SMALL_STATE(1320)] = 61160,
  [SMALL_STATE(1321)] = 61218,
  [SMALL_STATE(1322)] = 61276,
  [SMALL_STATE(1323)] = 61334,
  [SMALL_STATE(1324)] = 61392,
  [SMALL_STATE(1325)] = 61450,
  [SMALL_STATE(1326)] = 61508,
  [SMALL_STATE(1327)] = 61566,
  [SMALL_STATE(1328)] = 61624,
  [SMALL_STATE(1329)] = 61682,
  [SMALL_STATE(1330)] = 61740,
  [SMALL_STATE(1331)] = 61798,
  [SMALL_STATE(1332)] = 61856,
  [SMALL_STATE(1333)] = 61914,
  [SMALL_STATE(1334)] = 61972,
  [SMALL_STATE(1335)] = 62030,
  [SMALL_STATE(1336)] = 62088,
  [SMALL_STATE(1337)] = 62146,
  [SMALL_STATE(1338)] = 62204,
  [SMALL_STATE(1339)] = 62262,
  [SMALL_STATE(1340)] = 62320,
  [SMALL_STATE(1341)] = 62378,
  [SMALL_STATE(1342)] = 62436,
  [SMALL_STATE(1343)] = 62494,
  [SMALL_STATE(1344)] = 62552,
  [SMALL_STATE(1345)] = 62610,
  [SMALL_STATE(1346)] = 62668,
  [SMALL_STATE(1347)] = 62726,
  [SMALL_STATE(1348)] = 62784,
  [SMALL_STATE(1349)] = 62842,
  [SMALL_STATE(1350)] = 62902,
  [SMALL_STATE(1351)] = 62960,
  [SMALL_STATE(1352)] = 63018,
  [SMALL_STATE(1353)] = 63076,
  [SMALL_STATE(1354)] = 63134,
  [SMALL_STATE(1355)] = 63192,
  [SMALL_STATE(1356)] = 63250,
  [SMALL_STATE(1357)] = 63308,
  [SMALL_STATE(1358)] = 63366,
  [SMALL_STATE(1359)] = 63424,
  [SMALL_STATE(1360)] = 63482,
  [SMALL_STATE(1361)] = 63540,
  [SMALL_STATE(1362)] = 63598,
  [SMALL_STATE(1363)] = 63656,
  [SMALL_STATE(1364)] = 63714,
  [SMALL_STATE(1365)] = 63772,
  [SMALL_STATE(1366)] = 63830,
  [SMALL_STATE(1367)] = 63888,
  [SMALL_STATE(1368)] = 63946,
  [SMALL_STATE(1369)] = 64004,
  [SMALL_STATE(1370)] = 64062,
  [SMALL_STATE(1371)] = 64120,
  [SMALL_STATE(1372)] = 64178,
  [SMALL_STATE(1373)] = 64236,
  [SMALL_STATE(1374)] = 64294,
  [SMALL_STATE(1375)] = 64352,
  [SMALL_STATE(1376)] = 64410,
  [SMALL_STATE(1377)] = 64468,
  [SMALL_STATE(1378)] = 64526,
  [SMALL_STATE(1379)] = 64584,
  [SMALL_STATE(1380)] = 64642,
  [SMALL_STATE(1381)] = 64700,
  [SMALL_STATE(1382)] = 64760,
  [SMALL_STATE(1383)] = 64818,
  [SMALL_STATE(1384)] = 64878,
  [SMALL_STATE(1385)] = 64938,
  [SMALL_STATE(1386)] = 64996,
  [SMALL_STATE(1387)] = 65054,
  [SMALL_STATE(1388)] = 65112,
  [SMALL_STATE(1389)] = 65170,
  [SMALL_STATE(1390)] = 65228,
  [SMALL_STATE(1391)] = 65288,
  [SMALL_STATE(1392)] = 65348,
  [SMALL_STATE(1393)] = 65406,
  [SMALL_STATE(1394)] = 65464,
  [SMALL_STATE(1395)] = 65522,
  [SMALL_STATE(1396)] = 65580,
  [SMALL_STATE(1397)] = 65638,
  [SMALL_STATE(1398)] = 65696,
  [SMALL_STATE(1399)] = 65754,
  [SMALL_STATE(1400)] = 65812,
  [SMALL_STATE(1401)] = 65870,
  [SMALL_STATE(1402)] = 65928,
  [SMALL_STATE(1403)] = 65986,
  [SMALL_STATE(1404)] = 66044,
  [SMALL_STATE(1405)] = 66102,
  [SMALL_STATE(1406)] = 66160,
  [SMALL_STATE(1407)] = 66220,
  [SMALL_STATE(1408)] = 66278,
  [SMALL_STATE(1409)] = 66336,
  [SMALL_STATE(1410)] = 66394,
  [SMALL_STATE(1411)] = 66452,
  [SMALL_STATE(1412)] = 66512,
  [SMALL_STATE(1413)] = 66570,
  [SMALL_STATE(1414)] = 66628,
  [SMALL_STATE(1415)] = 66686,
  [SMALL_STATE(1416)] = 66744,
  [SMALL_STATE(1417)] = 66802,
  [SMALL_STATE(1418)] = 66862,
  [SMALL_STATE(1419)] = 66920,
  [SMALL_STATE(1420)] = 66978,
  [SMALL_STATE(1421)] = 67036,
  [SMALL_STATE(1422)] = 67094,
  [SMALL_STATE(1423)] = 67152,
  [SMALL_STATE(1424)] = 67212,
  [SMALL_STATE(1425)] = 67270,
  [SMALL_STATE(1426)] = 67328,
  [SMALL_STATE(1427)] = 67386,
  [SMALL_STATE(1428)] = 67444,
  [SMALL_STATE(1429)] = 67502,
  [SMALL_STATE(1430)] = 67560,
  [SMALL_STATE(1431)] = 67618,
  [SMALL_STATE(1432)] = 67676,
  [SMALL_STATE(1433)] = 67734,
  [SMALL_STATE(1434)] = 67792,
  [SMALL_STATE(1435)] = 67850,
  [SMALL_STATE(1436)] = 67908,
  [SMALL_STATE(1437)] = 67966,
  [SMALL_STATE(1438)] = 68024,
  [SMALL_STATE(1439)] = 68082,
  [SMALL_STATE(1440)] = 68140,
  [SMALL_STATE(1441)] = 68198,
  [SMALL_STATE(1442)] = 68256,
  [SMALL_STATE(1443)] = 68314,
  [SMALL_STATE(1444)] = 68372,
  [SMALL_STATE(1445)] = 68430,
  [SMALL_STATE(1446)] = 68488,
  [SMALL_STATE(1447)] = 68546,
  [SMALL_STATE(1448)] = 68604,
  [SMALL_STATE(1449)] = 68662,
  [SMALL_STATE(1450)] = 68720,
  [SMALL_STATE(1451)] = 68778,
  [SMALL_STATE(1452)] = 68836,
  [SMALL_STATE(1453)] = 68894,
  [SMALL_STATE(1454)] = 68954,
  [SMALL_STATE(1455)] = 69012,
  [SMALL_STATE(1456)] = 69070,
  [SMALL_STATE(1457)] = 69128,
  [SMALL_STATE(1458)] = 69186,
  [SMALL_STATE(1459)] = 69244,
  [SMALL_STATE(1460)] = 69302,
  [SMALL_STATE(1461)] = 69362,
  [SMALL_STATE(1462)] = 69420,
  [SMALL_STATE(1463)] = 69478,
  [SMALL_STATE(1464)] = 69536,
  [SMALL_STATE(1465)] = 69594,
  [SMALL_STATE(1466)] = 69652,
  [SMALL_STATE(1467)] = 69712,
  [SMALL_STATE(1468)] = 69770,
  [SMALL_STATE(1469)] = 69828,
  [SMALL_STATE(1470)] = 69886,
  [SMALL_STATE(1471)] = 69944,
  [SMALL_STATE(1472)] = 70002,
  [SMALL_STATE(1473)] = 70060,
  [SMALL_STATE(1474)] = 70118,
  [SMALL_STATE(1475)] = 70176,
  [SMALL_STATE(1476)] = 70234,
  [SMALL_STATE(1477)] = 70292,
  [SMALL_STATE(1478)] = 70350,
  [SMALL_STATE(1479)] = 70408,
  [SMALL_STATE(1480)] = 70466,
  [SMALL_STATE(1481)] = 70524,
  [SMALL_STATE(1482)] = 70582,
  [SMALL_STATE(1483)] = 70640,
  [SMALL_STATE(1484)] = 70698,
  [SMALL_STATE(1485)] = 70756,
  [SMALL_STATE(1486)] = 70814,
  [SMALL_STATE(1487)] = 70872,
  [SMALL_STATE(1488)] = 70930,
  [SMALL_STATE(1489)] = 70988,
  [SMALL_STATE(1490)] = 71046,
  [SMALL_STATE(1491)] = 71104,
  [SMALL_STATE(1492)] = 71162,
  [SMALL_STATE(1493)] = 71220,
  [SMALL_STATE(1494)] = 71278,
  [SMALL_STATE(1495)] = 71336,
  [SMALL_STATE(1496)] = 71394,
  [SMALL_STATE(1497)] = 71452,
  [SMALL_STATE(1498)] = 71510,
  [SMALL_STATE(1499)] = 71568,
  [SMALL_STATE(1500)] = 71626,
  [SMALL_STATE(1501)] = 71684,
  [SMALL_STATE(1502)] = 71742,
  [SMALL_STATE(1503)] = 71800,
  [SMALL_STATE(1504)] = 71858,
  [SMALL_STATE(1505)] = 71916,
  [SMALL_STATE(1506)] = 71974,
  [SMALL_STATE(1507)] = 72032,
  [SMALL_STATE(1508)] = 72090,
  [SMALL_STATE(1509)] = 72148,
  [SMALL_STATE(1510)] = 72206,
  [SMALL_STATE(1511)] = 72264,
  [SMALL_STATE(1512)] = 72322,
  [SMALL_STATE(1513)] = 72380,
  [SMALL_STATE(1514)] = 72438,
  [SMALL_STATE(1515)] = 72496,
  [SMALL_STATE(1516)] = 72554,
  [SMALL_STATE(1517)] = 72612,
  [SMALL_STATE(1518)] = 72670,
  [SMALL_STATE(1519)] = 72728,
  [SMALL_STATE(1520)] = 72786,
  [SMALL_STATE(1521)] = 72844,
  [SMALL_STATE(1522)] = 72902,
  [SMALL_STATE(1523)] = 72960,
  [SMALL_STATE(1524)] = 73018,
  [SMALL_STATE(1525)] = 73078,
  [SMALL_STATE(1526)] = 73136,
  [SMALL_STATE(1527)] = 73194,
  [SMALL_STATE(1528)] = 73252,
  [SMALL_STATE(1529)] = 73312,
  [SMALL_STATE(1530)] = 73370,
  [SMALL_STATE(1531)] = 73428,
  [SMALL_STATE(1532)] = 73488,
  [SMALL_STATE(1533)] = 73546,
  [SMALL_STATE(1534)] = 73604,
  [SMALL_STATE(1535)] = 73664,
  [SMALL_STATE(1536)] = 73724,
  [SMALL_STATE(1537)] = 73782,
  [SMALL_STATE(1538)] = 73840,
  [SMALL_STATE(1539)] = 73898,
  [SMALL_STATE(1540)] = 73956,
  [SMALL_STATE(1541)] = 74014,
  [SMALL_STATE(1542)] = 74072,
  [SMALL_STATE(1543)] = 74130,
  [SMALL_STATE(1544)] = 74188,
  [SMALL_STATE(1545)] = 74246,
  [SMALL_STATE(1546)] = 74304,
  [SMALL_STATE(1547)] = 74362,
  [SMALL_STATE(1548)] = 74420,
  [SMALL_STATE(1549)] = 74478,
  [SMALL_STATE(1550)] = 74536,
  [SMALL_STATE(1551)] = 74594,
  [SMALL_STATE(1552)] = 74652,
  [SMALL_STATE(1553)] = 74710,
  [SMALL_STATE(1554)] = 74770,
  [SMALL_STATE(1555)] = 74828,
  [SMALL_STATE(1556)] = 74886,
  [SMALL_STATE(1557)] = 74944,
  [SMALL_STATE(1558)] = 75002,
  [SMALL_STATE(1559)] = 75060,
  [SMALL_STATE(1560)] = 75118,
  [SMALL_STATE(1561)] = 75176,
  [SMALL_STATE(1562)] = 75234,
  [SMALL_STATE(1563)] = 75292,
  [SMALL_STATE(1564)] = 75352,
  [SMALL_STATE(1565)] = 75410,
  [SMALL_STATE(1566)] = 75468,
  [SMALL_STATE(1567)] = 75526,
  [SMALL_STATE(1568)] = 75584,
  [SMALL_STATE(1569)] = 75642,
  [SMALL_STATE(1570)] = 75700,
  [SMALL_STATE(1571)] = 75758,
  [SMALL_STATE(1572)] = 75816,
  [SMALL_STATE(1573)] = 75874,
  [SMALL_STATE(1574)] = 75932,
  [SMALL_STATE(1575)] = 75990,
  [SMALL_STATE(1576)] = 76048,
  [SMALL_STATE(1577)] = 76106,
  [SMALL_STATE(1578)] = 76164,
  [SMALL_STATE(1579)] = 76222,
  [SMALL_STATE(1580)] = 76280,
  [SMALL_STATE(1581)] = 76338,
  [SMALL_STATE(1582)] = 76398,
  [SMALL_STATE(1583)] = 76456,
  [SMALL_STATE(1584)] = 76516,
  [SMALL_STATE(1585)] = 76574,
  [SMALL_STATE(1586)] = 76632,
  [SMALL_STATE(1587)] = 76690,
  [SMALL_STATE(1588)] = 76748,
  [SMALL_STATE(1589)] = 76806,
  [SMALL_STATE(1590)] = 76864,
  [SMALL_STATE(1591)] = 76924,
  [SMALL_STATE(1592)] = 76982,
  [SMALL_STATE(1593)] = 77040,
  [SMALL_STATE(1594)] = 77098,
  [SMALL_STATE(1595)] = 77156,
  [SMALL_STATE(1596)] = 77214,
  [SMALL_STATE(1597)] = 77272,
  [SMALL_STATE(1598)] = 77330,
  [SMALL_STATE(1599)] = 77388,
  [SMALL_STATE(1600)] = 77446,
  [SMALL_STATE(1601)] = 77504,
  [SMALL_STATE(1602)] = 77562,
  [SMALL_STATE(1603)] = 77620,
  [SMALL_STATE(1604)] = 77678,
  [SMALL_STATE(1605)] = 77736,
  [SMALL_STATE(1606)] = 77794,
  [SMALL_STATE(1607)] = 77854,
  [SMALL_STATE(1608)] = 77912,
  [SMALL_STATE(1609)] = 77970,
  [SMALL_STATE(1610)] = 78028,
  [SMALL_STATE(1611)] = 78086,
  [SMALL_STATE(1612)] = 78144,
  [SMALL_STATE(1613)] = 78204,
  [SMALL_STATE(1614)] = 78262,
  [SMALL_STATE(1615)] = 78322,
  [SMALL_STATE(1616)] = 78380,
  [SMALL_STATE(1617)] = 78440,
  [SMALL_STATE(1618)] = 78498,
  [SMALL_STATE(1619)] = 78556,
  [SMALL_STATE(1620)] = 78614,
  [SMALL_STATE(1621)] = 78672,
  [SMALL_STATE(1622)] = 78730,
  [SMALL_STATE(1623)] = 78788,
  [SMALL_STATE(1624)] = 78846,
  [SMALL_STATE(1625)] = 78904,
  [SMALL_STATE(1626)] = 78962,
  [SMALL_STATE(1627)] = 79020,
  [SMALL_STATE(1628)] = 79078,
  [SMALL_STATE(1629)] = 79136,
  [SMALL_STATE(1630)] = 79196,
  [SMALL_STATE(1631)] = 79254,
  [SMALL_STATE(1632)] = 79312,
  [SMALL_STATE(1633)] = 79370,
  [SMALL_STATE(1634)] = 79428,
  [SMALL_STATE(1635)] = 79486,
  [SMALL_STATE(1636)] = 79544,
  [SMALL_STATE(1637)] = 79604,
  [SMALL_STATE(1638)] = 79662,
  [SMALL_STATE(1639)] = 79722,
  [SMALL_STATE(1640)] = 79780,
  [SMALL_STATE(1641)] = 79838,
  [SMALL_STATE(1642)] = 79896,
  [SMALL_STATE(1643)] = 79954,
  [SMALL_STATE(1644)] = 80012,
  [SMALL_STATE(1645)] = 80070,
  [SMALL_STATE(1646)] = 80128,
  [SMALL_STATE(1647)] = 80171,
  [SMALL_STATE(1648)] = 80210,
  [SMALL_STATE(1649)] = 80247,
  [SMALL_STATE(1650)] = 80298,
  [SMALL_STATE(1651)] = 80343,
  [SMALL_STATE(1652)] = 80394,
  [SMALL_STATE(1653)] = 80439,
  [SMALL_STATE(1654)] = 80475,
  [SMALL_STATE(1655)] = 80519,
  [SMALL_STATE(1656)] = 80555,
  [SMALL_STATE(1657)] = 80605,
  [SMALL_STATE(1658)] = 80643,
  [SMALL_STATE(1659)] = 80693,
  [SMALL_STATE(1660)] = 80737,
  [SMALL_STATE(1661)] = 80781,
  [SMALL_STATE(1662)] = 80819,
  [SMALL_STATE(1663)] = 80863,
  [SMALL_STATE(1664)] = 80900,
  [SMALL_STATE(1665)] = 80937,
  [SMALL_STATE(1666)] = 80986,
  [SMALL_STATE(1667)] = 81023,
  [SMALL_STATE(1668)] = 81058,
  [SMALL_STATE(1669)] = 81095,
  [SMALL_STATE(1670)] = 81144,
  [SMALL_STATE(1671)] = 81181,
  [SMALL_STATE(1672)] = 81224,
  [SMALL_STATE(1673)] = 81267,
  [SMALL_STATE(1674)] = 81304,
  [SMALL_STATE(1675)] = 81341,
  [SMALL_STATE(1676)] = 81378,
  [SMALL_STATE(1677)] = 81427,
  [SMALL_STATE(1678)] = 81476,
  [SMALL_STATE(1679)] = 81513,
  [SMALL_STATE(1680)] = 81556,
  [SMALL_STATE(1681)] = 81593,
  [SMALL_STATE(1682)] = 81642,
  [SMALL_STATE(1683)] = 81683,
  [SMALL_STATE(1684)] = 81720,
  [SMALL_STATE(1685)] = 81757,
  [SMALL_STATE(1686)] = 81794,
  [SMALL_STATE(1687)] = 81843,
  [SMALL_STATE(1688)] = 81880,
  [SMALL_STATE(1689)] = 81915,
  [SMALL_STATE(1690)] = 81951,
  [SMALL_STATE(1691)] = 81983,
  [SMALL_STATE(1692)] = 82015,
  [SMALL_STATE(1693)] = 82047,
  [SMALL_STATE(1694)] = 82079,
  [SMALL_STATE(1695)] = 82113,
  [SMALL_STATE(1696)] = 82145,
  [SMALL_STATE(1697)] = 82177,
  [SMALL_STATE(1698)] = 82209,
  [SMALL_STATE(1699)] = 82261,
  [SMALL_STATE(1700)] = 82295,
  [SMALL_STATE(1701)] = 82347,
  [SMALL_STATE(1702)] = 82379,
  [SMALL_STATE(1703)] = 82425,
  [SMALL_STATE(1704)] = 82461,
  [SMALL_STATE(1705)] = 82493,
  [SMALL_STATE(1706)] = 82529,
  [SMALL_STATE(1707)] = 82561,
  [SMALL_STATE(1708)] = 82593,
  [SMALL_STATE(1709)] = 82645,
  [SMALL_STATE(1710)] = 82677,
  [SMALL_STATE(1711)] = 82713,
  [SMALL_STATE(1712)] = 82749,
  [SMALL_STATE(1713)] = 82783,
  [SMALL_STATE(1714)] = 82815,
  [SMALL_STATE(1715)] = 82851,
  [SMALL_STATE(1716)] = 82883,
  [SMALL_STATE(1717)] = 82917,
  [SMALL_STATE(1718)] = 82953,
  [SMALL_STATE(1719)] = 82985,
  [SMALL_STATE(1720)] = 83031,
  [SMALL_STATE(1721)] = 83063,
  [SMALL_STATE(1722)] = 83109,
  [SMALL_STATE(1723)] = 83145,
  [SMALL_STATE(1724)] = 83177,
  [SMALL_STATE(1725)] = 83213,
  [SMALL_STATE(1726)] = 83249,
  [SMALL_STATE(1727)] = 83281,
  [SMALL_STATE(1728)] = 83317,
  [SMALL_STATE(1729)] = 83349,
  [SMALL_STATE(1730)] = 83381,
  [SMALL_STATE(1731)] = 83427,
  [SMALL_STATE(1732)] = 83473,
  [SMALL_STATE(1733)] = 83505,
  [SMALL_STATE(1734)] = 83541,
  [SMALL_STATE(1735)] = 83573,
  [SMALL_STATE(1736)] = 83605,
  [SMALL_STATE(1737)] = 83641,
  [SMALL_STATE(1738)] = 83693,
  [SMALL_STATE(1739)] = 83729,
  [SMALL_STATE(1740)] = 83765,
  [SMALL_STATE(1741)] = 83801,
  [SMALL_STATE(1742)] = 83837,
  [SMALL_STATE(1743)] = 83873,
  [SMALL_STATE(1744)] = 83909,
  [SMALL_STATE(1745)] = 83941,
  [SMALL_STATE(1746)] = 83975,
  [SMALL_STATE(1747)] = 84007,
  [SMALL_STATE(1748)] = 84039,
  [SMALL_STATE(1749)] = 84085,
  [SMALL_STATE(1750)] = 84117,
  [SMALL_STATE(1751)] = 84148,
  [SMALL_STATE(1752)] = 84179,
  [SMALL_STATE(1753)] = 84210,
  [SMALL_STATE(1754)] = 84241,
  [SMALL_STATE(1755)] = 84276,
  [SMALL_STATE(1756)] = 84307,
  [SMALL_STATE(1757)] = 84338,
  [SMALL_STATE(1758)] = 84369,
  [SMALL_STATE(1759)] = 84400,
  [SMALL_STATE(1760)] = 84431,
  [SMALL_STATE(1761)] = 84462,
  [SMALL_STATE(1762)] = 84493,
  [SMALL_STATE(1763)] = 84524,
  [SMALL_STATE(1764)] = 84555,
  [SMALL_STATE(1765)] = 84586,
  [SMALL_STATE(1766)] = 84617,
  [SMALL_STATE(1767)] = 84648,
  [SMALL_STATE(1768)] = 84679,
  [SMALL_STATE(1769)] = 84710,
  [SMALL_STATE(1770)] = 84741,
  [SMALL_STATE(1771)] = 84772,
  [SMALL_STATE(1772)] = 84803,
  [SMALL_STATE(1773)] = 84834,
  [SMALL_STATE(1774)] = 84865,
  [SMALL_STATE(1775)] = 84896,
  [SMALL_STATE(1776)] = 84927,
  [SMALL_STATE(1777)] = 84958,
  [SMALL_STATE(1778)] = 84989,
  [SMALL_STATE(1779)] = 85020,
  [SMALL_STATE(1780)] = 85051,
  [SMALL_STATE(1781)] = 85082,
  [SMALL_STATE(1782)] = 85117,
  [SMALL_STATE(1783)] = 85148,
  [SMALL_STATE(1784)] = 85179,
  [SMALL_STATE(1785)] = 85210,
  [SMALL_STATE(1786)] = 85241,
  [SMALL_STATE(1787)] = 85272,
  [SMALL_STATE(1788)] = 85303,
  [SMALL_STATE(1789)] = 85334,
  [SMALL_STATE(1790)] = 85365,
  [SMALL_STATE(1791)] = 85396,
  [SMALL_STATE(1792)] = 85427,
  [SMALL_STATE(1793)] = 85458,
  [SMALL_STATE(1794)] = 85489,
  [SMALL_STATE(1795)] = 85520,
  [SMALL_STATE(1796)] = 85551,
  [SMALL_STATE(1797)] = 85582,
  [SMALL_STATE(1798)] = 85613,
  [SMALL_STATE(1799)] = 85644,
  [SMALL_STATE(1800)] = 85675,
  [SMALL_STATE(1801)] = 85706,
  [SMALL_STATE(1802)] = 85737,
  [SMALL_STATE(1803)] = 85768,
  [SMALL_STATE(1804)] = 85803,
  [SMALL_STATE(1805)] = 85834,
  [SMALL_STATE(1806)] = 85865,
  [SMALL_STATE(1807)] = 85896,
  [SMALL_STATE(1808)] = 85927,
  [SMALL_STATE(1809)] = 85958,
  [SMALL_STATE(1810)] = 85989,
  [SMALL_STATE(1811)] = 86020,
  [SMALL_STATE(1812)] = 86051,
  [SMALL_STATE(1813)] = 86086,
  [SMALL_STATE(1814)] = 86117,
  [SMALL_STATE(1815)] = 86148,
  [SMALL_STATE(1816)] = 86203,
  [SMALL_STATE(1817)] = 86234,
  [SMALL_STATE(1818)] = 86265,
  [SMALL_STATE(1819)] = 86296,
  [SMALL_STATE(1820)] = 86327,
  [SMALL_STATE(1821)] = 86358,
  [SMALL_STATE(1822)] = 86389,
  [SMALL_STATE(1823)] = 86420,
  [SMALL_STATE(1824)] = 86451,
  [SMALL_STATE(1825)] = 86482,
  [SMALL_STATE(1826)] = 86513,
  [SMALL_STATE(1827)] = 86544,
  [SMALL_STATE(1828)] = 86575,
  [SMALL_STATE(1829)] = 86606,
  [SMALL_STATE(1830)] = 86637,
  [SMALL_STATE(1831)] = 86668,
  [SMALL_STATE(1832)] = 86699,
  [SMALL_STATE(1833)] = 86734,
  [SMALL_STATE(1834)] = 86765,
  [SMALL_STATE(1835)] = 86820,
  [SMALL_STATE(1836)] = 86851,
  [SMALL_STATE(1837)] = 86906,
  [SMALL_STATE(1838)] = 86961,
  [SMALL_STATE(1839)] = 86996,
  [SMALL_STATE(1840)] = 87031,
  [SMALL_STATE(1841)] = 87062,
  [SMALL_STATE(1842)] = 87093,
  [SMALL_STATE(1843)] = 87124,
  [SMALL_STATE(1844)] = 87155,
  [SMALL_STATE(1845)] = 87186,
  [SMALL_STATE(1846)] = 87221,
  [SMALL_STATE(1847)] = 87252,
  [SMALL_STATE(1848)] = 87283,
  [SMALL_STATE(1849)] = 87314,
  [SMALL_STATE(1850)] = 87345,
  [SMALL_STATE(1851)] = 87376,
  [SMALL_STATE(1852)] = 87411,
  [SMALL_STATE(1853)] = 87446,
  [SMALL_STATE(1854)] = 87481,
  [SMALL_STATE(1855)] = 87516,
  [SMALL_STATE(1856)] = 87547,
  [SMALL_STATE(1857)] = 87602,
  [SMALL_STATE(1858)] = 87633,
  [SMALL_STATE(1859)] = 87688,
  [SMALL_STATE(1860)] = 87719,
  [SMALL_STATE(1861)] = 87750,
  [SMALL_STATE(1862)] = 87781,
  [SMALL_STATE(1863)] = 87812,
  [SMALL_STATE(1864)] = 87843,
  [SMALL_STATE(1865)] = 87874,
  [SMALL_STATE(1866)] = 87905,
  [SMALL_STATE(1867)] = 87936,
  [SMALL_STATE(1868)] = 87971,
  [SMALL_STATE(1869)] = 88026,
  [SMALL_STATE(1870)] = 88057,
  [SMALL_STATE(1871)] = 88088,
  [SMALL_STATE(1872)] = 88123,
  [SMALL_STATE(1873)] = 88154,
  [SMALL_STATE(1874)] = 88189,
  [SMALL_STATE(1875)] = 88220,
  [SMALL_STATE(1876)] = 88251,
  [SMALL_STATE(1877)] = 88282,
  [SMALL_STATE(1878)] = 88313,
  [SMALL_STATE(1879)] = 88344,
  [SMALL_STATE(1880)] = 88375,
  [SMALL_STATE(1881)] = 88406,
  [SMALL_STATE(1882)] = 88437,
  [SMALL_STATE(1883)] = 88468,
  [SMALL_STATE(1884)] = 88523,
  [SMALL_STATE(1885)] = 88554,
  [SMALL_STATE(1886)] = 88585,
  [SMALL_STATE(1887)] = 88616,
  [SMALL_STATE(1888)] = 88647,
  [SMALL_STATE(1889)] = 88678,
  [SMALL_STATE(1890)] = 88709,
  [SMALL_STATE(1891)] = 88740,
  [SMALL_STATE(1892)] = 88775,
  [SMALL_STATE(1893)] = 88806,
  [SMALL_STATE(1894)] = 88837,
  [SMALL_STATE(1895)] = 88868,
  [SMALL_STATE(1896)] = 88899,
  [SMALL_STATE(1897)] = 88930,
  [SMALL_STATE(1898)] = 88961,
  [SMALL_STATE(1899)] = 89016,
  [SMALL_STATE(1900)] = 89045,
  [SMALL_STATE(1901)] = 89100,
  [SMALL_STATE(1902)] = 89135,
  [SMALL_STATE(1903)] = 89190,
  [SMALL_STATE(1904)] = 89245,
  [SMALL_STATE(1905)] = 89275,
  [SMALL_STATE(1906)] = 89329,
  [SMALL_STATE(1907)] = 89363,
  [SMALL_STATE(1908)] = 89397,
  [SMALL_STATE(1909)] = 89433,
  [SMALL_STATE(1910)] = 89467,
  [SMALL_STATE(1911)] = 89499,
  [SMALL_STATE(1912)] = 89529,
  [SMALL_STATE(1913)] = 89583,
  [SMALL_STATE(1914)] = 89637,
  [SMALL_STATE(1915)] = 89667,
  [SMALL_STATE(1916)] = 89697,
  [SMALL_STATE(1917)] = 89729,
  [SMALL_STATE(1918)] = 89759,
  [SMALL_STATE(1919)] = 89789,
  [SMALL_STATE(1920)] = 89825,
  [SMALL_STATE(1921)] = 89857,
  [SMALL_STATE(1922)] = 89887,
  [SMALL_STATE(1923)] = 89919,
  [SMALL_STATE(1924)] = 89949,
  [SMALL_STATE(1925)] = 89977,
  [SMALL_STATE(1926)] = 90007,
  [SMALL_STATE(1927)] = 90037,
  [SMALL_STATE(1928)] = 90073,
  [SMALL_STATE(1929)] = 90127,
  [SMALL_STATE(1930)] = 90157,
  [SMALL_STATE(1931)] = 90193,
  [SMALL_STATE(1932)] = 90225,
  [SMALL_STATE(1933)] = 90253,
  [SMALL_STATE(1934)] = 90283,
  [SMALL_STATE(1935)] = 90315,
  [SMALL_STATE(1936)] = 90345,
  [SMALL_STATE(1937)] = 90375,
  [SMALL_STATE(1938)] = 90403,
  [SMALL_STATE(1939)] = 90431,
  [SMALL_STATE(1940)] = 90463,
  [SMALL_STATE(1941)] = 90493,
  [SMALL_STATE(1942)] = 90523,
  [SMALL_STATE(1943)] = 90555,
  [SMALL_STATE(1944)] = 90585,
  [SMALL_STATE(1945)] = 90621,
  [SMALL_STATE(1946)] = 90651,
  [SMALL_STATE(1947)] = 90687,
  [SMALL_STATE(1948)] = 90717,
  [SMALL_STATE(1949)] = 90745,
  [SMALL_STATE(1950)] = 90779,
  [SMALL_STATE(1951)] = 90809,
  [SMALL_STATE(1952)] = 90841,
  [SMALL_STATE(1953)] = 90871,
  [SMALL_STATE(1954)] = 90901,
  [SMALL_STATE(1955)] = 90955,
  [SMALL_STATE(1956)] = 90985,
  [SMALL_STATE(1957)] = 91015,
  [SMALL_STATE(1958)] = 91047,
  [SMALL_STATE(1959)] = 91077,
  [SMALL_STATE(1960)] = 91107,
  [SMALL_STATE(1961)] = 91137,
  [SMALL_STATE(1962)] = 91171,
  [SMALL_STATE(1963)] = 91201,
  [SMALL_STATE(1964)] = 91255,
  [SMALL_STATE(1965)] = 91289,
  [SMALL_STATE(1966)] = 91319,
  [SMALL_STATE(1967)] = 91349,
  [SMALL_STATE(1968)] = 91381,
  [SMALL_STATE(1969)] = 91411,
  [SMALL_STATE(1970)] = 91441,
  [SMALL_STATE(1971)] = 91471,
  [SMALL_STATE(1972)] = 91501,
  [SMALL_STATE(1973)] = 91531,
  [SMALL_STATE(1974)] = 91561,
  [SMALL_STATE(1975)] = 91591,
  [SMALL_STATE(1976)] = 91621,
  [SMALL_STATE(1977)] = 91675,
  [SMALL_STATE(1978)] = 91705,
  [SMALL_STATE(1979)] = 91735,
  [SMALL_STATE(1980)] = 91765,
  [SMALL_STATE(1981)] = 91801,
  [SMALL_STATE(1982)] = 91831,
  [SMALL_STATE(1983)] = 91863,
  [SMALL_STATE(1984)] = 91893,
  [SMALL_STATE(1985)] = 91925,
  [SMALL_STATE(1986)] = 91955,
  [SMALL_STATE(1987)] = 91985,
  [SMALL_STATE(1988)] = 92017,
  [SMALL_STATE(1989)] = 92047,
  [SMALL_STATE(1990)] = 92077,
  [SMALL_STATE(1991)] = 92107,
  [SMALL_STATE(1992)] = 92137,
  [SMALL_STATE(1993)] = 92169,
  [SMALL_STATE(1994)] = 92199,
  [SMALL_STATE(1995)] = 92253,
  [SMALL_STATE(1996)] = 92307,
  [SMALL_STATE(1997)] = 92361,
  [SMALL_STATE(1998)] = 92395,
  [SMALL_STATE(1999)] = 92431,
  [SMALL_STATE(2000)] = 92467,
  [SMALL_STATE(2001)] = 92497,
  [SMALL_STATE(2002)] = 92527,
  [SMALL_STATE(2003)] = 92557,
  [SMALL_STATE(2004)] = 92611,
  [SMALL_STATE(2005)] = 92665,
  [SMALL_STATE(2006)] = 92719,
  [SMALL_STATE(2007)] = 92749,
  [SMALL_STATE(2008)] = 92785,
  [SMALL_STATE(2009)] = 92815,
  [SMALL_STATE(2010)] = 92847,
  [SMALL_STATE(2011)] = 92879,
  [SMALL_STATE(2012)] = 92907,
  [SMALL_STATE(2013)] = 92937,
  [SMALL_STATE(2014)] = 92969,
  [SMALL_STATE(2015)] = 93023,
  [SMALL_STATE(2016)] = 93077,
  [SMALL_STATE(2017)] = 93109,
  [SMALL_STATE(2018)] = 93139,
  [SMALL_STATE(2019)] = 93169,
  [SMALL_STATE(2020)] = 93223,
  [SMALL_STATE(2021)] = 93253,
  [SMALL_STATE(2022)] = 93307,
  [SMALL_STATE(2023)] = 93337,
  [SMALL_STATE(2024)] = 93367,
  [SMALL_STATE(2025)] = 93421,
  [SMALL_STATE(2026)] = 93451,
  [SMALL_STATE(2027)] = 93481,
  [SMALL_STATE(2028)] = 93511,
  [SMALL_STATE(2029)] = 93565,
  [SMALL_STATE(2030)] = 93595,
  [SMALL_STATE(2031)] = 93627,
  [SMALL_STATE(2032)] = 93657,
  [SMALL_STATE(2033)] = 93687,
  [SMALL_STATE(2034)] = 93717,
  [SMALL_STATE(2035)] = 93771,
  [SMALL_STATE(2036)] = 93801,
  [SMALL_STATE(2037)] = 93831,
  [SMALL_STATE(2038)] = 93861,
  [SMALL_STATE(2039)] = 93891,
  [SMALL_STATE(2040)] = 93921,
  [SMALL_STATE(2041)] = 93951,
  [SMALL_STATE(2042)] = 93981,
  [SMALL_STATE(2043)] = 94011,
  [SMALL_STATE(2044)] = 94041,
  [SMALL_STATE(2045)] = 94071,
  [SMALL_STATE(2046)] = 94101,
  [SMALL_STATE(2047)] = 94133,
  [SMALL_STATE(2048)] = 94163,
  [SMALL_STATE(2049)] = 94193,
  [SMALL_STATE(2050)] = 94223,
  [SMALL_STATE(2051)] = 94253,
  [SMALL_STATE(2052)] = 94283,
  [SMALL_STATE(2053)] = 94313,
  [SMALL_STATE(2054)] = 94343,
  [SMALL_STATE(2055)] = 94373,
  [SMALL_STATE(2056)] = 94405,
  [SMALL_STATE(2057)] = 94435,
  [SMALL_STATE(2058)] = 94465,
  [SMALL_STATE(2059)] = 94495,
  [SMALL_STATE(2060)] = 94525,
  [SMALL_STATE(2061)] = 94557,
  [SMALL_STATE(2062)] = 94595,
  [SMALL_STATE(2063)] = 94627,
  [SMALL_STATE(2064)] = 94659,
  [SMALL_STATE(2065)] = 94691,
  [SMALL_STATE(2066)] = 94725,
  [SMALL_STATE(2067)] = 94755,
  [SMALL_STATE(2068)] = 94787,
  [SMALL_STATE(2069)] = 94817,
  [SMALL_STATE(2070)] = 94849,
  [SMALL_STATE(2071)] = 94879,
  [SMALL_STATE(2072)] = 94933,
  [SMALL_STATE(2073)] = 94963,
  [SMALL_STATE(2074)] = 94993,
  [SMALL_STATE(2075)] = 95023,
  [SMALL_STATE(2076)] = 95055,
  [SMALL_STATE(2077)] = 95087,
  [SMALL_STATE(2078)] = 95117,
  [SMALL_STATE(2079)] = 95149,
  [SMALL_STATE(2080)] = 95179,
  [SMALL_STATE(2081)] = 95209,
  [SMALL_STATE(2082)] = 95239,
  [SMALL_STATE(2083)] = 95268,
  [SMALL_STATE(2084)] = 95319,
  [SMALL_STATE(2085)] = 95348,
  [SMALL_STATE(2086)] = 95377,
  [SMALL_STATE(2087)] = 95406,
  [SMALL_STATE(2088)] = 95435,
  [SMALL_STATE(2089)] = 95464,
  [SMALL_STATE(2090)] = 95497,
  [SMALL_STATE(2091)] = 95526,
  [SMALL_STATE(2092)] = 95559,
  [SMALL_STATE(2093)] = 95610,
  [SMALL_STATE(2094)] = 95639,
  [SMALL_STATE(2095)] = 95668,
  [SMALL_STATE(2096)] = 95697,
  [SMALL_STATE(2097)] = 95726,
  [SMALL_STATE(2098)] = 95755,
  [SMALL_STATE(2099)] = 95784,
  [SMALL_STATE(2100)] = 95813,
  [SMALL_STATE(2101)] = 95842,
  [SMALL_STATE(2102)] = 95871,
  [SMALL_STATE(2103)] = 95900,
  [SMALL_STATE(2104)] = 95929,
  [SMALL_STATE(2105)] = 95980,
  [SMALL_STATE(2106)] = 96009,
  [SMALL_STATE(2107)] = 96060,
  [SMALL_STATE(2108)] = 96089,
  [SMALL_STATE(2109)] = 96122,
  [SMALL_STATE(2110)] = 96151,
  [SMALL_STATE(2111)] = 96180,
  [SMALL_STATE(2112)] = 96231,
  [SMALL_STATE(2113)] = 96260,
  [SMALL_STATE(2114)] = 96311,
  [SMALL_STATE(2115)] = 96362,
  [SMALL_STATE(2116)] = 96391,
  [SMALL_STATE(2117)] = 96420,
  [SMALL_STATE(2118)] = 96449,
  [SMALL_STATE(2119)] = 96478,
  [SMALL_STATE(2120)] = 96507,
  [SMALL_STATE(2121)] = 96536,
  [SMALL_STATE(2122)] = 96587,
  [SMALL_STATE(2123)] = 96616,
  [SMALL_STATE(2124)] = 96645,
  [SMALL_STATE(2125)] = 96678,
  [SMALL_STATE(2126)] = 96707,
  [SMALL_STATE(2127)] = 96740,
  [SMALL_STATE(2128)] = 96773,
  [SMALL_STATE(2129)] = 96824,
  [SMALL_STATE(2130)] = 96853,
  [SMALL_STATE(2131)] = 96882,
  [SMALL_STATE(2132)] = 96911,
  [SMALL_STATE(2133)] = 96940,
  [SMALL_STATE(2134)] = 96969,
  [SMALL_STATE(2135)] = 96998,
  [SMALL_STATE(2136)] = 97027,
  [SMALL_STATE(2137)] = 97078,
  [SMALL_STATE(2138)] = 97129,
  [SMALL_STATE(2139)] = 97158,
  [SMALL_STATE(2140)] = 97189,
  [SMALL_STATE(2141)] = 97218,
  [SMALL_STATE(2142)] = 97247,
  [SMALL_STATE(2143)] = 97276,
  [SMALL_STATE(2144)] = 97305,
  [SMALL_STATE(2145)] = 97334,
  [SMALL_STATE(2146)] = 97367,
  [SMALL_STATE(2147)] = 97400,
  [SMALL_STATE(2148)] = 97451,
  [SMALL_STATE(2149)] = 97480,
  [SMALL_STATE(2150)] = 97509,
  [SMALL_STATE(2151)] = 97538,
  [SMALL_STATE(2152)] = 97571,
  [SMALL_STATE(2153)] = 97600,
  [SMALL_STATE(2154)] = 97629,
  [SMALL_STATE(2155)] = 97658,
  [SMALL_STATE(2156)] = 97687,
  [SMALL_STATE(2157)] = 97716,
  [SMALL_STATE(2158)] = 97747,
  [SMALL_STATE(2159)] = 97778,
  [SMALL_STATE(2160)] = 97807,
  [SMALL_STATE(2161)] = 97836,
  [SMALL_STATE(2162)] = 97865,
  [SMALL_STATE(2163)] = 97894,
  [SMALL_STATE(2164)] = 97923,
  [SMALL_STATE(2165)] = 97952,
  [SMALL_STATE(2166)] = 97983,
  [SMALL_STATE(2167)] = 98034,
  [SMALL_STATE(2168)] = 98063,
  [SMALL_STATE(2169)] = 98096,
  [SMALL_STATE(2170)] = 98125,
  [SMALL_STATE(2171)] = 98176,
  [SMALL_STATE(2172)] = 98205,
  [SMALL_STATE(2173)] = 98234,
  [SMALL_STATE(2174)] = 98285,
  [SMALL_STATE(2175)] = 98314,
  [SMALL_STATE(2176)] = 98343,
  [SMALL_STATE(2177)] = 98372,
  [SMALL_STATE(2178)] = 98401,
  [SMALL_STATE(2179)] = 98430,
  [SMALL_STATE(2180)] = 98459,
  [SMALL_STATE(2181)] = 98488,
  [SMALL_STATE(2182)] = 98517,
  [SMALL_STATE(2183)] = 98568,
  [SMALL_STATE(2184)] = 98619,
  [SMALL_STATE(2185)] = 98670,
  [SMALL_STATE(2186)] = 98721,
  [SMALL_STATE(2187)] = 98750,
  [SMALL_STATE(2188)] = 98779,
  [SMALL_STATE(2189)] = 98808,
  [SMALL_STATE(2190)] = 98859,
  [SMALL_STATE(2191)] = 98888,
  [SMALL_STATE(2192)] = 98917,
  [SMALL_STATE(2193)] = 98946,
  [SMALL_STATE(2194)] = 98975,
  [SMALL_STATE(2195)] = 99004,
  [SMALL_STATE(2196)] = 99033,
  [SMALL_STATE(2197)] = 99062,
  [SMALL_STATE(2198)] = 99091,
  [SMALL_STATE(2199)] = 99120,
  [SMALL_STATE(2200)] = 99149,
  [SMALL_STATE(2201)] = 99178,
  [SMALL_STATE(2202)] = 99207,
  [SMALL_STATE(2203)] = 99257,
  [SMALL_STATE(2204)] = 99307,
  [SMALL_STATE(2205)] = 99335,
  [SMALL_STATE(2206)] = 99363,
  [SMALL_STATE(2207)] = 99391,
  [SMALL_STATE(2208)] = 99417,
  [SMALL_STATE(2209)] = 99445,
  [SMALL_STATE(2210)] = 99495,
  [SMALL_STATE(2211)] = 99523,
  [SMALL_STATE(2212)] = 99551,
  [SMALL_STATE(2213)] = 99601,
  [SMALL_STATE(2214)] = 99627,
  [SMALL_STATE(2215)] = 99655,
  [SMALL_STATE(2216)] = 99705,
  [SMALL_STATE(2217)] = 99755,
  [SMALL_STATE(2218)] = 99781,
  [SMALL_STATE(2219)] = 99807,
  [SMALL_STATE(2220)] = 99857,
  [SMALL_STATE(2221)] = 99907,
  [SMALL_STATE(2222)] = 99957,
  [SMALL_STATE(2223)] = 100005,
  [SMALL_STATE(2224)] = 100055,
  [SMALL_STATE(2225)] = 100083,
  [SMALL_STATE(2226)] = 100111,
  [SMALL_STATE(2227)] = 100139,
  [SMALL_STATE(2228)] = 100189,
  [SMALL_STATE(2229)] = 100239,
  [SMALL_STATE(2230)] = 100269,
  [SMALL_STATE(2231)] = 100319,
  [SMALL_STATE(2232)] = 100369,
  [SMALL_STATE(2233)] = 100397,
  [SMALL_STATE(2234)] = 100425,
  [SMALL_STATE(2235)] = 100475,
  [SMALL_STATE(2236)] = 100503,
  [SMALL_STATE(2237)] = 100531,
  [SMALL_STATE(2238)] = 100559,
  [SMALL_STATE(2239)] = 100587,
  [SMALL_STATE(2240)] = 100615,
  [SMALL_STATE(2241)] = 100643,
  [SMALL_STATE(2242)] = 100693,
  [SMALL_STATE(2243)] = 100721,
  [SMALL_STATE(2244)] = 100757,
  [SMALL_STATE(2245)] = 100785,
  [SMALL_STATE(2246)] = 100835,
  [SMALL_STATE(2247)] = 100883,
  [SMALL_STATE(2248)] = 100911,
  [SMALL_STATE(2249)] = 100939,
  [SMALL_STATE(2250)] = 100989,
  [SMALL_STATE(2251)] = 101039,
  [SMALL_STATE(2252)] = 101087,
  [SMALL_STATE(2253)] = 101137,
  [SMALL_STATE(2254)] = 101187,
  [SMALL_STATE(2255)] = 101215,
  [SMALL_STATE(2256)] = 101243,
  [SMALL_STATE(2257)] = 101293,
  [SMALL_STATE(2258)] = 101343,
  [SMALL_STATE(2259)] = 101393,
  [SMALL_STATE(2260)] = 101421,
  [SMALL_STATE(2261)] = 101449,
  [SMALL_STATE(2262)] = 101499,
  [SMALL_STATE(2263)] = 101527,
  [SMALL_STATE(2264)] = 101555,
  [SMALL_STATE(2265)] = 101605,
  [SMALL_STATE(2266)] = 101655,
  [SMALL_STATE(2267)] = 101705,
  [SMALL_STATE(2268)] = 101733,
  [SMALL_STATE(2269)] = 101761,
  [SMALL_STATE(2270)] = 101811,
  [SMALL_STATE(2271)] = 101861,
  [SMALL_STATE(2272)] = 101911,
  [SMALL_STATE(2273)] = 101939,
  [SMALL_STATE(2274)] = 101989,
  [SMALL_STATE(2275)] = 102039,
  [SMALL_STATE(2276)] = 102067,
  [SMALL_STATE(2277)] = 102117,
  [SMALL_STATE(2278)] = 102145,
  [SMALL_STATE(2279)] = 102195,
  [SMALL_STATE(2280)] = 102245,
  [SMALL_STATE(2281)] = 102295,
  [SMALL_STATE(2282)] = 102323,
  [SMALL_STATE(2283)] = 102373,
  [SMALL_STATE(2284)] = 102423,
  [SMALL_STATE(2285)] = 102473,
  [SMALL_STATE(2286)] = 102523,
  [SMALL_STATE(2287)] = 102573,
  [SMALL_STATE(2288)] = 102623,
  [SMALL_STATE(2289)] = 102651,
  [SMALL_STATE(2290)] = 102701,
  [SMALL_STATE(2291)] = 102751,
  [SMALL_STATE(2292)] = 102801,
  [SMALL_STATE(2293)] = 102829,
  [SMALL_STATE(2294)] = 102857,
  [SMALL_STATE(2295)] = 102907,
  [SMALL_STATE(2296)] = 102957,
  [SMALL_STATE(2297)] = 102985,
  [SMALL_STATE(2298)] = 103013,
  [SMALL_STATE(2299)] = 103041,
  [SMALL_STATE(2300)] = 103091,
  [SMALL_STATE(2301)] = 103119,
  [SMALL_STATE(2302)] = 103169,
  [SMALL_STATE(2303)] = 103219,
  [SMALL_STATE(2304)] = 103247,
  [SMALL_STATE(2305)] = 103275,
  [SMALL_STATE(2306)] = 103303,
  [SMALL_STATE(2307)] = 103353,
  [SMALL_STATE(2308)] = 103403,
  [SMALL_STATE(2309)] = 103453,
  [SMALL_STATE(2310)] = 103481,
  [SMALL_STATE(2311)] = 103531,
  [SMALL_STATE(2312)] = 103581,
  [SMALL_STATE(2313)] = 103631,
  [SMALL_STATE(2314)] = 103681,
  [SMALL_STATE(2315)] = 103731,
  [SMALL_STATE(2316)] = 103759,
  [SMALL_STATE(2317)] = 103809,
  [SMALL_STATE(2318)] = 103837,
  [SMALL_STATE(2319)] = 103887,
  [SMALL_STATE(2320)] = 103937,
  [SMALL_STATE(2321)] = 103987,
  [SMALL_STATE(2322)] = 104015,
  [SMALL_STATE(2323)] = 104043,
  [SMALL_STATE(2324)] = 104071,
  [SMALL_STATE(2325)] = 104121,
  [SMALL_STATE(2326)] = 104151,
  [SMALL_STATE(2327)] = 104179,
  [SMALL_STATE(2328)] = 104207,
  [SMALL_STATE(2329)] = 104257,
  [SMALL_STATE(2330)] = 104307,
  [SMALL_STATE(2331)] = 104335,
  [SMALL_STATE(2332)] = 104363,
  [SMALL_STATE(2333)] = 104390,
  [SMALL_STATE(2334)] = 104425,
  [SMALL_STATE(2335)] = 104460,
  [SMALL_STATE(2336)] = 104495,
  [SMALL_STATE(2337)] = 104530,
  [SMALL_STATE(2338)] = 104555,
  [SMALL_STATE(2339)] = 104590,
  [SMALL_STATE(2340)] = 104625,
  [SMALL_STATE(2341)] = 104672,
  [SMALL_STATE(2342)] = 104699,
  [SMALL_STATE(2343)] = 104734,
  [SMALL_STATE(2344)] = 104769,
  [SMALL_STATE(2345)] = 104816,
  [SMALL_STATE(2346)] = 104851,
  [SMALL_STATE(2347)] = 104886,
  [SMALL_STATE(2348)] = 104933,
  [SMALL_STATE(2349)] = 104968,
  [SMALL_STATE(2350)] = 105003,
  [SMALL_STATE(2351)] = 105050,
  [SMALL_STATE(2352)] = 105097,
  [SMALL_STATE(2353)] = 105144,
  [SMALL_STATE(2354)] = 105191,
  [SMALL_STATE(2355)] = 105226,
  [SMALL_STATE(2356)] = 105261,
  [SMALL_STATE(2357)] = 105296,
  [SMALL_STATE(2358)] = 105343,
  [SMALL_STATE(2359)] = 105378,
  [SMALL_STATE(2360)] = 105413,
  [SMALL_STATE(2361)] = 105448,
  [SMALL_STATE(2362)] = 105483,
  [SMALL_STATE(2363)] = 105518,
  [SMALL_STATE(2364)] = 105565,
  [SMALL_STATE(2365)] = 105612,
  [SMALL_STATE(2366)] = 105659,
  [SMALL_STATE(2367)] = 105686,
  [SMALL_STATE(2368)] = 105721,
  [SMALL_STATE(2369)] = 105748,
  [SMALL_STATE(2370)] = 105775,
  [SMALL_STATE(2371)] = 105802,
  [SMALL_STATE(2372)] = 105837,
  [SMALL_STATE(2373)] = 105872,
  [SMALL_STATE(2374)] = 105907,
  [SMALL_STATE(2375)] = 105942,
  [SMALL_STATE(2376)] = 105989,
  [SMALL_STATE(2377)] = 106036,
  [SMALL_STATE(2378)] = 106083,
  [SMALL_STATE(2379)] = 106118,
  [SMALL_STATE(2380)] = 106153,
  [SMALL_STATE(2381)] = 106200,
  [SMALL_STATE(2382)] = 106247,
  [SMALL_STATE(2383)] = 106274,
  [SMALL_STATE(2384)] = 106309,
  [SMALL_STATE(2385)] = 106344,
  [SMALL_STATE(2386)] = 106371,
  [SMALL_STATE(2387)] = 106418,
  [SMALL_STATE(2388)] = 106445,
  [SMALL_STATE(2389)] = 106480,
  [SMALL_STATE(2390)] = 106515,
  [SMALL_STATE(2391)] = 106542,
  [SMALL_STATE(2392)] = 106569,
  [SMALL_STATE(2393)] = 106616,
  [SMALL_STATE(2394)] = 106651,
  [SMALL_STATE(2395)] = 106698,
  [SMALL_STATE(2396)] = 106733,
  [SMALL_STATE(2397)] = 106760,
  [SMALL_STATE(2398)] = 106807,
  [SMALL_STATE(2399)] = 106849,
  [SMALL_STATE(2400)] = 106885,
  [SMALL_STATE(2401)] = 106927,
  [SMALL_STATE(2402)] = 106966,
  [SMALL_STATE(2403)] = 107005,
  [SMALL_STATE(2404)] = 107044,
  [SMALL_STATE(2405)] = 107083,
  [SMALL_STATE(2406)] = 107122,
  [SMALL_STATE(2407)] = 107161,
  [SMALL_STATE(2408)] = 107200,
  [SMALL_STATE(2409)] = 107239,
  [SMALL_STATE(2410)] = 107278,
  [SMALL_STATE(2411)] = 107317,
  [SMALL_STATE(2412)] = 107356,
  [SMALL_STATE(2413)] = 107395,
  [SMALL_STATE(2414)] = 107434,
  [SMALL_STATE(2415)] = 107473,
  [SMALL_STATE(2416)] = 107512,
  [SMALL_STATE(2417)] = 107551,
  [SMALL_STATE(2418)] = 107590,
  [SMALL_STATE(2419)] = 107629,
  [SMALL_STATE(2420)] = 107668,
  [SMALL_STATE(2421)] = 107707,
  [SMALL_STATE(2422)] = 107746,
  [SMALL_STATE(2423)] = 107785,
  [SMALL_STATE(2424)] = 107824,
  [SMALL_STATE(2425)] = 107863,
  [SMALL_STATE(2426)] = 107902,
  [SMALL_STATE(2427)] = 107929,
  [SMALL_STATE(2428)] = 107968,
  [SMALL_STATE(2429)] = 108007,
  [SMALL_STATE(2430)] = 108046,
  [SMALL_STATE(2431)] = 108085,
  [SMALL_STATE(2432)] = 108124,
  [SMALL_STATE(2433)] = 108163,
  [SMALL_STATE(2434)] = 108202,
  [SMALL_STATE(2435)] = 108229,
  [SMALL_STATE(2436)] = 108268,
  [SMALL_STATE(2437)] = 108307,
  [SMALL_STATE(2438)] = 108346,
  [SMALL_STATE(2439)] = 108385,
  [SMALL_STATE(2440)] = 108424,
  [SMALL_STATE(2441)] = 108463,
  [SMALL_STATE(2442)] = 108490,
  [SMALL_STATE(2443)] = 108529,
  [SMALL_STATE(2444)] = 108568,
  [SMALL_STATE(2445)] = 108607,
  [SMALL_STATE(2446)] = 108646,
  [SMALL_STATE(2447)] = 108685,
  [SMALL_STATE(2448)] = 108724,
  [SMALL_STATE(2449)] = 108751,
  [SMALL_STATE(2450)] = 108790,
  [SMALL_STATE(2451)] = 108829,
  [SMALL_STATE(2452)] = 108868,
  [SMALL_STATE(2453)] = 108907,
  [SMALL_STATE(2454)] = 108946,
  [SMALL_STATE(2455)] = 108985,
  [SMALL_STATE(2456)] = 109024,
  [SMALL_STATE(2457)] = 109063,
  [SMALL_STATE(2458)] = 109102,
  [SMALL_STATE(2459)] = 109141,
  [SMALL_STATE(2460)] = 109180,
  [SMALL_STATE(2461)] = 109219,
  [SMALL_STATE(2462)] = 109258,
  [SMALL_STATE(2463)] = 109297,
  [SMALL_STATE(2464)] = 109336,
  [SMALL_STATE(2465)] = 109375,
  [SMALL_STATE(2466)] = 109414,
  [SMALL_STATE(2467)] = 109438,
  [SMALL_STATE(2468)] = 109462,
  [SMALL_STATE(2469)] = 109486,
  [SMALL_STATE(2470)] = 109510,
  [SMALL_STATE(2471)] = 109534,
  [SMALL_STATE(2472)] = 109558,
  [SMALL_STATE(2473)] = 109582,
  [SMALL_STATE(2474)] = 109606,
  [SMALL_STATE(2475)] = 109630,
  [SMALL_STATE(2476)] = 109656,
  [SMALL_STATE(2477)] = 109680,
  [SMALL_STATE(2478)] = 109704,
  [SMALL_STATE(2479)] = 109728,
  [SMALL_STATE(2480)] = 109752,
  [SMALL_STATE(2481)] = 109776,
  [SMALL_STATE(2482)] = 109800,
  [SMALL_STATE(2483)] = 109824,
  [SMALL_STATE(2484)] = 109848,
  [SMALL_STATE(2485)] = 109872,
  [SMALL_STATE(2486)] = 109896,
  [SMALL_STATE(2487)] = 109920,
  [SMALL_STATE(2488)] = 109944,
  [SMALL_STATE(2489)] = 109968,
  [SMALL_STATE(2490)] = 109992,
  [SMALL_STATE(2491)] = 110018,
  [SMALL_STATE(2492)] = 110042,
  [SMALL_STATE(2493)] = 110066,
  [SMALL_STATE(2494)] = 110090,
  [SMALL_STATE(2495)] = 110123,
  [SMALL_STATE(2496)] = 110144,
  [SMALL_STATE(2497)] = 110177,
  [SMALL_STATE(2498)] = 110203,
  [SMALL_STATE(2499)] = 110229,
  [SMALL_STATE(2500)] = 110255,
  [SMALL_STATE(2501)] = 110287,
  [SMALL_STATE(2502)] = 110313,
  [SMALL_STATE(2503)] = 110344,
  [SMALL_STATE(2504)] = 110365,
  [SMALL_STATE(2505)] = 110396,
  [SMALL_STATE(2506)] = 110425,
  [SMALL_STATE(2507)] = 110456,
  [SMALL_STATE(2508)] = 110487,
  [SMALL_STATE(2509)] = 110516,
  [SMALL_STATE(2510)] = 110547,
  [SMALL_STATE(2511)] = 110578,
  [SMALL_STATE(2512)] = 110607,
  [SMALL_STATE(2513)] = 110638,
  [SMALL_STATE(2514)] = 110667,
  [SMALL_STATE(2515)] = 110698,
  [SMALL_STATE(2516)] = 110727,
  [SMALL_STATE(2517)] = 110758,
  [SMALL_STATE(2518)] = 110783,
  [SMALL_STATE(2519)] = 110812,
  [SMALL_STATE(2520)] = 110843,
  [SMALL_STATE(2521)] = 110874,
  [SMALL_STATE(2522)] = 110895,
  [SMALL_STATE(2523)] = 110926,
  [SMALL_STATE(2524)] = 110955,
  [SMALL_STATE(2525)] = 110986,
  [SMALL_STATE(2526)] = 111015,
  [SMALL_STATE(2527)] = 111044,
  [SMALL_STATE(2528)] = 111065,
  [SMALL_STATE(2529)] = 111096,
  [SMALL_STATE(2530)] = 111125,
  [SMALL_STATE(2531)] = 111156,
  [SMALL_STATE(2532)] = 111185,
  [SMALL_STATE(2533)] = 111214,
  [SMALL_STATE(2534)] = 111235,
  [SMALL_STATE(2535)] = 111266,
  [SMALL_STATE(2536)] = 111295,
  [SMALL_STATE(2537)] = 111326,
  [SMALL_STATE(2538)] = 111355,
  [SMALL_STATE(2539)] = 111384,
  [SMALL_STATE(2540)] = 111405,
  [SMALL_STATE(2541)] = 111436,
  [SMALL_STATE(2542)] = 111467,
  [SMALL_STATE(2543)] = 111496,
  [SMALL_STATE(2544)] = 111517,
  [SMALL_STATE(2545)] = 111548,
  [SMALL_STATE(2546)] = 111569,
  [SMALL_STATE(2547)] = 111598,
  [SMALL_STATE(2548)] = 111623,
  [SMALL_STATE(2549)] = 111654,
  [SMALL_STATE(2550)] = 111675,
  [SMALL_STATE(2551)] = 111696,
  [SMALL_STATE(2552)] = 111725,
  [SMALL_STATE(2553)] = 111754,
  [SMALL_STATE(2554)] = 111785,
  [SMALL_STATE(2555)] = 111806,
  [SMALL_STATE(2556)] = 111835,
  [SMALL_STATE(2557)] = 111864,
  [SMALL_STATE(2558)] = 111895,
  [SMALL_STATE(2559)] = 111924,
  [SMALL_STATE(2560)] = 111945,
  [SMALL_STATE(2561)] = 111976,
  [SMALL_STATE(2562)] = 112007,
  [SMALL_STATE(2563)] = 112038,
  [SMALL_STATE(2564)] = 112067,
  [SMALL_STATE(2565)] = 112098,
  [SMALL_STATE(2566)] = 112129,
  [SMALL_STATE(2567)] = 112158,
  [SMALL_STATE(2568)] = 112179,
  [SMALL_STATE(2569)] = 112200,
  [SMALL_STATE(2570)] = 112221,
  [SMALL_STATE(2571)] = 112252,
  [SMALL_STATE(2572)] = 112273,
  [SMALL_STATE(2573)] = 112294,
  [SMALL_STATE(2574)] = 112315,
  [SMALL_STATE(2575)] = 112336,
  [SMALL_STATE(2576)] = 112357,
  [SMALL_STATE(2577)] = 112378,
  [SMALL_STATE(2578)] = 112399,
  [SMALL_STATE(2579)] = 112420,
  [SMALL_STATE(2580)] = 112441,
  [SMALL_STATE(2581)] = 112462,
  [SMALL_STATE(2582)] = 112491,
  [SMALL_STATE(2583)] = 112512,
  [SMALL_STATE(2584)] = 112541,
  [SMALL_STATE(2585)] = 112572,
  [SMALL_STATE(2586)] = 112603,
  [SMALL_STATE(2587)] = 112624,
  [SMALL_STATE(2588)] = 112653,
  [SMALL_STATE(2589)] = 112682,
  [SMALL_STATE(2590)] = 112711,
  [SMALL_STATE(2591)] = 112735,
  [SMALL_STATE(2592)] = 112759,
  [SMALL_STATE(2593)] = 112783,
  [SMALL_STATE(2594)] = 112807,
  [SMALL_STATE(2595)] = 112831,
  [SMALL_STATE(2596)] = 112851,
  [SMALL_STATE(2597)] = 112875,
  [SMALL_STATE(2598)] = 112895,
  [SMALL_STATE(2599)] = 112915,
  [SMALL_STATE(2600)] = 112939,
  [SMALL_STATE(2601)] = 112963,
  [SMALL_STATE(2602)] = 112987,
  [SMALL_STATE(2603)] = 113011,
  [SMALL_STATE(2604)] = 113031,
  [SMALL_STATE(2605)] = 113055,
  [SMALL_STATE(2606)] = 113079,
  [SMALL_STATE(2607)] = 113103,
  [SMALL_STATE(2608)] = 113127,
  [SMALL_STATE(2609)] = 113151,
  [SMALL_STATE(2610)] = 113171,
  [SMALL_STATE(2611)] = 113195,
  [SMALL_STATE(2612)] = 113219,
  [SMALL_STATE(2613)] = 113243,
  [SMALL_STATE(2614)] = 113267,
  [SMALL_STATE(2615)] = 113291,
  [SMALL_STATE(2616)] = 113315,
  [SMALL_STATE(2617)] = 113339,
  [SMALL_STATE(2618)] = 113363,
  [SMALL_STATE(2619)] = 113383,
  [SMALL_STATE(2620)] = 113407,
  [SMALL_STATE(2621)] = 113431,
  [SMALL_STATE(2622)] = 113455,
  [SMALL_STATE(2623)] = 113479,
  [SMALL_STATE(2624)] = 113503,
  [SMALL_STATE(2625)] = 113527,
  [SMALL_STATE(2626)] = 113551,
  [SMALL_STATE(2627)] = 113575,
  [SMALL_STATE(2628)] = 113599,
  [SMALL_STATE(2629)] = 113623,
  [SMALL_STATE(2630)] = 113647,
  [SMALL_STATE(2631)] = 113671,
  [SMALL_STATE(2632)] = 113691,
  [SMALL_STATE(2633)] = 113711,
  [SMALL_STATE(2634)] = 113731,
  [SMALL_STATE(2635)] = 113755,
  [SMALL_STATE(2636)] = 113775,
  [SMALL_STATE(2637)] = 113799,
  [SMALL_STATE(2638)] = 113823,
  [SMALL_STATE(2639)] = 113847,
  [SMALL_STATE(2640)] = 113871,
  [SMALL_STATE(2641)] = 113891,
  [SMALL_STATE(2642)] = 113915,
  [SMALL_STATE(2643)] = 113939,
  [SMALL_STATE(2644)] = 113963,
  [SMALL_STATE(2645)] = 113987,
  [SMALL_STATE(2646)] = 114011,
  [SMALL_STATE(2647)] = 114035,
  [SMALL_STATE(2648)] = 114059,
  [SMALL_STATE(2649)] = 114083,
  [SMALL_STATE(2650)] = 114107,
  [SMALL_STATE(2651)] = 114131,
  [SMALL_STATE(2652)] = 114155,
  [SMALL_STATE(2653)] = 114179,
  [SMALL_STATE(2654)] = 114203,
  [SMALL_STATE(2655)] = 114227,
  [SMALL_STATE(2656)] = 114251,
  [SMALL_STATE(2657)] = 114275,
  [SMALL_STATE(2658)] = 114299,
  [SMALL_STATE(2659)] = 114323,
  [SMALL_STATE(2660)] = 114342,
  [SMALL_STATE(2661)] = 114361,
  [SMALL_STATE(2662)] = 114380,
  [SMALL_STATE(2663)] = 114407,
  [SMALL_STATE(2664)] = 114426,
  [SMALL_STATE(2665)] = 114445,
  [SMALL_STATE(2666)] = 114464,
  [SMALL_STATE(2667)] = 114483,
  [SMALL_STATE(2668)] = 114510,
  [SMALL_STATE(2669)] = 114537,
  [SMALL_STATE(2670)] = 114558,
  [SMALL_STATE(2671)] = 114577,
  [SMALL_STATE(2672)] = 114596,
  [SMALL_STATE(2673)] = 114623,
  [SMALL_STATE(2674)] = 114642,
  [SMALL_STATE(2675)] = 114669,
  [SMALL_STATE(2676)] = 114688,
  [SMALL_STATE(2677)] = 114715,
  [SMALL_STATE(2678)] = 114742,
  [SMALL_STATE(2679)] = 114769,
  [SMALL_STATE(2680)] = 114796,
  [SMALL_STATE(2681)] = 114815,
  [SMALL_STATE(2682)] = 114842,
  [SMALL_STATE(2683)] = 114869,
  [SMALL_STATE(2684)] = 114888,
  [SMALL_STATE(2685)] = 114915,
  [SMALL_STATE(2686)] = 114942,
  [SMALL_STATE(2687)] = 114961,
  [SMALL_STATE(2688)] = 114988,
  [SMALL_STATE(2689)] = 115015,
  [SMALL_STATE(2690)] = 115034,
  [SMALL_STATE(2691)] = 115061,
  [SMALL_STATE(2692)] = 115088,
  [SMALL_STATE(2693)] = 115107,
  [SMALL_STATE(2694)] = 115126,
  [SMALL_STATE(2695)] = 115153,
  [SMALL_STATE(2696)] = 115172,
  [SMALL_STATE(2697)] = 115191,
  [SMALL_STATE(2698)] = 115218,
  [SMALL_STATE(2699)] = 115245,
  [SMALL_STATE(2700)] = 115264,
  [SMALL_STATE(2701)] = 115291,
  [SMALL_STATE(2702)] = 115318,
  [SMALL_STATE(2703)] = 115337,
  [SMALL_STATE(2704)] = 115356,
  [SMALL_STATE(2705)] = 115383,
  [SMALL_STATE(2706)] = 115410,
  [SMALL_STATE(2707)] = 115437,
  [SMALL_STATE(2708)] = 115464,
  [SMALL_STATE(2709)] = 115491,
  [SMALL_STATE(2710)] = 115518,
  [SMALL_STATE(2711)] = 115545,
  [SMALL_STATE(2712)] = 115564,
  [SMALL_STATE(2713)] = 115583,
  [SMALL_STATE(2714)] = 115602,
  [SMALL_STATE(2715)] = 115621,
  [SMALL_STATE(2716)] = 115648,
  [SMALL_STATE(2717)] = 115675,
  [SMALL_STATE(2718)] = 115705,
  [SMALL_STATE(2719)] = 115735,
  [SMALL_STATE(2720)] = 115765,
  [SMALL_STATE(2721)] = 115795,
  [SMALL_STATE(2722)] = 115825,
  [SMALL_STATE(2723)] = 115855,
  [SMALL_STATE(2724)] = 115885,
  [SMALL_STATE(2725)] = 115915,
  [SMALL_STATE(2726)] = 115945,
  [SMALL_STATE(2727)] = 115975,
  [SMALL_STATE(2728)] = 116005,
  [SMALL_STATE(2729)] = 116035,
  [SMALL_STATE(2730)] = 116065,
  [SMALL_STATE(2731)] = 116095,
  [SMALL_STATE(2732)] = 116125,
  [SMALL_STATE(2733)] = 116155,
  [SMALL_STATE(2734)] = 116183,
  [SMALL_STATE(2735)] = 116213,
  [SMALL_STATE(2736)] = 116243,
  [SMALL_STATE(2737)] = 116273,
  [SMALL_STATE(2738)] = 116303,
  [SMALL_STATE(2739)] = 116333,
  [SMALL_STATE(2740)] = 116363,
  [SMALL_STATE(2741)] = 116393,
  [SMALL_STATE(2742)] = 116423,
  [SMALL_STATE(2743)] = 116453,
  [SMALL_STATE(2744)] = 116481,
  [SMALL_STATE(2745)] = 116511,
  [SMALL_STATE(2746)] = 116541,
  [SMALL_STATE(2747)] = 116571,
  [SMALL_STATE(2748)] = 116601,
  [SMALL_STATE(2749)] = 116629,
  [SMALL_STATE(2750)] = 116659,
  [SMALL_STATE(2751)] = 116689,
  [SMALL_STATE(2752)] = 116719,
  [SMALL_STATE(2753)] = 116749,
  [SMALL_STATE(2754)] = 116779,
  [SMALL_STATE(2755)] = 116809,
  [SMALL_STATE(2756)] = 116837,
  [SMALL_STATE(2757)] = 116867,
  [SMALL_STATE(2758)] = 116897,
  [SMALL_STATE(2759)] = 116927,
  [SMALL_STATE(2760)] = 116957,
  [SMALL_STATE(2761)] = 116987,
  [SMALL_STATE(2762)] = 117017,
  [SMALL_STATE(2763)] = 117047,
  [SMALL_STATE(2764)] = 117077,
  [SMALL_STATE(2765)] = 117107,
  [SMALL_STATE(2766)] = 117135,
  [SMALL_STATE(2767)] = 117155,
  [SMALL_STATE(2768)] = 117185,
  [SMALL_STATE(2769)] = 117215,
  [SMALL_STATE(2770)] = 117245,
  [SMALL_STATE(2771)] = 117275,
  [SMALL_STATE(2772)] = 117305,
  [SMALL_STATE(2773)] = 117335,
  [SMALL_STATE(2774)] = 117365,
  [SMALL_STATE(2775)] = 117395,
  [SMALL_STATE(2776)] = 117425,
  [SMALL_STATE(2777)] = 117453,
  [SMALL_STATE(2778)] = 117483,
  [SMALL_STATE(2779)] = 117513,
  [SMALL_STATE(2780)] = 117543,
  [SMALL_STATE(2781)] = 117573,
  [SMALL_STATE(2782)] = 117603,
  [SMALL_STATE(2783)] = 117633,
  [SMALL_STATE(2784)] = 117661,
  [SMALL_STATE(2785)] = 117677,
  [SMALL_STATE(2786)] = 117701,
  [SMALL_STATE(2787)] = 117717,
  [SMALL_STATE(2788)] = 117741,
  [SMALL_STATE(2789)] = 117765,
  [SMALL_STATE(2790)] = 117781,
  [SMALL_STATE(2791)] = 117797,
  [SMALL_STATE(2792)] = 117821,
  [SMALL_STATE(2793)] = 117845,
  [SMALL_STATE(2794)] = 117865,
  [SMALL_STATE(2795)] = 117889,
  [SMALL_STATE(2796)] = 117905,
  [SMALL_STATE(2797)] = 117929,
  [SMALL_STATE(2798)] = 117953,
  [SMALL_STATE(2799)] = 117977,
  [SMALL_STATE(2800)] = 117992,
  [SMALL_STATE(2801)] = 118007,
  [SMALL_STATE(2802)] = 118022,
  [SMALL_STATE(2803)] = 118037,
  [SMALL_STATE(2804)] = 118052,
  [SMALL_STATE(2805)] = 118067,
  [SMALL_STATE(2806)] = 118088,
  [SMALL_STATE(2807)] = 118109,
  [SMALL_STATE(2808)] = 118124,
  [SMALL_STATE(2809)] = 118143,
  [SMALL_STATE(2810)] = 118160,
  [SMALL_STATE(2811)] = 118175,
  [SMALL_STATE(2812)] = 118190,
  [SMALL_STATE(2813)] = 118205,
  [SMALL_STATE(2814)] = 118226,
  [SMALL_STATE(2815)] = 118241,
  [SMALL_STATE(2816)] = 118260,
  [SMALL_STATE(2817)] = 118275,
  [SMALL_STATE(2818)] = 118290,
  [SMALL_STATE(2819)] = 118305,
  [SMALL_STATE(2820)] = 118320,
  [SMALL_STATE(2821)] = 118341,
  [SMALL_STATE(2822)] = 118362,
  [SMALL_STATE(2823)] = 118377,
  [SMALL_STATE(2824)] = 118392,
  [SMALL_STATE(2825)] = 118413,
  [SMALL_STATE(2826)] = 118428,
  [SMALL_STATE(2827)] = 118443,
  [SMALL_STATE(2828)] = 118458,
  [SMALL_STATE(2829)] = 118473,
  [SMALL_STATE(2830)] = 118488,
  [SMALL_STATE(2831)] = 118503,
  [SMALL_STATE(2832)] = 118520,
  [SMALL_STATE(2833)] = 118539,
  [SMALL_STATE(2834)] = 118554,
  [SMALL_STATE(2835)] = 118569,
  [SMALL_STATE(2836)] = 118583,
  [SMALL_STATE(2837)] = 118597,
  [SMALL_STATE(2838)] = 118611,
  [SMALL_STATE(2839)] = 118625,
  [SMALL_STATE(2840)] = 118639,
  [SMALL_STATE(2841)] = 118653,
  [SMALL_STATE(2842)] = 118667,
  [SMALL_STATE(2843)] = 118681,
  [SMALL_STATE(2844)] = 118695,
  [SMALL_STATE(2845)] = 118709,
  [SMALL_STATE(2846)] = 118723,
  [SMALL_STATE(2847)] = 118737,
  [SMALL_STATE(2848)] = 118751,
  [SMALL_STATE(2849)] = 118765,
  [SMALL_STATE(2850)] = 118779,
  [SMALL_STATE(2851)] = 118793,
  [SMALL_STATE(2852)] = 118807,
  [SMALL_STATE(2853)] = 118821,
  [SMALL_STATE(2854)] = 118835,
  [SMALL_STATE(2855)] = 118847,
  [SMALL_STATE(2856)] = 118859,
  [SMALL_STATE(2857)] = 118873,
  [SMALL_STATE(2858)] = 118887,
  [SMALL_STATE(2859)] = 118901,
  [SMALL_STATE(2860)] = 118915,
  [SMALL_STATE(2861)] = 118929,
  [SMALL_STATE(2862)] = 118949,
  [SMALL_STATE(2863)] = 118963,
  [SMALL_STATE(2864)] = 118977,
  [SMALL_STATE(2865)] = 118991,
  [SMALL_STATE(2866)] = 119005,
  [SMALL_STATE(2867)] = 119019,
  [SMALL_STATE(2868)] = 119039,
  [SMALL_STATE(2869)] = 119053,
  [SMALL_STATE(2870)] = 119067,
  [SMALL_STATE(2871)] = 119081,
  [SMALL_STATE(2872)] = 119095,
  [SMALL_STATE(2873)] = 119109,
  [SMALL_STATE(2874)] = 119129,
  [SMALL_STATE(2875)] = 119143,
  [SMALL_STATE(2876)] = 119163,
  [SMALL_STATE(2877)] = 119183,
  [SMALL_STATE(2878)] = 119197,
  [SMALL_STATE(2879)] = 119211,
  [SMALL_STATE(2880)] = 119225,
  [SMALL_STATE(2881)] = 119245,
  [SMALL_STATE(2882)] = 119259,
  [SMALL_STATE(2883)] = 119273,
  [SMALL_STATE(2884)] = 119287,
  [SMALL_STATE(2885)] = 119301,
  [SMALL_STATE(2886)] = 119315,
  [SMALL_STATE(2887)] = 119329,
  [SMALL_STATE(2888)] = 119343,
  [SMALL_STATE(2889)] = 119359,
  [SMALL_STATE(2890)] = 119373,
  [SMALL_STATE(2891)] = 119387,
  [SMALL_STATE(2892)] = 119401,
  [SMALL_STATE(2893)] = 119415,
  [SMALL_STATE(2894)] = 119429,
  [SMALL_STATE(2895)] = 119445,
  [SMALL_STATE(2896)] = 119462,
  [SMALL_STATE(2897)] = 119477,
  [SMALL_STATE(2898)] = 119492,
  [SMALL_STATE(2899)] = 119507,
  [SMALL_STATE(2900)] = 119522,
  [SMALL_STATE(2901)] = 119537,
  [SMALL_STATE(2902)] = 119552,
  [SMALL_STATE(2903)] = 119567,
  [SMALL_STATE(2904)] = 119584,
  [SMALL_STATE(2905)] = 119601,
  [SMALL_STATE(2906)] = 119618,
  [SMALL_STATE(2907)] = 119635,
  [SMALL_STATE(2908)] = 119652,
  [SMALL_STATE(2909)] = 119669,
  [SMALL_STATE(2910)] = 119686,
  [SMALL_STATE(2911)] = 119703,
  [SMALL_STATE(2912)] = 119716,
  [SMALL_STATE(2913)] = 119733,
  [SMALL_STATE(2914)] = 119752,
  [SMALL_STATE(2915)] = 119769,
  [SMALL_STATE(2916)] = 119786,
  [SMALL_STATE(2917)] = 119801,
  [SMALL_STATE(2918)] = 119818,
  [SMALL_STATE(2919)] = 119835,
  [SMALL_STATE(2920)] = 119848,
  [SMALL_STATE(2921)] = 119865,
  [SMALL_STATE(2922)] = 119884,
  [SMALL_STATE(2923)] = 119899,
  [SMALL_STATE(2924)] = 119918,
  [SMALL_STATE(2925)] = 119935,
  [SMALL_STATE(2926)] = 119950,
  [SMALL_STATE(2927)] = 119965,
  [SMALL_STATE(2928)] = 119978,
  [SMALL_STATE(2929)] = 119993,
  [SMALL_STATE(2930)] = 120012,
  [SMALL_STATE(2931)] = 120029,
  [SMALL_STATE(2932)] = 120046,
  [SMALL_STATE(2933)] = 120063,
  [SMALL_STATE(2934)] = 120080,
  [SMALL_STATE(2935)] = 120097,
  [SMALL_STATE(2936)] = 120114,
  [SMALL_STATE(2937)] = 120129,
  [SMALL_STATE(2938)] = 120146,
  [SMALL_STATE(2939)] = 120163,
  [SMALL_STATE(2940)] = 120178,
  [SMALL_STATE(2941)] = 120190,
  [SMALL_STATE(2942)] = 120204,
  [SMALL_STATE(2943)] = 120220,
  [SMALL_STATE(2944)] = 120234,
  [SMALL_STATE(2945)] = 120248,
  [SMALL_STATE(2946)] = 120262,
  [SMALL_STATE(2947)] = 120276,
  [SMALL_STATE(2948)] = 120290,
  [SMALL_STATE(2949)] = 120302,
  [SMALL_STATE(2950)] = 120316,
  [SMALL_STATE(2951)] = 120328,
  [SMALL_STATE(2952)] = 120342,
  [SMALL_STATE(2953)] = 120356,
  [SMALL_STATE(2954)] = 120370,
  [SMALL_STATE(2955)] = 120382,
  [SMALL_STATE(2956)] = 120394,
  [SMALL_STATE(2957)] = 120406,
  [SMALL_STATE(2958)] = 120420,
  [SMALL_STATE(2959)] = 120436,
  [SMALL_STATE(2960)] = 120452,
  [SMALL_STATE(2961)] = 120468,
  [SMALL_STATE(2962)] = 120480,
  [SMALL_STATE(2963)] = 120492,
  [SMALL_STATE(2964)] = 120508,
  [SMALL_STATE(2965)] = 120522,
  [SMALL_STATE(2966)] = 120534,
  [SMALL_STATE(2967)] = 120548,
  [SMALL_STATE(2968)] = 120562,
  [SMALL_STATE(2969)] = 120576,
  [SMALL_STATE(2970)] = 120590,
  [SMALL_STATE(2971)] = 120602,
  [SMALL_STATE(2972)] = 120614,
  [SMALL_STATE(2973)] = 120626,
  [SMALL_STATE(2974)] = 120638,
  [SMALL_STATE(2975)] = 120650,
  [SMALL_STATE(2976)] = 120662,
  [SMALL_STATE(2977)] = 120674,
  [SMALL_STATE(2978)] = 120688,
  [SMALL_STATE(2979)] = 120704,
  [SMALL_STATE(2980)] = 120718,
  [SMALL_STATE(2981)] = 120732,
  [SMALL_STATE(2982)] = 120746,
  [SMALL_STATE(2983)] = 120758,
  [SMALL_STATE(2984)] = 120772,
  [SMALL_STATE(2985)] = 120786,
  [SMALL_STATE(2986)] = 120800,
  [SMALL_STATE(2987)] = 120814,
  [SMALL_STATE(2988)] = 120828,
  [SMALL_STATE(2989)] = 120842,
  [SMALL_STATE(2990)] = 120856,
  [SMALL_STATE(2991)] = 120870,
  [SMALL_STATE(2992)] = 120884,
  [SMALL_STATE(2993)] = 120898,
  [SMALL_STATE(2994)] = 120912,
  [SMALL_STATE(2995)] = 120925,
  [SMALL_STATE(2996)] = 120938,
  [SMALL_STATE(2997)] = 120951,
  [SMALL_STATE(2998)] = 120964,
  [SMALL_STATE(2999)] = 120977,
  [SMALL_STATE(3000)] = 120990,
  [SMALL_STATE(3001)] = 121003,
  [SMALL_STATE(3002)] = 121016,
  [SMALL_STATE(3003)] = 121029,
  [SMALL_STATE(3004)] = 121042,
  [SMALL_STATE(3005)] = 121053,
  [SMALL_STATE(3006)] = 121066,
  [SMALL_STATE(3007)] = 121079,
  [SMALL_STATE(3008)] = 121092,
  [SMALL_STATE(3009)] = 121105,
  [SMALL_STATE(3010)] = 121118,
  [SMALL_STATE(3011)] = 121131,
  [SMALL_STATE(3012)] = 121144,
  [SMALL_STATE(3013)] = 121157,
  [SMALL_STATE(3014)] = 121170,
  [SMALL_STATE(3015)] = 121183,
  [SMALL_STATE(3016)] = 121196,
  [SMALL_STATE(3017)] = 121209,
  [SMALL_STATE(3018)] = 121222,
  [SMALL_STATE(3019)] = 121235,
  [SMALL_STATE(3020)] = 121248,
  [SMALL_STATE(3021)] = 121261,
  [SMALL_STATE(3022)] = 121274,
  [SMALL_STATE(3023)] = 121287,
  [SMALL_STATE(3024)] = 121300,
  [SMALL_STATE(3025)] = 121313,
  [SMALL_STATE(3026)] = 121326,
  [SMALL_STATE(3027)] = 121339,
  [SMALL_STATE(3028)] = 121352,
  [SMALL_STATE(3029)] = 121365,
  [SMALL_STATE(3030)] = 121378,
  [SMALL_STATE(3031)] = 121391,
  [SMALL_STATE(3032)] = 121404,
  [SMALL_STATE(3033)] = 121417,
  [SMALL_STATE(3034)] = 121430,
  [SMALL_STATE(3035)] = 121443,
  [SMALL_STATE(3036)] = 121456,
  [SMALL_STATE(3037)] = 121469,
  [SMALL_STATE(3038)] = 121482,
  [SMALL_STATE(3039)] = 121495,
  [SMALL_STATE(3040)] = 121508,
  [SMALL_STATE(3041)] = 121521,
  [SMALL_STATE(3042)] = 121534,
  [SMALL_STATE(3043)] = 121547,
  [SMALL_STATE(3044)] = 121560,
  [SMALL_STATE(3045)] = 121573,
  [SMALL_STATE(3046)] = 121586,
  [SMALL_STATE(3047)] = 121599,
  [SMALL_STATE(3048)] = 121612,
  [SMALL_STATE(3049)] = 121625,
  [SMALL_STATE(3050)] = 121638,
  [SMALL_STATE(3051)] = 121651,
  [SMALL_STATE(3052)] = 121662,
  [SMALL_STATE(3053)] = 121675,
  [SMALL_STATE(3054)] = 121688,
  [SMALL_STATE(3055)] = 121701,
  [SMALL_STATE(3056)] = 121714,
  [SMALL_STATE(3057)] = 121725,
  [SMALL_STATE(3058)] = 121736,
  [SMALL_STATE(3059)] = 121749,
  [SMALL_STATE(3060)] = 121760,
  [SMALL_STATE(3061)] = 121773,
  [SMALL_STATE(3062)] = 121786,
  [SMALL_STATE(3063)] = 121797,
  [SMALL_STATE(3064)] = 121810,
  [SMALL_STATE(3065)] = 121821,
  [SMALL_STATE(3066)] = 121834,
  [SMALL_STATE(3067)] = 121847,
  [SMALL_STATE(3068)] = 121860,
  [SMALL_STATE(3069)] = 121871,
  [SMALL_STATE(3070)] = 121884,
  [SMALL_STATE(3071)] = 121897,
  [SMALL_STATE(3072)] = 121910,
  [SMALL_STATE(3073)] = 121923,
  [SMALL_STATE(3074)] = 121936,
  [SMALL_STATE(3075)] = 121947,
  [SMALL_STATE(3076)] = 121960,
  [SMALL_STATE(3077)] = 121973,
  [SMALL_STATE(3078)] = 121986,
  [SMALL_STATE(3079)] = 121999,
  [SMALL_STATE(3080)] = 122012,
  [SMALL_STATE(3081)] = 122025,
  [SMALL_STATE(3082)] = 122036,
  [SMALL_STATE(3083)] = 122049,
  [SMALL_STATE(3084)] = 122062,
  [SMALL_STATE(3085)] = 122075,
  [SMALL_STATE(3086)] = 122088,
  [SMALL_STATE(3087)] = 122101,
  [SMALL_STATE(3088)] = 122112,
  [SMALL_STATE(3089)] = 122125,
  [SMALL_STATE(3090)] = 122138,
  [SMALL_STATE(3091)] = 122151,
  [SMALL_STATE(3092)] = 122164,
  [SMALL_STATE(3093)] = 122177,
  [SMALL_STATE(3094)] = 122190,
  [SMALL_STATE(3095)] = 122203,
  [SMALL_STATE(3096)] = 122216,
  [SMALL_STATE(3097)] = 122229,
  [SMALL_STATE(3098)] = 122242,
  [SMALL_STATE(3099)] = 122253,
  [SMALL_STATE(3100)] = 122266,
  [SMALL_STATE(3101)] = 122277,
  [SMALL_STATE(3102)] = 122290,
  [SMALL_STATE(3103)] = 122303,
  [SMALL_STATE(3104)] = 122316,
  [SMALL_STATE(3105)] = 122329,
  [SMALL_STATE(3106)] = 122340,
  [SMALL_STATE(3107)] = 122353,
  [SMALL_STATE(3108)] = 122366,
  [SMALL_STATE(3109)] = 122379,
  [SMALL_STATE(3110)] = 122392,
  [SMALL_STATE(3111)] = 122405,
  [SMALL_STATE(3112)] = 122416,
  [SMALL_STATE(3113)] = 122429,
  [SMALL_STATE(3114)] = 122442,
  [SMALL_STATE(3115)] = 122455,
  [SMALL_STATE(3116)] = 122468,
  [SMALL_STATE(3117)] = 122481,
  [SMALL_STATE(3118)] = 122494,
  [SMALL_STATE(3119)] = 122505,
  [SMALL_STATE(3120)] = 122518,
  [SMALL_STATE(3121)] = 122531,
  [SMALL_STATE(3122)] = 122544,
  [SMALL_STATE(3123)] = 122557,
  [SMALL_STATE(3124)] = 122570,
  [SMALL_STATE(3125)] = 122583,
  [SMALL_STATE(3126)] = 122596,
  [SMALL_STATE(3127)] = 122609,
  [SMALL_STATE(3128)] = 122622,
  [SMALL_STATE(3129)] = 122635,
  [SMALL_STATE(3130)] = 122648,
  [SMALL_STATE(3131)] = 122661,
  [SMALL_STATE(3132)] = 122674,
  [SMALL_STATE(3133)] = 122687,
  [SMALL_STATE(3134)] = 122700,
  [SMALL_STATE(3135)] = 122713,
  [SMALL_STATE(3136)] = 122726,
  [SMALL_STATE(3137)] = 122739,
  [SMALL_STATE(3138)] = 122752,
  [SMALL_STATE(3139)] = 122765,
  [SMALL_STATE(3140)] = 122778,
  [SMALL_STATE(3141)] = 122791,
  [SMALL_STATE(3142)] = 122804,
  [SMALL_STATE(3143)] = 122817,
  [SMALL_STATE(3144)] = 122830,
  [SMALL_STATE(3145)] = 122843,
  [SMALL_STATE(3146)] = 122856,
  [SMALL_STATE(3147)] = 122869,
  [SMALL_STATE(3148)] = 122882,
  [SMALL_STATE(3149)] = 122895,
  [SMALL_STATE(3150)] = 122908,
  [SMALL_STATE(3151)] = 122921,
  [SMALL_STATE(3152)] = 122934,
  [SMALL_STATE(3153)] = 122944,
  [SMALL_STATE(3154)] = 122952,
  [SMALL_STATE(3155)] = 122960,
  [SMALL_STATE(3156)] = 122970,
  [SMALL_STATE(3157)] = 122978,
  [SMALL_STATE(3158)] = 122986,
  [SMALL_STATE(3159)] = 122994,
  [SMALL_STATE(3160)] = 123004,
  [SMALL_STATE(3161)] = 123014,
  [SMALL_STATE(3162)] = 123024,
  [SMALL_STATE(3163)] = 123034,
  [SMALL_STATE(3164)] = 123044,
  [SMALL_STATE(3165)] = 123054,
  [SMALL_STATE(3166)] = 123064,
  [SMALL_STATE(3167)] = 123074,
  [SMALL_STATE(3168)] = 123084,
  [SMALL_STATE(3169)] = 123094,
  [SMALL_STATE(3170)] = 123104,
  [SMALL_STATE(3171)] = 123114,
  [SMALL_STATE(3172)] = 123124,
  [SMALL_STATE(3173)] = 123134,
  [SMALL_STATE(3174)] = 123142,
  [SMALL_STATE(3175)] = 123152,
  [SMALL_STATE(3176)] = 123162,
  [SMALL_STATE(3177)] = 123172,
  [SMALL_STATE(3178)] = 123182,
  [SMALL_STATE(3179)] = 123192,
  [SMALL_STATE(3180)] = 123202,
  [SMALL_STATE(3181)] = 123212,
  [SMALL_STATE(3182)] = 123220,
  [SMALL_STATE(3183)] = 123230,
  [SMALL_STATE(3184)] = 123240,
  [SMALL_STATE(3185)] = 123250,
  [SMALL_STATE(3186)] = 123260,
  [SMALL_STATE(3187)] = 123270,
  [SMALL_STATE(3188)] = 123280,
  [SMALL_STATE(3189)] = 123290,
  [SMALL_STATE(3190)] = 123300,
  [SMALL_STATE(3191)] = 123310,
  [SMALL_STATE(3192)] = 123320,
  [SMALL_STATE(3193)] = 123330,
  [SMALL_STATE(3194)] = 123340,
  [SMALL_STATE(3195)] = 123350,
  [SMALL_STATE(3196)] = 123360,
  [SMALL_STATE(3197)] = 123370,
  [SMALL_STATE(3198)] = 123380,
  [SMALL_STATE(3199)] = 123390,
  [SMALL_STATE(3200)] = 123400,
  [SMALL_STATE(3201)] = 123410,
  [SMALL_STATE(3202)] = 123420,
  [SMALL_STATE(3203)] = 123430,
  [SMALL_STATE(3204)] = 123438,
  [SMALL_STATE(3205)] = 123446,
  [SMALL_STATE(3206)] = 123456,
  [SMALL_STATE(3207)] = 123464,
  [SMALL_STATE(3208)] = 123474,
  [SMALL_STATE(3209)] = 123482,
  [SMALL_STATE(3210)] = 123490,
  [SMALL_STATE(3211)] = 123498,
  [SMALL_STATE(3212)] = 123508,
  [SMALL_STATE(3213)] = 123518,
  [SMALL_STATE(3214)] = 123526,
  [SMALL_STATE(3215)] = 123536,
  [SMALL_STATE(3216)] = 123544,
  [SMALL_STATE(3217)] = 123554,
  [SMALL_STATE(3218)] = 123562,
  [SMALL_STATE(3219)] = 123572,
  [SMALL_STATE(3220)] = 123582,
  [SMALL_STATE(3221)] = 123592,
  [SMALL_STATE(3222)] = 123600,
  [SMALL_STATE(3223)] = 123608,
  [SMALL_STATE(3224)] = 123616,
  [SMALL_STATE(3225)] = 123626,
  [SMALL_STATE(3226)] = 123636,
  [SMALL_STATE(3227)] = 123646,
  [SMALL_STATE(3228)] = 123654,
  [SMALL_STATE(3229)] = 123664,
  [SMALL_STATE(3230)] = 123674,
  [SMALL_STATE(3231)] = 123684,
  [SMALL_STATE(3232)] = 123692,
  [SMALL_STATE(3233)] = 123702,
  [SMALL_STATE(3234)] = 123710,
  [SMALL_STATE(3235)] = 123718,
  [SMALL_STATE(3236)] = 123728,
  [SMALL_STATE(3237)] = 123738,
  [SMALL_STATE(3238)] = 123746,
  [SMALL_STATE(3239)] = 123754,
  [SMALL_STATE(3240)] = 123762,
  [SMALL_STATE(3241)] = 123772,
  [SMALL_STATE(3242)] = 123780,
  [SMALL_STATE(3243)] = 123790,
  [SMALL_STATE(3244)] = 123800,
  [SMALL_STATE(3245)] = 123808,
  [SMALL_STATE(3246)] = 123816,
  [SMALL_STATE(3247)] = 123824,
  [SMALL_STATE(3248)] = 123834,
  [SMALL_STATE(3249)] = 123844,
  [SMALL_STATE(3250)] = 123852,
  [SMALL_STATE(3251)] = 123860,
  [SMALL_STATE(3252)] = 123870,
  [SMALL_STATE(3253)] = 123880,
  [SMALL_STATE(3254)] = 123888,
  [SMALL_STATE(3255)] = 123898,
  [SMALL_STATE(3256)] = 123908,
  [SMALL_STATE(3257)] = 123918,
  [SMALL_STATE(3258)] = 123928,
  [SMALL_STATE(3259)] = 123938,
  [SMALL_STATE(3260)] = 123946,
  [SMALL_STATE(3261)] = 123954,
  [SMALL_STATE(3262)] = 123962,
  [SMALL_STATE(3263)] = 123970,
  [SMALL_STATE(3264)] = 123978,
  [SMALL_STATE(3265)] = 123986,
  [SMALL_STATE(3266)] = 123994,
  [SMALL_STATE(3267)] = 124004,
  [SMALL_STATE(3268)] = 124014,
  [SMALL_STATE(3269)] = 124024,
  [SMALL_STATE(3270)] = 124032,
  [SMALL_STATE(3271)] = 124039,
  [SMALL_STATE(3272)] = 124046,
  [SMALL_STATE(3273)] = 124053,
  [SMALL_STATE(3274)] = 124060,
  [SMALL_STATE(3275)] = 124067,
  [SMALL_STATE(3276)] = 124074,
  [SMALL_STATE(3277)] = 124081,
  [SMALL_STATE(3278)] = 124088,
  [SMALL_STATE(3279)] = 124095,
  [SMALL_STATE(3280)] = 124102,
  [SMALL_STATE(3281)] = 124109,
  [SMALL_STATE(3282)] = 124116,
  [SMALL_STATE(3283)] = 124123,
  [SMALL_STATE(3284)] = 124130,
  [SMALL_STATE(3285)] = 124137,
  [SMALL_STATE(3286)] = 124144,
  [SMALL_STATE(3287)] = 124151,
  [SMALL_STATE(3288)] = 124158,
  [SMALL_STATE(3289)] = 124165,
  [SMALL_STATE(3290)] = 124172,
  [SMALL_STATE(3291)] = 124179,
  [SMALL_STATE(3292)] = 124186,
  [SMALL_STATE(3293)] = 124193,
  [SMALL_STATE(3294)] = 124200,
  [SMALL_STATE(3295)] = 124207,
  [SMALL_STATE(3296)] = 124214,
  [SMALL_STATE(3297)] = 124221,
  [SMALL_STATE(3298)] = 124228,
  [SMALL_STATE(3299)] = 124235,
  [SMALL_STATE(3300)] = 124242,
  [SMALL_STATE(3301)] = 124249,
  [SMALL_STATE(3302)] = 124256,
  [SMALL_STATE(3303)] = 124263,
  [SMALL_STATE(3304)] = 124270,
  [SMALL_STATE(3305)] = 124277,
  [SMALL_STATE(3306)] = 124284,
  [SMALL_STATE(3307)] = 124291,
  [SMALL_STATE(3308)] = 124298,
  [SMALL_STATE(3309)] = 124305,
  [SMALL_STATE(3310)] = 124312,
  [SMALL_STATE(3311)] = 124319,
  [SMALL_STATE(3312)] = 124326,
  [SMALL_STATE(3313)] = 124333,
  [SMALL_STATE(3314)] = 124340,
  [SMALL_STATE(3315)] = 124347,
  [SMALL_STATE(3316)] = 124354,
  [SMALL_STATE(3317)] = 124361,
  [SMALL_STATE(3318)] = 124368,
  [SMALL_STATE(3319)] = 124375,
  [SMALL_STATE(3320)] = 124382,
  [SMALL_STATE(3321)] = 124389,
  [SMALL_STATE(3322)] = 124396,
  [SMALL_STATE(3323)] = 124403,
  [SMALL_STATE(3324)] = 124410,
  [SMALL_STATE(3325)] = 124417,
  [SMALL_STATE(3326)] = 124424,
  [SMALL_STATE(3327)] = 124431,
  [SMALL_STATE(3328)] = 124438,
  [SMALL_STATE(3329)] = 124445,
  [SMALL_STATE(3330)] = 124452,
  [SMALL_STATE(3331)] = 124459,
  [SMALL_STATE(3332)] = 124466,
  [SMALL_STATE(3333)] = 124473,
  [SMALL_STATE(3334)] = 124480,
  [SMALL_STATE(3335)] = 124487,
  [SMALL_STATE(3336)] = 124494,
  [SMALL_STATE(3337)] = 124501,
  [SMALL_STATE(3338)] = 124508,
  [SMALL_STATE(3339)] = 124515,
  [SMALL_STATE(3340)] = 124522,
  [SMALL_STATE(3341)] = 124529,
  [SMALL_STATE(3342)] = 124536,
  [SMALL_STATE(3343)] = 124543,
  [SMALL_STATE(3344)] = 124550,
  [SMALL_STATE(3345)] = 124557,
  [SMALL_STATE(3346)] = 124564,
  [SMALL_STATE(3347)] = 124571,
  [SMALL_STATE(3348)] = 124578,
  [SMALL_STATE(3349)] = 124585,
  [SMALL_STATE(3350)] = 124592,
  [SMALL_STATE(3351)] = 124599,
  [SMALL_STATE(3352)] = 124606,
  [SMALL_STATE(3353)] = 124613,
  [SMALL_STATE(3354)] = 124620,
  [SMALL_STATE(3355)] = 124627,
  [SMALL_STATE(3356)] = 124634,
  [SMALL_STATE(3357)] = 124641,
  [SMALL_STATE(3358)] = 124648,
  [SMALL_STATE(3359)] = 124655,
  [SMALL_STATE(3360)] = 124662,
  [SMALL_STATE(3361)] = 124669,
  [SMALL_STATE(3362)] = 124676,
  [SMALL_STATE(3363)] = 124683,
  [SMALL_STATE(3364)] = 124690,
  [SMALL_STATE(3365)] = 124697,
  [SMALL_STATE(3366)] = 124704,
  [SMALL_STATE(3367)] = 124711,
  [SMALL_STATE(3368)] = 124718,
  [SMALL_STATE(3369)] = 124725,
  [SMALL_STATE(3370)] = 124732,
  [SMALL_STATE(3371)] = 124739,
  [SMALL_STATE(3372)] = 124746,
  [SMALL_STATE(3373)] = 124753,
  [SMALL_STATE(3374)] = 124760,
  [SMALL_STATE(3375)] = 124767,
  [SMALL_STATE(3376)] = 124774,
  [SMALL_STATE(3377)] = 124781,
  [SMALL_STATE(3378)] = 124788,
  [SMALL_STATE(3379)] = 124795,
  [SMALL_STATE(3380)] = 124802,
  [SMALL_STATE(3381)] = 124809,
  [SMALL_STATE(3382)] = 124816,
  [SMALL_STATE(3383)] = 124823,
  [SMALL_STATE(3384)] = 124830,
  [SMALL_STATE(3385)] = 124837,
  [SMALL_STATE(3386)] = 124844,
  [SMALL_STATE(3387)] = 124851,
  [SMALL_STATE(3388)] = 124858,
  [SMALL_STATE(3389)] = 124865,
  [SMALL_STATE(3390)] = 124872,
  [SMALL_STATE(3391)] = 124879,
  [SMALL_STATE(3392)] = 124886,
  [SMALL_STATE(3393)] = 124893,
  [SMALL_STATE(3394)] = 124900,
  [SMALL_STATE(3395)] = 124907,
  [SMALL_STATE(3396)] = 124914,
  [SMALL_STATE(3397)] = 124921,
  [SMALL_STATE(3398)] = 124928,
  [SMALL_STATE(3399)] = 124935,
  [SMALL_STATE(3400)] = 124942,
  [SMALL_STATE(3401)] = 124949,
  [SMALL_STATE(3402)] = 124956,
  [SMALL_STATE(3403)] = 124963,
  [SMALL_STATE(3404)] = 124970,
  [SMALL_STATE(3405)] = 124977,
  [SMALL_STATE(3406)] = 124984,
  [SMALL_STATE(3407)] = 124991,
  [SMALL_STATE(3408)] = 124998,
  [SMALL_STATE(3409)] = 125005,
  [SMALL_STATE(3410)] = 125012,
  [SMALL_STATE(3411)] = 125019,
  [SMALL_STATE(3412)] = 125026,
  [SMALL_STATE(3413)] = 125033,
  [SMALL_STATE(3414)] = 125040,
  [SMALL_STATE(3415)] = 125047,
  [SMALL_STATE(3416)] = 125054,
  [SMALL_STATE(3417)] = 125061,
  [SMALL_STATE(3418)] = 125068,
  [SMALL_STATE(3419)] = 125075,
  [SMALL_STATE(3420)] = 125082,
  [SMALL_STATE(3421)] = 125089,
  [SMALL_STATE(3422)] = 125096,
  [SMALL_STATE(3423)] = 125103,
  [SMALL_STATE(3424)] = 125110,
  [SMALL_STATE(3425)] = 125117,
  [SMALL_STATE(3426)] = 125124,
  [SMALL_STATE(3427)] = 125131,
  [SMALL_STATE(3428)] = 125138,
  [SMALL_STATE(3429)] = 125145,
  [SMALL_STATE(3430)] = 125152,
  [SMALL_STATE(3431)] = 125159,
  [SMALL_STATE(3432)] = 125166,
  [SMALL_STATE(3433)] = 125173,
  [SMALL_STATE(3434)] = 125180,
  [SMALL_STATE(3435)] = 125187,
  [SMALL_STATE(3436)] = 125194,
  [SMALL_STATE(3437)] = 125201,
  [SMALL_STATE(3438)] = 125208,
  [SMALL_STATE(3439)] = 125215,
  [SMALL_STATE(3440)] = 125222,
  [SMALL_STATE(3441)] = 125229,
  [SMALL_STATE(3442)] = 125236,
  [SMALL_STATE(3443)] = 125243,
  [SMALL_STATE(3444)] = 125250,
  [SMALL_STATE(3445)] = 125257,
  [SMALL_STATE(3446)] = 125264,
  [SMALL_STATE(3447)] = 125271,
  [SMALL_STATE(3448)] = 125278,
  [SMALL_STATE(3449)] = 125285,
  [SMALL_STATE(3450)] = 125292,
  [SMALL_STATE(3451)] = 125299,
  [SMALL_STATE(3452)] = 125306,
  [SMALL_STATE(3453)] = 125313,
  [SMALL_STATE(3454)] = 125320,
  [SMALL_STATE(3455)] = 125327,
  [SMALL_STATE(3456)] = 125334,
  [SMALL_STATE(3457)] = 125341,
  [SMALL_STATE(3458)] = 125348,
  [SMALL_STATE(3459)] = 125355,
  [SMALL_STATE(3460)] = 125362,
  [SMALL_STATE(3461)] = 125369,
  [SMALL_STATE(3462)] = 125376,
  [SMALL_STATE(3463)] = 125383,
  [SMALL_STATE(3464)] = 125390,
  [SMALL_STATE(3465)] = 125397,
  [SMALL_STATE(3466)] = 125404,
  [SMALL_STATE(3467)] = 125411,
  [SMALL_STATE(3468)] = 125418,
  [SMALL_STATE(3469)] = 125425,
  [SMALL_STATE(3470)] = 125432,
  [SMALL_STATE(3471)] = 125439,
  [SMALL_STATE(3472)] = 125446,
  [SMALL_STATE(3473)] = 125453,
  [SMALL_STATE(3474)] = 125460,
  [SMALL_STATE(3475)] = 125467,
  [SMALL_STATE(3476)] = 125474,
  [SMALL_STATE(3477)] = 125481,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 37),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 49),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(347),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3160),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1524),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(136),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(138),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2397),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3357),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(122),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(94),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(251),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1531),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1534),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(174),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(245),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2376),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2513),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(529),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2753),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(441),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2516),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(117),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(116),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(115),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2795),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3111),
  [314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(347),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3160),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1524),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(136),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(138),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2397),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3357),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(122),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(94),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(251),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1531),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1534),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(174),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(245),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2376),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2513),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(529),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2753),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(441),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2516),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(117),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(116),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(115),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2795),
  [428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3111),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(282),
  [434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2558),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(277),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2751),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2536),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(41),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(40),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(45),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(158),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3062),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(294),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2563),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(346),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2746),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2544),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(102),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(93),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(27),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(163),
  [534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3057),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(492),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2551),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(402),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2779),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2548),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(108),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(107),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(106),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(167),
  [596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3074),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(292),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2228),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2566),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(286),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2757),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2541),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(44),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(43),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(48),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(455),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2518),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(386),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2777),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2584),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(81),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(80),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(82),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(181),
  [737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3068),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(373),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2202),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2555),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(298),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2728),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2509),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(127),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(130),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(32),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(353),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2542),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(299),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2747),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2519),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(38),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(37),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(42),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(195),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(476),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2279),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2513),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(529),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2753),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2516),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(117),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(116),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(115),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(465),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2508),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(419),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2756),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2561),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(65),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(64),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(79),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(217),
  [982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(472),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2282),
  [1004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2552),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(516),
  [1010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2721),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2553),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(126),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(125),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(131),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(663),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2525),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(587),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2740),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2514),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(105),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(104),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(103),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(233),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(672),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2587),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(575),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2769),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2522),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(78),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(76),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(25),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(248),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2447),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [1228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2401),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2437),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2461),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(413),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2463),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(392),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2453),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [1453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2405),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [1472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2459),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(634),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2419),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(639),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2416),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(651),
  [1530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2422),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(668),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2404),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2423),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(766),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2458),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2452),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2432),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(787),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(839),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(832),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(786),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(780),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(889),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(899),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(891),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(897),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2165),
  [3756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1627),
  [3761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2529),
  [3764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2139),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2723),
  [3770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2507),
  [3773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(74),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(73),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(75),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [3816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2353),
  [3823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3325),
  [3826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2350),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2784),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2386),
  [3841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3356),
  [3844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2340),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2789),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2351),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2347),
  [3864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2790),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2392),
  [3898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3329),
  [3901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2364),
  [3904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2786),
  [3907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2433),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1707),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2376),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [3932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2795),
  [3935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(3100),
  [3938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [3964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2426),
  [3967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2588),
  [3972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2448),
  [3975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2768),
  [3978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2528),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(62),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(61),
  [3987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(63),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1899),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2443),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [4036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1830),
  [4039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2417),
  [4042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2411),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 72),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 72),
  [4057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 67),
  [4059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 67),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 66),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 66),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 65),
  [4067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 65),
  [4069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 64),
  [4071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 64),
  [4073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2079),
  [4216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2077),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2408),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2425),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2197),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [4342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [4370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [4374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [4384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2171),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2424),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [4552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2275),
  [4555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2262),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2439),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2921),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2581),
  [4575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2928),
  [4578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2750),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2921),
  [4584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2520),
  [4587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(84),
  [4590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(83),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(85),
  [4596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2501),
  [4599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2546),
  [4602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2499),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2774),
  [4608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2501),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2585),
  [4614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(67),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(66),
  [4620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(69),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2465),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [4672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [4684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [4990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2337),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [5365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2413),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [5410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2495),
  [5413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [5419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2446),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [5434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [5574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2618),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [5981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 43),
  [5983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [5987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [5989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [5991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 70),
  [5993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 49),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 68),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 47),
  [6019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [6023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [6025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [6031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [6035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [6037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [6041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [6045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [6053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [6055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 60),
  [6063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 37),
  [6065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 56),
  [6067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [6069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 62),
  [6071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 49),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [6109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 71),
  [6121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 71),
  [6123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 61),
  [6125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 61),
  [6127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 62),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 68),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 70),
  [6143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [6165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 43),
  [6167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 47),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [6179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 48),
  [6181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 48),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 44),
  [6195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 44),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 60),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 69),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 69),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [6333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 56),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [6415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [6435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [6449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 63),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 63),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 57),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 57),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [6487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [6535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [6539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2766),
  [6542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2557),
  [6545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(47),
  [6548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(46),
  [6551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2733),
  [6554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [6562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [6564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [6568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2669),
  [6571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [6573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2803),
  [6576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2530),
  [6579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(97),
  [6582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(96),
  [6585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [6643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [6645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [6647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [6663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [6681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [6689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [6773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [6775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [6777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [6795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2420),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [6802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [6804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [6814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [6816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2845),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [6845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [6927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(139),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [6964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [7002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 49),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [7010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [7042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3118),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [7083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [7219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2430),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [7226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [7280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [7292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 46), SHIFT_REPEAT(2357),
  [7295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 46),
  [7297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [7419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3176),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [7436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [7438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [7778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [7784] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
